<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov ermakovshop.com
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.controller' );

class EjoshopControllerEjoshopUploadCsv extends EjoshopController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
	
		parent::__construct();
	
		$this->registerTask( 'parsecsv'  , 'parsecsv' );
		$this->registerTask( 'deletecsv'  , 'deletecsv' );
		// Register Extra tasks
		
	}

	
	function parsecsv()
	{
		

	
	}

	
	function deletecsv()
	{
		
		$m = $this->getModel('EjoshopUploadCsv');
		if($m->deletecsv()) {
			$msg = JText::_( 'COM_EJOSHOP_FILEDEL' );
			$this->setRedirect( 'index.php?option=com_ejoshop&view=ejoshopuploadcsv', $msg );
		}
	
	}

	/**
	 * cancel editing a record
	 * @return void
	 */
	function cancel()
	{
		$msg = JText::_( 'COM_EJOSHOP_CANCEL' );
		$this->setRedirect( 'index.php?option=com_mapyandex', $msg );
	}
	
}