<?php 

/*
 * @package Analytics
 * The Analytics class. 
 * @link       http://www.authorize.net/support/AIM_guide.pdf AIM Guide
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
ejoshopimport('ejoshop.render.rendercart');

/**
 * Class proveide information and statistic of users orders
 *
 * @package    Analytics
 * @subpackage GoogleAnalytics
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @source 2 1 Check that ensures lazy counting.
 * @copyright Copyright (C) Aleksandr Ermakov ermakovshop.com
 */

class EjoshopAnalytics { 


	/**
	 * 
	 * after succesuful purchase increase total number of purchese 
	 * for this user
	 */
	function updateUserPurchase()
	{
		$cartClass = new EjoshopRenderCart();
		$uca = $cartClass->getCurrentUserCart();
		$total_purchase = (int)$uca->total_purchase;
		

		$db	  = JFactory::getDBO();

	
				++$total_purchase;
	
				$query = "UPDATE ".$db->quoteName('#__ejoshop_userinfo_cart') ." SET `total_purchase` = '".$total_purchase."' WHERE uid='".$_SESSION['cartid']."';";
				
				try {
					$query = $db->setQuery( $query );
					$db->query();
				} catch (RuntimeException $e) {
					print $e->getMessage();	
					die();
				}

			
			return true;
	
		
	}
	
} 
?>