<?php
/*
 * @package EjoshopDeveloper
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov http://ermakovshop.com
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Class with function for developer
 *
 * @package EjoshopDeveloper  
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov http://ermakovshop.com
 */
 
class EjoshopDeveloper { 

	/**
	 * Debug query
	 */
	static function debugQuery($query,$line,$file)
	{
		$db = JFactory::getDBO();
		$app = JFactory::getApplication(); 

		$params = JComponentHelper::getParams('com_ejoshop');
		$config = JFactory::getConfig($_SERVER['DOCUMENT_ROOT'].JURI::root(true).'configuration.php');
		if($params->get('developer_mode',0) && $params->get('show_main_query',0)) {
			$debuginfo = '<br/>' . JTEXT::_('COM_EJ_FILE') . ' ' . $file
						. '<br/>' 
						. JTEXT::_('COM_EJ_LINE') . ' ' . $line 
						. nl2br(str_replace('#__',$config->get('dbprefix'),$query->__toString()));
			
			$app->enqueueMessage($debuginfo, 'message');
		}
		
	}
	
	
	/**
	 * Debug query
	 */
	static function debugPrint($data)
	{
		
		print '<pre class="debug-print">';
		(!$data) ? var_dump($data) : print_r ($data);
		print '</pre>';
	}
	
	
}
?>