<?php 

/*
 * @package Render
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov http://ermakovshop.com
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


/**
 * Class for process sales
 *
 * @package Render  
 * @subpackage EjoshopRenderSales
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov http://ermakovshop.com
 */


class EjoshopRenderSales { 

	/**
	 * 
	 * возвращает список других товаров, приобретённых вместе
	 * с просматриваемым товаром
	 */
	function appendSales($items,$allsales)
	{
		if(is_array($items)) {
			foreach($items as $key => $val) {
				$val->sales = $allsales;
				$items[$key] = $val;
			}
		}
		return $items;
	}

	/**
	 * 
	 * возвращает список других товаров, приобретённых вместе
	 * с просматриваемым товаром
	 */
	function getSales($catid)
	{
		if(empty($catid)) {
			$pid = JRequest::getVar( 'catid' );
		}
		JError::$legacy = true;
		$user = JFactory::getUser(); // it's important to set the "0" otherwise your admin user information will be loaded

		$app = JFactory::getApplication(); 
		// Create a new query object.
		$db		= JFactory::getDBO();
		$query	= $db->getQuery(true);
		
				
		$query->select('sales.*');
		$query->from('`#__ejoshop_sales` AS sales');
			
		$query->where("sales.catid = '".$catid."' AND sales.state = 1");
			



		$query = $db->setQuery( $query );

		try {
				
			$result = $db->query();
		} catch(Exception $e) {
			print $e->getMessage();	
		}
		JError::$legacy = false;
		return $db->loadObjectList();
		
	}

} ?>