<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Class for get token
 *
 * @package YandexMoney
 * @subpackage ReceiveTokenResponse
 * @license - http://www.gnu.org/licenses/gpl-2.0.php GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov http://ermakovshop.com
 */


class YM_ReceiveTokenResponse {

    protected $accessToken;
    protected $error;

    public function __construct($response) {
        if (isset($response["access_token"]))
            $this->accessToken = $response["access_token"] ;

        if (isset($response["error"]))
            $this->error = $response["error"];
    }

    public function getAccessToken() {
        return $this->accessToken;
    }

    public function getError() {
        return $this->error;
    }

    public function isSuccess() {
        return $this->error === null;
    }
}
