<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov ermakovshop.com
 */

defined( '_JEXEC' ) or die( 'Restricted access' );


jimport( 'joomla.application.component.modellist' );
ejoshopimport( 'ejoshop.render.renderpayd' );
ejoshopimport( 'ejoshop.developer.developer' );


class  EjoshopModelEjoshopConfig extends JModelList
{

	public function __construct($config = array())
	{
	

		parent::__construct($config);
	}


	public function clearAllCache($config = array())
	{
	
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);

        //CHANGE THIS QUERY AS YOU NEED...
        $query->select('f.*');
		$query->from('#__ejoshop_file_managed AS f');
		$query->order('f.fid');

		$query->where("f.status = 0 or type = 'temporary'");
		$query = $db->setQuery( $query );
        $view = new JControllerLegacy();
		$v = $view->getView('Ajaxupload','html','EjoshopView');
		
		$files = $db->loadObjectList();
		if(!empty($files)) {
			foreach($files as $file) {
				
				$v->removefid($file->fid,FALSE); // fid and json
					
				
			}
		}

		$slimg = $_SERVER['DOCUMENT_ROOT'].JURI::root(true).'/modules/mod_ejoshop_jquery_slider/tmp';
		$this->rrmdir($slimg);
		
		return true;
	}
	
	 function rrmdir($dir) {

	   if (is_dir($dir)) {
		 $objects = scandir($dir);

		 foreach ($objects as $object) {
		   if ($object != "." && $object != "..") {

			unlink($dir."/".$object);
		   }
		 }
		 reset($objects);
		
	   }
	 } 

}