<?php
/*
 * @package		Joomla.Framework
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 *
 * @component Phoca Component
 * @copyright Copyright (C) Jan Pavelka www.phoca.cz
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License version 2 or later;
 */
defined('_JEXEC') or die();
if (! class_exists('EjoshopLoader')) {
    require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ejoshop'.DS.'libraries'.DS.'loader.php');
}

class JFormFieldViewfield extends JFormField
{
	protected $type 		= 'Viewfield';

	function getInput() {
	
		$text = '';

		$tree = array();
		$views = array(
			'ejoshopphotos',
			'ejoshopcategories',
			'ejoshoporder',
			'ejoshoppayd',
			'ejoshoppayments',
			'ejoshopsales',
			'ejoshopuploadcsv',
			'ejoshopinfo',
			'ejoshopanalytics',
			'ejoshoptaxes',
			'ejoshopcurrency',
			'ejoshoptaxes',
			'ejoshopstyles',
			'ejoshopupdates',
			'ejoshopconfig',
			'ejoshopfield',
			'ejoshopfields'
			);
		$tree[] = JHTML::_('select.option',JTEXT::_('COM_EJOSHOP_VIEW'), 0);
		foreach($views as $view) {
			$tree[] = JHTML::_('select.option',$view, $view);
		}
		
	
		
		return JHTML::_('select.genericlist',  $tree,  'view', 'autocomplete="off"', 'value', 'text', 0, 0 );
	}
}
?>