<?php 

/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov ermakovshop.com
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
$document = JFactory::getDocument();
$document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js');

?>
	<?php $document->addStyleSheet(JURI::root(true).'/media/com_ejoshop/colorbox/colorbox.css');?>
	<?php $document->addScript(JURI::root(true).'/media/com_ejoshop/colorbox/jquery.colorbox-min.js');
	
	$script = "
			$(function(){
			$('a[rel=\"colorbox\"]').colorbox();
		});
	";

	$document->addScriptDeclaration($script);

	?>

<div id="ejoshop" class="cpanel">
	
<form action="index.php" method="post" name="adminForm">
<div class="adminform">
<div class="cpanel-left">
	<div id="cpanel">
		<?php
		$link = 'index.php?option=com_ejoshop';
		echo $this->EjoshopRenderAdmin->quickIconButton( $link, 'icon-48-ejoshop.png', JText::_('COM_EJOSHOP_HOME_PAGE') );
		
		$link = 'index.php?option=com_ejoshop&view=ejoshopphotos';
		echo $this->EjoshopRenderAdmin->quickIconButton( $link, 'icon-48-ejoshopphotos.png', JText::_( 'COM_EJ_ALLPRODUCTS' ) );
		$link = 'index.php?option=com_ejoshop&view=ejoshopcategories';
		echo $this->EjoshopRenderAdmin->quickIconButton( $link, 'icon-48-ejoshopcategories.png', JText::_('COM_EJOSHOP_EJOSHOPCATEGORIES') );

		$link = 'index.php?option=com_ejoshop&view=ejoshoporder';
		echo $this->EjoshopRenderAdmin->quickIconButton( $link, 'icon-48-ejoshoporder.png', JText::_( 'COM_EJOSHOP_ALL_ORDERS' ) );
		

		$link = 'index.php?option=com_ejoshop&view=ejoshoppayments';
		echo $this->EjoshopRenderAdmin->quickIconButton( $link, 'icon-48-payments.png', JText::_( 'COM_EJOSHOP_PAYMENTS' ) );
		$link = 'index.php?option=com_ejoshop&view=ejoshopinfo';
		echo $this->EjoshopRenderAdmin->quickIconButton( $link, 'icon-48-ejoshopdoc.png', JText::_( 'COM_EJOSHOP_DOC' ) );
		
		$link = 'index.php?option=com_ejoshop&view=ejoshopuploadcsv';
		echo $this->EjoshopRenderAdmin->quickIconButton( $link, 'icon-48-ejoshopcsv.png', JText::_( 'COM_EJOSHOP_CSV' ) );

		$link = 'index.php?option=com_ejoshop&view=ejoshopcurrency';
		echo $this->EjoshopRenderAdmin->quickIconButton( $link, 'icon-48-ejoshopcurrency.png', JText::_( 'COM_EJOSHOP_CURRENCY' ) );
			
		$link = 'index.php?option=com_ejoshop&view=ejoshopsales';
		echo $this->EjoshopRenderAdmin->quickIconButton( $link, 'icon-48-ejoshopsales.png', JText::_( 'COM_EJOSHOP_SALE' ) );
		
		$link = 'index.php?option=com_ejoshop&view=ejoshoptaxes';
		echo $this->EjoshopRenderAdmin->quickIconButton( $link, 'icon-48-ejoshoptax2.png', JText::_( 'COM_EJOSHOP_TAX' ) );
		
		$link = 'index.php?option=com_ejoshop&view=ejoshopanalytics';
		echo $this->EjoshopRenderAdmin->quickIconButton( $link, 'icon-48-ejoshopanalytics.png', JText::_( 'COM_EJ_ANALYTICS' ) );
		?>
				
		<div style="clear:both">&nbsp;</div>
		<p>&nbsp;</p>

	</div>
</div>



<script type="text/javascript">
$j = jQuery.noConflict();

function sendtask(task, type, value, element) {
			$j.ajax({
				url:'<?php echo JURI::root(true);?>/administrator/index.php?option=com_ejoshop&controller=ejoshopglobalsettings&&view=ejoshopglobalsettings&task=ejoshopglobalsettings.'+task,
				data:{task:task,type:type, value:value,controller:"ejoshopglobalsettings",view:"ejoshopglobalsettings",task:"ejoshopglobalsettings.switchpayments"},
				type:'POST',
				beforeSend: function(){
					$j('.loader_img').show();
				},
				success: function(data){
					if(data.success) {
						if(element.hasClass('active-tab-button')) {
							element.removeClass('active-tab-button');
							
									if(value == 1) {
										element.data('value',0);
										if(task == 'switchpayments') {
											$j('.tab-button').removeClass('active-tab-button');
											element.text('<?php echo JTEXT::_('COM_EJ_ALL_P_OFF');?>');
											element.removeClass('active-tab-button');
											$j('[data-task="switchyandexmoney"]').text('<?php echo JTEXT::_('COM_EJ_YANDEXMONEY_ONN');?>');
											$j('[data-task="switchwebmoney"]').text('<?php echo JTEXT::_('COM_EJ_WEBMONEY_ONN');?>');
											$j('[data-task="switchpaypal"]').text('<?php echo JTEXT::_('COM_EJ_PAYPAL_ONN');?>');
											$j('[data-task="switchanet"]').text('<?php echo JTEXT::_('COM_EJ_ANET_ONN');?>');
											$j('[data-task="switchpost"]').text('<?php echo JTEXT::_('COM_EJ_POST_ONN');?>');
											$j('[data-task="switchwritebill"]').text('<?php echo JTEXT::_('COM_EJ_BILL_ONN');?>');
											$j('.tab-button').data('value',0);
										} else if(task == 'switchyandexmoney') {
											element.text('<?php echo JTEXT::_('COM_EJ_YANDEXMONEY_OFF');?>');
										}  else if(task == 'switchwebmoney') {
											element.text('<?php echo JTEXT::_('COM_EJ_WEBMONEY_ONN');?>');
										}  else if(task == 'switchanet') {
											element.text('<?php echo JTEXT::_('COM_EJ_ANET_OFF');?>');
										}  else if(task == 'switchpaypal') {
											element.text('<?php echo JTEXT::_('COM_EJ_PAYPAL_OFF');?>');
										} else if(task == 'switchshop') {
											element.text('<?php echo JTEXT::_('COM_EJ_SHOP_OFF');?>');
										} else if(task == 'switchpost') {
											element.text('<?php echo JTEXT::_('COM_EJ_POST_OFF');?>');
										} else if(task == 'switchwritebill') {
											element.text('<?php echo JTEXT::_('COM_EJ_BILL_OFF');?>');
										}
									} else {
										element.data('value',1);
										if(task == 'switchpayments') {
											$j('.tab-button').removeClass('active-tab-button');
											element.text('<?php echo JTEXT::_('COM_EJOSHOP_CHECK_SWITCHPAYMENTS_ONN');?>');
											$j('[data-task="switchyandexmoney"]').text('<?php echo JTEXT::_('COM_EJ_YANDEXMONEY_ONN');?>');
											$j('[data-task="switchwebmoney"]').text('<?php echo JTEXT::_('COM_EJ_WEBMONEY_ONN');?>');
											$j('[data-task="switchpaypal"]').text('<?php echo JTEXT::_('COM_EJ_PAYPAL_ONN');?>');
											$j('[data-task="switchanet"]').text('<?php echo JTEXT::_('COM_EJ_ANET_ONN');?>');
											$j('[data-task="switchpost"]').text('<?php echo JTEXT::_('COM_EJ_POST_ONN');?>');
											$j('[data-task="switchwritebill"]').text('<?php echo JTEXT::_('COM_EJ_BILL_ONN');?>');
											$j('.tab-button').data('value',1);
										} else if(task == 'switchyandexmoney') {
											element.text('<?php echo JTEXT::_('COM_EJ_YANDEXMONEY_ONN');?>');
										}  else if(task == 'switchwebmoney') {
											element.text('<?php echo JTEXT::_('COM_EJ_WEBMONEY_ONN');?>');
										}  else if(task == 'switchpaypal') {
											element.text('<?php echo JTEXT::_('COM_EJ_PAYPAL_ONN');?>');
										}  else if(task == 'switchanet') {
											element.text('<?php echo JTEXT::_('COM_EJ_ANET_ONN');?>');
										}	else if(task == 'switchshop') {
											element.text('<?php echo JTEXT::_('COM_EJ_SHOP_ONN');?>');
										} 	else if(task == 'switchpost') {
											element.text('<?php echo JTEXT::_('COM_EJ_POST_ONN');?>');
										}  	else if(task == 'switchwritebill') {
											element.text('<?php echo JTEXT::_('COM_EJ_BILL_ONN');?>');
										}
									}
								} else {
									element.addClass('active-tab-button');
										
									if(value == 1) {
										element.data('value',0);
										if(task == 'switchpayments') {
											$j('.tab-button').addClass('active-tab-button');
											$j('[data-task="switchyandexmoney"]').text('<?php echo JTEXT::_('COM_EJ_YANDEXMONEY_OFF');?>');
											$j('[data-task="switchwebmoney"]').text('<?php echo JTEXT::_('COM_EJ_WEBMONEY_OFF');?>');
											$j('[data-task="switchpaypal"]').text('<?php echo JTEXT::_('COM_EJ_PAYPAL_OFF');?>');
											$j('[data-task="switchanet"]').text('<?php echo JTEXT::_('COM_EJ_ANET_OFF');?>');
											$j('[data-task="switchpost"]').text('<?php echo JTEXT::_('COM_EJ_POST_OFF');?>');
											$j('[data-task="switchwritebill"]').text('<?php echo JTEXT::_('COM_EJ_BILL_OFF');?>');
											element.text('<?php echo JTEXT::_('COM_EJOSHOP_CHECK_SWITCHPAYMENTS_OFF');?>');
											$j('.tab-button').data('value',0);
										} else if(task == 'switchyandexmoney') {
											element.text('<?php echo JTEXT::_('COM_EJ_YANDEXMONEY_OFF');?>');
										}  else if(task == 'switchwebmoney') {
											element.text('<?php echo JTEXT::_('COM_EJ_WEBMONEY_OFF');?>');
										}  else if(task == 'switchanet') {
											element.text('<?php echo JTEXT::_('COM_EJ_ANET_OFF');?>');
										}  else if(task == 'switchpaypal') {
											element.text('<?php echo JTEXT::_('COM_EJ_PAYPAL_OFF');?>');
										} else if(task == 'switchshop') {
											element.text('<?php echo JTEXT::_('COM_EJ_SHOP_OFF');?>');
										} else if(task == 'switchpost') {
											element.text('<?php echo JTEXT::_('COM_EJ_POST_OFF');?>');
										} else if(task == 'switchwritebill') {
											element.text('<?php echo JTEXT::_('COM_EJ_BILL_OFF');?>');
										}
									} else {
									
										element.data('value',1);
										if(task == 'switchpayments') {
											element.text('<?php echo JTEXT::_('COM_EJ_ALL_P_ONN');?>');
										} else if(task == 'switchyandexmoney') {
											element.text('<?php echo JTEXT::_('COM_EJ_YANDEXMONEY_ONN');?>');
										}  else if(task == 'switchwebmoney') {
											element.text('<?php echo JTEXT::_('COM_EJ_WEBMONEY_ONN');?>');
										}  else if(task == 'switchpaypal') {
											element.text('<?php echo JTEXT::_('COM_EJ_PAYPAL_ONN');?>');
										}  else if(task == 'switchanet') {
											element.text('<?php echo JTEXT::_('COM_EJ_ANET_ONN');?>');
										}	else if(task == 'switchshop') {
											element.text('<?php echo JTEXT::_('COM_EJ_SHOP_ONN');?>');
										} 	else if(task == 'switchpost') {
											element.text('<?php echo JTEXT::_('COM_EJ_POST_ONN');?>');
										}  	else if(task == 'switchwritebill') {
											element.text('<?php echo JTEXT::_('COM_EJ_BILL_ONN');?>');
										}
									}
									
								}
									}
				$j('.loader_img').hide();
				},
				dataType:'json'
			});	
}
	
$j(function(){
		$j('.tab h3').click(function(e){
			p = $j(this).parent();
			if($j(this).hasClass('activetab')) {
					$j(p.find('div.content')).slideToggle();		
			} else {
					
	
					$j('div.content').slideUp();
					$j(p.find('div.content')).slideDown();
					$j('div.content').prev().removeClass('activetab');
					$j(this).addClass('activetab');
			}
		
		});
		
	$j('.cpanel-right .tab-button').click(function(){
		var task = $j(this).data('task');
		var value = $j(this).data('value');
		var btext= $j(this).text();
		var element= $j(this);
		
		sendtask(task, task, value, element);
	});
});
		
</script>

<div class="cpanel-right">
	<div class="one" style="border:1px solid #ccc;background:#fff;padding:15px">
		
   <div class="cpanel-onetab tab">
 	  <h3 class="helper"><?php print JText::_('COM_EJOSHOP_CHECK_PAYMENTS_CPANEL_LAST_TOVAR');?> </h3> 
		<div class="content adminlist" style="margin:10px;display:none;">
        	<ul>
			
			<?php 
			foreach($this->allphotos as $photo) {
				echo '<li><a href="index.php?option=com_ejoshop&view=ejoshopphotos&layout=photoedit&id='.$photo->id.'">' . $photo->name . '</a> <br />(' . $photo->created . ') <br /> ' .$photo->intro . ' </li>';	
			}
			?>
			</ul>
        </div>
   </div>
   
	<div class="cpanel-onetab tab">
   <h3 class="helper activetab"><?php print JText::_('COM_EJOSHOP_CHECK_PAYMENTS_CPANEL_INFO');?> </h3>
   
		<div class="content" style="margin:10px;">
	
			<?php echo JHTML::_('image', 'media/com_ejoshop/assets/images/logo-slyweb.png', 'slyweb.ru' );?>
	
			
		<?php

		echo '<h3>'.  JText::_('COM_EJOSHOP_VERSION').'</h3>'
		.'<p>'.  $this->tmpl['version'] .'</p>';

		echo '<h3>'.  JText::_('COM_EJOSHOP_COPYRIGHT').'</h3>'
		.'<p>© 2014 - '.  date("Y"). ' Aleksandr Ermakov</p>'
		.'<p><a href="http://ermakovshop.com/" target="_blank">www.ermakovshop.com</a></p>'
		.'<p><a href="http://www.slyweb.ru/" target="_blank">www.slyweb.ru</a></p>';

		echo '<h3>'.  JText::_('COM_EJOSHOP_GM_VERSION').'</h3>'
		.'<p>3.x</p>';

		echo '<h3>'.  JText::_('COM_EJOSHOP_YM_VERSION').'</h3>'
		.'<p>2.0.10</p>';
		
		echo '<h3>'.  JText::_('COM_EJOSHOP_LICENCE').'</h3>'
		.'<p><a href="http://www.gnu.org/licenses/gpl-2.0.html" target="_blank">GPLv2</a></p>';
		
	
		?>

		
		<p>All right reserved.</p>
		
		<?php
		echo '<div style="border-top:1px solid #c2c2c2"></div>'
.'<div id="pg-update"><a href="http://www.ermakovshop.com/version/?version='.  $this->tmpl['version'] .'" target="_blank">'.  JText::_('COM_EJOSHOP_CHECK_FOR_UPDATE') .'</a></div>';
		?>
      
      	</div>
	</div> 
    
	<div class="cpanel-twotab tab">
    	<h3 class="helper"><?php print JText::_('COM_EJOSHOP_CHECK_PAYMENTS_SETTINGS_CPANEL');?> </h3>
		<div class="content payset" style="margin:10px;display:none;">
        <?php 
		//var_dump($this->switchpayments);
		if(!$this->switchpayments) {
			$switchpayments_val = 1;
			$switchpayments_text = JText::_('COM_EJOSHOP_CHECK_SWITCHPAYMENTS_ONN');
				
		}
		if($this->switchpayments) {
			$switchpayments_val = 0;
			$switchpayments_text = JText::_('COM_EJOSHOP_CHECK_SWITCHPAYMENTS_OFF');										
			$switchpayments_class = 'active-tab-button';
				
		}
		
		$switchpaymentsym_val = 0;
		$switchpaymentsym_text = JText::_('COM_EJOSHOP_CHECK_SWITCHPAYMENTS_YM_OFF');
		$switchpaymentsym_class = 'active-tab-button';
					
		if(!$this->switchyandexmoney) {
			$switchpaymentsym_val = 1;
			$switchpaymentsym_text = JText::_('COM_EJOSHOP_CHECK_SWITCHPAYMENTS_YM_ONN');
			$switchpaymentsym_class = '';
		} 
		
		$switchpaymentswm_val = 0;
		$switchpaymentswm_text = JText::_('COM_EJOSHOP_CHECK_SWITCHPAYMENTS_WM_OFF');
		$switchpaymentswm_class = 'active-tab-button';
		
		if(!$this->switchwebmoney) {
			$switchpaymentswm_val = 1;
			$switchpaymentswm_text = JText::_('COM_EJOSHOP_CHECK_SWITCHPAYMENTS_WM_ONN');
			$switchpaymentswm_class = '';
				
		} 
		$switchpaymentspp_val = 0;
		$switchpaymentspp_text = JText::_('COM_EJOSHOP_CHECK_SWITCHPAYMENTS_PP_OFF');
		$switchpaymentspp_class = 'active-tab-button';
			
		if(!$this->switchpaypal) {
			$switchpaymentspp_val = 1;
			$switchpaymentspp_class = '';
			$switchpaymentspp_text = JText::_('COM_EJOSHOP_CHECK_SWITCHPAYMENTS_PP_ONN');
				
		} 
		
		$switchpost_val = 0;
		$switchpost_text = JText::_('COM_EJOSHOP_CHECK_SWITCHPAYMENTS_POST_OFF');
		$switchpost_class = 'active-tab-button';
			
		if(!$this->switchpost) {
			$switchpost_val = 1;
			$switchpost_class = '';
			$switchpost_text = JText::_('COM_EJOSHOP_CHECK_SWITCHPAYMENTS_POST_ONN');
				
		}

		
		$switchanet_val = 0;
		$switchanet_text = JText::_('COM_EJ_ANET_OFF');
		$switchanet_class = 'active-tab-button';
			
		if(!$this->switchpost) {
			$switchanet_val = 1;
			$switchanet_class = '';
			$switchanet_text = JText::_('COM_EJ_ANET_ONN');
				
		}


		$switchwritebill_val = 0;
		$switchwritebill_text = JText::_('COM_EJOSHOP_WRITE_BILL_OFF');
		$switchwritebill_class = 'active-tab-button';

		if(!$this->switchwritebill) {
			$switchwritebill_val = 1;
			$switchwritebill_class = '';
			$switchwritebill_text = JText::_('COM_EJOSHOP_WRITE_BILL_ONN');
				
		}
		
		?>
        	<div class="tab-button <?php print $switchpayments_class; ?>" data-task="switchpayments" data-value="<?php print $switchpayments_val;?>"><?php print $switchpayments_text;?></div>
            <div class="tab-button <?php print $switchpaymentsym_class; ?>" data-task="switchyandexmoney" data-value="<?php print $switchpaymentsym_val;?>"><?php print $switchpaymentsym_text;?></div>
            <div class="tab-button <?php print $switchpaymentswm_class; ?>" data-task="switchwebmoney" data-value="<?php print $switchpaymentswm_val;?>"><?php print $switchpaymentswm_text;?></div>
            <div class="tab-button <?php print $switchpaymentspp_class; ?>" data-task="switchpaypal" data-value="<?php print $switchpaymentspp_val;?>"><?php print $switchpaymentspp_text;?></div>
            <div class="tab-button <?php print $switchanet_class; ?>" data-task="switchanet" data-value="<?php print $switchanet_val;?>"><?php print $switchanet_text;?></div>
            <div class="tab-button <?php print $switchpost_class; ?>" data-task="switchpost" data-value="<?php print $switchpost_val;?>"><?php print $switchpost_text;?></div>
            <div class="tab-button <?php print $switchwritebill_class; ?>" data-task="switchwritebill" data-value="<?php print $switchwritebill_val;?>"><?php print $switchwritebill_text;?></div>
            <div class="clr"></div>
            <div class="loader_img"></div>
      	</div>
	</div> 
    
    
    <?php
		$switchshop_val = 0;
		$switchshop_text = JText::_('COM_EJOSHOP_CHECK_SWITCHSHOP_ONN');
		$switchshop_class = 'active-tab-button';
			
	
		if(!$this->switchshop) {
			$switchshop_val = 1;
			$switchshop_class = '';
			$switchshop_text = JText::_('COM_EJOSHOP_CHECK_SWITCHSHOP_OFF');
				
		} 
		?>

	<div class="cpanel-thirdtab tab">
    	<h3 class="helper"><?php echo JText::_('COM_EJ_SHOP_SWITCHER');?></h3>
		<div class="content shopset" style="margin:10px;display:none;">
         	<div class="tab-button <?php print $switchshop_class; ?>" data-task="switchshop" data-value="<?php print $switchshop_val;?>"><?php print $switchshop_text;?></div>

            <div class="clr"></div>
            <div class="loader_img"></div>
      	</div>
	</div> 
	</div>
    



</div>
 
</div>

<input type="hidden" name="option" value="com_ejoshop" />
<input type="hidden" name="view" value="ejoshopcp" />
<input type="hidden" name="<?php echo JSession::getFormToken(); ?>" value="1" />
</form>
</div>