<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access');
JHtml::_('behavior.tooltip');
$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');


 ?>
<form action="<?php JRoute::_('index.php?option=com_ejoshop'); ?>" method="post" name="adminForm" id="adminForm">
	<fieldset id="filter-bar">
		<div class="filter-search fltlft">
			<label class="filter-search-lbl" for="filter_search"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>
			<input type="text" name="filter_search" id="filter_search" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="<?php echo JText::_('COM_EJOSHOP_SEARCH_IN_TITLE'); ?>" />
			<button type="submit"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
			<button type="button" onclick="document.id('filter_search').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
		</div>
	</fieldset>
<div id="editcell">
    <table class="adminlist">
    <thead>
        <tr>
            <th width="5">
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_ID', 'a.galid', $listDirn, $listOrder ); ?>

            </th>

            <th width="20">
              <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->foobar ); ?>);" />
            </th>
			<th width="200">
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_NAMEMAP', 'a.name', $listDirn, $listOrder ); ?>
            </th>
            <th>
                <?php echo JText::_( 'COM_EJOSHOP_DESCRIPTIONOFTAG' ); ?>
            </th>
			<th>
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_HITS', 'a.hits', $listDirn, $listOrder ); ?>
            </th>
			<th>
                <?php echo JText::_( 'COM_EJOSHOP_YMCODE' ); ?>
            </th>
			<th>
                <?php echo JText::_( 'COM_EJOSHOP_TYPE' ); ?>
            </th>
			<th>
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_TIME', 'a.created', $listDirn, $listOrder ); ?>
              
            </th>
        </tr>            
    </thead>
    <?php
    $k = 0;
    for ($i=0, $n=count( $this->galleries ); $i < $n; $i++)
    {
        $row = $this->galleries[$i];
        $checked    = JHTML::_( 'grid.id', $i, $row->galid );
		if($row->map_type == 'calculator') {
			$link = JRoute::_( 'index.php?option=com_galleries&view=mapyandexcalculator&layout=formedit&galid='. $row->id );
		} else {
			$link = JRoute::_( 'index.php?option=com_galleries&view=galedit&layout=form&galid='. $row->id );
		}
		
        ?>
        <tr class="<?php echo "row$k"; ?>">
		    <td>
                <?php echo $row->galid; ?>
            </td>

            <td>
              <?php echo $checked; ?>
            </td>
			<td style="text-align:center;">
               <a href="<?php echo $link; ?>"><?php echo $row->name; ?></a> 
            </td>
            <td>
                <a href="<?php echo $link; ?>"><?php echo $row->description; ?></a>
            </td>
			<td style="text-align:center;">
                <?php echo $row->hits; ?>
            </td>
			<td style="text-align:center;">
                <?php
				if($row->map_type == 'calculator') {
					echo '{galleriy_id='.$row->galid.'}';
				} else {
					echo '{galleriy_id='.$row->galid.'}';
				}
				
				?>
            </td>
			<td style="text-align:center;">
                <?php
				if($row->map_type == 'calculator') {
					echo JHTML::_('image', 'administrator/components/com_galleries/assets/images/calculator.png','','style="margin-bottom: 3px;"');
				} else {
					echo JHTML::_('image', 'administrator/components/com_galleries/assets/images/map.png','','style="margin-bottom: 3px;"');
				}
				
				?>
            </td>

			<td style="text-align:center;">

			<?php
			
				echo JHTML::_('date', $row->checked_out_time, 'Y:m:d h:m:s');
			
			?>
            </td>
        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
<tr>
	<td colspan="8"><?php echo $this->pageNav->getListFooter(); ?></td>
</tr>
    </table>

</div>
 
<input type="hidden" name="option" value="com_ejoshop" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="ejoshopallgalleries" />
<input type="hidden" name="filter_order" value="<?php echo $listDirn; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $listOrder; ?>" />
		
<?php echo JHtml::_('form.token'); ?>
</form>

