<?php
/*
 * @package Joomla 3.2
 * @license - https://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access');



	$document	=  JFactory::getDocument();
	$markers = array();
	$marker = '';
	
	$getlang = JRequest::getVar('getlang');
	if($getlang) {
		for($i = 0; $i < 10; $i++) {
		
			//$this->people[] = $this->people[1];
		
		}
		/*
		   print '<pre>';
		   print_r($this->people);
		   print '</pre>';
		*/
		function geocode($city){
				
		   $cityclean = str_replace (" ", "+", $city);
		 
		   $details_url = "https://maps.googleapis.com/maps/api/geocode/json?address=" . $cityclean . "&sensor=false";

		   $ch = curl_init();
		   curl_setopt($ch, CURLOPT_URL, $details_url);
		   curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		   curl_setopt($ch, CURLOPT_TIMEOUT, 3);
		   curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 3);
		   $geoloc = json_decode(curl_exec($ch), true);
	
		
			return $geoloc['results'][0]['geometry']['location'];
		}
		if(!$this->people) $this->people = array();
		
		foreach($this->people as $key){
			if(empty($key->altilng)) {
				$a = geocode($key->address);
				$markers[] = array($a['lat'],$a['lng']);
			} else {
				$a = explode(',',$key->altilng);
				$markers[] = array($a[0],$a[1]);
			}
			
			
        }
		


		
		echo json_encode($markers);
		jexit();
		

	}
		
	
?>

    <style type="text/css">

      #panel {
        position: absolute;
        top: 5px;
        left: 50%;
        margin-left: -180px;
        z-index: 5;
        background-color: #fff;
        padding: 5px;
        border: 1px solid #999;
      }

      #map-container,#piechart-container {
        padding: 6px;
        border-width: 1px;
        border-style: solid;
        border-color: #ccc #ccc #999 #ccc;
        -webkit-box-shadow: rgba(64, 64, 64, 0.5) 0 2px 5px;
        -moz-box-shadow: rgba(64, 64, 64, 0.5) 0 2px 5px;
        box-shadow: rgba(64, 64, 64, 0.1) 0 2px 5px;
		margin-left: 1%;
		width: 97%;
      }
	  
	  #piechart-container {
	  	margin-left: 0%;
		width: 97%;
	  }
      #map {
        width: 100%;
        height: 50px;
      }

    </style>
	
	<script type='text/javascript' src='https://code.jquery.com/jquery-1.8.3.min.js'></script>  
	<script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false&libraries=places"></script>
    <script type="text/javascript" src="https://google-maps-utility-library-v3.googlecode.com/svn/trunk/markerclusterer/src/data.json"></script>
    <script type="text/javascript" src="https://google-maps-utility-library-v3.googlecode.com/svn/trunk/markerclusterer/src/markerclusterer.js"></script>
	<script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type="text/javascript">
	

// This example adds a search box to a map, using the
// Google Places autocomplete feature. People can enter geographical searches.
// The search box will return a pick list containing
// a mix of places and predicted search terms.
var geocoder;
var map;
var markers = [];
var data = [];

function initialize() {
    

    
	$.ajax({
		url:'<?php echo JURI::root(true);?>/administrator/index.php?option=com_ejoshop&view=ejoshopanalytics',
		dataType: 'json',
		data:{'getlang':1},
		type: 'POST',
		success: function(data){
			
			map = new google.maps.Map(document.getElementById('map'), {
				  zoom: 2,
				  center: new google.maps.LatLng(39.91, 116.38),
				  mapTypeId: google.maps.MapTypeId.ROADMAP
			});
			
			//geocoder = new google.maps.Geocoder();

			
			if (markerClusterer) {
				  markerClusterer.clearMarkers();
			}

			var markerClusterer = new MarkerClusterer(map);
			$('.ajaxloader').hide();
			$('#map').height('500px');
			$('#map').fadeIn();
				
		for(i = 0; i < data.length; i++) {
			
				var dataPhoto = data[i];
					//var latLng = new google.maps.LatLng(58.0024602,56.2468188);
					var latLng = new google.maps.LatLng(dataPhoto[0],dataPhoto[1]);
				
										   
				   
					var marker = new google.maps.Marker({
					  
					  zIndex: 2,
					  position: latLng
				  });
				   markers.push(marker);
				   
				
				markerClusterer.addMarker(marker);
			
			
			}

		
		},
		beforeSend:function(){
		
				$('#map-container .ajaxloader').show();
			
			
		}
	});	

	

}
	  
	function codeAddress(address) {

	  var shape = {
		  coord: [1, 1, 1, 20, 18, 20, 18 , 1],
		  type: 'poly'
	  };


	}

      google.maps.event.addDomListener(window, 'load', initialize);
    </script>
	
	<div style="width:100%;">
		
	<fieldset class="adminform">
			<legend><?php echo JText::_('COM_EJOSHOP_BUYERS'); ?></legend>
    <div id="map-container">
		<div class="ajaxloader"></div>
		<div id="map"></div>
	</div>

    <div id="console"></div>
	

	<?php
	
	$jsarr = "
	var data = google.visualization.arrayToDataTable([";
	

		$jsarrin = "
			    ['".JText::_('COM_EJ_MONEY_SYSTEM')."', '".JText::_('COM_EJ_TOTAL')."'],";
		
		foreach($this->moneysysstat as $stat) {
		
			if($stat->moneysystem == 'anet') $stat->moneysystem = 'Authorize.net';
			if($stat->moneysystem == 'paypal') $stat->moneysystem = 'PayPal.com';
			if($stat->moneysystem == 'yandexmoney') $stat->moneysystem = 'Yandex.ru';
			if($stat->moneysystem == 'webmoney') $stat->moneysystem = 'Webmoney.ru';
			
			$jsarrin .= "
			    ['".$stat->moneysystem."', ".$stat->totalpayments."],";
		}
		$jsarr .= substr($jsarrin,0,-1);
		
		$jsarr .= "]);";

		
			$jsarr2 = "
	var data = google.visualization.arrayToDataTable([";
	

		$jsarrin2 = "
			    ['".JText::_('COM_EJ_MONEY_SYSTEM')."', '".JText::_('COM_EJ_TOTAL')."'],";
		if($this->peoplesStat) {
			foreach($this->peoplesStat as $stat) {
		
					
				$jsarrin2 .= "
					['".$stat->country."', ".$stat->totalcountry."],";
			}
		}
		$jsarr2.= substr($jsarrin2,0,-1);
		
		$jsarr2 .= "]);";


	?>
	
    <script type="text/javascript">
      google.load("visualization", "1", {packages:["corechart"]});
      google.setOnLoadCallback(drawChart);
      function drawChart() {


        var options = {
          title: '<?php echo JText::_('COM_EJ_STATISTICS_OF_PAYSYS'); ?>'
        };
		
	<?php echo $jsarr;?>
		
        var chart = new google.visualization.PieChart(document.getElementById('piechart'));
        chart.draw(data, options);
      }
	  
	  
	
      google.setOnLoadCallback(drawChart2);
      function drawChart2() {
		<?php echo $jsarr2;?>
		
      var options = {
        pieSliceText: 'label',
        title: '<?php echo JText::_('COM_EJ_STATISTICS_OF_PEOPLELOCATION_STAT'); ?>',
        pieStartAngle: 100,
      };

        var chart2 = new google.visualization.PieChart(document.getElementById('piechart2'));
        chart2.draw(data, options);
      }

    </script>
	</fieldset>

</div>	

<div style="clear:both;"></div>
	<div style="width:98%;margin-left:1%;">
		<div style="width:50%;float:left;">
			<fieldset class="adminform">
				<legend><?php echo JText::_('COM_EJ_STATISTICS_OF_PAYSYS'); ?></legend>
				<div id="piechart-container">
					<div id="piechart" style="width: 90%; height: 400px;"></div>
				</div>
		</fieldset>	
		</div>	
	
	<div style="width:50%;float:left;">
		<fieldset class="adminform">
			<legend><?php echo JText::_('COM_EJ_STATISTICS_OF_PEOPLELOCATION_STAT'); ?></legend>
				<div id="piechart-container">
					<div id="piechart2" style="width: 90%; height: 400px;"></div>
				</div>			
		</fieldset>	
	</div>	
</div>	