<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die();
jimport( 'joomla.application.component.view' );
ejoshopimport( 'ejoshop.geolocation.geolocation' );

class EjoshopViewEjoshopAnalytics extends EjoshopView
{
	function display($tpl = null) {
		EjoshopHelper::load_menu();
		$document = JFactory::getDocument();
		$document->addStyleSheet(JURI::root(true).'/media/com_ejoshop/assets/ejoshop.css');
		JToolBarHelper::title(   JText::_( 'COM_EJ_ANALYTICS' ), 'ejoshopanalytics' );
        JToolBarHelper::preferences('com_ejoshop', '460');

		$this->people = $this->get('People');
		$this->moneysysstat = $this->get('Moneysysstat');
		$this->peoplesStat = $this->get('PeoplesStat');
	
		
		parent::display($tpl);
	}
}
?>
