<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access');
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');


?>
<div id="ejoshop">
<form action="<?php JRoute::_('index.php?option=com_ejoshop'); ?>" method="post" name="adminForm" id="adminForm">
		<div class="clearfix">
		
		<div class="js-stools-container-bar">
			<div class="btn-wrapper input-append">
				<input type="text" placeholder="<?php echo JText::_('JSEARCH_FILTER_LABEL'); ?>" value="" id="filter_search" name="filter[search]">			
				<button title="" class="btn hasTooltip" type="submit" data-original-title="<?php echo JText::_('JSEARCH_FILTER_LABEL'); ?>">
					<i class="icon-search"></i>
				</button>
			</div>
			<div class="btn-wrapper">
				<button type="submit" class="btn"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
				<button type="button" class="btn" onclick="document.id('filter_search').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
			</div>
		</div>
		</div>
<div id="editcell">
     <table id="articleList" class="table table-striped">
    <thead>
        <tr>
            <th width="5">
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_ID', 'c.id', $listDirn, $listOrder ); ?>

            </th>


            <th width="20">
             <?php echo JHtml::_('grid.checkall'); ?>
            </th>
			<th width="200">
				<?php echo JHTML::_('grid.sort',  'COM_EJM_CURRENCY_NAME', 'c.currency_name', $listDirn, $listOrder ); ?>
            </th>
            <th>
                <?php echo JHTML::_('grid.sort',  'COM_EJM_CURRENCY_CODE', 'c.currency_code', $listDirn, $listOrder ); ?>
            </th>
			<th>
                <?php echo JText::_( 'COM_EJM_CURRENCY_IMG' ); ?>
            </th>

			<th width="5%" nowrap="nowrap"><?php echo JHTML::_('grid.sort',  'COM_EJ_PUBLISHED', 'c.state', $listDirn, $listOrder ); ?>
            </th>
        </tr>            
    </thead>
    <?php
    $k = 0;
    for ($i=0, $n=count( $this->currency ); $i < $n; $i++)
    {
        $row = $this->currency[$i];
        $checked    = JHTML::_( 'grid.id', $i, $row->id );
        ?>
        <tr class="<?php echo "row$k"; ?>">
		    <td>
                <?php echo $row->id; ?>
            </td>
            <td>
              <?php echo $checked; ?>
            </td>
			<td style="text-align:center;">
               <?php echo '('.$row->currency_country.') '.$row->currency_name; ?>
            </td>
            <td style="text-align:center;">
                <?php echo $row->currency_code; ?>
            </td>
			<td style="text-align:center;">
                <?php
				
				if(is_file(JPATH_ROOT.'/media/com_ejoshop/assets/images/curimg/'.$row->currency_img)) {
				
					echo '<img src="'.JURI::root(true).'/media/com_ejoshop/assets/images/curimg/'.$row->currency_img.'" alt="'.$row->currency_name.'">';
				} 
				
				?>
            </td>

            </td>
	  		<td class="center">
			<?
			echo JHtml::_('jgrid.published', $row->state, $i, 'ejoshopcurrency.', true, 'cb');
			?>
			</td>
        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
<tr>
	<td colspan="15"><?php echo $this->pager->getListFooter(); ?></td>
</tr>
    </table>

</div>
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="filter_order" value="<?php echo $listDirn; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listOrder; ?>" />
<?php echo JHtml::_('form.token'); ?>
		
<?php echo JHtml::_('form.token'); ?>
</form>
</div>