<?php
/**
 * @package		Joomla.Administrator
 * @subpackage	com_ejoshop
 * @copyright	Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;


// Load the tooltip behavior.
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');

$id = (empty($this->item[0]['id'])) ? 0 : $this->item[0]['id'];

$document = JFactory::getDocument();
$script = '

		$j = jQuery.noConflict();
		var uploader;


		$j(function(){
		$j("#edit-fields-add-new-field-type").change(function(){
			var v = $j(this).val();
			if(v == "list_text") {
				$j("#edit-fields-add-new-field-widget-type").replaceWith(\'<select name="fields[_add_new_field][widget_type]" id="edit-fields-add-new-field-widget-type" class="widget-type-select form-select"><option value="options_buttons">'.JText::_('COM_EJ_CHECK_BOXES').'</option><option value="options_select">'.JText::_('COM_EJ_SELECT_LIST').'</option></select>\');
			}
		});

		});
		
	';
		
	$document->addScriptDeclaration($script);

?>
<div id="ejoshop">
<form action="<?php echo JRoute::_('index.php?option=com_ejoshop&extension='.JRequest::getCmd('extension', 'com_ejoshop').'&layout=edit&id='.(int)$this->item[0]['id']); ?>" method="post" name="adminForm" id="adminForm" class="form-validate" autocomplete="off">
	<div class="span6">
	
		<fieldset class="form-vertical">
			<legend><?php echo JText::_('COM_EJOSHOP_FIELD_DETAILS');?></legend>
			<ul class="adminformlist">


				<li><?php echo $this->form->getLabel('type'); ?>
				<?php echo $this->form->getInput('type'); ?></li>
				
				<li><?php echo $this->form->getLabel('widget'); ?>
				<?php echo $this->form->getInput('widget'); ?></li>

				<li><?php echo $this->form->getLabel('field_name'); ?>
				<?php echo $this->form->getInput('field_name'); ?></li>
				<div class="clr"></div>
				<li><?php echo $this->form->getLabel('label_field_name'); ?>
				<?php echo $this->form->getInput('label_field_name'); ?></li>
				
				<div class="clr"></div>
				<?php if($this->list_item) :?>
				<li>
					<?php echo $this->form->getLabel('allowedvalues'); ?>
					<div class="clr"></div>
					<?php echo $this->form->getInput('allowedvalues'); ?>
					
					<div class="clr"></div>
					<?php echo JText::_('COM_EJOSHOP_LIST_TEXT_EX_HOW_TO');?>	
					
				</li>
				
								
				<?php endif ;?>

				
				<?php if(!empty($this->item[0]['#html'])) :?>
				<li>
					<label><?php echo JText::_('COM_EJOSHOP_DATA_EX');?></label>
					<div class="clr"></div>
					<?php echo $this->item[0]['#html']; ?>
				</li>
				<?php endif ;?>


			</ul>

		</fieldset>
	</div>

	<div class="span5">

		<?php echo JHtml::_('sliders.start', 'categories-sliders-'.$this->item->id, array('useCookie'=>1)); ?>
		
			<div class="clr"></div>




	<?php echo JHtml::_('sliders.end'); ?>
	</div>
	<div class="clr"></div>


	
	<div>

		<input type="hidden" name="task" value="" />
		<input type="hidden" name="id" value="<?php echo $id;?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
</div>