<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');

/**
* Foobar View
*/
class EjoshopViewEjoshopField extends EjoshopView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
	
		EjoshopHelper::load_menu();
		$document = JFactory::getDocument();
			
		$this->form = $this->get('Form');
		$user		= JFactory::getUser();
		$userId		= $user->get('id');
		$layout = JRequest::getVar('layout');
		$document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js');
		if($layout != 'addfield') {
			$this->item = $this->get('Field');
			
			$model = $this->getModel();
			$this->data = $model->getFieldssettings($this->item);

			$this->widget = $this->data['settings']['widget'];
			$fieldsClass = new EjoshopFields();	
			$this->item[0]['widget'] = $this->widget['type'];
			$this->item[0]['widgettext'] = $fieldsClass->getWidgetName($this->widget['type']);

			$this->item[0]['label_field_name'] = $this->data['settings']['label'];
			$this->item[0]['allowedvalues'] = $this->item[0]['allowedvaluesstring'];


		


			if(strpos($this->item[0]['type'],'list_') === FALSE ) {
				$this->list_item = FALSE;
			} else {
				$this->list_item = TRUE;
			}
		
		
			$this->form->bind($this->item[0]);
		}
			// add the CSS to the document
		$doc =JFactory::getDocument();
		$this->state = $this->get('State');

		//$data['layout'] = JRequest::getVar('layout');

		// interrogate the model
	

		$this->addToolbar();
		
		$this->pager = $this->get('Reviews');
	

		
		parent::display($tpl);
	}
	
/**
	 * Add the page title and toolbar.
	 *
	 * @since	1.6
	 */
	protected function addToolbar()
	{
		// Initialise variables.

		$user		= JFactory::getUser();
		$userId		= $user->get('id');
		$layout = JRequest::getVar('layout');	
		$isNew		= ($this->item->id == 0);

		// Avoid nonsense situation.
		if ($extension == 'com_sales') {
			return;
		}

		JHtml::stylesheet( 'media/com_ejoshop/assets/ejoshop.css' );
	

		// Load the category helper.
		require_once JPATH_COMPONENT.'/helpers/ejoshop.php';

		$title = JText::sprintf( 'COM_EJOSHOP_FIELDS');


		// Prepare the toolbar.
		JToolBarHelper::title($title);

		// For new records, check the create permission.
		JToolBarHelper::apply('ejoshopfield.apply');
		if($layout == 'edit') {
			JToolBarHelper::save('ejoshopfield.save');
		}
		
		JToolBarHelper::cancel('ejoshopfield.cancel', 'JTOOLBAR_CLOSE');

		JToolBarHelper::divider();

	
	}	
}

?>
