<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');
ejoshopimport('ejoshop.render.renderinfo');

/**
* Foobar View
*/
class EjoshopViewEjoshopinfo extends EjoshopView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		EjoshopHelper::load_menu();
		$doc = JFactory::getDocument();
		$doc->addStylesheet( JURI::root(true).'/media/com_ejoshop/assets/ejoshop.css' );
				
		$this->galleries = $this->get('Galleries');


		$this->state = $this->get('State');
		$this->task = JRequest::getVar('task');

		$data['layout'] = JRequest::getVar('layout');
		
		JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_UPDATES' ), 'ejoshopdoc' );
		$this->currentversion = EjoshopRenderInfo::getEjoshopVersion();
		$this->lastversion = EjoshopRenderInfo::getEjoshopLastVersion();
		JToolBarHelper::preferences('com_ejoshop', '460');
		
		$this->setLayout( 'updates' );
		
		
		parent::display($tpl);
	}
}

?>
