<?php
/**
 * @package		Joomla.Administrator
 * @subpackage	Ejoshop
 * @copyright	Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

// Include the component HTML helpers.
JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');

// Load the tooltip behavior.
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
?>
<script type='text/javascript' src='http://code.jquery.com/jquery-1.8.3.min.js'></script>  
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{

		
		if (task == 'ejoshoptax.cancel' || document.formvalidator.isValid(document.id('item-form'))) {
			<?php echo $this->form->getField('intro')->save(); ?>
			Joomla.submitform(task, document.getElementById('item-form'));
		} 
		else if(task == 'ejoshopmenu.deleteitem') {
			alert('<?php echo $this->escape(JText::_('555555'));?>');
		}else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	} 
	
	$(function(){
		$('*[name="jform[mlid]"],*[name="jform[mlidch]"]').change(function(){
			el = $(this);
			if(!$(this).parent().hasClass('changedata')) {
				$('*[name="task"]').val('ejoshopmenu.deleteitem');
			} else {
				t = $( "*[name='jform[mlidch]'] option:selected" ).text();
				val = $( "*[name='jform[mlidch]'] option:selected" ).val();
				var regexp = /\s\-|\-\s/g;
				t = t.replace(regexp,'');
				el.closest('ul').find('.name input').val(t);
				$.getJSON(
				'index.php?option=com_ejoshop&view=ejoshopmenu',{'mlid':val,'task':'ejoshopmenu.ajaxmenulink'},
					function(data){
						
						$( '*[name="view"]' ).val(data.linkdata.link_view);
						$( "#jform_task" ).val(data.linkdata.link_task);
						$( 'li.weight input[name="jform[weight]"]' ).val(data.linkdata.link_weight);
					}
				);
			}
		});
		
		$('#updateml').click(function(e){
			e.preventDefault();
			el = $(this);
			var sel = $( "*[name='jform[mlidch]'] option:selected" );
			if(!sel) return;
			var link_task = $( "#jform_task" ).val();
			var link_view = $( '*[name="view"]' ).val();
			var link_title = $( 'li.name input[name="jform[name]"]' ).val();
			var link_weight = $( 'li.weight input[name="jform[weight]"]' ).val();
			tval = sel.val();
			t = sel.text();
			var regexp = /\s\-|\-\s/g;
			t = t.replace(regexp,'');
			el.next('span').remove();
			el.after('<span>Подождите...</span>');
				
			$.ajax({
				url:'index.php?option=com_ejoshop&view=ejoshopmenu',
				dataType:'json',
				data:{task:'ejoshopmenu.ajax','mlid':tval,'link_title':link_title,'link_task':link_task,'link_view':link_view,'link_weight':link_weight},
				type:'POST',
				beoreSend:function(){
					
				},
				success:function(data){
					el.next('span').remove();
					//location.href = location.href;
				},
				error:function(data){
					
					el.next('span').text('Error');
				},
			})
		});
	});
</script>

<?php
$catid = (empty($this->item->catid)) ? 0 : $this->item->catid;
$id = (empty($this->item->id)) ? 0 : $this->item->id;



?>
<form action="<?php echo JRoute::_('index.php?option=com_ejoshop&extension='.JRequest::getCmd('extension', 'com_ejoshop').'&layout=edit'); ?>" method="post" name="adminForm" id="item-form" class="form-validate">
	<div class="width-60 fltlft">
		<fieldset class="adminform">
			<legend><?php echo JText::_('COM_EJOSHOP_MENU_DETAILS');?></legend>
			<ul class="adminformlist">
				<li><?php echo $this->form->getLabel('title'); ?>
				<?php echo $this->form->getInput('title'); ?></li>

				<li><?php echo $this->form->getLabel('plid'); ?>
				<?php echo $this->form->getInput('plid'); ?></li>

				<li><?php echo $this->form->getLabel('link_path'); ?>
				<?php echo $this->form->getInput('link_path'); ?></li>

				<li><?php echo $this->form->getLabel('router_path'); ?>
				<?php echo $this->form->getInput('router_path'); ?></li>

				<li><?php echo $this->form->getLabel('id'); ?>
				<?php echo $this->form->getInput('id'); ?></li>
				
			</ul>
			<div class="clr"></div>
			<?php echo $this->form->getLabel('intro'); ?>
			<div class="clr"></div>
			<?php echo $this->form->getInput('intro'); ?>
		</fieldset>
	</div>
	

	<div class="width-40 fltrt">

		<?php echo JHtml::_('sliders.start', 'categories-sliders-1', array('useCookie'=>1)); ?>
			<?php echo $this->loadTemplate('options'); ?>
			<div class="clr"></div>




	<?php echo JHtml::_('sliders.end'); ?>
	</div>
	<div class="clr"></div>


	
	<div>
		<input type="hidden" name="option" value="com_ejoshop" />
		<input type="hidden" name="controller" value="ejoshopmenu" />
		<input type="hidden" name="task" value="" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
