<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access');
JHtml::_('behavior.tooltip');

$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');


 ?>
<form action="<?php JRoute::_('index.php?option=com_ejoshop'); ?>" method="post" name="adminForm" id="adminForm">
	<fieldset id="filter-bar">
		<div class="filter-search fltlft">
			<label class="filter-search-lbl" for="filter_search"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>
			<input type="text" name="filter_search" id="filter_search" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="<?php echo JText::_('COM_EGALLERY_SEARCH_IN_TITLE'); ?>" />
			<button type="submit"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
			<button type="button" onclick="document.id('filter_search').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
		</div>
	</fieldset>
<div id="editcell">
    <table class="adminlist">
    <thead>
        <tr>
            <th width="5">
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_ID', 'c.id', $listDirn, $listOrder ); ?>

            </th>


            <th width="20">
              <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
            </th>
			<th width="200">
				<?php echo JHTML::_('grid.sort',  'COM_EJM_TAXES_NAME', 'c.name', $listDirn, $listOrder ); ?>
            </th>
			<th width="200">
				<?php echo JHTML::_('grid.sort',  'COM_EJM_TAXES_PERC', 'c.name', $listDirn, $listOrder ); ?>
            </th>
            <th>
                <?php echo JHTML::_('grid.sort',  'COM_EJM_TAXES_INTRO', 'c.intro', $listDirn, $listOrder ); ?>
            </th>
			<th>
                <?php echo JText::_( 'COM_EJM_CATEGORY' ); ?>
            </th>

			<th width="5%" nowrap="nowrap"><?php echo JHTML::_('grid.sort',  'COM_EJ_PUBLISHED', 'c.state', $listDirn, $listOrder ); ?>
            </th>
        </tr>            
    </thead>
    <?php
    $k = 0;
    for ($i=0, $n=count( $this->items ); $i < $n; $i++)
    {
        $row = $this->items[$i];
        $checked    = JHTML::_( 'grid.id', $i, $row->id );
		$link = 'index.php?option=com_ejoshop&task=ejoshoptax.edit&id='.$row->id.''
        ?>
        <tr class="<?php echo "row$k"; ?>">
		    <td>
                <?php echo $row->id; ?>
            </td>
            <td>
              <?php echo $checked; ?>
            </td>
			<td style="text-align:center;">
               <a href="<?php echo $link; ?>"><?php echo $row->name ?></a> 
            </td>
			<td style="text-align:center;">
               <a href="<?php echo $link; ?>"><?php echo $row->perc ?> %</a> 
            </td>
            <td style="text-align:center;">
              <?php echo $row->intro; ?>
            </td>

            </td>
	  		<td class="center">
				<?php echo $row->category_name . ' (' .$row->catid .') '; ?>
			</td>
	  		<td class="center">
			<?
			echo JHtml::_('jgrid.published', $row->state, $i, 'ejoshoptaxes.', true, 'cb');
			?>
			</td>

        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
<tr>
	<td colspan="15"><?php echo $this->pager->getListFooter(); ?></td>
</tr>
    </table>

</div>
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
        <input type="hidden" name="filter_order" value="<?php echo $listDirn; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listOrder; ?>" />
<?php echo JHtml::_('form.token'); ?>
		
<?php echo JHtml::_('form.token'); ?>
</form>

