<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access'); ?>

<?php 
$document = JFactory::getDocument();
JHtml::_('behavior.tooltip');
$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');

?>

<div id="ejoshop">	
<form action="<?php JRoute::_('index.php?option=com_ejoshop'); ?>" method="post" id="adminForm" name="adminForm">

<div id="editcell">
    <table id="articleList" class="table table-striped">
    <thead>
        <tr>
            <th width="20">
             <?php echo JHtml::_('grid.checkall'); ?>
            </th>
            <th width="5">
              
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_PAYID', 'payd.payid', $listDirn, $listOrder ); ?>
            </th>


			<th width="200">
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_MONEY_SYSTEM', 'payd.moneysystem', $listDirn, $listOrder ); ?>
            </th>
			<th>
					<?php echo JText::_('COM_EJOSHOP_MONEY_AMOUNT'); ?>
            </th>
			<th>
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_MONEY_TIME_PAYD', 'payd.created', $listDirn, $listOrder ); ?>
            </th>
    		<th>
			
            </th>
        </tr>            
    </thead>
    <?php
    $k = 0;
    for ($i=0, $n=count( $this->payds ); $i < $n; $i++)
    {
        $row = $this->payds[$i];
        $checked    = JHTML::_( 'grid.id', $i, $row->payid );
		$link = JRoute::_( 'index.php?option=com_ejoshop&view=ejoshoppayd&layout=edit&payid='. $row->payid );
		
        ?>
        <tr class="<?php echo "row$k"; ?>">
            <td>
              <?php echo $checked; ?>
            </td>
		    <td style="text-align:center;">
                <?php echo $row->payid; ?>
            </td>


	
            <td style="text-align:center;">
                <a href="<?php echo $link; ?>"><?php echo $row->moneysystem; ?></a>
            </td>
            <td style="text-align:center;">
                <?php echo $row->amount . ' '. $row->cur; ?>
            </td>
			<td style="text-align:center;">
			<?php
				echo JHTML::_('date', $row->created, 'Y:m:d h:m:s');
	  		?>
            </td>
			<td style="text-align:center;width:50px;">
			    <a href="<?php echo $link; ?>"><img title="<?php  print JText::_('COM_EJOSHOP_SHOW_DETAILS'); ?>" src="<?php print JURI::root(false)."media/com_ejoshop/assets/images/edititem.png";?>" /></a>
			</td>
        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
<tr>
	<td colspan="14"><?php echo $this->paypager->getListFooter(); ?></td>
</tr>
    </table>

</div>
 
<input type="hidden" name="option" value="com_ejoshop" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="ejoshoppayments" />
        <input type="hidden" name="filter_order" value="<?php echo $listDirn; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listOrder; ?>" />
<?php echo JHtml::_('form.token'); ?>
</form>
</div>