<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
 
defined('_JEXEC') or die('Restricted access'); 
JHtml::_('behavior.formvalidation');


$document = JFactory::getDocument();
JHtml::_('behavior.tooltip');
$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
$document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js');
$document->addStyleSheet(JURI::root(true).'/media/com_ejoshop/colorbox/colorbox.css');
$document->addScript(JURI::root(true).'/media/com_ejoshop/colorbox/jquery.colorbox-min.js');
$document->addScript(JURI::root(true) . '/media/com_ejoshop/assets/js/jquery-ui-1.8.21.custom.min.js');
?>

<form action="index.php" method="post" name="adminForm" id="adminForm">
  <div class="span12">

  <fieldset class="adminform">
  <legend>
  <?php 
	echo JText::_( 'COM_EJOSHOP_PAYMENT_DETAILS' );
   ?>
  </legend>
  

  	<script type="text/javascript">
		$(function(){
			$('a[rel="colorbox"]').colorbox();
		});
	</script>


<div id="editcell">
    <table id="articleList" class="table table-striped">
    <thead>
        <tr>


            </th>
			<th width="200">
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_NAME_FILE', 'photos.name', $listDirn, $listOrder ); ?>
            </th>
			<th width="200">
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_ITEMNAME', 'photos.itemname', $listDirn, $listOrder ); ?>
            </th>
            <th>
                <?php echo JText::_( 'COM_EJOSHOP_DESCRIPTIONOFTAG' ); ?>
            </th>
			<th width="5%" nowrap="nowrap"><?php echo JHTML::_('grid.sort',  'COM_PHOCAGALLERY_PUBLISHED', 'photos.state', $listDirn, $listOrder ); ?>

            <th>
			<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_IN_CATEGORY', 'photos.catid', $listDirn, $listOrder ); ?>              
			
            </th>			
			<th>
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_HITS', 'photos.hits', $listDirn, $listOrder ); ?>
            </th>
			<th>
                <?php echo JText::_( 'COM_EJOSHOP_YMCODE' ); ?>
            </th>
			<th>
				<?php echo JHTML::_('grid.sort',  'COM_PHOTO_TIME', 'photos.checked_out_time', $listDirn, $listOrder ); ?>
            </th>
            </th>
			<th>
				  <?php echo JText::_( 'COM_EJOSHOP_PRICE' ); ?>
            </th>
			<th>
		
            </th>
            <th width="5">
              
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_ID', 'photos.id', $listDirn, $listOrder ); ?>
            </th>
        </tr>            
    </thead>
    <?php
    $k = 0;
    for ($i=0, $n=count( $this->payds ); $i < $n; $i++)
    {
        $row = $this->payds[$i];
        $checked    = JHTML::_( 'grid.id', $i, $row->id );
		$link = JRoute::_( 'index.php?option=com_ejoshop&view=ejoshopphoto&layout=photoedit&id='. $row->id );
		
        ?>
        <tr class="<?php echo "row$k"; ?>">


			<td style="text-align:center;">
               <?php
			    $path = JURI::root(false).$row->uri;
			   	$path_parts = pathinfo($path.$row->filename);
	
				if(!is_file(JPATH_ROOT.$row->uri.$row->filename)) {
					print '<a rel="colorbox" href="'.$link.'">
							<img src="'.JURI::root(false).'media/com_ejoshop/files/noimg.png">
						</a>';
				} else {
					
					$newfileimgsrc = $path.'_s.';

					$thumb = $path.$path_parts['filename'].'_s.'.$path_parts['extension'];
					$imgsrc = $path.$row->filename;

					if(is_file($_SERVER['DOCUMENT_ROOT'].JURI::root(true).$row->uri.$path_parts['filename'].'_s.'.$path_parts['extension'])) {
						print '<a rel="colorbox" href="'.$imgsrc.'"><img src="'.$thumb.'"></a>';
					} else {
						if(is_file(JPATH_ROOT.$row->uri.$row->filename)) {
							print '<a rel="colorbox" href="'.$path.$row->filename.'"><img src="'.JURI::root(false).$row->uri.$row->filename.'"></a>';
						} else {
							print '<a rel="colorbox" href="'.$link.'">
								<img src="'.JURI::root(false).'media/com_ejoshop/files/noimg.png">
							</a>';
						}
					}
				}
			   ?>

            </td>
            <td>
                <a href="<?php echo $link; ?>"><?php echo $row->name; ?></a>
            </td>
            <td>
                <a href="<?php echo $link; ?>"><?php echo JHTML::_('string.truncate', ($row->intro), 30); ?></a>
            </td>

	  		<td class="center">
			<?
			echo JHtml::_('jgrid.published', $row->state, $i, 'ejoshopphotos.', true, 'cb');
			?>
			</td>
            <td>
                <a href="<?php echo $link; ?>"><?php echo $row->category_name; ?></a>
            </td>
			<td style="text-align:center;">
                <?php echo $row->hits; ?>
            </td>
			<td style="text-align:center;">
                <?php
					echo '{ejitem_id='.$row->id.'}';
				
				?>
            </td>

			<td style="text-align:center;">

			<?php
			
				echo JHTML::_('date', $row->created, 'Y:m:d h:m:s');
			
			?>
            </td>
			<td style="text-align:center;">
                <?php
					echo $row->price. ' ' .$row->currencyl;
				
				?>
            </td>
			<td>
			    <a href="<?php echo $link; ?>"><img title="<?php  print JText::_('COM_EJOSHOP_ORDER_EDIT'); ?>" src="<?php print JURI::root(false)."media/com_ejoshop/assets/images/edititem-s.png";?>" /></a>
			</td>
		    <td>
                <?php echo $row->id; ?>
            </td>
        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
<tr>
	<td colspan="15"></td>
</tr>
    </table>

</div>


  </fieldset>

</div>
   </div>


  <input type="hidden" name="option" value="com_ejoshop" />
  <input type="hidden" name="id" value="<?php echo $this->payments->id; ?>" />
  <input type="hidden" name="task" value="paymentsedit" />
  <input type="hidden" name="controller" value="ejoshoppayments" />
</form>