<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');

/**
* Ejoshop View
*/
class EjoshopViewEjoshopPayd extends EjoshopView
{
	
	/**
	 * Hellos view display method
	 * @return void
	 **/
	 
	function display($tpl = null)
	{

		EjoshopHelper::load_menu();
		JHTML::stylesheet( 'media/com_ejoshop/assets/themes/base/jquery.ui.all.css' );
		JHtml::stylesheet( 'media/com_ejoshop/assets/ejoshop.css' );
		// add the CSS to the document
		$doc =JFactory::getDocument();


		$this->state = $this->get('State');
		$this->form = $this->get('MyForm');
		$canDo = EjoshopHelper::getProductsActions();	
		$data['layout'] = JRequest::getVar('layout');
		$this->payid = JRequest::getVar('payid');
		
		/* MAIN IN TPL */
		$this->payds = $this->get('Payds');
		if($data['layout'] == 'edit') {
			$app = JFactory::getApplication(); 
			$type	= JRequest::getVar( 'type', '');
			$html = ($type == 'ajax') ? 'row' : 'html';
			$view = new JControllerLegacy();
			$product_view = $view->getView('EjoshopPhotos',$html,'EjoshopView');
			$this->params = JComponentHelper::getParams( 'com_ejoshop' );
			$this->payds = $product_view->processItems($this->payds,0,$this->params);
		}
		if($data['layout'] == 'edit') {
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_PAYD_ITEMS' ));
			//JToolBarHelper::save('ejoshoppayments.photoedit', 'COM_EJOSHOP_SAVE');
			//JToolBarHelper::apply('ejoshoppayments.photoapply', 'COM_EJOSHOP_SAVE');

			JToolBarHelper::cancel( 'ejoshoppayd.cancel', 'Close' );
			
		}
		else {
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_ALL_PAYD' ), 'ejoshoppayments' );
			if($canDo->get('core.delete')) {
				JToolBarHelper::deleteList(JText::_( 'COM_EJOSHOP_DELETE_CONFIRM' ),'ejoshoppayd.remove');
			}
			//JToolBarHelper::addNew('ejoshoppayments.add');
			
			
			//JToolBarHelper::deleteList(JText::_( 'COM_EJOSHOP_DELETE_CONFIRM' ),'ejoshoppayments.remove');
		}
		// interrogate the model
	

		
		$this->paypager = $this->get('Paypager');

	
	
		parent::display($tpl);
	}
}

?>
