<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access'); 


// Include the component HTML helpers.




$document = JFactory::getDocument();

$user		= JFactory::getUser();
$userId		= $user->get('id');


	$document->addStyleSheet(JURI::root(true).'/media/com_ejoshop/colorbox/colorbox.css');
	$document->addScript(JURI::root(true).'/media/com_ejoshop/colorbox/jquery.colorbox-min.js');
	
	$document->addScript(JURI::root(true).'/media/com_ejoshop/assets/uploader/client/fileuploader.js');
	$document->addStylesheet(JURI::root(true).'/media/com_ejoshop/assets/uploader/client/fileuploader.css');
	JHtml::_('jquery.ui', array('core', 'sortable'));

$this->photo = $this->photo[0];
$galid = (empty($this->photo->galid)) ? 0 : $this->photo->galid;
$catid = (empty($this->photo->catid)) ? 0 : $this->photo->catid;

$pid = $this->photo->id;

	$script = '
		$j = jQuery.noConflict();
		var uploader,uploader_op;


		$j(function(){
			$j(\'a[rel="colorbox"]\').colorbox();
			
			$j( ".sort" ).sortable({  items: ".ui-state-default", stop: function(event, ui) {
	

			// 
			 le = $j(this).find("li").length - 1;
			 $j.each($j(this).find("li"),function(i,e){
				++i;
				var text = "'.JText::_('COM_EJ_NAME_NOT_S_FIELD').' "+i;
				var textv = "'.JText::_('COM_EJ_NAME_NOT_S_FIELD').' "+i;
				$j(this).find(".key label:eq(0)").text(text);
				$j(this).find(".key label:eq(1)").text(textv);
			 
			 });
			 
			 
			 
			 },handle:\'.ui-icon\'});
				
		
			});
  
			
		/* main photo uploader */
	    function createUploader(type){     
	
			var url = "'.JURI::root(true).'/administrator/index.php?option=com_ejoshop&view=ajaxupload";
			var	b = document.getElementById(\'demo\');
            uploader = new qq.FileUploader({
                info:\''.JText::_('COM_EJOSHOP_UPLOAD_IMAGE').'\', seacustom:true,
                element: b,
                multiple: false,
                listElement: document.getElementById(\'separate-list\'),
                action: url,
				params:{catid:'.$catid.',galid:'.$galid.',pid:'.$pid.',type:type},
				description:false,
				allowedExtensions: ["jpeg","jpg","png","gif","bmp"],  
				categoryRequired: true,  
				onComplete: function(id, fileName, responseJSON){
				
					if($j(".fid-init").length > 0) {
						$j(".fid-init").remove();
						
					}
					
					$j(this.element).find("li").css("min-height","90px");
					if($j(this.element).find("li").length > 1) {
						$j(this.element).find("li:eq(0)").remove();
					}
				}
            });      
        }
		
		/* other photos uploader */
	    function createUploaderOP(type){  
			
			var url = "'.JURI::root(true).'/administrator/index.php?option=com_ejoshop&view=ajaxupload";
			var	b = document.getElementById(\'ophoto\');
			
			uploader_op = new qq.FileUploader({
                info:\''.JText::_('COM_EJOSHOP_UPLOAD_IMAGE').'\', seacustom:true,
                element: b,
                multiple: true,
                listElement: document.getElementById(\'separate-list\'),
                action: url,
				params:{catid:'.$catid.',galid:'.$galid.',pid:'.$pid.',type:type},
				description:false,
				allowedExtensions: ["jpeg","jpg","png","gif","bmp"],  
				categoryRequired: true,  
				onComplete: function(id, fileName, responseJSON){
					h  = 0;
					el = $j(this.element);
					$j(this.element).find("li img").load(function(){
						h = el.find("li img").height() + 20;
						el.find("li").css("min-height",h+"px");
					});
					$j(this.element).find("li").data("fid",responseJSON.fid);
					

				}
            });      
        }
		
		$j(function(){


			createUploader("main");
			createUploaderOP("otherphotos");

			/* other photo */
			
			$j(\'#item-form select[name="jform[imagestyle_op]"]\').change(function(){
				
				var imagestyle_op = $j(this).val();
				
				uploader_op.setParams({imagestyle:imagestyle_op});
				
			});
			
			/* thumb photo */
			
			var imagestyle = $j(\'#item-form select[name="jform[imagestyle]"] option:selected\').val();
			var imagestyle_op = $j(\'#item-form select[name="jform[imagestyle_op]"] option:selected\').val();
			var catid = $j(\'#item-form select[name="jform[catid]"] option:selected\').val();

			uploader.setParams({imagestyle:imagestyle,catid:catid});
			uploader_op.setParams({imagestyle:imagestyle_op,catid:catid});
		
			$j(\'#item-form select[name="jform[imagestyle]"]\').change(function(){
				var imagestyle = $j(this).val();
				uploader.setParams({imagestyle:imagestyle});
				
			});

			$j(\'#item-form select[name="jform[catid]"],#item-form select[name="gallery"]\').change(function(){
				var galid = $j(\'#item-form select[name="gallery"]\').val();
				var catid = $j(\'#item-form select[name="jform[catid]"]\').val();
				
				var form = document.adminForm;
				var catid = form.jform_catid.value
		
				uploader.setParams({catid:catid});
				uploader_op.setParams({catid:catid});
				
			});
			
			$j(\'.introlabel\').live(\'click\',function(){
				rel = $j(this).attr(\'rel\');
				$j(\'.intro[rel="\'+rel+\'"]\').fadeIn();
				$j(\'.saveintro[rel="\'+rel+\'"]\').fadeIn();
				
			});
			
			$j(\'#coords\').change(function(){
				mt = $j(this).val();
				$j(\'.image .modal\').attr(\'href\',\''.JURI::root(true).'/index.php?option=com_ejoshop&view=ejoshopmaps&tmpl=component&cid[]=71&map=\'+mt);
			});

			$j(\'.saveintro\').live(\'click\',function(e){
				e.preventDefault();
				var el = $j(this);
				var text = $j(this).prev().val();
				pid = $j(this).attr(\'rel\');
				$j.ajax({
				url:\''.JURI::root(true).'/administrator/index.php?option=com_ejoshop&view=ajaxsavedescription\',
				data:{description:text,pid:pid},
				type:\'POST\',
				success: function(data){
					if(data.success) {
						l = el.closest(\'.qq-upload-success\').find(\'.successintro\').length;
						if(l == 0) {
							el.after(\'<span class="successintro">Описание добавлено!</div>\');
						}
						el.closest(\'.qq-upload-success\').find(\'.successintro\').fadeIn();
						setTimeout("$j(\'.successintro\').fadeOut()",2000);
					}
				},
				dataType:\'json\'
				});
			});
	
			$j(\'input[name="jform[price]"]\').bind({
				keydown: function(e) {
					
					if (e.shiftKey === true ) {
						if (e.which == 9) {
							return true;
						}
						return false;
					}
					if(e.which >= 96 /* KeyboardEvent.DOM_VK_NUMPAD0 */ && e.which <= 105) {
						return true;
					}
					if (e.which > 57 && e.which != 190 && e.which != 110 ) {
						return false;
					}
					if (e.which==32) {
						return false;
					}
					return true;
				}
			});

		});
		
		';
	$document->addScriptDeclaration($script);
	$this->form->bind($this->photo);
?>


<script type="text/javascript">
$j(function(){
	$j('.templatefolder .photo').click(function(){
		$j(this).siblings().removeClass('active');
		$j(this).addClass('active');
		var rel = $j(this).attr('rel');
		$j('input[name="tplonephoto"]').remove();
		$j(this).append('<input type="hidden" name="tplonephoto" value="'+rel+'">');
		
	});
});

Joomla.submitbutton = function(task)
{
	if (task == 'article.cancel' || document.formvalidator.isValid(document.id('item-form')))
	{
		
		Joomla.submitform(task, document.getElementById('item-form'));
	}
}
</script>
<div id="ejoshop">
<form action="index.php" method="post" name="adminForm" id="item-form" class="form-validate" autocomplete="off">	
<div class="form-horizontal">
		<?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'general')); ?>

		<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'general', JText::_('COM_EJOSHOP_EDITINFO', true)); ?>
		<div class="row-fluid">
			<div class="span9">
		
		<fieldset class="adminform">



		<div class="control-group">
				<div class="control-label">
					<?php echo  $this->form->getLabel('name'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('name'); ?>
				</div>
		</div>
		<div class="control-group">
				<div class="control-label">
					<?php echo  $this->form->getLabel('catid'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('catid'); ?>
				</div>
		</div>
		<div class="control-group">
				<div class="control-label">
					<?php echo  $this->form->getLabel('alias'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('alias'); ?>
				</div>
		</div>

		<div class="control-group">
				<div class="control-label">
					<?php echo  $this->form->getLabel('price'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('price'); ?>
				</div>
		</div>
        

		<div class="control-group">
				<div class="control-label">
					<?php echo  $this->form->getLabel('articul'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('articul'); ?>
				</div>
		</div>
        

		
			<?php 
			$this->myform->bind($this->photo);
			foreach($this->myform->getFieldset('ejoshop_price_info') as $field) {

			?>
				<div class="control-group">
						
						<?php if (!$field->hidden && $field->name != 'addtocartshow') :?>
						<div class="control-label">
							<?php echo  $field->label; ?>
						</div>
						<?php endif; ?>
						<?php if ($field->name == 'addtocartshow') :?>
							<?php echo  $field->label; ?>
						<?php endif; ?>
						<div class="controls">
							<?php echo $field->input; ?>
						</div>
				</div>

			<?php } ?>

		<div style="clear:both;"></div>
		

		
			<div class="upload-conteiner">
				
				<div class="control-group">
					<div class="control-label">
						<?php echo  $this->form->getLabel('imagestyle'); ?>
					</div>
					<div class="controls">
						<?php echo $this->form->getInput('imagestyle'); ?>
					</div>
				</div>
		
				<div class="control-label">
						<?php echo JText::_( 'COM_EJOSHOP_UPLOAD_PHOTO' ); ?>:
				</div>
			
									
				<div id="demo"></div>
				<input type="hidden" name="files" value="" />
				<div style="clear:both;"></div>

				   <?php
					
					$path = JURI::root(false).$this->photo->uri;
					$path_parts = pathinfo($path.$this->photo->filename);
					$ext = $path_parts['extension'];
					
					$newfileimgsrc = $path.'_s.'.$ext;

					$thumb = $path.$path_parts['filename'].'_s.'.$ext;
					$imgsrc = $path.$this->photo->filename;
					$editb = '<span rel="'.$this->photo->fid.'" class="b-payment-item__controls" style="top:19px;"><span rel="'.$this->photo->fid.'" class="b-payment-item__control-link b-payment-item__remove-link" data-hasqtip="true"><i class="b-icon b-icon_16 b-icon_16_remove2"></i></span></span>';
			
					if(is_file(JPATH_ROOT.DS.$this->photo->uri.$path_parts['filename'].'_s.'.$ext)) {
						print '<div class="controls-cont fid-init" style="position: relative; display: inline;"><a rel="colorbox" href="'.$imgsrc.'"><img src="'.$thumb.'"></a>'.$editb.'</div>';
					} else {
						print '<a rel="colorbox" href="'.JURI::root(false).'media/com_ejoshop/files/noimg.png"><img src="'.JURI::root(false).'media/com_ejoshop/files/noimg.png"></a>';
					}
					
				?>

				<div class="clr"></div>
			</div>
			<div class="clr"></div>
			<div class="control-group">
				<div class="control-label">
					<?php echo JText::_( 'COM_EJOSHOP_P_DESCRIPTION' ); ?>:
				</div>
				<div class="controls">

					<textarea name="intro"><?php print $this->photo->intro;	?></textarea>
				</div>
			</div>



		<div class="control-group">

		<?php 
			foreach($this->myform->getFieldset('photo_text') as $field) {
				
				if (!$field->hidden) {
					echo '' . $field->label .'';
				}
				echo '<div class="clr" style="clear:both;"></div>';
				echo '<div class="controls">' . $field->input . '</div>';
			} 
		?>
			
		</div>


	</fieldset>
</div>
<div class="span3">
	<?php if(!empty($this->photo->fields)) :?>
	
          <fieldset class="form-vertical">
          <legend><?php echo JText::_('COM_EJOSHOP_FIELDS'); ?></legend>


			<div class="control-group">
	
				<?php echo $this->photo->fields; ?>
				
			</div>
	
		</fieldset>
		
    <?php endif; ?>
		
    
       

		<fieldset class="form-vertical">
		   <legend><?php echo JText::_('COM_EJOSHOP_SEO'); ?></legend>
				<div class="control-group">
				<?php 
			
				foreach($this->myform->getFieldset('ejoshop_meta_photo') as $field) {
					
					if (!$field->hidden) {
						echo '<div class="control-label">';
						echo $field->label;
						echo '</div>';
					}

					echo '<div class="controls">' . $field->input . '</div>';
					
				} ?>

				</div>
		</fieldset>
		
		
</div>
</div>

<?php echo JHtml::_('bootstrap.endTab'); ?>


<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'template', JText::_('COM_EJOSHOP_PHOTO_TEMPLATE', true)); ?>
<div class="width-100">
		<fieldset class="adminform">

			<?php echo JText::_( 'COM_EJOSHOP_TPLONEPHOTO' ); ?>:
			
			<div class="templatefolder">
			<?php
			$photoa = !empty($this->photo->tplonephoto) ? $this->photo->tplonephoto : 'photo1';
			$alltpl = array('photo1','photo2','photo3','photo4','photo5','photo6');
			
			foreach($alltpl as $val) {
				if($photoa == $val) {
					print '<div class="photo '.$val.' active" rel="'.$val.'"></div>';
				} else {
					print '<div class="photo '.$val.'" rel="'.$val.'"></div>';
				}
				
			}
			?>
			</div>
			
			<?php echo $this->form->getLabel('opimagestyle'); ?>
			<?php echo $this->form->getInput('opimagestyle'); ?>

			<div class="clr" style="clear:both;"></div>	
		</fieldset>
			
		
</div>
<?php echo JHtml::_('bootstrap.endTab'); ?>


<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'markersettings', JText::_('COM_EJOSHOP_MARKERSETTINGS', true)); ?>
<div class="width-100">
          <fieldset class="adminform">

		  

<?php

//echo $panel::panel(JText::_('COM_EJOSHOPICONS'), 'panel2');


			 

$col[] = JHTML::_('select.option',1, JText::_( 'COM_EJOSHOP_YES' ) );
$col[] = JHTML::_('select.option',0, JText::_( 'COM_EJOSHOP_NO' ) );
echo '<div class="showcolor">'.JText::_('COM_EJOSHOP_SHOW_COLOR').'</div>';
echo JHTML::_('select.genericlist',  $col, $name = 'showcolor', $attribs = array('class'=>'showcolor'), $key = 'value', $text = 'text', $selected = $this->photo->showcolor, $idtag = false, $translate = false );
echo '	<div class="clr" style="clear:both;"></div>	<br />';


		echo '<table cellspacing="3" cellpadding="0" border="0" style="background-color:white" class="table"><tbody>
      ';
$option = array(
		'red', 'blue', 'green', 'silver', 'yellow', 
		'black','dark','grey', 'orange', 'darkwhite', 'bluewhite', 'redwhite');



for($i=0; $i<count($option); $i++) {

if(($i % 15)==0) {
	echo '<tr valign="top">';
	}
    echo '<td align="center" width="" colname="col1">';

	echo JHTML::_('image', 'media/com_ejoshop/assets/color/'.$option[$i].'.jpg','','style="width:19px; height:20px; margin-bottom: 3px;"');
	
	echo '</td>';
	
	$getcolors = json_decode($this->photo->color);
	$getcolors = !empty($getcolors) ? $getcolors : array();
	
if(in_array($option[$i],$getcolors)) {
	echo '<td align="center" width="" colname="col2"><input type="checkbox" checked value="'.$option[$i].'" id="deficon0" name="color[]" class="text_area"></td>'; 
}
else {
	echo '<td align="center" width="" colname="col2"><input type="checkbox" value="'.$option[$i].'" id="deficon0" name="color[]" class="text_area"></td>'; 
}
  


	}

		

		
echo '</tr><tr valign="top">
        <td align="center" width="" colname="col1">
         
        </td>
        <td align="center" width="" colname="col2"></td>
        <td width="" colname="col3"></td>
        <td width="" colname="col4"></td>
        <td width="" colname="col5"></td>
        <td width="" colname="col6"></td>
      </tr></tbody></table>';

	

?>

          </fieldset>
        </div>

<?php echo JHtml::_('bootstrap.endTab'); ?>	
		

<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'my-pane3', JText::_('COM_EJOSHOP_CUSTOM_FILESD', true)); ?>
<div>
          <fieldset class="adminform">
		  	  
         
		  

<?php

$textarrayonput = '';

$script = '

				$j(".imgdeleteroute").live("click", function(){
				$tr = $j(this).parent();
					var idmap = $j(this).attr("data-idmap");
					var idkey = $j(this).data("idkey");
					var id = $j(this).attr("rel");
			
					$j.ajax({
					url: "index.php?option=com_ejoshop&view=ejoshopajaxtask",
					data: {idkey:idkey,idphoto:idmap},
					success: function(data){
						$j(\'.imgyandexmaploader\',$tr).hide();
						$tr.fadeOut("slow",function(){
							$j(this).remove();
						});
					},
					beforeSend: function(data){
						$j(\'.imgyandexmaploader\',$tr).show();
					}
					});
				});
		
				$j(".addfield").live("click",function(e){
				e.preventDefault();
				
				varnr = $j(\'.newroute\').length;
				if(varnr == 0) ++varnr;
				var text = "'.JText::_('COM_EJ_NAME_NOT_S_FIELD').' "+varnr;
				var textz = "'.JText::_('COM_EJ_NAME_NOT_S_FIELD').' "+varnr;
	
		
				var appnewroute = \'<li class="ui-state-default"><div align="left" class="keyli"><div align="left" class="key"><label for="foobar">\'+text+\':</label></div> \
				<div width="100" align="left"><input type="text" name="fieldsname[]" class="newroute" size="30" value="" /></div> \
				<div align="left" class="key"><label for="foobar">\'+textz+\':</label></div> \
				<div width="100" align="left"><input type="text" name="fieldsvalue[]" class="newroute" size="30" value="" /></div> \
				</div><div class="imgdeleteroute" data-idmap=""></div><div>'.JHTML::_( 'image', 'media/com_mapyandex/assets/images/icon-loading2.gif', JText::_( 'COM_MAPYANDEX_DELETE_ROUTE_ITEM' ),array('class'=>'imgyandexmaploader')).'</div><span class="ui-icon ui-icon-arrowthick-2-n-s"></span></li>\';
				
				if(varnr == 1)  { 
					$j(".sort").append(appnewroute);
				} else {
					$j(".sort li:last").after(appnewroute);
				}
				
			});	
';

$document->addScriptDeclaration($script);



echo '<div class="addfield btn">'.JText::_('COM_EJOSHOP_ADDFIELD').'</div>';

echo '<div class="addfieldconteiner"></div>';

$route = unserialize($this->photo->jsonfields);

$ymaproute = '';
if($route) {
	$i = 0;
	$length = count($route)-1;
	foreach($route as $key => $val) {
	$i++;
		  
		  $textbefore = JText::_('COM_EJ_NAME_NOT_S_FIELD') . ' ' . $i;
		  $valuefield = JText::_('COM_EJ_VAL_NOT_S_FIELD')  . ' ' . $i;
		  
		  $textarrayonput  .= '<li class="ui-state-default">
		  <div align="left" class="keyli">
			  <div class="key"><label for="foobar">'.$textbefore.'</label></div>
			  <div align="left"><input type="text" name="fieldsname[]" class="newroute" size="30" value="'.$val[0].'" /></div>
			  <div align="left" class="key"><label for="foobar">'.$valuefield.'</label></div>
			  <div align="left"><input type="text" name="fieldsvalue[]" class="newroute" size="30" value="'.$val[1].'" /></div>
		  </div>
		  <div class="imgdeleteroute" data-idmap="'.$this->photo->id.'" data-idkey="'.$key.'"></div>
		  <span class="ui-icon ui-icon-arrowthick-2-n-s"></span>
		  </li>';

	}
}
?>
	<div style="clear:both;">
	<ul class="sort" >
	<?php echo $textarrayonput;?>
	</ul>
	</div>


	

          </fieldset>
     </div>		
<?php echo JHtml::_('bootstrap.endTab'); ?>


<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'maps', JText::_('COM_EJOSHOP_TYPEMAP', true)); ?>
<div>
          <fieldset class="adminform">
		  	  
		  
		<div class="control-group">
				<div class="control-label">
				<?php echo JText::_( 'COM_EJOSHOP_SHOW_MAP' ); ?>:
				</div>
				<div class="controls">
					
					<?php 
					
						$statecoord[] = JHTML::_('select.option','google', JText::_( 'COM_EJOSHOP_GOOGLE' ) );
						$statecoord[] = JHTML::_('select.option','yandex', JText::_( 'COM_EJOSHOP_YANDEX' ) );
						echo JHTML::_('select.genericlist',  $statecoord, $name = 'coords', $attribs = null, $key = 'value', $text = 'text', $selected = $this->photo->maptype, $idtag = false, $translate = false );
					?>
				</div>
		</div>
		
		<div class="control-group">
				<div class="control-label">
				<?php echo JText::_( 'COM_EJOSHOP_SHOW_MAP' ); ?>:
				</div>
				<div class="controls">
					
					<?php 
					
						$showmap[] = JHTML::_('select.option',1, JText::_( 'COM_EJOSHOP_YES' ) );
						$showmap[] = JHTML::_('select.option',0, JText::_( 'COM_EJOSHOP_NO' ) );
						echo JHTML::_('select.genericlist',  $showmap, $name = 'showmap', $attribs = null, $key = 'value', $text = 'text', $selected = $this->photo->showmap, $idtag = false, $translate = false );
					?>
				</div>
		</div>

		<div class="control-group">
				<div class="control-label">
				<?php echo JText::_( 'COM_EJOSHOP_COORDINATES' ); ?>:
				</div>
				
			
				<div class="controls">

				<?php
					// define modal options
					$modalOptions = array (
					'size' => array('x' => 700, 'y' => 700)
					
					);
					// load modal JavaScript
					JHTML::_('behavior.modal', 'a.modal', $modalOptions);
				?>
				<div style="display:inline" class="button2-left"><div class="image"><a href="<?php echo 'index.php?option=com_ejoshop&view=ejoshopmaps&tmpl=component&cid[]='.$this->photo->id.'&map='.$this->photo->maptype; ?>" class="modal"
				rel = "{
						handler: 'iframe',
						size : {
							x : '800',
							y : '600'
							
						}
						}">
						<?php echo JText::_( 'COM_EJOSHOP_OPENMODAL' ); ?>
						</a></div></div>
				</div>

		</div>

		<div class="control-group">
				<div class="control-label">
					<?php echo JHTML::tooltip(JText::_( 'COM_EJOSHOP_COORDS_DESCRIPTION' ), JText::_( 'COM_EJOSHOP_LNG_AND_LAT' ), '', JText::_( 'COM_EJOSHOP_LNG_AND_LAT' ), 
				   false);?>
				
					
				</div>
				<div class="controls">
				 <input type="text" id="latitude" name="latitude" value="<?php echo $this->photo->latitude;?>">
				 </div>
				<div class="clr"></div>
				<div class="controls"> 
				 <input type="text" id="longitude" name="longitude" value="<?php echo $this->photo->longitude;?>">
				</div>
		</div>



          </fieldset>
        </div>
<?php echo JHtml::_('bootstrap.endTab'); ?>

<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'otherphoto', JText::_('COM_EJOSHOP_OTHER_PHOTO', true)); ?>

<div class="width-100">
          <fieldset class="adminform">
		  	  

		<div class="control-group">
			<div class="control-label">
			<?php echo $this->form->getLabel('imagestyle_op'); ?>
			</div>
			<div class="controls">
			<?php echo $this->form->getInput('imagestyle_op'); ?>
			</div>
		</div>

		<div class="control-group">
			<div class="control-label">
			<?php echo $this->form->getLabel('moreimg_show'); ?>
			</div>
			<div class="controls">
			<?php echo $this->form->getInput('moreimg_show'); ?>
			</div>
		</div>


	
			
			<div class="upload-conteiner-op">
			<div style="clear:both;"></div>

		
				<label for="foobar">
						<?php echo JText::_( 'COM_EJOSHOP_UPLOAD_PHOTO' ); ?>:
				</label>
			
									
				<div id="ophoto"></div>
				<input type="hidden" name="files" value="" />

				<?php
				if(!empty($this->photo->morephoto)) :
					echo $this->photo->morephoto; 
				endif;
				?>
				
				
				<div style="clear:both;"></div>
			</div>




          </fieldset>
        </div>

<?php echo JHtml::_('bootstrap.endTab'); ?>


<?php if ($this->canDo->get('core.admin')) : ?>
	<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'permissions', JText::_('COM_EJ_RULES', true)); ?>
		<?php echo $this->form->getInput('rules'); ?>
	<?php echo JHtml::_('bootstrap.endTab'); ?>
<?php endif; ?>



<?php echo JHtml::_('bootstrap.endTabSet'); ?>



</div>

</div>

<input type="hidden" name="option" value="com_ejoshop" />
<input type="hidden" name="id" value="<?php echo $this->photo->id; ?>" />
<input type="hidden" name="cid[]" value="<?php echo $this->photo->id; ?>" />
<input type="hidden" name="task" value="photoedit" />
<input type="hidden" name="controller" value="ejoshopphotos" />
<?php echo JHtml::_('form.token'); ?>
</form>
</div>