<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
ejoshopimport('ejoshop.developer.developer');
ejoshopimport('ejoshop.render.renderinfo');
ejoshopimport('ejoshop.render.renderjquery');

class EjoshopViewEjoshopPhoto extends EjoshopView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	 var $canDo;
	 
	function display($tpl = null)
	{
		JHtml::_('behavior.tooltip');
		JHtml::_('behavior.formvalidation');
		JHtml::_('behavior.keepalive');
		JHtml::_('formbehavior.chosen', 'select');
		EjoshopHelper::load_menu();
		$doc =JFactory::getDocument();
		$doc->addStylesheet( JURI::root(true).'/media/com_ejoshop/assets/themes/base/jquery.ui.all.css' );
		$doc->addStylesheet( JURI::root(true).'/media/com_ejoshop/assets/ejoshop.css' );

		
		$doc->addScript(JURI::root(true).'/media/com_ejoshop/colorbox/jquery.colorbox-min.js');
		$ejoj = new EjoshopRenderJquery();
		$ejoj->addEjoshopParams();	
		$ejoj->EjoshopUiInit();	
		$ejoj->hoverPhotoForAdmin();		
		
		EjoshopModel::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . '/models');
		$model = EjoshopModel::getInstance('EjoshopCategory', 'EjoshopModel');
	
        $this->allcat = $model->getCategories();
    
		

        $this->allphotos = $this->get('Photos');
		$pid = JRequest::getVar( 'id' );
		$this->canDo = EjoshopHelper::getProductsActions($pid);
		
		
		if(isset($pid) && $this->allphotos) {
			$this->photo = $this->allphotos;
		
			$src = (array) json_decode($this->photo[0]->opimagestyle);
	
			$this->photo[0]->opimagestyle = $this->photo[0]->opimagestyle;
			
			
			$this->photo[0]  = $this->getOtherPhoto($this->photo[0]);
			$this->photo[0]  = $this->getSystemFields($this->photo[0]);

			
			
		}
	
		//$this->allcat = $table->get('Categories');

		$canDo = EjoshopHelper::getProductsActions();
		$this->state = $this->get('State');
		$this->form = $this->get('Form');

		$this->myform = $this->get('MyForm');
		
		$data['layout'] = JRequest::getVar('layout');
		
		if($data['layout'] == 'edit' || $data['layout'] == 'photoedit') {
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_EDIT_PHOTO' ), 'ejoshopphotos' );
			if($canDo->get('core.edit')) {
				JToolBarHelper::save('ejoshopphotos.photoedit', 'COM_EJOSHOP_SAVE_AND_CLOSE');
				JToolBarHelper::apply('ejoshopphotos.photoapply', 'COM_EJOSHOP_SAVE');
				JToolbarHelper::save2new('ejoshopphotos.save2new');
			
			}
			
			if($canDo->get('core.edit')) {
				JToolBarHelper::unpublish('ejoshopphotos.trash',JText::_( 'COM_EJOSHOP_DELETE' ));
			}
			JToolBarHelper::cancel( 'ejoshopphotos.cancel', 'Close' );
		}
		else {
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_ALLPHOTOS' ), 'ejoshopphotos' );
			JToolBarHelper::preferences('com_ejoshop', '460');
			JToolBarHelper::addNew('ejoshopphoto.add');
			JToolBarHelper:: publishList ('ejoshopphotos.publish');
			JToolBarHelper:: unpublishList ('ejoshopphotos.unpublish');
			
			JToolBarHelper::deleteList(JText::_( 'COM_EJOSHOP_DELETE_CONFIRM' ),'ejoshopphotos.remove');
		}
		// interrogate the model
	

		
	
		
		$params = JComponentHelper::getParams( 'com_ejoshop' );
				
		
		$this->assignRef( 'tmpl', $tmpl );
		
		
		parent::display($tpl);
	}
	
	function getSystemFields($p) {
		$fields = $this->get('Fields');
		$p->fields = $fields;
		/*
			print '<pre>';
			print_r($fields);
			print '</pre>';
		*/
		return $p;
	}
	
	function getOtherPhoto($p) {
		$mp = new EjoshopRenderInfo();
	
		$OtherPhotos = $mp->getOtherPhotos($p->id);
		//EjoshopDeveloper::debugPrint($OtherPhotos);
		foreach($OtherPhotos as $item) {
			
			$uri = $item->uri;
			$path = JURI::root(false).substr($uri,1);
			$path_parts = pathinfo(JPATH_ROOT.DS.$uri.$item->filename);
			$thumb_s = $path_parts['filename'].'_s.'.$path_parts['extension'];
			
			
			$newfileimgsrc = $path.'_s.png';
	
			$thumb = $path.$thumb_s;
			$editb = '
			<span rel="'.$item->fid.'" class="b-payment-item__controls"><span rel="'.$item->fid.'" class="b-payment-item__control-link b-payment-item__remove-link" data-hasqtip="true"><i class="b-icon b-icon_16 b-icon_16_remove2"></i></span></span>
			';
			
			$item->morephoto = '';
			$imgsrc = $path.$item->filename;
			/* detail photo */
			if(is_file(JPATH_ROOT.DS.$uri.$thumb_s)) { 
				$p->morephoto .= '<p class="floatpwithimg"><a href="'.$imgsrc.'"><img class="uploadedimg" src="'.$thumb.'"></a>'.$editb.'</p>';
			/* no photo */	
			} else {
				$p->morephoto .= '<p class="floatpwithimg"><a href="'.$imgsrc.'"><img class="uploadedimg" src="'.JURI::root(false).'media/com_ejoshop/files/noimg.png"></a></p>';
			}
		}
		
		return $p;
	}
}

?>
