<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');

/**
* Foobar View
*/
class EjoshopViewEjoshopSales extends EjoshopView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		
		EjoshopHelper::load_menu();
		$this->sales = $this->get('Items');
		$canDo = EjoshopHelper::getProductsActions();		

		// add the CSS to the document
		$doc = JFactory::getDocument();
		$doc->addStylesheet( JURI::root(true).'/media/com_ejoshop/assets/ejoshop.css' );

		$this->state = $this->get('State');

		$data['layout'] = JRequest::getVar('layout');
		
		if($data['layout'] == 'form') {
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_SALES' ), 'ejoshopsales' );
			if($canDo->get('core.edit')) {
				JToolBarHelper:: publishList ('ejoshopsales.publish');
				JToolBarHelper:: unpublishList ('ejoshopsales.unpublish');
			}
		}
		else {
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_SALES' ), 'ejoshopsales' );
			if($canDo->get('core.create')) {
				JToolBarHelper::addNew('ejoshopsale.add');
			}
			if($canDo->get('core.edit.state')) {
				JToolBarHelper:: publishList ('ejoshopsales.publish');
				JToolBarHelper:: unpublishList ('ejoshopsales.unpublish');
			}
			
			if($canDo->get('core.delete')) {
				JToolBarHelper::deleteList(JText::_( 'COM_EJOSHOP_SALES' ),'ejoshopsales.delete');
			}
			
		}
		JToolBarHelper::preferences('com_ejoshop', '460');
		// interrogate the model
	

		
		$this->pager = $this->get('Reviews');
	

		
		parent::display($tpl);
	}
}

?>
