<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

defined('_JEXEC') or die('Restricted access'); ?>
<?php JHTML::_('behavior.tooltip');

$document = JFactory::getDocument();

$document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js');
$document->addStyleSheet(JURI::root(true).'/media/com_ejoshop/colorpicker/css/colorpicker.css');
$document->addStyleSheet(JURI::root(true).'/media/com_ejoshop/colorpicker/css/layout.css');
$document->addScript(JURI::root(true).'/media/com_ejoshop/colorpicker/js/colorpicker.js');
$document->addScript(JURI::root(true).'/media/com_ejoshop/colorpicker/js/eye.js');
$document->addScript(JURI::root(true).'/media/com_ejoshop/colorpicker/js/utils.js');
$document->addScript(JURI::root(true).'/media/com_ejoshop/colorpicker/js/layout.js?ver=1.0.2');

JHtml::_('formbehavior.chosen', 'select');
?>



<form action="<?php JRoute::_('index.php?option=com_ejoshop'); ?>" method="post" id="adminForm" name="adminForm">	
<div class="span4">

	<fieldset class="adminform">
		<legend><?php echo JText::_('COM_EJ_STYLES_DETAIL'); ?></legend>
			
			<ul class="adminformlist">
			
				<li><?php echo $this->form->getLabel('detail_color_cart_border'); ?>
				<?php echo $this->form->getInput('detail_color_cart_border'); ?></li>

				<li><?php echo $this->form->getLabel('detail_color_cart_button'); ?>
				<?php echo $this->form->getInput('detail_color_cart_button'); ?></li>

				<li><?php echo $this->form->getLabel('detail_color_cart_table'); ?>
				<?php echo $this->form->getInput('detail_color_cart_table'); ?></li>

				<li><?php echo $this->form->getLabel('detail_color_photo_border'); ?>
				<?php echo $this->form->getInput('detail_color_photo_border'); ?></li>

			
			</ul>
			
	
	</fieldset>
			


</div>

<div class="span4">

	<fieldset class="adminform">
		<legend><?php echo JText::_('COM_EJ_STYLES_CATEGORY'); ?></legend>
			
			<ul class="adminformlist">
			
				<li><?php echo $this->form->getLabel('category_color_h'); ?>
				<?php echo $this->form->getInput('category_color_h'); ?></li>

				<li><?php echo $this->form->getLabel('category_color_cart_button'); ?>
				<?php echo $this->form->getInput('category_color_cart_button'); ?></li>

				<li><?php echo $this->form->getLabel('category_color_goodbox'); ?>
				<?php echo $this->form->getInput('category_color_goodbox'); ?></li>

				<li><?php echo $this->form->getLabel('category_color_photo_border'); ?>
				<?php echo $this->form->getInput('category_color_photo_border'); ?></li>

			</ul>
			
	
	</fieldset>
			


</div>

<div class="span4">

	<fieldset  class="adminform">
		<legend><?php echo JText::_('COM_EJ_STYLES_CART'); ?></legend>
			
			<ul class="adminformlist">
			
				<li><?php echo $this->form->getLabel('cart_color_cart_border'); ?>
				<?php echo $this->form->getInput('cart_color_cart_border'); ?></li>

				<li><?php echo $this->form->getLabel('cart_color_cart_button'); ?>
				<?php echo $this->form->getInput('cart_color_cart_button'); ?></li>

				<li><?php echo $this->form->getLabel('cart_color_cart_table'); ?>
				<?php echo $this->form->getInput('cart_color_cart_table'); ?></li>

				<li><?php echo $this->form->getLabel('cart_color_photo_border'); ?>
				<?php echo $this->form->getInput('cart_color_photo_border'); ?></li>

				<li><?php echo $this->form->getLabel('cart_foncolor_th'); ?>
				<?php echo $this->form->getInput('cart_foncolor_th'); ?></li>

			</ul>
			
	
	</fieldset>
			


</div>
<div class="span10">

	<fieldset class="adminform">
		<legend><?php echo JText::_('COM_EJ_STYLES_COMMON'); ?></legend>
			
			<ul class="listcommonstyle">
				<li><?php echo $this->form->getLabel('round_border'); ?>
				<?php echo $this->form->getInput('round_border'); ?></li>
				<li><?php echo $this->form->getLabel('error'); ?>
				<?php echo $this->form->getInput('error'); ?></li>
				<li><?php echo $this->form->getLabel('success'); ?>
				<?php echo $this->form->getInput('success'); ?></li>
				<li><?php echo $this->form->getLabel('info'); ?>
				<?php echo $this->form->getInput('info'); ?></li>				
			</ul>
			
	
	</fieldset>
			


</div>
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="newstyle" value="1" />

<?php echo JHtml::_('form.token'); ?>
</form>
