<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

defined('_JEXEC') or die('Restricted access'); ?>
<?php JHTML::_('behavior.tooltip');

$document = JFactory::getDocument();

$document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js');
JHTML::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		//ejoshopstyles.apply
		
		if (task == 'ejoshopstyles.cancel' || document.formvalidator.isValid(document.id('adminForm'))) {
			Joomla.submitform(task, document.getElementById('adminForm'));
		} else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}
</script>
<div id="ejoshop">
<div class="span11">
<form action="<?php JRoute::_('index.php?option=com_ejoshop'); ?>" method="post" id="adminForm" name="adminForm">	
<div class="span4">
	<fieldset class="form-vertical">
		<legend><?php echo JText::_('COM_EJ_STYLES'); ?></legend>
			
			<div class="control-group">
					<div class="control-label">
						<?php echo  $this->form->getLabel('name_imagestyle'); ?>
					</div>
					<div class="controls">
						<?php echo $this->form->getInput('name_imagestyle'); ?>
					</div>
			</div>
			<div class="control-group">
					<div class="control-label">
						<?php echo  $this->form->getLabel('width'); ?>
					</div>
					<div class="controls">
						<?php echo $this->form->getInput('width'); ?>
					</div>
			</div>
			
			<div class="control-group">
					<div class="control-label">
						<?php echo  $this->form->getLabel('height'); ?>
					</div>
					<div class="controls">
						<?php echo $this->form->getInput('height'); ?>
					</div>
			</div>

			<div class="control-group">
					<div class="control-label">
						<?php echo  $this->form->getLabel('type_image_crop'); ?>
					</div>
					<div class="controls">
						<?php echo $this->form->getInput('type_image_crop'); ?>
					</div>
			</div>
			
			
			<div class="control-group">
					<div class="control-label">
						<?php echo  $this->form->getLabel('cwbn'); ?>
					</div>
					<div class="controls">
						<?php echo $this->form->getInput('cwbn'); ?>
					</div>
			</div>

			<div class="control-group">
					<div class="control-label">
						<?php echo  $this->form->getLabel('id'); ?>
					</div>
					<div class="controls">
						<?php echo $this->form->getInput('id'); ?>
					</div>
			</div>

	
	</fieldset>

	</div>
<fieldset>
			<legend><?php echo JText::_('COM_EJ_STYLES'); ?></legend>
    <div class="span11">

        
    <div id="editcell">
		<table id="articleList" class="table table-striped">
        <thead>
            <tr>
                <th width="5">
                  
                    <?php echo JTEXT::_('COM_EJOSHOP_ID'); ?>
                </th>
    
                <th width="200">
                    <?php echo JTEXT::_('COM_EJOSHOP_NAME_IMAGE_STYLE'); ?>
                </th>
                <th width="200">
                    <?php echo JTEXT::_('COM_EJOSHOP_IMAGE_CROP_STYLE'); ?>
                </th>
    
                <th width="5%" nowrap="nowrap"><?php echo JTEXT::_('COM_EJOSHOP_WIDTH'); ?>
                <th>
                    <?php echo JText::_( 'COM_EJOSHOP_HEIGHT' ); ?>
                </th>			
                <th width="5">
                    
                </th>
				<th width="5">
                    
                </th>
            </tr>            
        </thead>
        <?php
        $k = 0;
     	/*
	 	print '<pre>';
		print_r( $this->onotherpayditem );
     	print '</pre>';		
		*/
        for ($i=0, $n=count( $this->items   ); $i < $n; $i++)
        {
			
            $row = $this->items[$i];
			$link = '';
			$checked    = JHTML::_( 'grid.id', $i, $row->id );
			if($row->type != 'system') :
            $link = JRoute::_( 'index.php?option=com_ejoshop&view=ejoshopstyles&layout=imagestylesedit&id='. $row->id );
            $packetlink = JRoute::_( 'index.php?option=com_ejoshop&view=ejoshopstyles&task=ejoshopstyles.processimages&id='. $row->id );
			endif;
			
            ?>
            <tr class="<?php echo "row$k"; ?>">
                <td>
                    <?php echo $row->id; ?>
                </td>
    
     
                <td style="text-align:center;">
				<?php if($row->type != 'system') :?>
                    <a href="<?php echo $link; ?>"><?php echo $row->name_imagestyle; ?></a>
				<?php else : ?> 
					<?php echo $row->name_imagestyle; ?>
				<?php endif; ?> 
                </td>
                <td style="text-align:center;">
				<?php if($row->type != 'system') :?>
                    <a href="<?php echo $link; ?>"><?php echo $row->type_image_crop; ?></a>
				<?php else : ?> 
					<?php echo $row->type_image_crop; ?>
				<?php endif; ?> 
                </td>
      
      
                <td style="text-align:center;">
    
                <?php
        
                    echo $row->width.'px';
                ?>
                </td>

				
                <td style="text-align:center;">
    
                <?php
        
                    echo $row->height.'px';
                ?>
                </td>
    
                <td>
				<?php if($row->type != 'system') :?>
                    <a href="<?php echo $packetlink; ?>"><img class="edit-s" title="<?php  print JText::_('COM_EJOSHOP_PROCESS_IMAGES'); ?>" src="<?php print JURI::root(false)."media/com_ejoshop/assets/images/imageprocess.png";?>" /></a>
				<?php endif; ?>               
			   </td>
               <td>
				<?php if($row->type != 'system') :?>
                    <a href="<?php echo $link; ?>"><img class="edit-s" title="<?php  print JText::_('COM_EJOSHOP_ORDER_EDIT'); ?>" src="<?php print JURI::root(false)."media/com_ejoshop/assets/images/edititem-s.png";?>" /></a>
				<?php endif; ?>               
			   </td>
            </tr>
            <?php
            $k = 1 - $k;
        }
        ?>
    
        </table>
    
    </div>
</div>
</fieldset>


<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />

<?php echo JHtml::_('form.token'); ?>
</form>

</div>



</div>