<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

/**
 * Hello View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class EjoshopViewejoshopuploadcsv extends EjoshopView
{

	protected $state;
	protected $item;
	protected $form;
	protected $tmpl;

	function untextnl($text)
	{
		$text = str_replace("<br />","\r\n",$text);
		return $text;
	}
	
	function display($tpl = null)
	{

		EjoshopHelper::load_menu();
		$doc = JFactory::getDocument();
		$this->form		= $this->get('Form');


		$jsLink = JURI::root(true);
		$doc->addStylesheet( $jsLink.'/media/com_ejoshop/assets/themes/base/jquery.ui.all.css' );
		$doc->addStylesheet( $jsLink.'/media/com_ejoshop/assets/ejoshop.css' );
		$doc->addScript($jsLink . '/media/com_ejoshop/assets/js/jquery-1.7.2.min.js');
		$doc->addScript($jsLink . '/media/com_ejoshop/assets/js/jquery-ui-1.8.21.custom.min.js');
			
			// add the CSS to the document




		JToolBarHelper::title( JText::_( 'COM_EG_CSV' ), 'csvpricetotext.png' );
		JToolBarHelper::preferences('com_ejoshop', '460');

	

		$this->csvfiles = $this->get('Csvfiles');

		$this->setLayout('form');
		
		parent::display($tpl);
	}
	
	
		
	
}