<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access'); 
 
$document = JFactory::getDocument();
$user		= JFactory::getUser();
$app = JFactory::getApplication(); 
$userId		= $user->get('id');
$option = JRequest::getCmd('option');
$view = JRequest::getCmd('view');
$app = JFactory::getApplication(); 
$listOrder	= $app->getUserStateFromRequest($option.$view.'.filter.filter_order','filter_order','users.id');
$listDirn	= $app->getUserStateFromRequest($option.$view.'.filter.filter_order_Dir','filter_order_Dir','DESC');




JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$document->addStyleSheet(JURI::root(true).'/media/com_ejoshop/colorbox/colorbox.css');
$document->addScript(JURI::root(true).'/media/com_ejoshop/colorbox/jquery.colorbox-min.js');
$colorbox = '
	jQuery(function(){
		jQuery(\'a[rel="colorbox"]\').colorbox();
	});
';

$document->addScriptDeclaration($colorbox);
?>
<div id="ejoshop">	
<form action="<?php JRoute::_('index.php?option=com_ejoshop'); ?>" method="post" id="adminForm" name="adminForm">
	

		<div class="clearfix">
		
		<div class="js-stools-container-bar">
			<div class="btn-wrapper input-append">
				<input type="text" placeholder="Поиск" value="<?php echo $this->state->get('filter.search');?>" id="filter_search" name="filter_search">			
				<button title="" class="btn hasTooltip" type="submit" data-original-title="<?php echo JText::_('COM_CONTENT_FILTER_SEARCH_DESC'); ?>">
					<i class="icon-search"></i>
				</button>
			</div>
			<div class="btn-wrapper for-ejo">
				<button type="submit" class="btn"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
				<button type="button" class="btn" onclick="document.id('filter_search').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
			</div>
		</div>
		</div>
        

	
<div id="editcell">
    <table id="articleList" class="table table-striped">
    <thead>
        <tr>
            <th width="5">
              
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_ID', 'users.id', $listDirn, $listOrder  ); ?>
            </th>
            <th width="5">
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_UID', 'users.uid', $listDirn, $listOrder ); ?>
            </th>
            <th>
				<?php echo JText::_( 'COM_EJOSHOP_USER_NAME' ); ?>
            </th>
			<th>
				<?php echo JText::_( 'COM_EJOSHOP_ADRESS' ); ?>
            </th>

			<th>
				<?php echo JText::_( 'User Ip' ); ?>
            </th>
            <th>
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_USERSTIME', 'users.created', $listDirn, $listOrder ); ?>

            </th>

			<th>
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_TOTAL_PURCHASE', 'users.total_purchase', $listDirn, $listOrder ); ?>

            </th>



        
        </tr>            
    </thead>
    <?php
    $k = 0;
    for ($i=0, $n=count( $this->users ); $i < $n; $i++)
    {
        $row = $this->users[$i];
		/*
			echo '<pre>';
			print_r($row);
			echo '</pre>';
		*/
        $checked    = JHTML::_('grid.id',   $i, $row->uid , '', 'uid');
		$link = JRoute::_( 'index.php?option=com_ejoshop&view=ejoshopusers&layout=usersedit&pid='. $row->pid );
        ?>
		
		<?php 
		$attention = '';
		if($row->status == 'confirm') {
			$attention = 'attention';
		}

		if($row->status == 'close') {
			$attention = 'usersclose';
		}
		?>
		
		
        <tr class="<?php echo $attention." row$k"; ?>">
		    <td>
                <?php echo $row->id; ?>
            </td>
		    <td>
                <?php echo $row->uid; ?>
            </td>

  
           <td style="text-align:center;">
              <?php echo $row->name . ' ' . $row->middlename . ' ' . $row->lastname; ?>
            </td>

           <td style="text-align:center;">
				<div class="eguserinfo-address"><?php 
				print !(empty($row->phone)) ? 'Phone: ' . $row->phone.', ' : '';
				print !(empty($row->zipcode)) ? 'Zip code: ' . $row->zipcode.', ' : '';
				echo $row->address ; 
				if(!empty($row->latilng)) :
					echo '<br />'.JTEXT::_('Latitude & Longitude: '). ' '. $row->latilng; 
				endif;
				?></div>
				<?php if(!empty($row->real_address)) : ?>
				
					<div class="eguserinfo-address">
					<?php
						echo JTEXT::_('Address from geobase detection (ip-geobase.ru)'). ' <br />'. $row->real_address; 
					?>
					</div>
				<?php endif; ?>

            </td>
			<td style="text-align:center;">

			<?php
			
				echo $row->ip;
			
			?>
            </td>

			<td style="text-align:center;">

			<?php
			
				echo JHTML::_('date', $row->created, 'Y-m-d h:i:s');
			
			?>
            </td>
			<td style="text-align:center;">

			<?php
			
				echo $row->total_purchase;
			
			?>
            </td>

        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
<tr>
	<td colspan="7"><?php echo $this->photopager->getListFooter(); ?></td>
</tr>
    </table>

</div>
 
<input type="hidden" name="option" value="com_ejoshop" />
<!-- It need to send as filter type of payments in ejoshopusers.php Model class -->
<input type="hidden" name="task" value="<?php echo JRequest::getVar('task',FALSE);?>" />
<!-- It need to send as filter type of payments in ejoshopusers.php Model class -->

<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="ejoshopusers" />
        <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
<?php echo JHtml::_('form.token'); ?>
</form>

</div>