<?php 

/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov ermakovshop.com
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

class plgSystemEjoshopInstallerScript {

    static function loadLanguage() {
        $lang = JFactory::getLanguage();
        $lang->load('plg_system_ejoshop', JPATH_ADMINISTRATOR);

    }

    function install($parent)
    {
        self::loadLanguage();
        echo '<h2>'.JTEXT::_("PLG_EJOSHOP_XML_DESCRIPTION_H").'</h2>';
        echo JTEXT::_("PLG_EJOSHOP_XML_DESCRIPTION");

    }
    function uninstall($parent)
    {
        self::loadLanguage();
        echo JText::_('PLG_EJOSHOP_XML_DESCRIPTION_UNINSTALL_TEXT');
    }
    function update($parent)
    {

        self::loadLanguage();
        echo JText::_('PLG_EJOSHOP_XML_DESCRIPTION');
    }
    function preflight($type, $parent) {}
    function postflight($type, $parent) {
        self::loadLanguage();

		// enable shop but disable payments it is need edit settings
		$params['enabled'] = 1;
		$this->setParams( $params );
        echo JText::_('PLG_EJOSHOP_INSTALL_TEXT');
		
    }
	
	/*
	 * sets parameter values in the component's row of the extension table
	 */
	function setParams($param_array) {
		
		if ( count($param_array) > 0 ) {
			// read the existing component value(s)
			$db = JFactory::getDbo();

			// store the combined new and existing values back as a JSON string
			$paramsString = json_encode( $params );
			$db->setQuery("UPDATE `#__extensions` SET `enabled` = '1' WHERE `#__extensions`.`type` = 'plugin' AND `#__extensions`.`element` = 'ejoshop' LIMIT 1;" );
			$db->query();

		}
	}
}
?>