<?php
/**
 * @package     Ejoshop
 * @author      
 * @copyright   
 * @license     GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

defined('_JEXEC') or die ;

jimport('joomla.application.component.controller');

class EjoshopControllerCart extends EjoshopController
{
/**
	 * Checks for the data that is needed to process the order
	 *
	 * @author Max Milbers
	 *
	 *
	 */
	public function checkout() {
		//Tests step for step for the necessary data, redirects to it, when something is lacking

		JRequest::setVar( 'view', 'cart');
		JRequest::setVar( 'layout', 'checkout');
		parent::display();
	}

	public function confirm() {
	
		//     
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
		$save = $model->confirmcart();

		if ($save) {

			if(!empty($save->uniqid) && !empty($save->id)) {
				$uniqid = $save->uniqid;
				$id = $save->id;

			}
			$this->comurl = 'index.php?option=com_ejoshop&view=cart';
		    /*   */
			if(!empty($save->redirect)) {
				$model->updateStatusAfterPostPay($uniqid);
				/*             */
				$this->setRedirect(JRoute::_($this->comurl.'&task=paypostconfirm&forpostpay='.$uniqid.'&tid='.$id, false));
			} else {
				/*           */

				$this->setRedirect(JRoute::_($this->comurl.'&task=selectpayments&forpostpay='.$uniqid.'&tid='.$id, false));
			}

		}
		
	}

	public function setUsercurrency() {
	
		$_SESSION['usercurrency'] = $_POST['jform']['currency'];
		$this->comurl = 'index.php?option=com_ejoshop&view=cart';
		$this->setRedirect(JRoute::_($this->comurl, false));
		
	}

	public function selectpayments() {
		$forpostpay = JRequest::getVar( 'forpostpay');
		
		
		JRequest::setVar( 'view', 'cart');
		JRequest::setVar( 'layout', 'selectpayments');
	
		parent::display();
	}

	public function webmoney() {
		//Tests step for step for the necessary data, redirects to it, when something is lacking
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
		if ($model->confirmcart($data)) {
			JRequest::setVar( 'view', 'cart');
			JRequest::setVar( 'layout', 'webmoney');
		}
		parent::display();
	}
	
	/**
	 * Last step in post order
	 *
	 */
	public function paypostconfirm() {
			EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
			$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
			$this->postadress = $model->getPostadress();


			
			JRequest::setVar( 'postadress', $this->postadress);
			JRequest::setVar( 'view', 'cart');
			JRequest::setVar( 'layout', 'paypostconfirm');
		
		parent::display();
	}
	public function paypost() {
			JRequest::setVar( 'view', 'cart');
			JRequest::setVar( 'layout', 'paypost');

			parent::display();
	}
	
	public function yandexmoney() {
		//Tests step for step for the necessary data, redirects to it, when something is lacking
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
		if ($model->confirmcart()) {
			JRequest::setVar( 'view', 'cart');
			JRequest::setVar( 'layout', 'yandexmoney');
		}
		parent::display();
	}	
	
	public function anet() {
		//Tests step for step for the necessary data, redirects to it, when something is lacking
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
		if ($model->confirmcart()) {
			JRequest::setVar( 'view', 'cart');
			JRequest::setVar( 'layout', 'anet');
		}
		parent::display();
	}
	
	/*     anet */
	public function processanet() {

		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
		if ($model->confirmcart()) {
			JRequest::setVar( 'view', 'cart');
			JRequest::setVar( 'layout', 'processanet');
		}
		parent::display();
	}
	/* page with success payment message */
	public function backtocartfromanet() {

		JRequest::setVar( 'view', 'cart');
		JRequest::setVar( 'layout', 'backtocartfromanet');
		parent::display();
	}
	
	
	
	public function paypal() {
		//Tests step for step for the necessary data, redirects to it, when something is lacking
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		//$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
		
		//if ($model->confirmcart()) {
			JRequest::setVar( 'view', 'cart');
			JRequest::setVar( 'layout', 'paypal');
		//}
		parent::display();
	}
	
	/*     paypal - 1 step get token and send to paypal amount of items */
	public function processpp() {

		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
		if ($model->confirmcart()) {
			JRequest::setVar( 'view', 'cart');
			JRequest::setVar( 'layout', 'processpp');
		}
		parent::display();
	}
	
	public function writebill() {
		//Tests step for step for the necessary data, redirects to it, when something is lacking
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');

			JRequest::setVar( 'view', 'cart');
			JRequest::setVar( 'layout', 'writebill');

		parent::display();
	}
	
	public function writebillsave() {
		

		JRequest::setVar( 'view', 'cart');
		JRequest::setVar( 'format', 'row');
		JRequest::setVar( 'layout', 'writebillsave');

		parent::display();
	}
	
	public function backtocartfrompp() {
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');

		if ($model->DoPayPalExpressCheckout()) {
			JRequest::setVar( 'view', 'cart');
			JRequest::setVar( 'layout', 'backtocartfrompp');
		}
		parent::display();
	}

	
	public function cancelpaypal() {
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
		
		$model->paypalcancel();
		
		JRequest::setVar( 'view', 'cart');
		JRequest::setVar( 'layout', 'paypal');
		
		parent::display();
	}
	
	
	public function backtocartfromym() {
		//Tests step for step for the necessary data, redirects to it, when something is lacking
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
		if ($model->confirmcart($data)) {
			JRequest::setVar( 'view', 'cart');
			JRequest::setVar( 'layout', 'backtocartfromym');
		}
		parent::display();
	}

	public function backtocartfromymerror() {
		//Tests step for step for the necessary data, redirects to it, when something is lacking
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');

		JRequest::setVar( 'view', 'cart');
		JRequest::setVar( 'layout', 'backtocartfromymerror');
		
		parent::display();
	}
	
	public function notifyurlyandexm() {
		//Tests step for step for the necessary data, redirects to it, when something is lacking
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
		if ($model->notifyurlyandexm()) {
			JRequest::setVar( 'view', 'cart');
			JRequest::setVar( 'layout', 'backtocartfromym');
		}
		parent::display();
	}	
	
	 /*
	 *  
	 *
	 *
	 */
	public function backtocartfromwm() {
		
		//Tests step for step for the necessary data, redirects to it, when something is lacking
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
		if ($model->updatorderitem($data)) {
			JRequest::setVar( 'view', 'cart');
			JRequest::setVar( 'layout', 'backtocartfromwm');
		}
		parent::display();
	}
	
	public function backtocartfromwmsuccess() {
		//Tests step for step for the necessary data, redirects to it, when something is lacking
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
		if ($model->flushCartAfterWebmoney()) {
			JRequest::setVar( 'view', 'cart');
			JRequest::setVar( 'layout', 'backtocartfromwmsuccess');
		}
		parent::display();
	}

	public function backtocartfromwmerror() {
		//Tests step for step for the necessary data, redirects to it, when something is lacking
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
	
		JRequest::setVar( 'view', 'cart');
		JRequest::setVar( 'layout', 'backtocartfromwmerror');
		
		parent::display();
	}
	


	public function loadimg()
	{

		JRequest::setVar( 'view', 'loadimg');
		JRequest::setVar( 'layout', 'loadimg');


		parent::display();
	}


}
