<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );
jimport('joomla.html.pagination');
ejoshopimport('ejoshop.render.rendercart');

class EjoshopModeladdtocart extends EjoshopModel
{
	
	var $_foobar;
	var $_editmarker;
	
function __construct()
{

	parent::__construct();
	// get the cid array from the default request hash
	$id = JRequest::getVar('id',1);
	


	$this->setId($id);
}


	/**
	* Îáíîâëåíèå ID è äàííûõ
	*
	* @param int foobar ID
	*/

	function setId($id)
	{
		$this->_id = $id;
		$this->_foobar = null;
	}

	

	
	function getEditmarker()
	{
	
	global $option, $mainframe;
	$db = JFactory::getDBO();
		$cid = JRequest::getVar('cid');

		$query = ' SELECT * '
			. ' FROM #__map_yandex_metki WHERE id='.$this->_id;
			$query = $db->setQuery( $query);
		$this->_editmarker = $db->loadObjectList();

		return $this->_editmarker;
	}

	/**
	 * Âûâîä ìóäðûõ ìûñëåé ñ ïàãèíàöèåé
	 * @âîçâðàùàåò ñïèñîê ñòðîê â ôàéë view.html.php
	 */
	function getFoobar()
	{
	
	global $option, $mainframe;
	$app = JFactory::getApplication(); 
	
	$db = JFactory::getDBO();
	//âñòàâëÿåì íàñðîéêè ïîñëåäíåé êàðòû â íîâóþ...
	$data['task'] = JRequest::getVar('task');
	if($data['task'] !== 'add') {

	$limit = JRequest::getVar('limit',
		$app->getCfg('list_limit'));
		$limitstart = JRequest::getVar('limitstart', 0);
		$query = "SELECT * FROM #__map_yandex_metki";
		$query = $db->setQuery( $query, $limitstart, $limit );
		$this->_foobar = $db->loadObjectList();
		
	}
	else {
	
		$query = ' SELECT * '
			. ' FROM #__map_yandex_metki ORDER BY ID DESC';
			$query = $db->setQuery( $query);
		$this->_foobar = $db->loadObjectList();
		}
		return $this->_foobar;
	}

	/**
	 * Âûâîä ìóäðûõ ìûñëåé ñ ïàãèíàöèåé
	 * @âîçâðàùàåò ñïèñîê ñòðîê â ôàéë view.html.php
	 */

	
	function getReviews()
	{
		global $option, $mainframe;
		$app = JFactory::getApplication(); 
		$limit = JRequest::getVar('limit',
		$app->getCfg('list_limit'));
		
		$limitstart = JRequest::getVar('limitstart', 0);
		$db = JFactory::getDBO();
		$query = "SELECT count(*) FROM #__map_yandex_metki";
		$db->setQuery( $query );
		$total = $db->loadResult();
		$query = "SELECT * FROM #__map_yandex_metki";
		$db->setQuery( $query, $limitstart, $limit );
		$rows = $db->loadObjectList();
		if ($db->getErrorNum()) {
			echo $db->stderr();
			return false;
		}

		return $this->pageNav = new JPagination($total, $limitstart, $limit);
		
	}
	
	
	function textnl($text)
	{
		$text = str_replace("\r\n","<br />",$text);
		$text = str_replace("\r","<br />",$text);
		$text = str_replace("\n\n", '<p>',$text);
		$text = str_replace("\n", '<br />',$text); 
		return addslashes($text);
	}
	/*
	*
	* update user owner in cart
	*/
	function updatecartuser()
	{	
	JError::$legacy = false;
		$db = $this->getDBO();
		$user = JFactory::getUser(); // it's important to set the "0" otherwise your admin user information will be loaded

		if($user->id > 0 && !empty($_SESSION['cartid']) && $user->id != $_SESSION['cartid']) {
				$userID = $user->id;
		
			
			/*$query = " SELECT * "
					. " FROM ".$db->quoteName('#__ejoshop_shop_order') ." WHERE created_by='".$userID."' AND TO_DAYS(NOW()) - TO_DAYS(created) > 1;";*/
			/*$query = " SELECT * "
					. " FROM ".$db->quoteName('#__ejoshop_shop_order') ." WHERE created_by='".$userID."';";		*/
					
			$query = "UPDATE ".$db->quoteName('#__ejoshop_shop_order') ." SET `created_by` = '".$userID."' WHERE created_by='".$_SESSION['cartid']."';";
			
			try {
				$query = $db->setQuery( $query );
				$db->query();
				$_SESSION['cartid'] = $userID;
			} catch (RuntimeException $e) {
				print $e->getMessage();	
			}
		}
		/*
		$this->useritemsid = $db->loadObject();
		$created = $this->useritemsid->created;
		$s = strtotime($created);
		var_dump($this->useritemsid);
		$strftime = strftime("%Y-%m-%d %H:%M:%S",$s);
		*/
		
	}
	
	/*
	*
	* add to cart with jquery ajax
	*/
	
	function addtocart($post)
	{


		
		$data = JRequest::get( 'post' );
		$data['qty'] = !empty($data['qty']) ? $data['qty'] : 1;

		$sid = session_id();
		$db = $this->getDBO();
		$pid = JRequest::getInt('pid');
		$user = JFactory::getUser(); // it's important to set the "0" otherwise your admin user information will be loaded

			/* if user login update id in table */
			if($user->id > 0) {
				$userID = $user->id;
			} else {

				$this->params = JComponentHelper::getParams('com_ejoshop');
				$this->cart_only_regiestered_user = $this->params->get('cart_only_regiestered_user');
									
				if($this->cart_only_regiestered_user) {
					header('Content-type: application/json');
					echo json_encode(array('info'=>'only_register_user'));
					exit();	
				}
			}
			/* else get id of user from session */
			if(!$user->id) {
				if(!empty($_SESSION['cartid'])) {	
					$userID = $_SESSION['cartid'];
				} else {
					$userID = uniqid();	
				}
			}


			$query = " SELECT * "
				. " FROM #__ejoshop_shop_order WHERE created_by='".$userID."' AND photo_id ='".$pid."' and sid = '".$sid."' AND (status = 'cart' OR status='confirm');";
			
			$query = $db->setQuery( $query);
			$useritemsid = $db->loadObject();
		

			$gmt = gmstrftime("%Y-%m-%d %H:%M:%S");
			if(empty($data['editmarket']) && empty($useritemsid->pid)) {
	
				$query = "INSERT INTO ".$db->quoteName('#__ejoshop_shop_order')." 
				(	
					`photo_id` ,
					`qty` ,
					`created` ,
					`sid` ,
					`created_by`
				)
				VALUES (
				'".$data['pid']."', '".$data['qty']."', '".$gmt."', '".$sid."', '".$userID."'
				);";
				$type = 'new';
			} else {
				$q = (!empty($data['qty'])) ? $data['qty'] : 1;
				$data['qty'] = (int)$useritemsid->qty + $q;

				$query = "UPDATE ".$db->quoteName('#__ejoshop_shop_order') 
				." set 
				".$db->quoteName('qty')." = '".$data['qty']."', 
				".$db->quoteName('sid')." = '".$sid."', 
				".$db->quoteName('created_by')." = '".$userID
				."' WHERE ".$db->quoteName('pid')." = ".$useritemsid->pid ." AND sid = '" . $sid . "' AND (status = 'cart' or status = 'confirm');" ;
				$insertid = $useritemsid->pid; //  нужен id товара в корзине
				$type = 'update';
			}
			
			
			$db->setQuery($query);
		

			if (!$db->query()) {
			
			
				$this->setError($db->getErrorMsg());
				return false;
			} else {
				if(!empty($_SESSION['cart'])) {
					$cart = json_decode($_SESSION['cart']);
				} else {
					$cart = array();
				}
				if($type !='update') $insertid = $db->insertid(); //  нужен id товара в корзине
				$newitemcart = array($insertid);
				$cart = array_merge($newitemcart,$cart);
				$cart = array_unique($cart);
				$cart = array_values($cart);
				
				$_SESSION['cart'] = json_encode($cart);
				$_SESSION['cartid'] = $userID;
				$carttext = EjoshopRenderCart::getCartCountWithText();
				if(empty($carttext)) $carttext = JTEXT::_('COM_EJ_NO_ITEM_INCART');
				header('Content-type: application/json');
				echo json_encode(array('info'=>'success','carttext'=>$carttext));
				jexit();	
			}
			

		return true;
	}

	/*
	*
	* delete item from cart with jquery ajax
	*/
	
	function removefromcart($post)
	{	
		JError::$legacy = false;
		$data = JRequest::get( 'post' );
		if(empty($data['pid'])) return false;
		
		$data['qty'] = !empty($data['qty']) ? $data['qty'] : 1;
		$gmt = gmstrftime("%Y-%m-%d %H:%M:%S");
		
		$db = $this->getDBO();
		$id = JRequest::getInt('id');
		$user = JFactory::getUser(); // it's important to set the "0" otherwise your admin user information will be loaded

		if($user->id > 0) {
			$userID = $user->id;
		}
		if(!$user->id) {
			$userID = 0;
		}


		$query = "DELETE FROM ".$db->quoteName('#__ejoshop_shop_order')."  WHERE ".$db->quoteName('#__ejoshop_shop_order')." .`pid` = '".$data['pid']."' AND ".$db->quoteName('#__ejoshop_shop_order').".`created_by` = '".$_SESSION['cartid']."' LIMIT 1;";
				
		try {
			$db->setQuery($query);
			$db->query();
			$cartitems = json_decode($_SESSION['cart']);
			$key = array_search($data['pid'],$cartitems);

			unset($cartitems[$key]);
			$_SESSION['cart'] = json_encode(array_values($cartitems));
			
		} catch(RuntimeException $e) {
			print $e->getMessage();
			return false;
		}

		JError::$legacy = true;

		return true;
	}



}


