<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.modelitem');

class EjoshopModelMapYandex extends JModelItem
{




	function __construct() {
		parent::__construct();
		$id = JRequest::getInt('id');
		$this->setId((int)$id);
		
	}
	
	function setId($id){
		$this->_id = $id;
		
	
	}
	/**
	 * Myextensions data array
	 *
	 * @var array
	 */
	var $_foobar;


	/**
	 * Returns the query
	 * @return string The query to be used to retrieve the rows from the database
	 */
	function _buildQuery()
	{

		$query = ' SELECT * '
			. ' FROM #__map_yandex WHERE id ="'.(int)$this->_id.'"';

		return $query;
	}


	function hit()
	{

		$db = JFactory::getDBO();
		$db->setQuery('UPDATE '.$db->quoteName('#__map_yandex')
		.'SET '.$db->quoteName('hits').' = '.$db->quoteName('hits').' + 1 '.'WHERE id = '.$this->_id);
		$db->query();
	}
	
	/**
	 * 
	 * @     view.html.php
	 */
	function getPhotos($pid = 0)
	{
		if(empty($pid)) {
			$pid = JRequest::getVar( 'id' );
		}

		$app = JFactory::getApplication(); 
		// Create a new query object.
		$db		= JFactory::getDBO();
		$query	= $db->getQuery(true);
		$limit = JRequest::getVar('limit',$app->getCfg('list_limit'));

				
		$query->select(
			$this->getState(
				'list.select',
				'photos.*'
			)
		);
		
				

		$query->from('`#__ejoshop_photos` AS photos');
		$query->select('cat.name as category_name,fm.*');
		$query->join('LEFT', '#__ejoshop_categories AS cat ON (photos.catid = cat.id)');
		$query->join('LEFT', '#__ejoshop_file_managed AS fm ON (photos.filename = fm.fid)');


		if(isset($pid)) {
		
			$query->where('photos.id = '.(int) $pid);
		}
		
		$query->order($db->escape('photos.id'.' DESC'));
		$query = $db->setQuery( $query, 0, 1 );
		$this->photos = $db->loadObjectList();

		return $this->photos;
		

	}
	
	/**
	 *  
	 * @return array    
	 */
	function getMetka()
	{
	
			$db = $this->getDBO();
			$query = "SELECT * FROM ".$db->quoteName('#__map_yandex_metki') 
			." WHERE ".$db->quoteName('id_map')." = ".$this->_id;
			$db->setQuery($query);
			$this->_metka = $db->loadObjectList();
		
		// return the foobar data
		return $this->_metka;
	
	}

}
