<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');
ejoshopimport('ejoshop.getmyform.getmyform');
ejoshopimport('ejoshop.render.renderjquery');
		
/**
* Foobar View
*/
class EjoshopViewCategories extends EjoshopView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		$app = JFactory::getApplication();
		$egrj = new EjoshopRenderJquery();
		JHtml::_('jquery.framework');
		$egrj->EjoshopUiInit(true,true,0); 
		$egrj->addCssForItemsCartTable();

		
		$tmpl = array();
		JHtml::stylesheet( 'components/com_ejoshop/assets/ejoshop.css' );
		$this->params = $app->getParams();
		
		EjoshopModel::addIncludePath(JPATH_COMPONENT . '/models');
		$model = EjoshopModel::getInstance('Cart', 'EjoshopModel');
		$this->catid = JRequest::getVar('catid');
		//$this->categories = $model->getCategories();
		$state		= $this->get('State');
		$items		= $this->get('Items');
		$parent		= $this->get('Parent');
	
		if (empty($items))
		{
			JError::raiseError(404, JText::_('COM_EJ_ERROR_CATEGORY_NOT_FOUND'));
			return false;
		}
		
		$get = JRequest::get();
		$Itemid = $get['Itemid'];
		
		$app = JFactory::getApplication();
		$menu = $app->getMenu();
		$active = $menu->getActive();
		$params = new JRegistry();

		if ($active) {
			$params->loadString($active->params);
		}
			
		$this->titleallcategories = (!empty($active->title)) ? $active->title : '';
		$this->show_category_heading_title_text = $params->get('show_category_heading_title_text',1);
		$this->show_description = $params->get('show_description',1);
		$this->maxLevel = $params->get('maxLevel',-1);
		$this->titleofcatalog = $params->get('show_category_title',1);
		$this->show_acrive_items = $params->get('show_acrive_items',1);
		$this->show_sub_cat_margin = $params->get('show_sub_cat_margin',1);
		
		$this->style = $params->get('style',1);
	
		$this->component_url = 'index.php?option=com_ejoshop&view=category';
		$this->pager = $this->get('Pager');
		
	
	
		$items = array($parent->id => $items);
			
		//Escape strings for HTML output
		$this->pageclass_sfx = htmlspecialchars($params->get('pageclass_sfx'));

		$this->maxLevelcat = $params->get('maxLevelcat', -1);

		$this->assignRef('params',		$params);
		$this->assignRef('parent',		$parent);
		$this->assignRef('items',		$items);
		
		if(empty($this->tmpl['action'])) $this->tmpl['action'] = '';
		

		/*
		print '<pre>';
		print_r($this->categories);
		print '</pre>';
		*/
		parent::display($tpl);
	}
	
	
	
}

?>
