<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */
 defined('_JEXEC') or die('Restricted access'); 

$document = JFactory::getDocument();


JHtml::_('formbehavior.chosen', 'select');
JHtml::_('behavior.framework'); 
?>

<?php 
$l = '/index.php?option=com_ejoshop&view=category&task=filter';
$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));

if($this->params->get('typefilter') == 'chosen') : 
?>


<?php endif; ?>
<script type="text/javascript">
 function clearfilter() {
	$j('#adminForm #filter-search').val('');
	$j('input[name="select_custom_filter_clear"]').val(1);
	$j('#adminForm').submit(); 
 }
 
$j(document).ready(function(){

 $j('#adminForm #filter-search').change(function(e){
	e.preventDefault();

	
	$j('#adminForm').submit();
 });

 $j('#adminForm #filter-clear').click(function(e){
	e.preventDefault();
	clearfilter();

 });
 

 
 $j('#checkout_form select').change(function(){
	var v = $j(this).val();
	var name = $j(this).attr('name');
	var customfield = $j(this).hasClass('custom_field');
	
	if(v == 'notselected') {
		clearfilter();
	}
	if(customfield) {
	
		$j('input[name="select_custom_filter_value"]').val(v);
		$j('input[name="select_custom_filter_name"]').val(name);
	}
	

	Joomla.tableOrdering('photos.'+name,v,'');

 });
 
});
</script>


<?php 

if($this->params->get('showfilter',0)) : 
$id = JRequest::getVar('id');

?>
<form id="adminForm" name="adminForm" method="post" action="<?php echo JRoute::_('index.php?option=com_ejoshop&view=category&id='.$id);?>">
	<!-- @TODO add hidden inputs -->
		<input type="hidden" name="filter_order" value="" />
		<input type="hidden" name="filter_order_Dir" value="" />
		<input type="hidden" name="limitstart" value="" />
		<input type="hidden" name="select_custom_filter_value" value="" />
		<input type="hidden" name="select_custom_filter_name" value="" />
		<input type="hidden" name="select_custom_filter_clear" value="" />

<div id="checkout_form">
<?php

$dirc = ($listOrder == 'photos.created') ? $dirc = $listDirn : '';
$dirp = ($listOrder == 'photos.price') ? $dirp = $listDirn : '';

$dir = array('desc'=>JTEXT::_('COM_EJ_DESC'),'asc'=>JTEXT::_('COM_EJ_ASC'));
$op = array();
$op[] = JHTML::_('select.option',JTEXT::_('COM_EJ_NOS'), JTEXT::_('COM_EJ_NOS'));
foreach($dir as $key => $d) {
	$op[] = JHTML::_('select.option',$key, $d);
}
$price = JHTML::_('select.genericlist',  $op, 'price' , 'autocomplete="off"', $key = 'value', $text = 'text', $dirp, $idtag = false, $translate = false );
$created = JHTML::_('select.genericlist',  $op, 'created' , 'autocomplete="off"', $key = 'value', $text = 'text', $dirc, $idtag = false, $translate = false );

?>
	<fieldset>
			<div>
			  <label><?php echo JTEXT::_('COM_EJ_PRICE'); ?></label>
			  <?php
				echo $price;
			  ?>
			</div>
			<div>
			  <label><?php echo JTEXT::_('COM_EJ_DATE'); ?></label>
			  <?php
				echo $created;
			  ?>
			</div>

			<div>
			  <?php
				echo $this->filterfields;
			  ?>
			</div>

			
			<div>
			  <label><?php echo JTEXT::_('COM_EJ_SEARCH'); ?></label>
			<input type="text" name="filter-search" id="filter-search" value="<?php echo $this->escape($this->state->get('list.filter')); ?>" class="inputbox" title="<?php echo JText::_('COM_CONTENT_FILTER_SEARCH_DESC'); ?>" />
			</div>
			<div>
			<label>&nbsp </label>
			<input type="button" name="filter-clear" id="filter-clear" value="<?php echo JText::_('COM_EJ_CLEAR_FILTER'); ?>" class="inputbox" />
			</div>
	</fieldset>
</div>
</form>
<?php endif; ?> 
<div id="egcontent">

	
		<?php 
		if(!$this->items)  {
			
			print JTEXT::_('COM_EJOSHOP_NOITEMS');
			$this->items = array();
		}
		
		$i = 0;
		$coun = 0;
		$total = count($this->items);
		$i = -1;	
		$c = $this->numblock;
		foreach($this->items as $item) {
		++$i;
		if(($i%$c) == 0) {
			$class = 'odd';
			echo ($i!=0) ? '</div>' : '';
			print '<div class="egfifty-con">';
			
		} 
		print '<div class="egfifty" data-pid="'.$item->id.'">';
		?>
		

<div class="categorytpl">
	<div class="photo">
	        <?php echo $item->photooutput; ?>
	</div>
		<div class="photoinfo">
		<ul id="producti">
			<?php if($item->showprice) {?>
				<li><span>&nbsp;&nbsp;<?php print $item->price_with_currency;?></span></li>
			<?php }?>
				<li>
			<div class="addtocart-bar">
				<span class="quantity-box">
						<input type="text" value="1" data-id="<?php echo 'item-'.$item->id;?>" name="quantity[]" class="quantity-input js-recalculate">
				</span>
				<span class="quantity-controls js-recalculate">
					<input type="button" class="quantity-controls quantity-plus">
					<input type="button" class="quantity-controls quantity-minus">
				</span>
			
				<div class="clr"></div>
			</div>
			</li>

	
		</ul>
	</div>
</div>
	
		<?php if($item->addtocartshow) {?>
			<div class="clr">
			<a class="addtocart" data-qty="1" id="<?php echo 'item-'.$item->id;?>" rel="<?php print $item->id;?>" href=""><?php print JText::_( 'COM_EJOSHOP_ADDTOCART' );?></a>
			</div>
		<?php }?>

			<div class="clr">
			<a class="gotodetail" rel="<?php print $item->id;?>" href="<?php print $item->detail;?>"><?php print JText::_( 'COM_EJOSHOP_GOTODETAIL' );?></a>
			</div>


<div class="clr"></div>
<?php 
		print '</div>';
		//echo 4*$coun;
		if($i == $total-1) {
	
			print '</div>';
			
		}
		
		
			?>
		<? }
	
		print '<div class="clr"></div>';
		

		
		if(!empty($this->subcat_items[0]->catid) && !empty($this->subcat_items[0]->uri)) {
			echo $this->loadTemplate('subcategory');
		}
		
		print '<div class="clr"></div>';
		echo '<form action="'.$this->tmpl['action'].'" method="post" name="adminForm">'. "\n";
		echo $this->loadTemplate('pagination') . '</form>'; 
		?>
	


</div>