<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Component
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');

ejoshopimport('ejoshop.comments.comments');


/**
* Foobar View
*/
class EjoshopViewComments extends EjoshopView
{

	/**
	 * View only for write bill
	 * 
	 **/
	function display($tpl = null)
	{
		
		$this->add_comment();
		parent::display($tpl);
	}
	
	
	public function add_comment()
	{
		$data = array();
		$data['comment'] = JRequest::getVar('comment');
		$data['username'] = JRequest::getVar('username');
		$data['pid'] = JRequest::getVar('pid');
		$data['plid'] = JRequest::getVar('plid');
		$data['useremail'] = JRequest::getVar('useremail');
		
	
		if(!empty($data['comment']) && !empty($data['username']) && isset($data['plid'])) {

			$item = array(
				"mlid"=> 0,
				"module"=> "menu",
				"has_children"=> 0,
				"plid"=> $data['plid'],
				"hidden"=> 0,
				"link_title"=> '',
				"link_path"=> '',
				"router_path"=> '',
				"comment"=> $data['comment'],
				"username"=> $data['username'],
				"useremail"=> $data['useremail'],
				"pid"=> $data['pid']
			);
	
		$this->add_link($item);
		}
		return true;
	}
	
	function add_link(&$item) {

	  $c = new EjoshopComments();
		
	  $c->menu_link_save($item);

	}
}








?>