<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */
 defined('_JEXEC') or die('Restricted access'); 
?>
<?php $document = JFactory::getDocument();

if($this->params->get('enable_comments')) :
?>




<div class="comments">

<h3>
<?php echo JTEXT::_('COM_EJ_COMMENTS');?>
</h3>
<div class="comments-items">
	<?php
	foreach($this->comments as $comment) {

	
	?>
	<?php
	$class = '';
	if($comment->state == 0) {
		$class = "hider";
	}
	?>
		<div id="comment<?php echo $comment->mlid;?>" rel="<?php echo $comment->mlid;?>" class="comment-conteiner depth<?php echo $comment->depth; echo ' ' . $class;?>">
			<div class="folding-dot-holder"><div class="folding-dot"></div></div>
			<div class="comment-username">
				<div class="user-image">&nbsp;<?php echo $comment->gravatar;?></div>
				<div class="user-username">&nbsp;<?php echo $comment->username;?></div>
				<div class="user-date">&nbsp;<?php echo $comment->created;?></div>

			
				<a data-depth="<?php echo $comment->depth;?>" class="user-cite">&nbsp;<?php echo JTEXT::_('COM_EJ_CITE');?></a>
				<a data-link="<?php echo $comment->cwsp;?>" class="link-cwsp">&nbsp;<?php echo JTEXT::_('COM_EJ_LINK');?></a>
			</div>

			
			<div class="comment-text <?php echo $class;?>">
			<?php
				if($comment->state == 0) {
					echo JText::_("COM_EJ_WAS_HIDE");
				} else {
					echo $comment->comment;
				}
				?>
			</div>
		</div>
	<?php
		
	}
	?>
</div>

	<div class="beforesend"></div>
	<div class="txcomment">
		<form>
			<label for="username"><?php echo JTEXT::_('COM_EJOSHOP_COMMENT_NAME');?></label><br />
			<input name="username" class="username" />
			<div class="clr"></div>
			<label for="useremail"><?php echo JTEXT::_('COM_EJOSHOP_COMMENT_EMAIL');?></label><br />
			<input name="useremail" class="useremail" />
			<div class="clr"></div>
			<label for="comment"><?php echo JTEXT::_('COM_EJOSHOP_COMMENT_TEXT');?></label><br />
			<textarea class="comment"></textarea>
			
			<div class="clr"></div>
			<a href="/" rel="<?php echo $this->photo->id; ?>" class="addcomment-button"><?php echo JTEXT::_('COM_EJ_ADD_COMMENT');?></a>
			<input name="plid" class="plid" value="0" type="hidden" />
		</form>
	</div>
</div>

<?php endif; ?>