<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */
 defined('_JEXEC') or die('Restricted access'); 
 
$d = JFactory::getDocument();
$d->addStylesheet( 'components/com_ejoshop/assets/acer-style/style.css' );
$d->addScript( 'components/com_ejoshop/assets/acer-style/jquery.compatibility.js' );
$d->addScript( 'components/com_ejoshop/assets/acer-style/zcommon.min.js' );


		$uri = $this->photo->uri;
		$path = JURI::root(false).$uri;
		$path_parts = pathinfo($path.$this->photo->filename);
		$path_parts = pathinfo($path.$this->photo->filename);
		list($width, $height, $type, $attr) = getimagesize($path.$this->photo->filename);
		
		$op = $this->photo->sizethumb;
		$h = $this->photo->height;
		$w = $this->photo->width;
		
$d->addScriptDeclaration( '
jQuery(document).ready(function(){AcerUi.init();
jQuery(".zoom .zoom-content img, .zoom .zoom-content .mask").css({"width":"'.$w.'px","height":"'.$h.'px"});
});' );
$width  = empty($width) ? 800 : $width;
$height = empty($height) ? 600 : $height;
$style = '
#pModel .zoom .img-big img {
width:'.$width.'px;
height:'.$height.'px;
}
';
$d->addStyleDeclaration( $style );
?>

     
  <div class="row" data-pid="<?php echo $this->photo->id; ?>">
    <div itemscope itemtype="http://schema.org/Product" id="pModel" itemref="pModelDescr" class="row-content rich-content-top"> 
        <div class="main-container">

			     
  				<p class="nota-info">	
  					<?php echo $this->photo->name; ?> <br />
				<?php echo $this->photo->price_with_currency; ?>
  				</p>
  			
           <ul class="rich-content-nav"><li class="back"><a class="empty-button" title="<?php echo JTEXT::_('COM_EJ_BACK'); ?>" href="#1"><span><?php echo JTEXT::_('COM_EJ_BACK'); ?></span></a></li><li><a rel="photo" 
			class="photoIcon"
		 title="<?php echo $this->photo->name; ?>" href="#1"><span><?php echo JTEXT::_('COM_EJ_PHOTO'); ?></span></a></li><li><a rel="zoom" 
			class="zoomIcon"
		 title="Увеличить" href="#1"><span><?php echo JTEXT::_('COM_EJ_ZOOM'); ?></span></a></li></ul>
    <div class="main-content">
      <h2 itemprop="name"><?php echo $this->photo->name; ?></h2>
      <span itemprop="mpn" class="pn"><?php echo $this->photo->articul; ?></span>
<?php

		
		$newfileimgsrc = $path.'_s.png';
	
		if(!empty($op)) {
			$thumb = $path.$op;
		} else {
			$thumb2 = $path.$path_parts['filename'].'_s.'.$path_parts['extension'];
		}
		
		$imgsrc = $path.$this->photo->filename;
?>	  
      <img itemprop="image" src="<?php echo $thumb;?>" alt="<?php echo $this->photo->name; ?>" title="<?php echo $this->photo->name; ?>">
      <p class="cta">
          
          <br class="dividi"/>
  
          <a class="addtocart egnext"  rel="<?php echo $this->photo->id; ?>" href="ru/RU/content/wheretobuy" title="Купить" ><span><?php echo JTEXT::_('COM_EJ_BUY'); ?></span></a>
      </p>       
    </div>
    <div class="photo-mobile">
      <a 
			class="photo-mobile"
		 rel="photo" title="<?php echo JTEXT::_('COM_EJ_PHOTO'); ?>" href="#1"><span><?php echo JTEXT::_('COM_EJ_PHOTO'); ?></span></a>
      <a class="empty-button" title="<?php echo JTEXT::_('COM_EJ_BACK'); ?>" href="#1"><span><?php echo JTEXT::_('COM_EJ_BACK'); ?></span></a>
    </div>
  
      <div class="content photo">
          <div class="img-big">
              <img src="<?php echo $imgsrc;?>" />
          </div>
          <div class="photo-content">
              <h2><?php echo $this->photo->name; ?></h2>
              <p><?php echo $this->photo->price_with_currency; ?></p>
				
          </div>
      </div>
    
      <div class="content zoom">
        <div class="img-big">
            <img src="<?php echo $imgsrc;?>" />
        </div>
        <div class="zoom-content">
            <img src="<?php echo $thumb;?>" />
            <div class="pointer"></div>
            <div class="mask"></div>
  
            <div class="ctn-arrow-zoom">
                <a href="#1" class="go-top"><?php echo JTEXT::_('COM_EJ_MOVE_TOP'); ?></a>
                <a href="#1" class="go-right"><?php echo JTEXT::_('COM_EJ_MOVE_RIGHT'); ?></a>
                <a href="#1" class="go-bottom"><?php echo JTEXT::_('COM_EJ_MOVE_BOTTOM'); ?></a>
                <a href="#1" class="go-left"><?php echo JTEXT::_('COM_EJ_MOVE_LEFT'); ?></a>
            </div>
  
        </div>
      </div>
    

        </div>
          			     
  				<p class="nota-info">	
					<?php echo $this->photo->intro; ?>
  				</p> 
				
  				<p class="more-photo">	
				<?php if($this->photo->moreimg_show) : ?>	
					<?php echo $this->photo->morephoto; ?>
				<?php endif; ?>	
  				</p> 
				
  	<div id="ejo-comments">	
	
	<?php
		echo $this->loadTemplate('comments');
	?>	

	</div> 
    </div>
    </div> 