<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');

/**
* Foobar View
*/
class EjoshopViewMapyandex extends EjoshopView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		$app = JFactory::getApplication(); 

		$tmpl = array();
		JHtml::stylesheet( 'components/com_ejoshop/assets/ejoshop.css' );
		$this->params = $app->getParams();
		$this->photo = $this->get('Photos');
		$this->photo = $this->photo[0];
		
		$c = json_decode($this->photo->color);

		$this->photo->allimg = '';
		if(!empty($c)) {
			foreach($c as $color) {
				$this->photo->allimg .= JHTML::_('image', JURI::root(false).'/media/com_ejoshop/assets/color/'.$color.'.jpg','','style="width:19px; height:20px; margin-bottom: 3px;"');
			}
		}
		
		switch($this->photo->currency) {
			case 'rub':
			$this->photo->currency = 'рублей';
			break;
			case 'usd':
			$this->photo->currency = 'долларов';
			break;
			case 'eur':
			$this->photo->currency = 'евро';
			break;
		}		
		
		$this->map = new EjoshopRenderMap();
		$this->htmlmap = $this->map->createMap('',$this->photo->maptype);
	
		$tplphoto = $this->photo->tplonephoto;
		if(empty($tplphoto)) $tplphoto = 'photo1';
		$this->setLayout($tplphoto);
		parent::display($tpl);
	}
	
	
	
}

?>
