<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru, ermakovshop.com
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controlleradmin');

/**
 * The Category Controller
 *
 * @package     Joomla.Administrator
 * @subpackage  com_ejoshop
 * @since       1.6
 */
class EjoshopControllerEjoshopField extends JControllerAdmin
{


	/**
	 * Constructor.
	 *
	 * @param  array  $config  An optional associative array of configuration settings.
	 *
	 * @since  1.6
	 * @see    JController
	 */
	public function __construct($config = array())
	{

	
		parent::__construct($config);

	}
	public function save()
	{
		$this->apply();
	}

	public function apply()
	{
		$task = JRequest::getVar('task','apply');
		$pid = JRequest::getVar('pid',0);
		$id = (int) JRequest::getVar('id',0);
		$model = $this->getModel('ejoshopfield');

		
		if(!empty($id)) {

			if($model->update($id)) {

				$link = 'index.php?option=com_ejoshop&view=ejoshopfield&layout=edit&id='.$id;
			
			}
		} else {
			
			
			$field = $model->save();
			if(!$field) $link = 'index.php?option=com_ejoshop&view=ejoshopfield&layout=addfield';
			else $link = 'index.php?option=com_ejoshop&view=ejoshopfield&layout=edit&id='.$field['id'];
			
		}
		
		if($task != 'apply') {
			$this->setRedirect('index.php?option=com_ejoshop&view=ejoshopfields', JTEXT::_('COM_EJOSHOP_SAVED'));
		} else {
			$this->setRedirect($link, $msg);
		}
		
		
		
	}

	public function cancel()
	{
	
		$link = 'index.php?option=com_ejoshop&view=ejoshopfields';
		$this->setRedirect($link, $msg);
	
	}
	
}