<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru, ermakovshop.com
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
// get the controller
if (!defined('DS')) {
	define('DS', DIRECTORY_SEPARATOR);
}

// Access check: is this user allowed to access the backend of this component?
if (!JFactory::getUser()->authorise('core.manage', 'com_ejoshop')) {        
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}

require_once(JPATH_COMPONENT.DS.'controllers/controller.php');
// Require specific controller if requested

if (! class_exists('EjoshopLoader')) {
    require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ejoshop'.DS.'libraries'.DS.'loader.php');

}
JLoader::register('EjoshopView', JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'view.php');
JLoader::register('EjoshopHelper', JPATH_COMPONENT_ADMINISTRATOR.DS.'helpers'.DS.'ejoshop.php');
JLoader::register('EjoshopModel', JPATH_COMPONENT_ADMINISTRATOR.'/models/model.php');

ejoshopimport('ejoshop.render.renderadmin');
 
jimport('joomla.application.component.controller');


$controller	= EjoshopController::getInstance('Ejoshop');
$input = JFactory::getApplication()->input;
$controller->execute($input->get('task'));

$controller->redirect();



?>