<?php
defined( '_JEXEC' ) or die( 'Restricted access' );
/**
 * Yandex money Exception
 * @package YandexMoney
 * @subpackage Error
 * @license - http://www.gnu.org/licenses/gpl-2.0.php GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov ermakovshop.com
 */


class YM_Error extends Exception {
    public function __construct($message=null, $http_status=null, $http_body=null, $json_body=null) {
        parent::__construct($message);
        $this->http_status = $http_status;
        $this->json_body = $json_body;
        $this->http_body = $http_body;
    }

    public function getHttpBody() {
        return $this->http_body;
    }

    public function getHttpStatus() {
        return $this->http_status;
    }

    public function getJsonBody() {
        return $this->json_body;
    }


}