<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.modeladmin');
jimport('joomla.application.component.model');
jimport('joomla.html.pagination');
jimport( 'joomla.application.component.modellist' );

class  EjoshopModelAjaxsavedescription extends JModelAdmin
{
protected	$option 		= 'com_ejoshop';

	public function __construct($config = array())
	{
		if (empty($config['filter_fields'])) {
			$config['filter_fields'] = array(
				'id', 'a.galid',
				'name', 'a.name',

			);
		}

		parent::__construct($config);
	}

 
	/**
	 * Method to auto-populate the model state.
	 *
	 * Note. Calling getState in this method will result in recursion.
	 *
	 * @since	1.6
	 */
	protected function populateState($ordering = null, $direction = null)
	{
		// Initialise variables.
		$app = JFactory::getApplication('administrator');

		// Load the filter state.
		$search = $app->getUserStateFromRequest('filter.search', 'filter_search');
		$this->setState('filter.search', $search);


		// List state information.
		parent::populateState('a.galid', 'asc');
	}
	
	var $_foobar;

	public function getForm($data = array(), $loadData = true) {
		
		$app	= JFactory::getApplication();
		$form 	= $this->loadForm('com_ejoshop.ejoshopallgalleries', 'galleries', array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form)) {
			return false;
		}
		return $form;
	}
	
	function store($post)
	{
		$row = $this->getTable('ejoshopcategories');

		$data = JRequest::get( 'post' );

		// Store the web link table to the database
			$db = $this->getDBO();
			$query = "UPDATE ".$db->nameQuote('#__ejoshop_photos') ." SET `intro` = '".$data['description']."' WHERE `#__ejoshop_photos`.`id` = ".$data['pid']." LIMIT 1 ;";
			
			$db->setQuery($query);
			
			if (!$db->query()) {
				$this->setError($this->_db->getErrorMsg());

				return false;
			
			}
			

		return true;
	}

	function delete(&$post)
	{

		$cids = $post['cid'];
		$db		=& JFactory::getDBO();
		if (count( $cids )) {
			foreach($cids as $cid) {
			$query = 'DELETE FROM #__ejoshop'
			. ' WHERE id = ' .$cid;
				$db->setQuery( $query );
				if (!$db->query()) {
					JError::raiseWarning( 500, $db->getError() );
				}
			}
		}
		return true;
	}

}


