<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );
jimport('joomla.html.pagination');
jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.file');
jimport('joomla.log.log');
			
class EjoshopModelAjaxupload extends EjoshopModel
{

function __construct()
{

	parent::__construct();
	// get the cid array from the default request hash
	$cid = JRequest::getVar('cid', false, 'DEFAULT', 'array');

	if($cid)
	{
		$id = $cid[0];
	}
	else
	{
		$id = JRequest::getVar('id', 3);
	}

	$this->setId($id);
}


/**
* Îáíîâëåíèå ID è äàííûõ
*
* @param int foobar ID
*/

	function setId($id)
	{
		$this->_id = $id;
		
	}
	var $_foobar;


	/**
	 * @âîçâðàùàåò ñïèñîê ñòðîê â ôàéë view.html.php
	 */
	function getFoobar()
	{
		// if foobar is not already loaded load it now
		if (!$this->_foobar)
		{
			$idmap = JRequest::getVar('idmap');
			$db = $this->getDBO();
			$query = "SELECT * FROM ".$db->quoteName('#__all_csv_price') 
			." WHERE ".$db->quoteName('id')." = '".$idmap."'";
			$db->setQuery($query);
			$this->_foobar = $db->loadObject();
			
		}
		// return the foobar data
		return $this->_foobar;
	
	}

	function textnl($text)
	{
		$text = str_replace("\r\n","<br />",$text);
		$text = str_replace("\r","<br />",$text);
		$text = str_replace("\n\n", '<p>',$text);
		$text = str_replace("\n", '<br />',$text); 
		return addslashes($text);
	}

	/**
	 * Method to store a record
	 *
	 * @access	public
	 * @return	boolean	True on success
	 */
	function store($post)
	{	
		


		$el = json_encode($post);
		$idmap = JRequest::getVar('idmap');
		// Store the web link table to the database
			$db = $this->getDBO();
			$query = "UPDATE ".$db->quoteName('#__all_csv_price') 
			." set ".$db->quoteName('route_map_yandex')." = '".$this->textnl($el)
			."' WHERE ".$db->quoteName('id')." = '".$idmap."'";
			$db->setQuery($query);
			if (!$db->query()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		return true;
	}

	/**
	 * 
	 */
	function prevphoto($pid = 0)
	{
		if(empty($pid)) {
			$pid = JRequest::getVar( 'pid' );
		}
		
		$app = JFactory::getApplication(); 
		// Create a new query object.
		$db		= JFactory::getDBO();
		$query	= $db->getQuery(true);

		
		$limitstart = JRequest::getVar('limitstart', 0);
		
				
		$query->select(
			$this->getState(
				'list.select',
				'photos.*'
			)
		);
		
				

		$query->from('`#__ejoshop_photos` AS photos');
		$query->select('cat.title as category_name,photos.id as pid,fm.*');
		$query->join('LEFT', '#__ejoshop_categories AS cat ON (photos.catid = cat.id)');
		$query->join('LEFT', '#__ejoshop_file_managed AS fm ON (photos.filename = fm.fid)');
		
		if(isset($pid)) {
			$query->where('photos.id = '.(int) $pid);
		}

		$query = $db->setQuery( $query );
		
		$this->photos = $db->loadObjectList();

		return $this->photos;

	}

	/**
	 * 
	 * @âîçâðàùàåò ñïèñîê ñòðîê â ôàéë view.html.php
	 */
	function prevphotoforsales($pid = 0)
	{
		if(empty($pid)) {
			$pid = JRequest::getVar( 'pid' );
		}
		
		$app = JFactory::getApplication(); 
		// Create a new query object.
		$db		= JFactory::getDBO();
		$query	= $db->getQuery(true);
			
		$query->select('photos.*');		
		$query->from('`#__ejoshop_sales` AS photos');

		if(isset($pid)) {
			$query->where('photos.id = '.(int) $pid);
		}

		$query = $db->setQuery( $query );
		$this->photo = $db->loadObject();

		return $this->photo;

	}	
	
	/* method that add new product in table */
	
	function save($file,$pid)
	{
	
			$data = JRequest::get( 'post' );
			$galid = JRequest::getVar('galid');
			$catid = JRequest::getVar('catid');
			
			$galid = (!empty($galid)) ?  $galid :  0;
			$catid = (!empty($catid)) ?  $catid :  0;
			
			
			$db = $this->getDBO();
			if(!empty($pid)) {
				$query = "UPDATE " . $db->quoteName('#__ejoshop_photos') ."
				SET `filename` = '".$file."' WHERE " . $db->quoteName('#__ejoshop_photos') .".`id` = '".$pid."' LIMIT 1 ;";
			} else {
				$query = "INSERT INTO ".$db->quoteName('#__ejoshop_photos') 
				." (`filename`, `filesize`, `created`, `ordering`, `state`, `hits`, `galid`, `catid`, `params`,`currency`) VALUES ('".$file."', '23','".gmdate('y-m-d, h:i:s')."', '0', '0', '0', '".$galid."', '".$catid."', '', '-1');";
			}
			
				$db->setQuery($query);
			
			if (!$db->query()) {
				$this->setError($db->getErrorMsg());
				return false;
			}
			
		if(empty($pid)) {
			return $db->insertid();
		} else {
			return $pid;
		}
	}


	function savefile($file,$userpath,$pid,$endpath,$status = 1,$type = 'photoproduct',$imagestyle = 8,$fid = null)
	{

		$data = JRequest::get( 'post' );
		$catid = JRequest::getVar('catid');
		$catid = (!empty($catid)) ?  $catid :  0;
		if(is_file($endpath)) $s = filesize($endpath);
			$t = time();
			if(!$fid) {
			$db = $this->getDBO();
			$query = "INSERT INTO ".$db->quoteName('#__ejoshop_file_managed') 
				." (`fpid`, `filename`, `filesize`, `status`, `uri`, `timestamp`, `type`, `imagestyle`)
				VALUES ('".$pid."','".$file."', '".$s."', '$status', '".$userpath."', '".$t."','$type','$imagestyle');";
			
			$db->setQuery($query);
			
			if (!$db->query()) {
				$this->setError($db->getErrorMsg());

				return false;
			}
			
			$fid = $db->insertid();
			/* ONLY UPDATE MAIN PHOTO */
			if($type != 'photoproduct' && $type != 'temporary' && $type != 'ophoto') {
				/* update filename for fid */
				$table = $this->getTable('ejoshopPhotos');
				$table->load($pid);
				$savedata = array('pid'=>$pid, 'filename'=>$fid);
				if (!$table->bind($savedata)) {
					$this->setError($this->_db->getErrorMsg());
					return false;
					
				}
					
				// Store the Phoca gallery table to the database
				if (!$table->store()) {
					$this->setError($this->_db->getErrorMsg());
				
					return false;
				}
			}
			return $fid;
		} else {
			$table = $this->getTable('ejoshopFilemanaged');
			$table->load($fid);
				// Bind the form fields to the hello table
				$savedata = array('fid'=>$fid,'uri'=>$userpath, 'filename'=>$file,'status'=>1,'fpid'=>$pid);
				if (!$table->bind($savedata)) {
					$this->setError($this->_db->getErrorMsg());
					return false;
					
				}
					
				// Store the Phoca gallery table to the database
				if (!$table->store()) {
					$this->setError($this->_db->getErrorMsg());
				
					return false;
				}
		}
	}

	
		
	function  outputCsvFile($id = null)
	{
		header("Content-Type:   application/vnd.ms-excel; charset=utf-8");
		header("Content-Disposition: attachment; filename=allitems.csv");  //File name extension was wrong
		header("Expires: 0");
		header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
		header("Cache-Control: private",false);
		$fgc = file_get_contents($_SERVER['DOCUMENT_ROOT'].JURI::root(true).'/media/com_ejoshop/files/tmp/allitems.csv');
		echo $fgc;
		jexit();
	}
	
	function getcsv($id = null)
	{

		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->from('#__ejoshop_photos AS i');
		$query->select('i.*');

		
		$db->setQuery( $query );
		$items = $db->loadObjectList();
		$csvfile = JTEXT::_('COM_EJ_ID').';'.JTEXT::_('COM_EG_ARTICUL').';'.JTEXT::_('COM_EG_NAME_OF_PHOTO').';'.JTEXT::_('COM_EJOSHOP_DESCRIPTIONOFTAG').';'.JTEXT::_('COM_EJOSHOP_PRICE').';'.JTEXT::_('COM_EJM_CATEGORY').';'."\r\n";
		
		foreach($items as $item) {
			$csvfile .= "$item->id;$item->articul;$item->name;$item->intro;".str_replace('.',',',$item->price).";$item->catid; \r\n";
		}
	
		if(!is_dir($_SERVER['DOCUMENT_ROOT'].JURI::root(true).'/media/com_ejoshop/files/tmp/')) {
			mkdir($_SERVER['DOCUMENT_ROOT'].JURI::root(true).'/media/com_ejoshop/files/tmp/');
		}
		$fp = fopen($_SERVER['DOCUMENT_ROOT'].JURI::root(true).'/media/com_ejoshop/files/tmp/allitems.csv',"w");
		fwrite($fp,$csvfile);
		fclose($fp);
		echo json_encode(array('linktodownload'=>'<a href="'.JURI::base().'index.php?option=com_ejoshop&view=ejoshopuploadcsv&type=getcsv&format=row&type=getcsvfile">'.JTEXT::_('COM_EJ_LINKTODOWNLOAD').'</a>'));
		
		jexit();
	}
	
	
	function parsecsv($id)
	{
	
		$app = JFactory::getApplication(); 
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$id = JRequest::getVar('id',0);
		$typeload = JRequest::getVar('typeload','new');
		$new = ( $typeload != 'new' ) ? false : true;
		$data = JRequest::get('POST');
		
		$arr = array();
		parse_str($data['order'],$arr);
		
		$linebreak = $data['linebreak'];
		
		$statementser = $data['statementser'];

		
		$order = array();
		foreach($arr as $val => $val) {
			$order[] = $val;
		}
		
		
		$arrayfield = array('name', 'intro', 'price', 'articul', 'catid');
		$keyfield = array();
		foreach($arrayfield as $field) {
			if($new) {
				$keyfield[$field] = array_search($field,$order);
			} else {
				$keyfield[$field] = array_search($field,$order)+1;
			}
		}
		

		$query->from('#__ejoshop_csv AS files');
		$query->select('files.*');

		$query->where("(files.id = '".$id."')");
		
		$db->setQuery( $query );
		$res = $db->loadObject();
		if ($db->getErrorNum()) {
			echo $db->stderr();
			return false;
		}

		/* cyrillic names */
		if(extension_loaded('mbstring')) {
			$res->csvfile = mb_convert_encoding($res->csvfile,"windows-1251", "UTF-8");
		} else {
			$res->csvfile = iconv("UTF-8", "windows-1251",$res->csvfile);
		}
			
		$csvfile = $_SERVER['DOCUMENT_ROOT'].JURI::root(true).$res->csvpath.$res->csvfile;
		
		if(!is_file($csvfile)) {
			return 'Ошибка при чтении CSV файла!';
		}
		$slave_fp = file($csvfile); // Читаем строки файла в массив
				

		$cell = array();
		$this->cellToUtf = array();
		
		if($new) {
			$insert = 'INSERT INTO
			`#__ejoshop_photos` (`name`, `intro`, `price`, `articul`, `catid`, `created`, `alias` )
				VALUES ';
		} else {
			$insert = ' ';
		}
		$i = 0;

		foreach ($slave_fp as $value) {
			++$i;

			if(!empty($linebreak) && $i <= $linebreak) continue;
			
			$cell =  explode(';', trim($value)); // Разбиваем каждую строку на массив 
			foreach($cell as $key => $val) {
				$cell[$key] = $this->fixCharset($val);
			}

			if($this->checkIs($cell,$keyfield,$statementser)) {
					
			} else {
					
					continue;
			}
			
			$cell[$keyfield['catid']] = ($cell[$keyfield['catid']] == 1) ? $cell[$keyfield['catid']] = '' : $cell[$keyfield['catid']];
			$filename = 'noimg.png';
			//$uri = JPath::clean(JPATH_ADMINISTRATOR.'/components/com_ejoshop/assets/');
			$uri = '/media/com_ejoshop/assets/images/';
			$created = gmdate('y-m-d, h:i:s');
			
			$alias = '';
			if(!empty($cell[$keyfield['name']])) {
				$alias = JFilterOutput::stringURLSafe($cell[$keyfield['name']]); 
			}
			
			$cell[$keyfield['price']] = str_replace(',','.',$cell[$keyfield['price']]); 
			$cell[$keyfield['price']] = preg_replace("/[^0-9,.]/si", "", $cell[$keyfield['price']]);
			if(is_numeric($cell[$keyfield['price']])) {
				number_format($cell[$keyfield['price']], 2, ',', ' ');
			} else {
		
				print json_encode(array('success'=>JTEXT::_('COM_EG_ERROR_NUMBER_FORMAT')));
				return false;
			}

			if($new) { /* create new from csv */
				$insert .= "('".$db->escape($cell[$keyfield['name']])."', '".$db->escape($cell[$keyfield['intro']])."', '".$cell[$keyfield['price']]."','".$cell[$keyfield['articul']]."','".$cell[$keyfield['catid']]."','".$created."','".$alias."'),\n"; 
			} else { /* update existing from csv */
				
				if(is_numeric($cell[0])) {
					
						
					$insert = "UPDATE `#__ejoshop_photos` SET `name` = '".$db->escape($cell[$keyfield['name']])."', `intro` = '".$db->escape($cell[$keyfield['intro']])."', `price` = '".$cell[$keyfield['price']]."',`articul` = '".$cell[$keyfield['articul']]."', `catid` = '".$cell[$keyfield['catid']]."' WHERE `#__ejoshop_photos`.`id` = ".$cell[0]." LIMIT 1;";
					try {
						$db->setQuery($insert);
						if (!$db->execute()) {

							throw new Exception($db->getError());
							
			
							return false;
							
						}
					} catch (RuntimeException $e)
					{
						
						//JLog::add('This query failed: '.$insert,JLog::ERROR);
						JLog::addLogger(
							 // Pass an array of configuration options
							array(
									// Set the name of the log file
									
									// (optional) you can change the directory
									'text_file' => 'com_ejoshop.log.php',
									JLog::ALL,
								   //Chooses a category name
									'com_ejoshop'
							 )
						);
						JLog::add('This query failed: '.$e->getMessage(), JLog::WARNING, 'jerror');
						
						return false;
					}
				} else {
						
						
				}
			}
			
			/*
				var_dump($this->checkIs($cell,$keyfield,$statementser));
				var_dump($cell[$keyfield['articul']]);
			*/
		}
		if($new) {
			$sql = substr($insert, 0, -2).';';
		

			$db->setQuery($sql);
				
			if (!$db->query()) {
				$db->getErrorMsg();
				print $db->getErrorMsg();
				die();
				return false;
				
			} else {
				echo json_encode(array('success'=>JTEXT::_('COM_EG_SUCCESS')));
			}
		} else {
			echo json_encode(array('success'=>JTEXT::_('COM_EG_SUCCESS')));
		}
	
			
	}
	
	
	function checkIs($cell,$keyfield, $type)
	{
		
		foreach($type as $key => $val) {
	
			if($val['value'] == 'allfempty') {
					
				if(!$this->checkIsNotEmpty($cell,$keyfield)) {
				
					return false;
				}
			}
			if($val['value'] == 'allfoempty') {
				if(!$this->checkIsNotEmptyOne($cell,$keyfield)) {
					return false;
				}
			}
			if($val['value'] == 'allfpempty') {
				if(!$this->checkIsNotEmptyField($cell[$keyfield['price']],'price')) {
					return false;
				}
			}
			
			if($val['value'] == 'allfaempty') {
				if(!$this->checkIsNotEmptyField($cell[$keyfield['articul']],'articul')) {
					return false;
				}
			}
			if($val['value'] == 'allffnempty') {
				if(!$this->checkIsNotEmptyField($cell[$keyfield['name']],'name')) {
					return false;
				}
			}
				
		}
		return true;
	}
	
	/* проверка если !!ВСЕ!! поля пустые */
	function checkIsNotEmpty($cell,$keyfield)
	{
		$c = count($cell); // КОЛ-ВО ПОЛЕЙ В СТРОКЕ
		
		$howmouch = 0;	// КОЛ-ВО ПУСТЫХ ПОЛЕЙ
		foreach($keyfield as $val) {
			
			if(empty($cell[$val])) ++$howmouch;	
		}
		
		
		if($howmouch <= $c) {
			return true;
		} else {
			return false;
		}
	}
	
	function checkIsNotEmptyOne($cell,$keyfield)
	{
		foreach($keyfield as $val) {
			if(empty($cell[$val])) return false;	
		}
		return true;
	}
	
	function checkIsNotEmptyField($cell,$type = '')
	{
		
		if($type == 'price' && empty($cell)) return false;
		if($type == 'name' && empty($cell)) return false;
		if($type == 'articul' && empty($cell)) return false;	
		return true;			
		
	}
		
		
	/* русская кодировка */
	public function fixCharset($word){
		if(extension_loaded('mbstring')) {
			$word = mb_convert_encoding($word,"UTF-8", "windows-1251");
		} else {
			$word = iconv("windows-1251", "UTF-8",$word);
		}	
		return $word;
	}
	
	function savesale($file,$path,$id)
	{
		
		
		  $db = $this->getDBO();
		
		  
			if($id) {
	
				
				$query = "UPDATE ".$db->quoteName('#__ejoshop_sales') 	." 
				set ".$db->quoteName('saleslogo')." = '".$file."', ".$db->quoteName('uri')." = '".$path."' WHERE " . $db->quoteName('#__ejoshop_sales') .".`id` = '".$id."' LIMIT 1;";
				$db->setQuery($query);
			} else {
				$query = "INSERT INTO ".$db->quoteName('#__ejoshop_sales') 
				." (`saleslogo`,`uri`,`createdon`) VALUES 
				(	'".$file."',
					'".$path."',
					'".gmdate('y-m-d, h:i:s')."'
				);";
			}
			$db->setQuery($query);
		
			if (!$db->execute()) {
				
				$this->setError($db->getErrorMsg());
				return false;
			}
			
		if($id) {
			return $id;
		} else {
			return $db->insertid();
		}
	}

	function savecsv($file,$path)
	{
		

		  $db = $this->getDBO();
 
			 
	
			$query = "INSERT INTO ".$db->quoteName('#__ejoshop_csv') 
			." (`csvfile`,`csvpath`,`createdon`,`published`) VALUES 
			(	'".$file."',
				'".$path."',
				'".gmdate('y-m-d, h:i:s')."',
				'1')";
			
			$db->setQuery($query);
			
			if (!$db->query()) {
				$this->setError($this->_db->getErrorMsg());
				return false;
			}
			

		return $db->insertid();
	}

}


