<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );
jimport('joomla.html.pagination');
jimport('joomla.filesystem.file');

class EjoshopModelEjoshopuploadcsv extends EjoshopModel
{

function __construct()
{

	parent::__construct();
	// get the cid array from the default request hash
	$cid = JRequest::getVar('cid', false, 'DEFAULT', 'array');

	if($cid)
	{
		$id = $cid[0];
	}
	else
	{
		$id = JRequest::getVar('id', 3);
	}

	$this->setId($id);
}


/**
*  ID  
*
* @param int foobar ID
*/

	function setId($id)
	{
		$this->_id = $id;
		
	}
	var $_foobar;


	/**
	 * @     view.html.php
	 */
	function getCsvfiles($fid = '')
	{
			$db = $this->getDBO();
			$query = "SELECT * FROM ".$db->quoteName('#__ejoshop_csv');
			$order = " ORDER BY id DESC";
			if(!empty($fid)) {
				
				$query .= " WHERE id = '".$fid."' LIMIT 0, 1;";
			} else {
				$query .= $order;
			}
			$db->setQuery($query);
			$this->csv = $db->loadObjectList();
			
		
		// return the foobar data
		
		return $this->csv;
	
	}

	function textnl($text)
	{
		$text = str_replace("\r\n","<br />",$text);
		$text = str_replace("\r","<br />",$text);
		$text = str_replace("\n\n", '<p>',$text);
		$text = str_replace("\n", '<br />',$text); 
		return addslashes($text);
	}

	/**
	 * Method to store a record
	 *
	 * @access	public
	 * @return	boolean	True on success
	 */
	function store($post)
	{	
		


		$el = json_encode($post);
		$idmap = JRequest::getVar('idmap');
		// Store the web link table to the database
			$db = $this->getDBO();
			$query = "UPDATE ".$db->quoteName('#__all_csv_price') 
			." set ".$db->quoteName('route_map_yandex')." = '".$this->textnl($el)
			."' WHERE ".$db->quoteName('id')." = '".$idmap."'";
			$db->setQuery($query);
			if (!$db->query()) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		return true;
	}
	
	
	/**
	 * Method to store a record
	 *
	 * @access	public
	 * @return	boolean	True on success
	 */
	function deletecsv($post = '')
	{	
		
		$id = JRequest::getVar('fid');
		$csvpath = $this->getCsvfiles($id);
		$csvpath = $csvpath[0];
		
		$path = $_SERVER['DOCUMENT_ROOT'].JURI::root(true).$csvpath->csvpath.$csvpath->csvfile;
	
		if(is_file($path)) {
			JFILE::delete($path);
						
		}
					
		$idmap = JRequest::getVar('fid');
		// Store the web link table to the database
			$db = $this->getDBO();
			$query = "DELETE FROM ".$db->quoteName('#__ejoshop_csv') 
			." WHERE ".$db->quoteName('id')." = ".$idmap ." LIMIT 1";
			$db->setQuery($query);
			

		if (!$db->query()) {
		
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		return true;
	}

	function save($file,$path)
	{
		

		  $db = $this->getDBO();
		
		  $query1 = "SET NAMES 'utf8'; SET CHARACTER SET 'utf8'";
		  $db->setQuery($query1);
		  $db->query();
			
	
			$query = "INSERT INTO ".$db->quoteName('#__all_csv_price') 
			." (`csvfile`,`csvpath`,`createdon`,`published`) VALUES 
			(	'".$file."',
				'".$path."',
				'".gmdate('y-m-d, h:i:s')."',
				'1')";
			
			$db->setQuery($query);
			
			if (!$db->query()) {
				$this->setError($this->_db->getErrorMsg());
				return false;
			}
			

		return $db->insertid();
	}

	

}


