<?php
/**
 * Base class for the AuthorizeNet ARB & CIM Responses.
 *
 * @package    AuthorizeNet
 * @subpackage AuthorizeNetXML
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru, ermakovshop.com
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
 
// import the list field type
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');
 
/**
 * HelloWorld Form Field class for the HelloWorld component
 */
class JFormFieldAutoconvert extends JFormFieldList
{
	/**
	 * The field type.
	 *
	 * @var		string
	 */

	protected function getInput() {
		
		$db = JFactory::getDBO();

       //build the list of categories
		$query = 'SELECT * FROM '.$db->quoteName('#__ejoshop_currency').' AS c WHERE c.state =1;';
		$db->setQuery( $query );
		$cats = $db->loadObjectList();

		// TODO - check for other views than category edit
		$view 	= JRequest::getVar( 'view' );

		
		// Initialize JavaScript field attributes.
		$attr = '';
		$attr .= $this->element['onchange'] ? ' onchange="'.(string) $this->element['onchange'].'"' : '';
		$attr .= ' class="inputbox"';
		
		$document					= JFactory::getDocument();
			$document->addCustomTag('<script type="text/javascript">
				function changeCatid() {
					var catid = document.getElementById(\'jform_catid\').value;
					var href = document.getElementById(\'pgselectytb\').href;
					href = href.substring(0, href.lastIndexOf("&"));
					href += \'&catid=\' + catid;
					document.getElementById(\'pgselectytb\').href = href;
				}
				</script>');
				$op = array();

				$op[] = JHTML::_('select.option',0, JTEXT::_('COM_EJOSHOP_NO'));
				$op[] = JHTML::_('select.option',1, JTEXT::_('COM_EJOSHOP_YES'));

			$cwithnointl = array('Russian','English (United Kingdom)','English (USA)','Ukraina','Українська','Chinese Traditional','Japan');
			$params = JComponentHelper::getParams( 'com_ejoshop' );
	
			$a = $params->get('convert_currency',0);
				if(!extension_loaded('intl')) {
				
					echo '<div style="clear:both;color:red;">'.JText::sprintf('COM_EJOSHOP_NO_INTL', implode(', ',$cwithnointl)).' </div>';
				} else {
					echo '<div style="clear:both;color:blue;">'.JText::sprintf('COM_EJOSHOP_YES_INTL',implode(', ',$cwithnointl)).' </div>';
				}
				echo JHTML::_('select.genericlist',  $op,  'jform[convert_currency]', 'autocomplete=off', $key = 'value', $text = 'text', $a, $idtag = false, $translate = false );
				
	}
}
