<?php
/*
 * @package Joomla 3.x
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component GYMap Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die;
 
// import the list field type
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');
 
/**
 * HelloWorld Form Field class for the HelloWorld component
 */
class JFormFieldCurrencies extends JFormFieldList
{

		
	/**
	 * The field type.
	 *
	 * @var		string
	 */

	protected function getInput() {
		
		$db = JFactory::getDBO();
		$doc = JFactory::getDocument();
		$doc->addStylesheet( JURI::root(true).'/media/com_ejoshop/assets/ejoshop.css' );
       //build the list of categories
		$query = 'SELECT * FROM '.$db->quoteName('#__ejoshop_currency').' AS c WHERE c.state =1;';
		$db->setQuery( $query );
		$cats = $db->loadObjectList();

		// TODO - check for other views than category edit
		$view 	= JRequest::getVar( 'view' );
		$id 	= JRequest::getVar( 'id', 0, 'int');

		
		// Initialize JavaScript field attributes.
		$attr = '';
		$attr .= $this->element['onchange'] ? ' onchange="'.(string) $this->element['onchange'].'"' : '';
		$attr .= ' class="inputbox"';
		
		$document					= JFactory::getDocument();
			$document->addCustomTag('<script type="text/javascript">
				function changeCatid() {
					var catid = document.getElementById(\'jform_catid\').value;
					var href = document.getElementById(\'pgselectytb\').href;
					href = href.substring(0, href.lastIndexOf("&"));
					href += \'&catid=\' + catid;
					document.getElementById(\'pgselectytb\').href = href;
				}
				</script>');
				$op = array();
				$onchage = '';

				if($view == 'ejoshopphoto') {
				$op[] = JHTML::_('select.option',-1, JTEXT::_('COM_EG_GLOBAL'));
					$name = 'currency';
						$query = "SELECT * FROM ".$db->quoteName('#__ejoshop_photos')." AS c WHERE c.id ='$id' LIMIT 0, 1;";
						$db->setQuery( $query );
						$p = $db->loadObject();
						$a = $p->currency;
					
				} else {
					$params = JComponentHelper::getParams( 'com_ejoshop' );

					$name = 'jform[currency]';
					$a = $params->get('currency',0);
	
				}
				if($view == 'cart') {
					$op[] = JHTML::_('select.option',-1, JTEXT::_('COM_EJ_NOT_SELECT'));
					$a = (!empty($_SESSION['usercurrency'])) ? $_SESSION['usercurrency'] : -1;
					$onchage = 'onchange="submitform(\'cart\');"';
				}
			
				foreach($cats as $cat) {
				
						$op[] = JHTML::_('select.option',$cat->currency_code, $cat->currency_country. '(' . $cat->currency_name .')');
				}
				if(count($cats) == 1) {
					echo '<div class="currencystyle">'.JTEXT::plural('COM_EJOSHOP_CURRENCY_ONLYONE',$cats[0]->currency_code,$cats[0]->currency_country).' </div>';
					
				} else {
				
					echo '<div class="currencystyle">'.JTEXT::sprintf('COM_EJOSHOP_CURRENCY_FAQ',array('')).' </div>';
					echo JHTML::_('select.genericlist',  $op, $name , 'autocomplete="off" '.$onchage, $key = 'value', $text = 'text', $a, $idtag = false, $translate = false );
				}
	}
}
