<?php
/*
 * @package		Joomla.Framework
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 *
 * @component Phoca Component
 * @copyright Copyright (C) 
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License version 2 or later;
 */
defined('_JEXEC') or die();

class JFormFieldImagestyle extends JFormField
{
	protected $type 		= 'Imagestyle';

	function getInput() {
		$value = $this->__get('value');
		$name = $this->__get('name');
		$text = '';
		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);
		$query->select('styles.*');
		$query->from('#__ejoshop_image_styles  AS styles');
		// Get the options.
		$db->setQuery($query);

		$options = $db->loadObjectList();
		
		$tree = array();
		
		$tree[] = JHTML::_('select.option',1,JTEXT::_('COM_EJ_ONLYUPLOAD') );
		foreach($options as $option) {
			$tree[] = JHTML::_('select.option',$option->id,$option->name_imagestyle );
		}
		
	
		
		return JHTML::_('select.genericlist',  $tree, $name, 'autocomplete="off"', 'value', 'text', $value, $name );
	}
}
?>