<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');

/**
* Foobar View
*/
class EjoshopViewEjoshopAllGalleries extends EjoshopView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		// prepare the cSS
			$css = '.icon-48-ejoshopallgalleries {
				background: url("'.JURI::root(true).'/administrator/components/com_ejoshop/assets/images/icon-48-ejoshopallgalleries.png") 0 0 no-repeat;
			}';
		$this->galleries = $this->get('Galleries');
			
			// add the CSS to the document
		$doc =JFactory::getDocument();
		$doc->addStyleDeclaration($css);

		$this->state = $this->get('State');

		$data['layout'] = JRequest::getVar('layout');
		
		if($data['layout'] == 'form') {
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_YANDEXNEWMAP' ), 'ejoshopallgalleries' );
			JToolBarHelper::save('mapyandexallmaps.save', 'COM_EJOSHOP_SAVE_NEW_MAP');
			JToolBarHelper::cancel('mapyandexallmaps.cancel');
		}
		else {
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_NAMECOMPONENT' ), 'ejoshopallgalleries' );
			JToolBarHelper::preferences('com_ejoshop', '460');
			JToolBarHelper::addNew('ejoshopnewgallery.add');
			
			JToolBarHelper::deleteList(JText::_( 'COM_EJOSHOP_DELETE_CONFIRM' ),'ejoshopallgalleries.remove');
		}
		// interrogate the model
	

		
		$pageNav = $this->get('Reviews');
		$this->assignRef('pageNav', $pageNav);
		
		$params = JComponentHelper::getParams( 'com_ejoshop' );
				
		
		$this->assignRef( 'tmpl', $tmpl );
		
		
		parent::display($tpl);
	}
}

?>
