<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die;
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
?>
<?php 
$document = JFactory::getDocument();
$script ='
	Joomla.submitbutton = function(task)
	{
	
			var form = document.adminForm;
			
			if (task == "mapyandexallmaps.cancel") {
				submitform( task );
				return;
			}
			// do field validation
			if (form.name.value == "") {
				alert( "'.JText::_( "COM_EJOSHOP_ERROR_NAME_MAP", true ).'" );
			}
			else {
				Joomla.submitform(task, document.getElementById("adminForm"));
			}
	}
';
$document->addScriptDeclaration($script);
?>
<form action="index.php" method="post" name="adminForm" id="adminForm">	
<?php

$script ='	
		<!--
		function changeDisplayImage() {
			if (document.adminForm.imageurl.value !="") {
				document.adminForm.imagelib.src="../images/banners/" + document.adminForm.imageurl.value;
			} else {
				document.adminForm.imagelib.src="images/blank.png";
			}
		}
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			alert(form);
			if (pressbutton == "cancel") {

				return;
			}
			// do field validation
			if (form.name_map_yandex.value == "") {
				alert( "'.JText::_( "COM_EJOSHOP_ERROR_NAME_MAP", true ).'" );
			}
			  else if (form.id_map_yandex.value == "") {
				alert( "'.JText::_( "COM_EJOSHOP_ERROR_ID", true ).'" );
			} else if (form.city_map_yandex.value == "") {
				alert( "'.JText::_( "COM_EJOSHOP_ERROR_CITY", true ).'" );
			
			} else if (form.street_map_yandex.value == "") {
				alert( "'.JText::_( "COM_EJOSHOP_ERROR_STREET", true ).'" );
			}
	
			else {
				submitform( pressbutton );
			}
		}
		//-->';
	
$document->addScriptDeclaration($script);

$category = $this->allcats[0];
?>

		<div class="width-100">
<div class="width-100 fltlft">

			
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'COM_EJOSHOP_CATEGORY' ); ?></legend>
				
	<div class="width-50 fltlft">
		<table class="admintable">

		<tr>
			<td align="left" class="key">
				<label for="foobar" style="min-width:100%;">
					<?php echo JText::_( 'COM_EJOSHOP_CATEGORY_NAME' ); ?>:
				</label>
			</td>
								<td width="100" align="left">
			 <input type="text" name="name" id="keyword" value="<?php print $category->name;?>" />
			</td>
		</tr>
		<tr>
			<td align="left" class="key">
				<label for="foobar" style="min-width:100%;">
					<?php echo JText::_( 'COM_EJOSHOP_CATEGORY_ALIAS' ); ?>:
				</label>
			</td>
								<td width="100" align="left">
			 <input type="text" name="alias" id="keyword" value="<?php print $category->alias;?>" />
			</td>
		</tr>
					
		
		<tr>
			<td align="left" class="key">
				<label for="foobar" style="min-width:100%;">
					<?php echo JText::_( 'COM_EJOSHOP_PARENT_CATEGORY' ); ?>:
				</label>
			</td>
			<td align="left">


			<?php 
				if(!empty($this->parent_category)) {
					echo $this->parent_category;	
				} else {
					$statez[] = JHTML::_('select.option',0, JText::_( 'COM_EJOSHOP_NOTSET' ));
					foreach($this->allcats as $cat) {
	
						$statez[] = JHTML::_('select.option',$cat->catid, $cat->name );
					}
					
					echo JHTML::_('select.genericlist',  
					$statez, 
					$name = 'parentcategory', 
					$attribs = null, 
					$key = 'value', $text = 'text', $category->catid, $idtag = false, $translate = false );
				}
			?>
			</td>
		</tr>
			<tr>
			<td align="left">
				<label for="foobar" style="min-width:100%;">
					<?php echo JText::_( 'COM_EJOSHOP_CATEGORY_DECSRIPTION' ); ?>:
				</label>
				<div class="clr"></div>

			<textarea name="description" rows="5" cols="50"><?php print $category->description;?></textarea>

			</td>
		</tr>	


			</table>
	</div>
	<div class="width-50 fltlft">

	</div>
		</fieldset>
		

</div>


<div class="clr"></div>

<input type="hidden" name="option" value="com_ejoshop" /> 
<input type="hidden" name="id" value="<?php print $category->catid;?>" />
<input type="hidden" name="task" value="editchanges" />
<input type="hidden" name="controller" value="ejoshopcategories" />
</form>