<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access'); ?>

	<?php 
	$document = JFactory::getDocument();
	JHtml::_('behavior.tooltip');
	$user		= JFactory::getUser();
	$userId		= $user->get('id');
	$listOrder	= $this->state->get('list.ordering');
	$listDirn	= $this->state->get('list.direction');
	$document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js');?>
	<?php $document->addStyleSheet(JURI::root(true).'/media/com_ejoshop/colorbox/colorbox.css');?>
	<?php $document->addScript(JURI::root(true).'/media/com_ejoshop/colorbox/jquery.colorbox-min.js');?>
	<script type="text/javascript">
		$(function(){
			$('a[rel="colorbox"]').colorbox();
		});
	</script>
<form action="<?php JRoute::_('index.php?option=com_ejoshop'); ?>" method="post" name="adminForm">
	<fieldset id="filter-bar">
		<div class="filter-search fltlft">
			<label class="filter-search-lbl" for="filter_search"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>
			<input type="text" name="filter_search" id="filter_search" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="<?php echo JText::_('COM_EJOSHOP_SEARCH_IN_TITLE'); ?>" />
			<button type="submit"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
			<button type="button" onclick="document.id('filter_search').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
		</div>
	</fieldset>
<div id="editcell">
    <table class="adminlist">
    <thead>
        <tr>
            <th width="5">
              
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_ID', 'photos.id', $listDirn, $listOrder ); ?>
            </th>

            <th width="20">
              <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->allphotos ); ?>);" />
            </th>
			<th width="200">
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_NAME_FILE', 'photos.name', $listDirn, $listOrder ); ?>
            </th>
			<th width="200">
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_ITEMNAME', 'photos.itemname', $listDirn, $listOrder ); ?>
            </th>
            <th>
                <?php echo JText::_( 'COM_EJOSHOP_DESCRIPTIONOFTAG' ); ?>
            </th>
			<th width="5%" nowrap="nowrap"><?php echo JHTML::_('grid.sort',  'COM_PHOCAGALLERY_PUBLISHED', 'photos.state', $listDirn, $listOrder ); ?>
            <th>
                <?php echo JText::_( 'COM_EJOSHOP_IN_GALLERY' ); ?>
            </th>
            <th>
                <?php echo JText::_( 'COM_EJOSHOP_IN_CATEGORY' ); ?>
            </th>			
			<th>
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_HITS', 'photos.hits', $listDirn, $listOrder ); ?>
            </th>
			<th>
                <?php echo JText::_( 'COM_EJOSHOP_YMCODE' ); ?>
            </th>
			<th>
                <?php echo JText::_( 'COM_EJOSHOP_TYPE' ); ?>
            </th>
			<th>
				<?php echo JHTML::_('grid.sort',  'COM_PHOTO_TIME', 'photos.checked_out_time', $listDirn, $listOrder ); ?>
            </th>
            </th>
			<th>
				  <?php echo JText::_( 'COM_EJOSHOP_MAP_TYPE' ); ?>
            </th>
			<th>
				<?php echo JText::_( 'COM_EJOSHOP_STATUS_ACTION' ); ?>
            </th>
        </tr>            
    </thead>
    <?php
    $k = 0;
    for ($i=0, $n=count( $this->allphotos ); $i < $n; $i++)
    {
        $row = $this->allphotos[$i];
        $checked    = JHTML::_( 'grid.id', $i, $row->id );
		$link = JRoute::_( 'index.php?option=com_ejoshop&view=ejoshopphotos&layout=photoedit&id='. $row->id );
		
        ?>
        <tr class="<?php echo "row$k"; ?>">
		    <td>
                <?php echo $row->id; ?>
            </td>

            <td>
              <?php echo $checked; ?>
            </td>
			<td style="text-align:center;">
				<a href="<?php echo $link; ?>">
			   <?php echo $row->filename; ?></a> <br />
               <?php
			    $path = JURI::root(false).$row->uri;
			   	$path_parts = pathinfo($path.$row->filename);

				/*
					echo $path_parts['dirname'], "\n";
					echo $path_parts['basename'], "\n";
					echo $path_parts['extension'], "\n";
					echo $path_parts['filename'], "\n"; // начиная с PHP 5.2.0
				*/
				
				$newfileimgsrc = $path.'_s.png';

				$thumb = $path.$path_parts['filename'].'_s.png';
				$imgsrc = $path.$row->filename;

				if(is_file($_SERVER['DOCUMENT_ROOT'].JURI::root(true).$row->uri.$path_parts['filename'].'_s.png')) {
					print '<a rel="colorbox" href="'.$imgsrc.'"><img src="'.$thumb.'"></a>';
				} else {
					print '<a rel="colorbox" href="'.$link.'"><img src="'.JURI::root(false).'media/com_ejoshop/files/noimg.png"></a>';
				}
			   ?>

            </td>
            <td>
                <a href="<?php echo $link; ?>"><?php echo $row->name; ?></a>
            </td>
            <td>
                <a href="<?php echo $link; ?>"><?php echo $row->intro; ?></a>
            </td>

			<td class="center"><? echo JHtml::_('jgrid.published', $row->published, $i, 'ejoshopphotos.', true);?></td>
            <td>
                <a href="<?php echo $link; ?>"><?php echo $row->galery_name; ?></a>
            </td>
            <td>
                <a href="<?php echo $link; ?>"><?php echo $row->category_name; ?></a>
            </td>
			<td style="text-align:center;">
                <?php echo $row->hits; ?>
            </td>
			<td style="text-align:center;">
                <?php
					echo '{egphoto_id='.$row->id.'}';
				
				?>
            </td>
			<td style="text-align:center;">
                <?php
				if($row->map_type == 'calculator') {
					echo JHTML::_('image', 'media/com_galleries/assets/images/calculator.png','','style="margin-bottom: 3px;"');
				} else {
					echo JHTML::_('image', 'media/com_galleries/assets/images/map.png','','style="margin-bottom: 3px;"');
				}
				
				?>
            </td>

			<td style="text-align:center;">

			<?php
			
				echo JHTML::_('date', $row->created, 'Y:m:d h:m:s');
			
			?>
            </td>
			<td style="text-align:center;">
                <?php
					echo $row->maptype;
				
				?>
            </td>
			<td>
			    <a href="<?php echo $link; ?>"><img title="<?php  print JText::_('COM_EJOSHOP_ORDER_EDIT'); ?>" src="<?php print JURI::root(false)."media/com_ejoshop/assets/images/edititem.png";?>" /></a>
			</td>
        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
<tr>
	<td colspan="14"><?php echo $this->photopager->getListFooter(); ?></td>
</tr>
    </table>
<?php echo $this->loadTemplate('batch'); ?>
</div>
 
<input type="hidden" name="option" value="com_ejoshop" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="ejoshopphotos" />
        <input type="hidden" name="filter_order" value="<?php echo $listDirn; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listOrder; ?>" />
<?php echo JHtml::_('form.token'); ?>
</form>

