<?php 

/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Comment
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
 
defined('_JEXEC') or die('Restricted access'); 
?>

<?php 
$document = JFactory::getDocument();
JHtml::_('behavior.tooltip');
$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->state->get('filter.filter_order','c.tree');
$listDirn	= $this->state->get('filter.filter_order_Dir','');
$document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js');
?>

<div id="ejoshop">	
	<form action="<?php JRoute::_('index.php?option=com_ejoshop'); ?>" method="post" id="adminForm" name="adminForm">
		<div class="clearfix">
		
		<div class="js-stools-container-bar">
			<div class="btn-wrapper input-append">
				<input type="text" placeholder="<?php echo JText::_('JSEARCH_FILTER_LABEL'); ?>" value="" id="filter_search" name="filter[search]">			
				<button title="" class="btn hasTooltip" type="submit" data-original-title="<?php echo JText::_('JSEARCH_FILTER_LABEL'); ?>">
					<i class="icon-search"></i>
				</button>
			</div>
			<div class="btn-wrapper">
				<button type="submit" class="btn"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
				<button type="button" class="btn" onclick="document.id('filter_search').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
			</div>
		</div>
		</div>
	<div id="editcell">
    <table id="articleList" class="table table-striped">
		<thead>
			<tr>
				<th width="20">
					<?php echo JHtml::_('grid.checkall'); ?>
				</th>
				<th width="255">
					<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_ORDER_TREE_VIEW', 'c.tree', $listDirn, $listOrder ); ?>
				</th>
				<th width="200">
					<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_COMMENT_EMAIL', 'c.useremail', $listDirn, $listOrder ); ?>
				</th>
				<th>
					<?php echo JText::_( 'COM_EJOSHOP_COMMENT_TEXT' ); ?>
				</th>
				<th width="5%" nowrap="nowrap"><?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_PUBLISHED', 'c.state', $listDirn, $listOrder ); ?>
				</th>
				<th>
					<?php echo JHTML::_('grid.sort',  'COM_COMMENT_CREATED', 'c.created', $listDirn, $listOrder ); ?>
				</th>
				<th width="5">
	
				</th>

				<th width="5">
					<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_ID', 'c.mlid', $listDirn, $listOrder ); ?>
				</th>
			</tr>            
		</thead>
		<?php
		$k = 0;
		for ($i=0, $n=count( $this->comments ); $i < $n; $i++)
		{
			$row = $this->comments[$i];
		
			$checked    = JHTML::_( 'grid.id', $i, $row->mlid );
			$link = JRoute::_( 'index.php?option=com_ejoshop&view=ejoshopcomment&layout=edit&id='. $row->mlid );
			
			?>
			<tr class="<?php echo "row$k"; ?>">


				<td>
				  <?php echo $checked; ?>
				</td>
				<td>

					<?php
					echo str_repeat('<span class="gi">|&mdash;</span>',$row->depth)
					?>
					<div class="user-image" style="float:right;">&nbsp;<?php echo $row->gravatar;?></div>
					<a href="<?php echo $link; ?>"><?php echo JHTML::_('string.truncate', ($row->username), 50); ?></a>
				</td>
				<td>
					<a href="<?php echo $link; ?>"><?php echo JHTML::_('string.truncate', ($row->useremail), 50); ?></a>
				</td>

				<td>
					<a href="<?php echo $link; ?>"><?php echo JHTML::_('string.truncate', ($row->comment), 200); ?></a>
				</td>

				<td class="center">
				<?
				echo JHtml::_('jgrid.published', $row->state, $i, 'ejoshopcomments.', true, 'cb');
				?>
				</td>

		

				<td style="text-align:center;">

				<?php
				
					echo JHTML::_('date', $row->created, 'Y:m:d h:m:s');
				
				?>
				</td>

				<td>
					<a href="<?php echo $link; ?>"><img title="<?php  print JText::_('COM_EJOSHOP_ORDER_EDIT'); ?>" src="<?php print JURI::root(false)."media/com_ejoshop/assets/images/edititem-s.png";?>" /></a>
				</td>
				<td>
					<?php echo $row->mlid; ?>
				</td>
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
	<tr>
		<td colspan="8"><?php echo $this->commentpager->getListFooter(); ?></td>
	</tr>
		</table>

	</div>
	 

	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
    <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
    <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
	<?php echo JHtml::_('form.token'); ?>
	</form>
</div>