<?php
/**
 * @package		Joomla.Administrator
 * @subpackage	com_ejoshop
 * @copyright	Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

// Include the component HTML helpers.
JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');

// Load the tooltip behavior.
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');

$catid = (empty($this->item->catid)) ? 0 : $this->item->catid;
$id = (empty($this->item->id)) ? 0 : $this->item->id;
$pid = JRequest::getVar('pid',0);
$document = JFactory::getDocument();
$script = '

		$j = jQuery.noConflict();
		var uploader;


		$j(function(){
		$j("#edit-fields-add-new-field-type").change(function(){
			var v = $j(this).val();
			if(v == "list_text" || v == "list_float" || v == "list_integer" || v == "list_boolean" ) {
				$j("#edit-fields-add-new-field-widget-type").replaceWith(\'<select name="fields[_add_new_field][widget_type]" id="edit-fields-add-new-field-widget-type" class="widget-type-select form-select"><option value="options_buttons">Check boxes/radio buttons</option><option value="options_select">Select list</option></select>\');
				$("#edit_fields_add_new_field_widget_type_chzn").remove();
			} else {
				$j("#edit-fields-add-new-field-widget-type").replaceWith(\'<select name="fields[_add_new_field][widget_type]" id="edit-fields-add-new-field-widget-type" class="widget-type-select form-select"><option selected="selected" value="text_textfield">Text field</option></select>\');
				$("#edit_fields_add_new_field_widget_type_chzn").remove();
			}
			

			if(v == "text" ) {
				if($j("#maxlength").length == 0) {
					$j(".adminformlist").append(\'<li><label class="" for="maxlength" id="jform_maxlength-lbl">Максимальной значение</label><input type="text" value="" id="maxlength" name="maxlength"></li>\');
				}
			} else {
				$j("#jform_maxlength-lbl").closest("li").remove();
			}
			$j("select").chosen();
		});
			
		});
		
	';
		
	$document->addScriptDeclaration($script);

?>


<form action="<?php echo JRoute::_('index.php?option=com_ejoshop&extension='.JRequest::getCmd('extension', 'com_ejoshop').'&layout=edit&id='.(int)$this->item->id); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
	<div class="width-60 fltlft">
		<fieldset class="adminform">
			<legend><?php echo JText::_('COM_EJOSHOP_FIELD_DETAILS');?></legend>
			<ul class="adminformlist">
				<li><label><?php echo JText::_('COM_EJOSHOP_FIELD_TYPE');?></label>
					<select name="fields[_add_new_field][type]" autocomplete="off" id="edit-fields-add-new-field-type" class="field-type-select form-select">
						<option selected="selected" value=""><?php echo JText::_('COM_EJOSHOP_SELECT_A_FIELD_TYPE');?></option>
						<option value="list_boolean">Boolean</option>
						<option value="number_decimal">Decimal</option>
						<option value="number_float">Float</option>
						<option value="number_integer">Integer</option>
						<option value="list_float">List (float)</option>
						<option value="list_integer">List (integer)</option>
						<option value="list_text">List (text)</option>
						<option value="text_long">Long text</option>
						<option value="text">Text</option>
					</select>
				</li>

				<li><label><?php echo JText::_('COM_EJOSHOP_FIELD_WIDGET');?></label>
					<select name="fields[_add_new_field][widget_type]" id="edit-fields-add-new-field-widget-type" class="widget-type-select form-select">
						<option selected="selected" value="text_textfield">Text field</option>
					</select>
				</li>


				<li><label><?php echo JText::_('COM_EJOSHOP_FIELD_NAME');?></label>
					<input type="text" class="form-text machine-name-source" maxlength="128" size="15" value="" name=		"fields[_add_new_field][label]" id="edit-fields-add-new-field-label">
				</li>


			</ul>

		</fieldset>
	</div>

	<div class="width-40 fltrt">

		<?php echo JHtml::_('sliders.start', 'categories-sliders-'.$this->item->id, array('useCookie'=>1)); ?>
		
			<div class="clr"></div>




	<?php echo JHtml::_('sliders.end'); ?>
	</div>
	<div class="clr"></div>


	
	<div>

		<input type="hidden" name="task" value="" />
		<input type="hidden" name="pid" value="<?php echo $pid;?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>
