<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component EjoShop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');

/**
* Foobar View
*/
class EjoshopViewEjoshopFields extends EjoshopView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	function display($tpl = null)
	{

		EjoshopHelper::load_menu();
		$doc = JFactory::getDocument();
		$doc->addStylesheet( JURI::root(true).'/media/com_ejoshop/assets/ejoshop.css' );
		$this->sales = $this->get('Items');

		$this->state = $this->get('State');
		$this->form = $this->get('Form');

		$data['layout'] = JRequest::getVar('layout');
		
		if($data['layout'] == 'form') {
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_FIELDS' ), 'ejoshopfields' );

		}
		else {
			JToolBarHelper::addNew('ejoshopfields.addfield');
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_FIELDS' ), 'ejoshopfields' );
	

			JToolBarHelper::deleteList(JText::_( 'COM_EJOSHOP_DELETE_CONFIRM' ),'ejoshopfields.delete');
		}
		JToolBarHelper::preferences('com_ejoshop', '460');
		// interrogate the model
	

		
		$this->pager = $this->get('Reviews');
	

		
		parent::display($tpl);
	}
}

?>
