<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
 defined('_JEXEC') or die('Restricted access');

$document	= JFactory::getDocument();
if($this->map == 'yandex') {
$document->addScript('http://api-maps.yandex.ru/2.0.10/?load=package.full&lang=ru-RU');
	
	
?>
<script xmlns:str="http://exslt.org/strings" type="text/javascript"><!--
            var map, placemark;
            
            window.onload = function init () {
			ymaps.geocode(37.609218,55.753559, {results: 100}).then(function (res) {
				map = new ymaps.Map("YMapsID", {
					// Центр карты
					center: res.geoObjects.get(0).geometry.getCoordinates(),
					// Коэффициент масштабирования
					zoom: 15
		
				}
				);	
				map.controls.add("zoomControl");
				
                var point = res.geoObjects.get(0).geometry.getCoordinates();
				
				startPlacemark = new ymaps.Placemark(point, {
						draggable: true, hideIcon: false
             
						}, {
							// Опции
							// Иконка метки будет растягиваться под ее контент
							preset: 'twirl#blueStretchyIcon'
						});
						
				map.geoObjects.add(startPlacemark);
				

            });
            

            

			}
			

			
			function showAddress (value) {
				ymaps.geocode(value, {results: 100}).then(
	
                function (res) {
					if (res.geoObjects.getLength()) {
						// point - первый элемент коллекции найденных объектов
						var point = res.geoObjects.get(0);
						// Добавление полученного элемента на карту
						map.geoObjects.add(point);

						document.getElementById('coords').value = point.geometry.getCoordinates()[0];
						document.getElementById('coords2').value = point.geometry.getCoordinates()[1];	
				
						window.top.document.forms.adminForm.getElementById('longitude').value = point.geometry.getCoordinates()[1];
						window.top.document.forms.adminForm.getElementById('latitude').value = point.geometry.getCoordinates()[0];	
						// Центрирование карты на добавленном объекте
						map.panTo(point.geometry.getCoordinates());
					}
				},
				// Обработка ошибки
				function (error) {
					alert("Возникла ошибка: " + error.message);
				}
                    
                );
            }
            --></script>

<div>
  <form action="#" onsubmit="showAddress(this.address.value);return false;">
    <table>
      <tr>
	   <td><?php echo JText::_('COM_EJOSHOP_SAVE_COORDS_DESCRIPTION');?>:</td>
        <td><input name=""  type="text" id="address" value="" size="30" />
          </input></td>
        <td><input class="find-button" type="submit" value="<?php echo JText::_('COM_EJOSHOP_SAVE_COORDS');?>">
          </input>
        </td>
      </tr>
      <tr>
        <td colspan="3">
        	<?php echo JText::_('COM_EJOSHOP_SAVE_LATITUDE');?>:&nbsp;<input name="" type="text" id="coords" size="30"></input>
		    <?php echo JText::_('COM_EJOSHOP_SAVE_LONGITUDE');?>:&nbsp;<input name="" type="text" id="coords2" size="30" /></input>
        </td>
      </tr>

	  
    </table>

    <div style="margin:0;padding:0;text-align:center;">
      <div id="YMapsID" style="margin:0;padding:0;width:550px;height:500px;margin-bottom:5px;"></div>
    </div>
  </form>
  </td>
  <td><i></i></td>
  </tr>
  </table>
 </div>
<?php
} else {

?>
<div>
  <form action="#" onsubmit="showAddress(this.address.value);return false;">
    <table>
      <tr>
	   <td><?php echo JText::_('COM_EJOSHOP_SAVE_COORDS_DESCRIPTION');?>:</td>
        <td><input name=""  type="text" id="address" value="" size="30" />
          </input></td>
        <td><input class="find-button btn" type="submit" value="<?php echo JText::_('COM_EJOSHOP_SAVE_COORDS');?>">
          </input>
        </td>
      </tr>
      <tr>
        <td colspan="3">
        	<?php echo JText::_('COM_EJOSHOP_SAVE_LATITUDE');?>:&nbsp;<input name="" type="text" id="coords" size="30"></input>
			<?php echo JText::_('COM_EJOSHOP_SAVE_LONGITUDE');?>:&nbsp;<input name="" type="text" id="coords2" size="30" /></input>
        </td>
      </tr>

	  
    </table>

<div align="center" style="margin:0;padding:0"><div id="phocaMap" style="margin:0;padding:0;width:620px;height:520px"></div></div>
  </form>
  </td>
  <td><i></i></td>
  </tr>
  </table>
 </div>
<script src="http://www.google.com/jsapi" type="text/javascript"></script>
<noscript>JavaScript must be enabled in order for you to use Google Maps. However, it seems JavaScript is either disabled or not supported by your browser. To view Google Maps, enable JavaScript by changing your browser options, and then try again.</noscript>
<script type='text/javascript'>//<![CDATA[
google.load("maps", "3.x", {
    "other_params": "sensor=false"
});
var tstPhocaMap = document.getElementById('phocaMap');
var tstIntPhocaMap;
var mapPhocaMap;

function CancelEventPhocaMap(event) {
    var e = event;
    if (typeof e.preventDefault == 'function') e.preventDefault();
    if (typeof e.stopPropagation == 'function') e.stopPropagation();
    if (window.event) {
        window.event.cancelBubble = true; /* for IE */
        window.event.returnValue = false; /* for IE */
    }
}

function CheckPhocaMap() {
    if (tstPhocaMap) {
        if (tstPhocaMap.offsetWidth != tstPhocaMap.getAttribute("oldValue")) {
            tstPhocaMap.setAttribute("oldValue", tstPhocaMap.offsetWidth);
            if (tstPhocaMap.getAttribute("refreshMap") == 0) {
                if (tstPhocaMap.offsetWidth > 0) {
                    clearInterval(tstIntPhocaMap);
                    getPhocaMap();
                    tstPhocaMap.setAttribute("refreshMap", 1);
                }
            }
        }
    }
}

function getPhocaMap() {
    if (tstPhocaMap.offsetWidth > 0) {
        var phocaLatLng = new google.maps.LatLng(50.08710669808234, 14.423847198486328);
        var phocaOptions = {
            zoom: 13,
            center: phocaLatLng,
            mapTypeControl: true,
            mapTypeControlOptions: {
                style: google.maps.MapTypeControlStyle.DEFAULT
            },
            navigationControl: true,
            navigationControlOptions: {
                style: google.maps.NavigationControlStyle.DEFAULT
            },
            scaleControl: true,
            scrollwheel: true,
            disableDoubleClickZoom: false,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        };
        mapPhocaMap = new google.maps.Map(document.getElementById('phocaMap'), phocaOptions);
        var phocaStartZoom = 13;
        var egZoom = null;
        google.maps.event.addListener(mapPhocaMap, "zoom_changed", function (phocaStartZoom, egZoom) {
            egZoom = mapPhocaMap.getZoom();
            //if (window.parent) window.parent.phocaSelectMap_jform_zoom(egZoom);
        });
        var phocaPoint1 = new google.maps.LatLng(50.08710669808234, 14.423847198486328);
        var markerPhocaMarker1 = new google.maps.Marker({
            position: phocaPoint1,
            map: mapPhocaMap,
            draggable: true
        });
        var infoPhocaWindow1 = new google.maps.InfoWindow({
            content: markerPhocaMarker1.getPosition().toUrlValue(6)
        });
        google.maps.event.addListener(markerPhocaMarker1, 'dragend', function () {
            var phocaPointTmp = markerPhocaMarker1.getPosition();
            markerPhocaMarker1.setPosition(phocaPointTmp);
            closeMarkerInfo1();
            exportPoint1(phocaPointTmp);
        });
        google.maps.event.addListener(mapPhocaMap, 'click', function (event) {
            var phocaPointTmp2 = event.latLng;
            markerPhocaMarker1.setPosition(phocaPointTmp2);
            closeMarkerInfo1();
            exportPoint1(phocaPointTmp2);
        });
        google.maps.event.addListener(markerPhocaMarker1, 'click', function (event) {
            openMarkerInfo1();
        });

        function openMarkerInfo1() {
            infoPhocaWindow1.content = markerPhocaMarker1.getPosition().toUrlValue(6);
            infoPhocaWindow1.open(mapPhocaMap, markerPhocaMarker1);
        }

        function closeMarkerInfo1() {
            infoPhocaWindow1.close(mapPhocaMap, markerPhocaMarker1);
        }

        function exportPoint1(phocaPointTmp3) {
		   // TO DO as yandex map for search address
           // document.getElementById('coords').value = phocaPointTmp3.lng();
           //  document.getElementById('coords2').value = phocaPointTmp3.lat();

            window.top.document.forms.adminForm.getElementById('longitude').value = phocaPointTmp3.lng();
            window.top.document.forms.adminForm.getElementById('latitude').value = phocaPointTmp3.lat();

        }
		
        google.maps.event.addDomListener(tstPhocaMap, 'DOMMouseScroll', CancelEventPhocaMap);
        google.maps.event.addDomListener(tstPhocaMap, 'mousewheel', CancelEventPhocaMap);
    }
	

}
			
	function showAddress (value) {
		
		 geocoder = new google.maps.Geocoder();

		 var address = value;
			geocoder.geocode( { 'address': address}, function(results, status) {
			
			  if (status == google.maps.GeocoderStatus.OK) {
				
				mapPhocaMap.setCenter(results[0].geometry.location);
				var marker = new google.maps.Marker({
					map: mapPhocaMap,
					position: results[0].geometry.location
					
				});
					
					var lat = results[0].geometry.location.lat();
					var lng = results[0].geometry.location.lng();
					
	
					document.getElementById('coords').value = lng;
					document.getElementById('coords2').value = lat;	
		
					window.top.document.forms.adminForm.getElementById('longitude').value = lng;
					window.top.document.forms.adminForm.getElementById('latitude').value = lat;	
			  } else {
				alert("Geocode was not successful for the following reason: " + status);
			  }
			});

	
		
		
	}	
function initialize() {
    tstPhocaMap.setAttribute("oldValue", 0);
    tstPhocaMap.setAttribute("refreshMap", 0);
    tstIntPhocaMap = setInterval("CheckPhocaMap()", 500);
}
google.setOnLoadCallback(initialize);
//]]></script>


<?php
} 
?>


