<?php
/*
 * @package Joomla 1.5
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');

/**
* Foobar View
*/
class EjoshopViewEjoshopNewGallery extends EjoshopView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		// prepare the cSS
			$css = '.icon-48-ejoshopnewgallery {
				background: url(\'../media/com_ejoshop/colorpicker/images/icon-48-mapyandex.png\') 0 0 no-repeat;
			}
			.icon-48-allmaps {
				background: url(\'../media/com_ejoshop/colorpicker/images/icon-48-allmaps.png\') 0 0 no-repeat;
			}';
		$foobar = $this->get('Foobar');
		$this->allcat = $this->get('Categories');
				
			// add the CSS to the document
		$doc =JFactory::getDocument();
		$doc->addStyleDeclaration($css);
		$this->form	= $this->get('Form');
		$this->state = $this->get('State');
		
		$data['layout'] = JRequest::getVar('layout');
		
		if($data['layout'] == 'form') {
		JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_YANDEXNEWMAP' ), 'ejoshopnewgallery' );
			JToolBarHelper::save('ejoshopnewgallery.save', 'COM_EJOSHOP_SAVE_NEW_MAP');
			JToolBarHelper::cancel('ejoshopnewgallery.cancel');
		}
		else {
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_NAMECOMPONENT' ), 'allmaps' );
			JToolBarHelper::preferences('com_ejoshop', '460');
			JToolBarHelper::addNew('ejoshopnewgallery.add');
			
			JToolBarHelper::deleteList(JText::_( 'COM_EJOSHOP_DELETE_CONFIRM' ),'ejoshopnewgallery.remove');
		}
		// interrogate the model
	
		$this->assignRef('foobar', $foobar);
		
		$pageNav = $this->get('Reviews');
		$this->assignRef('pageNav', $pageNav);
		
		$params = JComponentHelper::getParams( 'com_ejoshop' );
				
		
		$this->assignRef( 'tmpl', $tmpl );
		
		
		parent::display($tpl);
	}
}

?>
