<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access'); 
JHtml::_('behavior.formvalidation');
?>
  	<form action="index.php" method="post" name="adminForm" id="adminForm">	
	
		<div class="width-70 fltlft">
		
		<fieldset class="adminform">
			<legend><?php echo empty($this->item->id) ? JText::_('COM_EJOSHOP_EDITINFO') : JText::sprintf('COM_EJOSHOP_EDITINFO', $this->item->id); ?></legend>
	<?php $document =& JFactory::getDocument();?>

	<?php $document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js');?>
	<?php $document->addScript(JURI::root(true).'/media/com_ejoshop/assets/uploader/client/fileuploader.js');?>
	<?php $document->addStylesheet(JURI::root(true).'/media/com_ejoshop/assets/uploader/client/fileuploader.css');?>
<style type="text/css">
	.demo {
		bottom: 0;
		font: 1.5em Arial, sans-serif;
		height: 30%;
		padding: 0;
		z-index: 555;
	}
	#demo{
	margin-top:15px;
	}
	.demo #log,.demo #birds,.demo #logxml,.demo #birdsxml,.demo #birdscache,#project,#project-icon
		{
		border: 3px solid #CADCEB;
		border-radius: 10px 10px 10px 10px;
	}

	#accordion h3,#accordion-method h3 {
		cursor: pointer;
		line-height: 30px;
		border: 2px solid #f6f6f6;
		border-bottom-right-radius: 0px;
		border-bottom-left-radius: 0px;
	}

	#accordion h3 span,#accordion-method h3 span {
		float: left;
		margin: 7px 0 0;
	}

	#accordion div,#accordion-method div {
		padding: 20px;
	}

	.swidth {
		width: 70%;
	}
</style>

<?php
	$script = "
		var uploader;
	    function createUploader(url){     
			

			
            uploader = new qq.FileUploader({
                info:'Выбрать и загрузить фото', seacustom:true,
                element: document.getElementById('demo'),
                listElement: document.getElementById('separate-list'),
                action: '/administrator/index.php?option=com_ejoshop&view=ajaxupload',
				params:{catid:4,galid:4},
				onComplete: function(id, fileName, responseJSON){
					
					
				}
            });      
        }
		$(function(){
			$('#adminForm select[name=\"category\"],#adminForm select[name=\"gallery\"]').change(function(){
				var galid = $('#adminForm select[name=\"gallery\"]').val();
				var catid = $('#adminForm select[name=\"category\"]').val();
				
				var form = document.adminForm;
				var catid = form.category.value
				var galid = form.gallery.value
				uploader.setParams({catid:catid,galid:galid});
				
			});
			

			
			createUploader(1);
			$('.introlabel').live('click',function(){
				rel = $(this).attr('rel');
				$('.intro[rel=\"'+rel+'\"]').fadeIn();
				$('.saveintro[rel=\"'+rel+'\"]').fadeIn();
				
			});
			
			$('.saveintro').live('click',function(e){
				e.preventDefault();
				var el = $(this);
				var text = $(this).prev().val();
				pid = $(this).attr('rel');
				$.ajax({
				url:'/administrator/index.php?option=com_ejoshop&view=ajaxsavedescription',
				data:{description:text,pid:pid},
				type:'POST',
				success: function(data){
					if(data.success) {
						l = el.closest('.qq-upload-success').find('.successintro').length;
						if(l == 0) {
							el.after('<span class=\"successintro\">Описание добавлено!</div>');
						}
						el.closest('.qq-upload-success').find('.successintro').fadeIn();
						setTimeout(\"$('.successintro').fadeOut()\",2000);
					}
				},
				dataType:'json'
				});
			});
		});
		
		";
	$document->addScriptDeclaration($script);
	?>
<div class="col100">
		<table class="admintable">
		<tr>
			<td align="left" class="key">
				<label for="foobar" style="min-width:100%;">
					<?php echo JText::_( 'COM_EJOSHOP_CATEGORY' ); ?>:
				</label>
			</td>
			<td align="left">


			<?php 
				foreach($this->allcat as $cat) {
					$statez[] = JHTML::_('select.option',$cat->catid, $cat->name );
				}
				
				echo JHTML::_('select.genericlist',  $statez, $name = 'category', $attribs = null, $key = 'value', $text = 'text', $selected = $this->foobar->yandexzoom, $idtag = false, $translate = false );
			?>
			</td>
		</tr>
		
		<tr>
			<td align="left" class="key">
				<label for="foobar" style="min-width:100%;">
					<?php echo JText::_( 'COM_EJOSHOP_NAME_WHERE' ); ?>:
				</label>
			</td>
			<td align="left">


			<?php 
				$galleries[] = JHTML::_('select.option',0, 'Не выбрана' );
				foreach($this->allgal as $cat) {
					$galleries[] = JHTML::_('select.option',$cat->galid, $cat->name );
				}
				
				echo JHTML::_('select.genericlist',  $galleries, $name = 'gallery', 'autocomplete=off', $key = 'value', $text = 'text', 0, $idtag = false, $translate = false );
			?>
			</td>
		</tr>
		
		<tr>
			<td width="100" align="left" class="key">
				<label for="foobar">
					<?php echo JText::_( 'COM_EJOSHOP_UPLOAD_PHOTO' ); ?>:
				</label>
			</td>
								<td width="100" align="left">
			 <div id="demo"></div>
			 <input type="hidden" name="files" value="" />
			</td>
		</tr>

		
	</table>

		

</div>


</div>
	


<div class="clr"></div>

<input type="hidden" name="option" value="com_ejoshop" />
<input type="hidden" name="id" value="<?php echo $this->foobar->id; ?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="ejoshopphotos" />
</form>