<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access'); 
 
$document = JFactory::getDocument();
$user		= JFactory::getUser();
$app = JFactory::getApplication(); 
$userId		= $user->get('id');
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');



JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$document->addStyleSheet(JURI::root(true).'/media/com_ejoshop/colorbox/colorbox.css');
$document->addScript(JURI::root(true).'/media/com_ejoshop/colorbox/jquery.colorbox-min.js');
$colorbox = '
	jQuery(function(){
		jQuery(\'a[rel="colorbox"]\').colorbox();
	});
';

$document->addScriptDeclaration($colorbox);
?>
<div id="ejoshop">	
<form action="<?php JRoute::_('index.php?option=com_ejoshop'); ?>" method="post" id="adminForm" name="adminForm">
	

		<div class="clearfix">
		
		<div class="js-stools-container-bar">
			<div class="btn-wrapper input-append">
				<input type="text" placeholder="Поиск" value="<?php echo $this->state->get('filter.search');?>" id="filter_search" name="filter_search">			
				<button title="" class="btn hasTooltip" type="submit" data-original-title="<?php echo JText::_('COM_CONTENT_FILTER_SEARCH_DESC'); ?>">
					<i class="icon-search"></i>
				</button>
			</div>
			<div class="btn-wrapper for-ejo">
				<button type="submit" class="btn"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
				<button type="button" class="btn" onclick="document.id('filter_search').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
			</div>
		</div>
		</div>
        
        <div class="clearfix">
		<?php 

		
		
		$filter_type_active = $app->getUserState('filter.filter_type');
		
		$type = array('all'=>JText::_('COM_EJOSHOP_all'),'paypal'=>JText::_('COM_EJOSHOP_PAYPAL'),'anet'=>JText::_('COM_EJOSHOP_ANET'),'yanedexmoney'=>JText::_('COM_EJOSHOP_YANDEXMONEY'),'webmoney'=>JText::_('COM_EJOSHOP_WEBMONEY'),'paywithpost'=>JText::_('COM_EJOSHOP_PAYWITHPOST'),'paywithbill'=>JText::_('COM_EJOSHOP_PAYWITHBILL')); // типы заказов
		
		echo JHTML::_('select.genericlist',  $type, 'filter_type', array('onchange'=>"this.form.submit()", 'autocomplete'=>"off"),  $key = 'value', $text = 'text',  $filter_type_active, $idtag = false, $translate = false );

		$filter_status_active = $this->state->get('filter.filter_status','all');
		$type = array(
			'all'=>JText::_('COM_EJOSHOP_all'),
			'pay'=>JText::_('COM_EJOSHOP_pay'),
			'cart'=>JText::_('COM_EJOSHOP_cart'),
			'confirm'=>JText::_('COM_EJOSHOP_confirm'),
			'closed'=> JText::_('COM_EJOSHOP_closed')
		); // типы заказов
		
		echo JHTML::_('select.genericlist',  $type, 'filter_status', array('onchange'=>"this.form.submit()"),  $key = 'value', $text = 'text',  $filter_status_active, $idtag = false, $translate = false );
		?>            
		</div>
	

	
<div id="editcell">
    <table id="articleList" class="table table-striped">
    <thead>
        <tr>
            <th width="5">
              
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_ID', 'orders.pid', $listDirn, $listOrder ); ?>
            </th>

            <th width="20">
				<?php echo JHtml::_('grid.checkall'); ?>
            </th>
			<th width="200">
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_NAME', 'orders.name', $listDirn, $listOrder ); ?>
            </th>
            <th>
                <?php echo JText::_( 'COM_EJOSHOP_QUANITY' ); ?>
            </th>
            <th>
                <?php echo JText::_( 'COM_EJOSHOP_PRICE' ); ?>
            </th>
            <th>
                <?php echo JText::_( 'COM_EJOSHOP_SUMMPRICE' ); ?>
            </th>
            <th>
               <?php echo JText::_( 'COM_EJOSHOP_DESCRIPTIONPAYNET' ); ?>
            </th>

			<th>
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_ORDERTIME', 'orders.created', $listDirn, $listOrder ); ?>
            </th>
			<th>
			  <?php echo JText::_( 'COM_EJOSHOP_TYPEPAYMENT' ); ?>
            </th>			
			<th>
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_STATUS_ORDER', 'orders.status', $listDirn, $listOrder ); ?>
            </th>

			<th>
				  <?php echo JText::_( 'COM_EJOSHOP_STATUS_ACTION' ); ?>
            </th>
        
        </tr>            
    </thead>
    <?php
    $k = 0;
    for ($i=0, $n=count( $this->allorders ); $i < $n; $i++)
    {
        $row = $this->allorders[$i];
		/*
			echo '<pre>';
			print_r($row);
			echo '</pre>';
		*/
        $checked    = JHTML::_('grid.id',   $i, $row->pid , '', 'pid');
		$link = JRoute::_( 'index.php?option=com_ejoshop&view=ejoshoporder&layout=orderedit&pid='. $row->pid );
        ?>
		
		<?php 
		$attention = '';
		if($row->status == 'confirm') {
			$attention = 'attention';
		}

		if($row->status == 'close') {
			$attention = 'orderclose';
		}
		?>
		
		
        <tr class="<?php echo $attention." row$k"; ?>">
		    <td>
                <?php echo $row->pid; ?>
            </td>

            <td>
              <?php echo $checked; ?>
            </td>
			<td style="text-align:center;">
				<br />
               <?php
					echo $row->photoproduct;
			   ?>

            </td>
           <td style="text-align:center;">
                <a href="<?php echo $link; ?>"><?php echo $row->qty; ?></a>
            </td>
			<td style="text-align:center;">
                <a href="<?php echo $link; ?>"><?php echo $row->price . ' ' . $row->currencyl; ?></a>
            </td>
           <td style="text-align:center;">
                <a href="<?php echo $link; ?>"><?php echo $row->amount . ' ' . $row->cur;?></a>
            </td>
           <td style="text-align:left;">
		    <?php if(!empty($row->username) || !empty($row->payid) || !empty($row->payerbill) || !empty($row->moneysystem)) {?>
			  <div class="eguserinfo"></div>
			    <?php } ?>
				<div class="eguserinfoblock">
				  <?php if(!empty($row->username)) {?>
					<div class="eguserinfo-name"><?php echo $row->username.' '.$row->infolastname?></div>
				  <?php } ?>
				  <?php if(!empty($row->address)) {?>
				  <div class="eguserinfo-address"><?php echo $row->address; ?></div>
				  <?php } ?>
				  <?php if(!empty($row->phone)) {?>
				  <div class="eguserinfo-phone"><?php echo $row->phone; ?></div>
				  <?php } ?>
				
                 <?php if(!empty($row->moneysystem)) : ?>

					 <?php echo '<div class="eguserinfo-phone">'.JText::_('COM_EJ_ID_PAYMENT').': ' . $row->payid . '</div>'; ?>
                     <?php echo '<div class="eguserinfo-phone">'.JText::_('COM_EJOSHOP_PS').' : ' . $row->moneysystem . '</div>'; ?>
                  <?php endif;?>
                 <?php if(!empty($row->payerbill)) : ?>
					 <?php echo '<div class="eguserinfo-phone">'.JText::_('COM_EJ_CLIENT_BILL').':' .$row->payerbill . '</div>'; ?>
                 <?php endif;?>
				 
				

              
				<?php if(!empty($row->moneysystem)) : ?>  
				<?php echo '<div class="eguserinfo-phone">'.JText::_('COM_EJOSHOP_SUMMPRICE').': ' .$row->amount . ' ' . $row->cur . '</div>';?>
                      <div class="eguserinfo-phone"><a href="<?php print $link;?>"><?php echo JText::_('COM_EJ_SHOW_DETAIL');?></a></div>
				   <?php endif;?>
                 </div>
                   <?php if ($row->orderstatus == 'paywithpost' || $row->orderstatus == 'paywithbill') {	 ?>
                     <div class="clr"></div>
                     <hr/>
				 <? } ?>
                <?php
					 if ($row->orderstatus == 'paywithpost' ) {
						echo JTEXT::_('COM_EJOSHOP_ORDER_STATUS_PAYWITHPOST') . '<br />';
						echo $row->payerdesc;
					 }
				 ?>
                <?php
					 if ($row->orderstatus == 'paywithbill' ) {
						echo JTEXT::_('COM_EJOSHOP_ORDER_STATUS_PAYWITHBILL') . '<br />';
				
					 }
				 ?>
            </td>




			<td style="text-align:center;">

			<?php
			
				echo JHTML::_('date', $row->ordertime, 'Y:m:d h:i:s');
			
			?>
            </td>

            <td style="text-align:center;">
			<?php
			$plugin = false;
			$styleimg = '';
			$src = JURI::root(false)."media/com_ejoshop/assets/images/";
			if(  $row->moneysystemtype == 'paypal' ) {
				 $image = 'paypal_s.png';} 
			else if ($row->moneysystemtype == 'anet' ) {
				$image = 'anet_s.png';
			} else if ($row->moneysystemtype == 'yandexmoney' ) {
				$image = 'yandexmoney_s.png';
			} else if ($row->moneysystemtype == 'webmoney' ) {
				$image = 'webmoney_s.png';
			}  else if ($row->moneysystemtype == 'paywithpost' ) {
				$image = 'paywithpost_s.png';
			} else if ($row->moneysystemtype == 'paywithbill' ) {
				$image = 'paywithbill_s.png';
			} else {
				$image = 'nothing.png';
	
				if(file_exists(JPATH_SITE."/plugins/system/".$row->moneysystemtype."/images/logo.png")) {
					$image = JURI::root(false)."plugins/system/".$row->moneysystemtype."/images/logo.png";
					$styleimg = 'style="width:100px;height:36px;"';
				$plugin = true;
				}
			}
			
			if(!$plugin) {
				$image = $src.$image;
			}

			?>
			
                <img <?php echo $styleimg;?> class="eguserinfo-name" title="<?php  print JText::_('COM_EJOSHOP_ORDER_STATUS_'.$row->orderstatus); ?>" src="<?php echo $image;?>" />
				
            </td>
			
            <td style="text-align:center;">
			<?php
	
			if(  $row->orderstatus == 'confirm' ) {
				 $image = 'confirm.png';} 
			else if ($row->orderstatus == 'cart' ) {
				$image = 'alert.png';
			} else if ($row->orderstatus == 'pay' ) {
				$image = 'pay.png';
			} else if ($row->orderstatus == 'closed' ) {
				$image = 'close.png';
			}  else if ($row->orderstatus == 'paywithpost' ) {
				$image = 'paywithpost.png';
			} else if ($row->orderstatus == 'paywithbill' ) {
				$image = 'paywithbill.png';
			}
			?>
                <img title="<?php  print JText::_('COM_EJOSHOP_ORDER_STATUS_'.$row->orderstatus); ?>" src="<?php print JURI::root(false)."media/com_ejoshop/assets/images/$image";?>" />
				
            </td>
			<td>
			    <a href="<?php echo $link; ?>"><img title="<?php  print JText::_('COM_EJOSHOP_ORDER_EDIT'); ?>" src="<?php print JURI::root(false)."media/com_ejoshop/assets/images/edititem-s.png";?>" /></a>
			</td>
        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
<tr>
	<td colspan="13"><?php echo $this->photopager->getListFooter(); ?></td>
</tr>
    </table>

</div>
 
<input type="hidden" name="option" value="com_ejoshop" />
<!-- It need to send as filter type of payments in ejoshoporder.php Model class -->
<input type="hidden" name="task" value="<?php echo JRequest::getVar('task',FALSE);?>" />
<!-- It need to send as filter type of payments in ejoshoporder.php Model class -->

<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="ejoshoporder" />
        <input type="hidden" name="filter_order" value="<?php echo $listDirn; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listOrder; ?>" />
<?php echo JHtml::_('form.token'); ?>
</form>

</div>