<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access'); 
JHtml::_('behavior.formvalidation');
?>

<form action="index.php" method="post" name="adminForm" id="adminForm">	
<div class="row-fluid">
<div class="span9">

		<fieldset class="adminform">
			<legend><?php echo empty($this->photos->pid) ? JText::_('COM_EJOSHOP_ORDER_INFO') : JText::sprintf('COM_EJOSHOP_ORDER_INFO', $this->item->id); ?></legend>

	<?php 
	$document = JFactory::getDocument();
	JHtml::_('behavior.tooltip');

	$listOrder	= $this->state->get('list.ordering');
	$listDirn	= $this->state->get('list.direction');
	$document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js');?>
	<?php $document->addStyleSheet(JURI::root(true).'/media/com_ejoshop/colorbox/colorbox.css');?>
	<?php $document->addScript(JURI::root(true).'/media/com_ejoshop/colorbox/jquery.colorbox-min.js');?>
	<script type="text/javascript">
		$(function(){
			$('a[rel="colorbox"]').colorbox();
		});
	</script>

<style type="text/css">
	table.adminlist td,table.adminlist td img {
		text-align:center;
		float:none;
		
	}
	
</style>

<?php
$table   = JUser::getTable();
$user_id = intval( $this->photo->orderuser );

if($table->load( $user_id ))
{

	$user		= JFactory::getUser($this->photo->orderuser);
}
	$convertcur = new EjoshopRenderCurrency();
	$curl = '';
	$this->sitecurecny = $convertcur->getCurrencyAbbr($curl);
	
	$payd = new EjoshopRenderPayd();

	
	if($this->photo->currency != $this->sitecurecny) {
		$price = $convertcur->currency($this->photo->currency,$this->sitecurecny,$this->photo->price);
	} else {
		$price = $this->photo->price;
	}
	
	if (!$user) {
		$username		= $this->photo->username;
		if(!empty($this->photo->lastname)) {
			$username		.= ' ' . $this->photo->lastname;
		}
	} else {
		$username		= $user->get('username');
		$email		= $user->get('email');
	}

	if(!empty($this->photo->address)) {
		$address = $this->photo->address;
	}
	if(!empty($this->photo->region)) {
		$region = $this->photo->region;
	}
	if(!empty($this->photo->city)) {
		$city = $this->photo->city;
	}
	if(!empty($this->photo->emailorderuser)) {
		$emailorderuser = $this->photo->emailorderuser;
	}
	if(!empty($this->photo->country)) {
		$country = $this->photo->country;
	}
	if(!empty($this->photo->phone)) {
		$phone = $this->photo->phone;
	}
	
	
$galid = (empty($this->photo->galid)) ? 0 : $this->photo->galid;
$catid = (empty($this->photo->catid)) ? 0 : $this->photo->catid;
$pid = $this->photo->id;

	$script = "
		var uploader;
	    
		$(function(){
			$('#adminForm select[name=\"category\"],#adminForm select[name=\"gallery\"]').change(function(){
				var galid = $('#adminForm select[name=\"gallery\"]').val();
				var catid = $('#adminForm select[name=\"category\"]').val();
				
				var form = document.adminForm;
				var catid = form.category.value
				var galid = form.gallery.value
				uploader.setParams({catid:catid,galid:galid});
				
			});
			

			

			$('.introlabel').live('click',function(){
				rel = $(this).attr('rel');
				$('.intro[rel=\"'+rel+'\"]').fadeIn();
				$('.saveintro[rel=\"'+rel+'\"]').fadeIn();
				
			});
			
			$('#coords').change(function(){
				mt = $(this).val();
				$('.image .modal').attr('href','index.php?option=com_ejoshop&view=ejoshopmaps&tmpl=component&cid[]=71&map='+mt);
			});


		});
		
		";
	$document->addScriptDeclaration($script);
	?>
		<ul class="adminformlist">
	

		<li>
			<div style="clear:both;"></div>
               <?php
	
					echo $this->photo->photoproduct;
				?>
	<div class="userorder">
		<div class="eguserinfo"></div>
	
		<div class="eguserinfoblock">
		
			<?php 
			$anotheritem = '';
				if(!empty($username)) :
					print '<div class="eguserinfo-name">';
					print $username;
					print '</div>';
				endif;
				
				print '<div class="eguserinfo-name">';
				JText::_('COM_EJOSHOP_ORDER_SUMM');
				print 'Общая сумма платежа: '.$this->photo->amount . ' ' . $this->photo->cur;
				print '</div>';
				
				if(!empty($country)) {
					print '<div class="eguserinfo-name">';
					JText::_('COM_EJOSHOP_ORDER_SUMM');
					print $country;
					print '</div>';
				}
				if(!empty($region)) {
					print '<div class="eguserinfo-name">';
					JText::_('COM_EJOSHOP_ORDER_SUMM');
					print $region;
					print '</div>';
				}
				if(!empty($city)) {
					print '<div class="eguserinfo-name">';
					JText::_('COM_EJOSHOP_ORDER_SUMM');
					print $city;
					print '</div>';
				}
				if(!empty($street)) {
					print '<div class="eguserinfo-name">';
					JText::_('COM_EJOSHOP_ORDER_SUMM');
					print $street;
					print '</div>';
				}
				if(!empty($this->photo->house)) {
					print '<div class="eguserinfo-name">';
					JText::_('COM_EJOSHOP_ORDER_SUMM');
					print $this->photo->house;
					print '</div>';
				}
				if(!empty($this->photo->flat)) {
					print '<div class="eguserinfo-name">';
					JText::_('COM_EJOSHOP_ORDER_SUMM');
					print $this->photo->flat;
					print '</div>';
				}
				if(!empty($address)) {
					print '<div class="eguserinfo-name">';
					JText::_('COM_EJOSHOP_ORDER_SUMM');
					print $address;
					print '</div>';
				}
				if(!empty($phone)) {
					print '<div class="eguserinfo-name">';
					JText::_('COM_EJOSHOP_ORDER_SUMM');
					print $phone;
					print '</div>';
				}
				if(!empty($this->photo->created)) {
					print '<div class="eguserinfo-name">';
					print JText::_('COM_EJOSHOP_ORDER_TIME') . ' ' . $this->photo->created; 
					print '</div>';
				}

				
			?>
			</div>
			<?php 
				$sym = '';
				if($this->photo->currency == 'eur') $sym = '&euro;';
				if($this->photo->currency == 'usd') $sym = '$';
			?>
			<div class="price">
				<?php if($this->photo->currency != 'rub') { ?>
				<? print ''. $this->photo->price . " $sym ";?>
				<?php } ?>
				<?php // print $price . ' ' .  $this->photo->curlang;?>
			</div>
		</div>
		</li>

	</ul>
    
    

		
</div>
		

    </div>
	
	
		<fieldset class="adminform">
			<legend><?php echo empty($this->photos->pid) ? JText::_('COM_EJOSHOP_ORDER_WITH') : JText::sprintf('COM_EJOSHOP_ORDER_WITH %s', $this->item->id); ?></legend>

    <?php 
	
    $anotheritem = json_decode($this->photo->payid);
    $this->onotherpayditem = $payd->getOrderInfo($anotheritem, $this->photo->pid);
    if(!empty($this->onotherpayditem)) :
    ?>
	<div class="clr" style="clear:both;"></div>
	<div class="span6">
    <div id="editcell">
    <table id="articleList" class="table table-striped">
        <thead>
            <tr>
                <th>
                  
                    <?php echo JTEXT::_('COM_EJOSHOP_ID'); ?>
                </th>
    
                <th>
                    <?php echo JTEXT::_('COM_EJOSHOP_NAME_FILE'); ?>
                </th>
                <th>
                    
                </th>
    

            </tr>            
        </thead>
        <?php
        $k = 0;
     	/*
			print '<pre>';
			print_r( $this->onotherpayditem );
			print '</pre>';		
		*/
        for ($i=0, $n=count( $this->onotherpayditem ); $i < $n; $i++)
        {
            $row = $this->onotherpayditem[$i];
            $link = JRoute::_( 'index.php?option=com_ejoshop&view=ejoshoporder&layout=orderedit&pid='. $row->pid );
            
            ?>
            <tr class="<?php echo "row$k"; ?>">
                <td>
                    <?php echo $row->id; ?>
                </td>
    
     
                <td style="text-align:center;">
                    <a href="<?php echo $link; ?>">
                   <?php echo $row->filename; ?></a> <br />
                   <?php
						echo $row->photoproduct;
                   ?>
    
                </td>
                <td>
					<a href="<?php echo $link; ?>"><img title="<?php  print JText::_('COM_EJOSHOP_ORDER_EDIT'); ?>" src="<?php print JURI::root(false)."media/com_ejoshop/assets/images/showdetail.png";?>" /></a>
                </td>
            </tr>
            <?php
            $k = 1 - $k;
        }
        ?>
    
        </table>
    
    </div>
    </div>

<?php
endif;
?>	

</fieldset>




</div>

<input type="hidden" name="option" value="com_ejoshop" />
<input type="hidden" name="pid" value="<?php echo $this->photo->pid; ?>" />
<input type="hidden" name="task" value="photoedit" />
<input type="hidden" name="controller" value="ejoshopphotos" />
<input type="hidden" name="boxchecked" value="<?php echo $this->photo->pid; ?>" />
</form>