<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access'); 



$document = JFactory::getDocument();
$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
$document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js');
$document->addStyleSheet(JURI::root(true).'/media/com_ejoshop/colorbox/colorbox.css');
$document->addScript(JURI::root(true).'/media/com_ejoshop/colorbox/jquery.colorbox-min.js');

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');
$colorbox = '
	$(function(){
		$(\'a[rel="colorbox"]\').colorbox();
	});
';

$document->addScriptDeclaration($colorbox);
?>
<div id="ejoshop">	
<form action="<?php JRoute::_('index.php?option=com_ejoshop'); ?>" method="post" id="adminForm" name="adminForm">

		<div class="clearfix">
		
		<div class="js-stools-container-bar">
			<div class="btn-wrapper input-append">
				<input type="text" placeholder="<?php echo JText::_('JSEARCH_FILTER_LABEL'); ?>" value="" id="filter_search" name="filter_search">			
				<button title="" class="btn hasTooltip" type="submit" data-original-title="<?php echo JText::_('COM_EJOSHOP_SEARCH_IN_TITLE'); ?>">
					<i class="icon-search"></i>
				</button>
			</div>
			<div class="btn-wrapper">
				<button type="submit" class="btn"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
				<button type="button" class="btn" onclick="document.id('filter_search').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
			</div>
		</div>
		</div>
		
<div id="editcell">
    <table id="articleList" class="table table-striped">
    <thead>
        <tr>
            <th width="5">
              
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_ID', 'payments.id', $listDirn, $listOrder ); ?>
            </th>
			<th>
			
			</th>

			<th width="200">
				<?php echo JHTML::_('grid.sort',  'COM_EJOSHOP_NAME', 'payments.p_name', $listDirn, $listOrder ); ?>
            </th>

            <th>
               
            </th>
	
		

			<th>
				<?php echo JHTML::_('grid.sort',  'COM_EJ_CREATED', 'payments.p_createdon', $listDirn, $listOrder ); ?>
            </th>
            </th>
			<th>
				<?php echo JText::_( 'COM_EJOSHOP_STATUS_ACTION' ); ?>
            </th>
        </tr>            
    </thead>
    <?php
    $k = 0;
    for ($i=0, $n=count( $this->payments ); $i < $n; $i++)
    {
        $row = $this->payments[$i];
        $checked    = JHTML::_( 'grid.id', $i, $row->id );
		$link = JRoute::_( 'index.php?option=com_ejoshop&view=ejoshoppayments&layout=edit&id='. $row->id );
		
        ?>
        <tr class="<?php echo "row$k"; ?>">

		    <td>
                <?php echo $row->id; ?>
            </td>
		    <td>
				<?php 
				if($row->sys_type !='plugin') {
					$img = JURI::root(false)."media/com_ejoshop/assets/images/".$row->p_type."_s.png";
					$styleimg = '';
				} else {
					$img = JURI::root(false)."plugins/system/".$row->p_type."/images/logo.png";
					$styleimg = 'style="width:100px;height:36px;"';
				}
				?>
                <a href="<?php echo $link; ?>">
				<img <?php echo $styleimg; ?> class="eguserinfo-phone" title="<?php echo $row->p_name; ?>" src="<?php echo $img;?>" /></a>	
            </td>
     
			<td style="text-align:center;">
				<a href="<?php echo $link; ?>">
			   <?php echo $row->p_name; ?></a> <br />
            </td>

            <td>
                <a href="<?php echo $link; ?>"><?php echo $row->p_desc; ?></a>

				<?php	if( $row->id == 4 ) { ?>

					<div class="clr"></div>
						<hr>
				<a href="<?php echo $link; ?>"><img title="<?php  print JText::_('COM_EJOSHOP_ORDER_EDIT'); ?>" src="<?php print JURI::root(false)."media/com_ejoshop/assets/images/rus-flag.png";?>" /></a>		
				<?php	
					echo JText::_('COM_EJOSHOP_ONLY_RUSSIA_BANKS');
					}
				?>
            </td>



			<td style="text-align:center;">

			<?php
			
				echo JHTML::_('date', $row->p_createdon, 'Y:m:d h:m:s');
			
			?>
            </td>
			<td style="text-align:center;">
			    <a href="<?php echo $link; ?>"><img title="<?php  print JText::_('COM_EJOSHOP_ORDER_EDIT'); ?>" src="<?php print JURI::root(false)."media/com_ejoshop/assets/images/edititem-s.png";?>" /></a>
			</td>
        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
<tr>
	<td colspan="14"><?php echo $this->paypager->getListFooter(); ?></td>
</tr>
    </table>

</div>
 
<input type="hidden" name="option" value="com_ejoshop" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="ejoshoppayments" />
        <input type="hidden" name="filter_order" value="<?php echo $listDirn; ?>" />
        <input type="hidden" name="filter_order_Dir" value="<?php echo $listOrder; ?>" />
<?php echo JHtml::_('form.token'); ?>
</form>
</div>