<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');

/**
* Ejoshop View
*/
class EjoshopViewEjoshopPayments extends EjoshopView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		EjoshopHelper::load_menu();
		$doc = JFactory::getDocument();
		$doc->addStylesheet( JURI::root(true).'/media/com_ejoshop/assets/themes/base/jquery.ui.all.css' );
		$doc->addStylesheet( JURI::root(true).'/media/com_ejoshop/assets/ejoshop.css' );
		$canDo = EjoshopHelper::getProductsActions();
		$this->payments = $this->get('Payments');
		

		$this->state = $this->get('State');
		$this->form = $this->get('MyForm');
		
		$data['layout'] = JRequest::getVar('layout');
		$this->id= JRequest::getVar('id');
		
		if($data['layout'] == 'edit') {
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_ALL_PAYMENTS' ), 'ejoshoppayments' );
			if($canDo->get('core.edit')) {
				JToolBarHelper::save('ejoshoppayments.photoedit', 'COM_EJOSHOP_SAVE');
				JToolBarHelper::apply('ejoshoppayments.photoapply', 'COM_EJOSHOP_SAVE');
			}
			JToolBarHelper::cancel( 'ejoshoppayments.cancel', 'Close' );
			
		}
		else {
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_ALL_PAYMENTS' ), 'ejoshoppayments' );
			JToolBarHelper::preferences('com_ejoshop', '460');
			

		}
		
		// interrogate the model
	

		
		$this->paypager = $this->get('Paypager');
		$this->params = JComponentHelper::getParams( 'com_ejoshop' );
	
	
		parent::display($tpl);
	}
}

?>
