<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access'); 
JHtml::_('bootstrap.tooltip');
JHtml::_('formbehavior.chosen', 'select');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
$document = JFactory::getDocument();
$document->addScript(JURI::root(true).'/media/com_ejoshop/assets/uploader/client/fileuploader.js');
$document->addStylesheet(JURI::root(true).'/media/com_ejoshop/assets/uploader/client/fileuploader.css');

?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'ejoshopphotos.cancel' || document.formvalidator.isValid(document.id('adminForm'))) {
		
			Joomla.submitform(task, document.getElementById('adminForm'));
		} else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	} 
</script>
<div id="ejoshop">
  	<form action="index.php" method="post" class="form-validate" name="adminForm" id="adminForm">

	<div class="row-fluid">
		<div class="span7">
		<?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'general')); ?>	
		<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'general', JText::_('COM_EJOSHOP_EDITINFO', true)); ?>
		<fieldset class="form-horizontal">

			<legend><?php echo empty($this->item->id) ? JText::_('COM_EJOSHOP_EDIT_PHOTO') : JText::sprintf('COM_EJOSHOP_EDIT_PHOTO', $this->item->id); ?></legend>

<style type="text/css">
	.demo {
		bottom: 0;
		font: 1.5em Arial, sans-serif;
		height: 30%;
		padding: 0;
		z-index: 555;
	}
	#demo{
	margin-top:15px;
	}
	.demo #log,.demo #birds,.demo #logxml,.demo #birdsxml,.demo #birdscache,#project,#project-icon
		{
		border: 3px solid #CADCEB;
		border-radius: 10px 10px 10px 10px;
	}

	#accordion h3,#accordion-method h3 {
		cursor: pointer;
		line-height: 30px;
		border: 2px solid #f6f6f6;
		border-bottom-right-radius: 0px;
		border-bottom-left-radius: 0px;
	}

	#accordion h3 span,#accordion-method h3 span {
		float: left;
		margin: 7px 0 0;
	}

	#accordion div,#accordion-method div {
		padding: 20px;
	}

	.swidth {
		width: 70%;
	}
</style>

<?php
	$script = "
		var uploader;
	
		

		(function($){
		
			$('document').ready(function(){

				uploader = new qq.FileUploader({
					info:'".JText::_('COM_EJOSHOP_UPLOAD_IMAGE')."', seacustom:true,
					element: document.getElementById('demo'),
					listElement: document.getElementById('separate-list'),
					action: '".JURI::root(true)."/administrator/index.php?option=com_ejoshop&view=ajaxupload',
					params:{catid:0,galid:0},
					multiple: false,
					allowedExtensions: ['jpeg','jpg','png','gif','bmp'], 
					description:false,				
					categoryRequired: true,  
					onComplete: function(id, fileName, responseJSON){
						// new id of item table ejoshop_photos
						$('#adminForm #pidhidden').val(responseJSON.id);
						$('#adminForm #imgsrc').val(responseJSON.imgsrc);
						$('#adminForm #fid').val(responseJSON.fid);
						if($(this.element).find('li').length > 1) {
							$(this.element).find('li:eq(0)').remove();
						}
						h  = 0;
						el = $(this.element);
						$(this.element).find('li img').load(function(){
							h = el.find('li img').height() + 30;
							el.find('li').css('min-height',h+'px');
						});
						$(this.element).find('li').data('fid',responseJSON.fid);
						
					},
					onInputChange:function(input){
				
					},
					onSubmit: function(id, fileName){

		
					},
				}); 
				
				$('#adminForm select#jform_catid,#adminForm select[name=\"gallery\"]').change(function(){
					var galid = $('#adminForm select[name=\"gallery\"]').val();
					var catid = $('#adminForm select#jform_catid').val();
					
					var form = document.adminForm;
					var catid = form.jform_catid.value
					
					uploader.setParams({catid:catid});
					
				});

				var imagestyle = $('#adminForm select[name=\"jform[imagestyle]\"] option:selected').val();
				uploader.setParams({imagestyle:imagestyle});
				uploader.setParams({new:1}); // flag that is new product
			
				$('#adminForm select[name=\"jform[imagestyle]\"]').change(function(){
					var imagestyle = $(this).val();
					uploader.setParams({imagestyle:imagestyle});
					
				});
				$('.introlabel').live('click',function(){
					rel = $(this).attr('rel');
					$('.intro[rel=\"'+rel+'\"]').fadeIn();
					$('.saveintro[rel=\"'+rel+'\"]').fadeIn();
					
				});
				
				$('.saveintro').live('click',function(e){
					e.preventDefault();
					var el = $(this);
					pid = $(this).attr('rel');
					var text = $('.qq-photo-id-'+pid).find('.intro').val();

					$.ajax({
					url:'".JURI::root(true)."/administrator/index.php?option=com_ejoshop&view=ajaxsavedescription',
					data:{description:text,pid:pid},
					type:'POST',
					success: function(data){
						if(data.success) {
							l = el.closest('.qq-upload-success').find('.successintro').length;
							if(l == 0) {
								el.after('<span class=\"successintro\">Описание добавлено!</div>');
							}
							el.closest('.qq-upload-success').find('.successintro').fadeIn();
							setTimeout(\"$('.successintro').fadeOut()\",2000);
						}
					},
					dataType:'json'
					});
				});
				
				$('input[name=\"jform[price]\"]').bind({
					keydown: function(e) {
						
						if (e.shiftKey === true ) {
							if (e.which == 9) {
								return true;
							}
							return false;
						}
						if(e.which >= 96 /* KeyboardEvent.DOM_VK_NUMPAD0 */ && e.which <= 105) {
							return true;
						}
						if (e.which > 57 && e.which != 190 && e.which != 110 ) {
							return false;
						}
						if (e.which==32) {
							return false;
						}
						return true;
					}
				});
			
			});
		})(jQuery);
		";
	$document->addScriptDeclaration($script);
	?>
<div class="span12">
	
			
		<div class="control-group">
				<div class="control-label">
					<?php echo  $this->form->getLabel('name'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('name'); ?>
				</div>
		</div>
		
		<div class="control-group">
				<div class="control-label">
					<?php echo  $this->form->getLabel('catid'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('catid'); ?>
				</div>
		</div>

		<div class="control-group">
				<div class="control-label">
					<?php echo  $this->form->getLabel('articul'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('articul'); ?>
				</div>
		</div>
	

	<div class="control-group">
				<div class="control-label">
					<?php echo  $this->form->getLabel('alias'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('alias'); ?>
				</div>
		</div>
	
	
	<div class="control-group">
				<div class="control-label">
					<?php echo  $this->form->getLabel('price'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('price'); ?>
				</div>
		</div>
		
		<div class="control-group">
				<div class="control-label">
					<?php echo  $this->form->getLabel('intro'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('intro'); ?>
				</div>
		</div>
		<div class="control-group">
				<div class="control-label">
					<?php echo  $this->form->getLabel('state'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('state'); ?>
				</div>
		</div>

		<div class="control-group">
				<div class="control-label">
					<?php echo  $this->form->getLabel('imagestyle'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('imagestyle'); ?>
				</div>
		</div>
	

			<div class="control-group">
				<div class="control-label">
				
					<?php echo JText::_( 'COM_EJOSHOP_UPLOAD_PHOTO' ); ?>:
				</div>
				<div class="controls">
					<div id="demo"></div>
					<!--<input type="hidden" name="files" value="" />-->
				</div>
			 
			</div>
		</div>
		
	</table>
	
	</fieldset>

		
<?php echo JHtml::_('bootstrap.endTab'); ?>


<?php if ($this->canDo->get('core.admin')) : ?>
	<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'permissions', JText::_('COM_EJ_RULES', true)); ?>
		<?php echo $this->form->getInput('rules'); ?>
	<?php echo JHtml::_('bootstrap.endTab'); ?>
<?php endif; ?>


</div>


</div>
	


<div class="clr"></div>


<input type="hidden" name="option" value="com_ejoshop" />
<input id="pidhidden" type="hidden" name="id" value="<?php echo $this->foobar->id; ?>" />
<input id="fid" type="hidden" name="fid" value="" />
<input id="imgsrc" type="hidden" name="imgsrc" value="" />
<input id="new" type="hidden" name="newproduct" value="1" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="ejoshopphotos" />
</div>
</form>
</div>