<?php
/**
 * @package		Joomla.Administrator
 * @subpackage	com_ejoshop
 * @copyright	Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

// Load the tooltip behavior.
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');
?>

<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'ejoshopsale.cancel' || document.formvalidator.isValid(document.id('item-form'))) {
			<?php echo $this->form->getField('intro')->save(); ?>
			Joomla.submitform(task, document.getElementById('item-form'));
		} else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	} 
</script>

<?php
$catid = (empty($this->item->catid)) ? 0 : $this->item->catid;
$id = (empty($this->item->id)) ? 0 : $this->item->id;

$document = JFactory::getDocument();
$script = '
		$j = jQuery.noConflict();
		var uploader;


		$j(function(){
			$(\'a[rel="colorbox"]\').colorbox();
			
				
		
			});


	    function createUploader(url){     
			

			
            uploader = new qq.FileUploader({
                info:\''.JText::_( 'COM_EJOSHOP_UPLOAD_PHOTO' ).'\', seacustom:true,
                element: document.getElementById(\'demo\'),
                multiple: false,
                listElement: document.getElementById(\'separate-list\'),
                action: \''.JURI::root(true).'/administrator/index.php?option=com_ejoshop&view=ajaxupload&type=sale\',
				params:{catid:'.$catid.',id:'.$id.'},
				description:false,
				onComplete: function(id, fileName, responseJSON){
					
					$j("#jform_idajax").attr("value",responseJSON.id);

					$j(this.element).find("li").css("min-height","90px");
					if($j(this.element).find("li").length > 1) {
						$j(this.element).find("li:eq(0)").remove();
					}
				}
            });      
        }
		$j(function(){
			$j(\'#adminForm select[name="category"],#adminForm select[name="gallery"]\').change(function(){
				var galid = $j(\'#adminForm select[name="gallery"]\').val();
				var catid = $j(\'#adminForm select[name="category"]\').val();
				
				var form = document.adminForm;
				var catid = form.category.value
				var galid = form.gallery.value
				uploader.setParams({catid:catid,galid:galid});
				
			});
			

			
			createUploader(1);



		});
		
		';
	$document->addScriptDeclaration($script);
	

?>
<form action="<?php echo JRoute::_('index.php?option=com_ejoshop&extension='.JRequest::getCmd('extension', 'com_ejoshop').'&layout=edit&id='.(int)$this->item->id); ?>" method="post" name="adminForm" id="item-form" class="form-validate">
<div class="form-horizontal">
		<div class="row-fluid">
	<div class="span9">
		<fieldset class="adminform">
			<legend><?php echo JText::_('COM_EJOSHOP_SALES_DETAILS');?></legend>
			<div class="control-group">
					<div class="control-label">
						<?php echo $this->form->getLabel('name'); ?>
					</div>
					<div class="controls">
						<?php echo $this->form->getInput('name'); ?>
					</div>
			</div>

			<div class="control-group">
					<div class="control-label">
						<?php echo $this->form->getLabel('catid'); ?>
					</div>
					<div class="controls">
						<?php echo $this->form->getInput('catid'); ?>
					</div>
			</div>

			<?php echo $this->form->getInput('idajax'); ?>

			<div class="control-group">
					<div class="control-label">
						<?php echo $this->form->getLabel('id'); ?>
					</div>
					<div class="controls">
						<?php echo $this->form->getInput('id'); ?>
					</div>
			</div>


				
			<div class="control-group">
			<div style="clear:both;"></div>
				<div class="upload-conteiner">
					<label for="foobar">
							<?php echo JText::_( 'COM_EJOSHOP_UPLOAD_PHOTO' ); ?>:
					</label>
				
										
					<div id="demo"></div>
					<input type="hidden" name="files" value="" />

					
					   <?php
						$path = JURI::root(false).$this->item->uri;
						$path_parts = pathinfo($path.$this->item->saleslogo );
						$ext = $path_parts['extension'];

						$thumb = $path.$path_parts['filename'].'.'.$ext;
						$imgsrc = $path.$this->item->saleslogo;

						if(is_file(JPATH_ROOT.DS.$this->item->uri.$path_parts['filename'].'.'.$ext)) {
							print '<a rel="colorbox" href="'.$imgsrc.'"><img src="'.$thumb.'"></a>';
						} else {
							print '<a rel="colorbox" href="'.$imgsrc.'"><img src="'.JURI::root(false).'media/com_ejoshop/files/noimg.png"></a>';
						}
					?>
					<div style="clear:both;"></div>
				</div>
			</div>
			<div class="control-group">
				<div class="clr"></div>
				<?php echo $this->form->getLabel('intro'); ?>
				<div class="clr"></div>
				<?php echo $this->form->getInput('intro'); ?>
			</div>
		</fieldset>
	</div>

	<div class="span3">

	
		<?php echo $this->loadTemplate('options'); ?>
		<div class="clr"></div>





	</div>
	<div class="clr"></div>


	
	<div>

		<input type="hidden" name="task" value="" />
		<?php echo JHtml::_('form.token'); ?>
		</div>
	</div>
</div>
</form>