<?php
/**
 * @package		Joomla.Administrator
 * @subpackage	Ejoshop
 * @copyright	Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;



// Load the tooltip behavior.
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
JHtml::_('formbehavior.chosen', 'select');
?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'ejoshoptax.cancel' || document.formvalidator.isValid(document.id('adminForm'))) {
			<?php echo $this->form->getField('intro')->save(); ?>
			Joomla.submitform(task, document.getElementById('adminForm'));
		} else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	} 
</script>

<?php
$catid = (empty($this->item->catid)) ? 0 : $this->item->catid;
$id = (empty($this->item->id)) ? 0 : $this->item->id;
?>
<div id="ejoshop">
<form action="<?php echo JRoute::_('index.php?option=com_ejoshop&extension='.JRequest::getCmd('extension', 'com_ejoshop').'&layout=edit&id='.(int)$this->item->id); ?>" method="post" name="adminForm" id="adminForm" name="adminForm">
	<div class="span12">
          <fieldset class="form-vertical">
			<legend><?php echo JText::_('COM_EJOSHOP_TAX_DETAILS');?></legend>
				<div class="span3">
			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('name'); ?>
				</div>
				<div class="controls">

					<?php echo $this->form->getInput('name'); ?>
				</div>
			</div>
			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('typetaxvalue'); ?>
				</div>
				<div class="controls">

					<?php echo $this->form->getInput('typetaxvalue'); ?>
				</div>
			</div>

			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('perc'); ?>
				</div>
				<div class="controls">

					<?php echo $this->form->getInput('perc'); ?>
				</div>
			</div>

			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('extension'); ?>
				</div>
				<div class="controls">

					<?php echo $this->form->getInput('extension'); ?>
				</div>
			</div>

			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('published'); ?>
				</div>
				<div class="controls">

					<?php echo $this->form->getInput('published'); ?>
				</div>
			</div>

			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('idajax'); ?>
				</div>
				<div class="controls">

					<?php echo $this->form->getInput('idajax'); ?>
				</div>
			</div>

			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('id'); ?>
				</div>
				<div class="controls">

					<?php echo $this->form->getInput('id'); ?>
				</div>
			</div>


			</div>
			<div class="clr"></div>
			<div class="span11">
				<div class="control-group">
					<div class="control-label">
							<?php echo $this->form->getLabel('intro'); ?>
					</div>
					<div class="controls">

						<?php echo $this->form->getInput('intro'); ?>
					</div>
				</div>
			</div>
			<div class="clr"></div>

		</fieldset>
	
	
	</div>

		
		<div>

			<input type="hidden" name="task" value="" />
			<?php echo JHtml::_('form.token'); ?>
		</div>

</form>
</div>