<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');

/**
* Foobar View
*/
class EjoshopViewEjoshopTaxes extends EjoshopView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		
		EjoshopHelper::load_menu();
		$this->taxes = $this->get('Items');

		JHtml::stylesheet( 'media/com_ejoshop/assets/ejoshop.css' );

			// add the CSS to the document
		$doc =JFactory::getDocument();
		$canDo = EjoshopHelper::getProductsActions();

		$this->state = $this->get('State');
		$this->items = $this->get('Items');

		$data['layout'] = JRequest::getVar('layout');
		
		if($data['layout'] == 'form') {
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_TAXES' ), 'ejoshoptaxes' );
			if($canDo->get('core.edit.state')) {
				JToolBarHelper:: publishList ('ejoshoptaxes.publish');
				JToolBarHelper:: unpublishList ('ejoshoptaxes.unpublish');
			}
		}
		else {
			
			if($canDo->get('core.create')) {		
				JToolBarHelper::addNew('ejoshoptax.add');			
			}
			JToolBarHelper::title(   JText::_( 'COM_EJOSHOP_TAXES' ), 'ejoshoptaxes' );
			if($canDo->get('core.edit.state')) {
				JToolBarHelper:: publishList ('ejoshoptaxes.publish');
				JToolBarHelper:: unpublishList ('ejoshoptaxes.unpublish');
			}
			if($canDo->get('core.delete')) {		
				JToolBarHelper::deleteList(JText::_( 'COM_EJOSHOP_DELETE_CONFIRM' ),'ejoshoptaxes.delete');
			}
		}
		// interrogate the model
	

		
		$this->pager = $this->get('Reviews');
	

		
		parent::display($tpl);
	}
}

?>
