<?php 
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */
defined('_JEXEC') or die('Restricted access'); 
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
?>
<div id="ejoshop">
  	<form action="index.php" method="post" name="adminForm" id="adminForm">	
	<div class="form-horizontal">
		<?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'general')); ?>

		<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'general', JText::_('COM_EG_CSV_SET', true)); ?>
		<div class="span9">
		
		<fieldset class="adminform">
			<legend><?php echo empty($this->item->id) ? JText::_('COM_EG_CSV_SET') : JText::sprintf('COM_EG_CSV_SET', $this->item->id); ?></legend>
<?php 
$document = JFactory::getDocument();
$document->addScript(JURI::root(true).'/media/com_ejoshop/assets/uploader/client/fileuploader.js');
$document->addStylesheet(JURI::root(true).'/media/com_ejoshop/assets/uploader/client/fileuploader.css');
	
JHtml::_('jquery.ui', array('core', 'sortable'));
?>

<style type="text/css">
	.demo {
		bottom: 0;
		font: 1.5em Arial, sans-serif;
		height: 30%;
		padding: 0;
		z-index: 555;
	}
	#demo{
	margin-top:15px;
	}
	.demo #log,.demo #birds,.demo #logxml,.demo #birdsxml,.demo #birdscache,#project,#project-icon
		{
		border: 3px solid #CADCEB;
		border-radius: 10px 10px 10px 10px;
	}

	#accordion h3,#accordion-method h3 {
		cursor: pointer;
		line-height: 30px;
		border: 2px solid #f6f6f6;
		border-bottom-right-radius: 0px;
		border-bottom-left-radius: 0px;
	}

	#accordion h3 span,#accordion-method h3 span {
		float: left;
		margin: 7px 0 0;
	}

	#accordion div,#accordion-method div {
		padding: 20px;
	}

	.swidth {
		width: 70%;
	}
	.info {
		color:red;
	}
</style>

<?php
$script = '
	 var uploader;
function createUploader(url){
	
    uploader = new qq.FileUploader({
        info:"Загрузить CSV", seacustom:false,
        element: document.getElementById("demo"),
		description:false,
		categoryRequired: false,  
        listElement: document.getElementById("separate-list"),
        action: "'.JURI::root(true).'/administrator/index.php?option=com_ejoshop&view=ajaxupload",
		onComplete: function(id, fileName, responseJSON){
			
			csvparse(responseJSON.id);
		}
    }); 
	
	
	uploader.setParams({uploadcsv:1});    
	uploader.setParams({typeload:"new"});   
	

}

$.noConflict();

$ = jQuery;
var whatisnotemptyarQuick = new Array();
var linebreak = 0;
var fields;
$(function(){
			 $.each($("#order li"),function(i,e){
				 whatisnotemptyarQuick.push({name:$(this).data("id"),value:1});
				
			
			 });
			 
			$(".linebreak").keyup(function(e){
				linebreak = $(this).val();
			});
			 
			$(".separatorinput").keyup(function(e){
				var val = $(this).val();
				
				$(".separator").text(val);
			});
			createUploader(1);
			
			$( ".sort" ).sortable({  items: ".ui-state-default", stop: function(event, ui) {
			
			 whatisnotemptyarQuick =  new Array();
			 le = $(this).find("li").length - 1;
			 $.each($(this).find("li"),function(i,e){
				 whatisnotemptyarQuick.push({name:$(this).data("id"),value:1});
			
			 });
			
			 
			 
	},handle:".ui-icon"});
			
			
			var statement = new Array();
			var foo = new Array();
			
			$.each($(".statement option"),function(i,e){
		
				attr = $(e).attr("selected");
				
				if(attr == "selected") {	
					statement.push({name:$(this).val(),value:1});
				}
				statementser = $.param(statement);
			});
			
			$(".statement").change(function(e){
				statement.push({name:$(this).val(),value:1});
				if($.inArray($(this).val(),foo)) {
					foo.push($(this).val());
				}
				fields = $(".statement").serializeArray(),
				//fooser = $.serializeArray(foo);
				
				statementser = $.param(statement);
				
			});
			
		$(".deletecsv").click(function(e){
			id = $(this).attr("rel");
			input = $("<input>").attr({name:"controller",value:"ejoshopuploadcsv"});
			task = $("<input>").attr({name:"task",value:"ejoshopuploadcsv.deletecsv"});
			form = $("<form>").attr({
				action:"index.php?option=com_ejoshop&view=ejoshopuploadcsv&fid="+id,
				method:"POST"
			}).append(input);
			form.append(task);
			
			form.appendTo("body").trigger("submit");
			return false;
		});
		
		$(".typeload").change(function(e){
			var tv = $(this).val();
			
			tv == "update" ? $(".linebreak").val(1) : $(".linebreak").val(1);
			info = $(".typeload").parent().find(".info");
	
			tv == "update" ? info.show() : info.hide();
			  
			
		});
		
		$(".getcsv").click(function(e){
			e.preventDefault();
			$.ajax({
				url:"index.php?option=com_ejoshop&view=ejoshopuploadcsv&type=getcsv&format=row",
				success: function(data){
					$(".getcsv").next("a").remove();
					$(".getcsv").after(data.linktodownload);
					$(".loader_img").hide();
				},
				beforeSend: function(){
					$(".loader_img").show();
				},
				type:"POST",
				dataType:"json"
				
				
			})
		});
		
});

function csvparse(id) {

	if(typeof(fields) == "undefined") fields = [{name:"statement",value:"allfempty"}];
	demoafterp = $("#demoafterp");
	demoafterp.hide();	 	
	linebreak = $(".linebreak").val();
	typeload = $(".typeload").val();
	$.post("'.JURI::root(true).'/administrator/index.php?option=com_ejoshop&task=parsecsv&view=ejoshopuploadcsv&format=row",
	{id:id,order:$.param(whatisnotemptyarQuick),linebreak:linebreak,statementser:fields,typeload:typeload},
	
		function(data){
			data = JSON.parse(data);
			
			if(data.success) {
				
				demoafterp.text(data.success);
				
				$("#demo").after(demoafterp);

				demoafterp.show();
		
			}

		});	
}
';
	$document->addScriptDeclaration($script);
	?>
<div class="span10">

<style type="text/css">
.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default,.separatorinput,.linebreak,.statement {
    background: none repeat scroll 0 0 #F4F4F4;
    border: 3px dashed #D3D3D3;
	padding:3px;
    color: #555555;
    font-weight: normal;
    margin: 10px 20px 0 0;
    width: 100px;
	display: inline-block;
	position:relative;
	
}

.statement {
width:auto;	
}
.sort div {
    margin: 0 0 0 17px;
}
.separator {
 	font-size: 30px;
    font-weight: bold;
    position: absolute;
    right: -20px;
    top: 0px;
}
.separatorinput {
		
}
#sortfield label.key {
	width:150px;	
	
}
</style>

	<div style="clear:both;" id="sortfield">
   		<h3><?php echo JText::_( 'COM_EG_CSV_STRUCTURE' ); ?></h3>
		<div class="row-fluid">
		<fieldset class="form-vertical">
		<div class="control-group">
				<div class="control-label">
					<?php echo JText::_( 'COM_EG_SEPARATOR' ); ?>:
				</div>
				<div class="controls">
					 <input type="text" name="separator" class="separatorinput" size="2" value=";" />
				</div>
		</div>

		<div class="control-group">
				<div class="control-label">
					<?php echo JText::_( 'COM_EG_LINEBREAK' ); ?>:
				</div>
				<div class="controls">
					 <input type="text" name="linebreak" class="linebreak"  autocomplete="off"  size="2" value="0" />
				</div>
		</div>

		<div class="control-group">
				<div class="control-label">
					<?php echo JText::_( 'COM_EG_STATEMENT' ); ?>:
				</div>
				<div class="controls">
					<select name="statement" autocomplete="off" class="statement" multiple="true">
					   <option value="allfempty" selected="selected"><?php echo JText::_( 'COM_EG_ALL_F_EMPTY' ); ?></option>
					   <option value="allfoempty" ><?php echo JText::_( 'COM_EG_ALL_FO_EMPTY' ); ?></option>
					   <option value="allfpempty"><?php echo JText::_( 'COM_EG_ALL_FP_EMPTY' ); ?></option>                              
					   <option value="allfaempty"><?php echo JText::_( 'COM_EG_ALL_FA_EMPTY' ); ?></option>                              
					   <option value="allffnempty"><?php echo JText::_( 'COM_EG_ALL_FN_EMPTY' ); ?></option>                                                 
				   </select>
				</div>
		</div>

		<div class="control-group">
				<div class="control-label">
					<?php echo JText::_( 'COM_EJ_TYPE_CSV_CREATION' ); ?>:
				</div>
				<div class="controls">
					<select name="typeload" autocomplete="off" class="typeload">
					   <option value="new" selected="selected"><?php echo JText::_( 'COM_EJ_NEW' ); ?></option>
					   <option value="update" ><?php echo JText::_( 'COM_EJ_UPDATE_EXISTING' ); ?></option>
					                                                    
				   </select>
				   <div style="display:none;" class="info">
					<?php echo JText::_( 'COM_EJ_CSV_TYPE_UPDATE' ); ?>
				   </div>
				</div>
		</div>
		</fieldset>
        </div>
        </div>
         

        <div style="clear:both;">
        <h3><?php echo JText::_( 'COM_EG_CSV_STRUCTURE_MUST_BE' ); ?></h3>
        <ul id="order" class="sort" >
        <?php
		//<div>'.JHTML::_( 'image', 'media/com_mapyandex/assets/images/icon-loading2.gif', JText::_( 'COM_MAPYANDEX_DELETE_ROUTE_ITEM' ),array('class'=>'imgyandexmaploader')).'</div>
		$arr = array('articul'=>JTEXT::_('COM_EG_ARTICUL'),'name'=>JTEXT::_('COM_EG_NAME_OF_PHOTO'),'intro'=>JTEXT::_('COM_EJM_TAXES_INTRO'),'price'=>JTEXT::_('COM_EJOSHOP_PRICE'),'catid'=>JTEXT::_('COM_EJOSHOP_CATEGORY'));
		$li = '';
		$i = 0;
		$textbefore = '';
		foreach($arr as $key => $val) {
			++$i;
		$li .= '<li class="ui-state-default" data-id="'.$key.'"><div width="100" align="left" class="key"><label for="foobar">'.$textbefore.'</label></div><div width="100" align="left"><input type="text" name="name_route_yandex[]" class="field" size="10" value="'.$val.'" /></div><div class="imgdeleteroute" rel="'.$key.'" data-idmap=""></div><span class="ui-icon ui-icon-arrow-4"></span>';
		
			if($i != 5) {
				$li .= '<span class="separator">;</span></li>';  
			} else {
				$li .= '</li>';  
			}
		}
		print $li;
		?>
  
        </ul>
	</div>
</div>
	
	<div class="span9">
        <h3><?php echo JText::_( 'COM_EG_CSV_LOAD_FILE' ); ?></h3>
		<ul class="admintable">

			<li>
				<label for="foobar">
					<?php echo JText::_( 'COM_EG_CSV' ); ?>:
				</label>
			 <div id="demo"></div>
			 <input type="hidden" name="files" value="" />
            
            </li>

		</ul>
	</div>
	
</div>

<div class="span3">
	<fieldset class="adminform">
			<legend><?php echo empty($this->item->id) ? JText::_('COM_EG_CSV_FILES') : JText::sprintf('COM_EG_CSV_SET', $this->item->id); ?></legend>
			
	
	<div>
	<?php echo JText::_('COM_EG_CSV_FILES_SAVE') . ' "/media/com_ejoshop/csvfiles/"';?>
	<?php
		$ul = '<ul>';
		if(!empty($this->csvfiles)) {
		foreach($this->csvfiles as $file) {
		
			$download = JURI::root(true).$file->csvpath.$file->csvfile;
			$ul .=  '<li class="csvfilesli" style="clear:both;line-height:30px;"><div style="float:left;clear:both;">'.$file->csvfile.'</div><a rel="'.$file->id.'" class="deletecsv" href="#"><img width="16px" height="16px" title="'.JText::_('COM_EJOSHOP_ORDER_EDIT').'" src="'.JURI::root(false)."media/com_ejoshop/assets/images/close_s.png" . '"></a>
			<a rel="'.$file->id.'" href="'.$download.'"><img width="16px" height="16px" title="'.JText::_('COM_EJOSHOP_ORDER_EDIT').'" src="'.JURI::root(false)."media/com_ejoshop/assets/images/download.png" . '"></a> </li>';
		}
		$ul .= '</ul>';
		echo $ul;
		}
	?>
	</div>
	</fieldset>	
</div>
<div id="demoafterp"></div>


<?php echo JHtml::_('bootstrap.endTab'); ?>


<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'template', JText::_('COM_EJOSHOP_PHOTO_DOWNLOAD_PRODUCT_AS_CSV', true)); ?>


<div class="span10">
		

		  	  
         
		  

<div class="getcsv btn"><?php echo JText::_('COM_EJ_GET_ALL_ITEM_IN_CSV', true);?></div><div class="addfieldconteiner"></div>	<div style="clear:both;">
	<ul class="sort ui-sortable">
		</ul>
	</div>


	<div class="loader_img"></div>
		
</div>
	<?php echo JHtml::_('bootstrap.endTab'); ?>

</div>

<input type="hidden" name="option" value="com_ejoshop" />
<input type="hidden" name="id" value="<?php echo $this->foobar->id; ?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="ejoshop" />
</form>
</div>