<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov www.slyweb.ru
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

/**
 * Hello View
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class EjoshopViewEjoshopUploadCsv extends EjoshopView
{

	protected $state;
	protected $item;
	protected $form;
	protected $tmpl;

	function untextnl($text)
	{
		$text = str_replace("<br />","\r\n",$text);
		return $text;
	}
	
	function display($tpl = null)
	{
		
		$this->setLayout('parse');
		EjoshopModel::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . '/models');
		//$model = EjoshopModel::getInstance('updatesmigration', 'VirtueMartModel');
		$model = EjoshopModel::getInstance('Ajaxupload', 'EjoshopModel');
		$input = JFactory::getApplication()->input;
		$type = $input->get('type');
	
		
		if($type == 'getcsvfile') {
			$model->outputCsvFile();
		} else if($type == 'getcsv') {
			$csv = $model->getcsv();
		} else {
			$csv = $model->parsecsv($id);
		}
		parent::display($tpl);
	}
	
	
		
	
}