<?php
/**
 * @version		$Id: k2.php 1812 2013-01-14 18:45:06Z lefteris.kavadas $
 * @package		Ejoshop
 * @author		slyweb.ru
 * @copyright	Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die ;

if (!defined('DS')) {
	define('DS', DIRECTORY_SEPARATOR);
}

jimport('joomla.plugin.plugin');

class plgSystemEjtoolbar extends JPlugin
{

	function plgSystemEjtoolbar(&$subject, $config)
	{
		parent::__construct($subject, $config);
	}

	function onAfterRoute()
	{

		$mainframe = JFactory::getApplication();
		$basepath = ($mainframe->isSite()) ? JPATH_SITE : JPATH_ADMINISTRATOR;
		JPlugin::loadLanguage('com_ejoshop', $basepath);

		if ($mainframe->isAdmin())
		{
			return;
		}

		$user = JFactory::getUser();
		$authorise = $user->authorise('core.edit', 'com_contact');
		if($authorise) {
		$document = JFactory::getDocument();
			$document->addStylesheet(JURI::root(true).'/media/com_ejoshop/assets/admin_menu.css');
			$document->addStylesheet(JURI::root(true).'/media/com_ejoshop/assets/admin_menu_toolbar.css');
			$document->addStylesheet(JURI::root(true).'/media/com_ejoshop/assets/shortcut.css');
			$document->addStylesheet(JURI::root(true).'/media/com_ejoshop/assets/admin_menu_site.css');
		}
		
	}

	
	function onAfterRender()
	{

		$mainframe = JFactory::getApplication();
		$basepath = ($mainframe->isSite()) ? JPATH_SITE : JPATH_ADMINISTRATOR;
		JPlugin::loadLanguage('com_ejoshop', $basepath);

		if ($mainframe->isAdmin())
		{
			return;
		}
	 
		$user = JFactory::getUser();
		$authorise = $user->authorise('core.edit', 'com_contact');
		$_SERVER['HTTP_X_REQUESTED_WITH'] = (isset($_SERVER['HTTP_X_REQUESTED_WITH'])) ? $_SERVER['HTTP_X_REQUESTED_WITH'] : FALSE;
		
		$params = JComponentHelper::getParams('com_ejoshop') ;
		$toolbaron= $params->get('toolbaron');
	
		/* AJAX CHECK we are stop output menu in ajax query */
		if(empty($_SERVER['HTTP_X_REQUESTED_WITH']) 
			&& strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) != 'xmlhttprequest'
			&& strpos($_SERVER['HTTP_ACCEPT'],'application/json') === FALSE
			&& $toolbaron
			&& $authorise
			&& empty($_POST)
			) {
			
			/* ajax not here */
			$analitycs	= JRequest::getVar( 'getlang', 0);
			$format	= JRequest::getVar( 'format' , 'html');
			if(!$analitycs && $format != 'row') {
				
				require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ejoshop'.DS.'helpers'.DS.'ejoshop.php');
					
				$helper = new EjoshopHelper();
				$ejoomenu = $helper->getSubMenu($site = true);	
				// Get the body and fetch a list of files
				$body = JResponse::getBody();

				$body = preg_replace('@</body>@si',$ejoomenu.'</body>',$body);
				JResponse::setBody($body);
				
				
			}
		}
	}
	// Extend user forms with K2 fields
	function onAfterDispatch()
	{

	
	}

	function onAfterInitialise()
	{
	
	}

	
}
