$j = jQuery.noConflict();

var AcerUi = {};
AcerUi.debugMode = !1;
AcerUi.$midLandFixer = null;
AcerUi.midLandFixerSelector = "#midLandFixer";
AcerUi.SMARTPHONE = "SMARTPHONE";
AcerUi.TABLET = "TABLET";
AcerUi.PC = "PC";
AcerUi._layouts = [{
    Id: AcerUi.SMARTPHONE,
    MaxWidth: 750
}, {
    Id: AcerUi.TABLET,
    MaxWidth: 985
}, {
    Id: AcerUi.PC,
    MaxWidth: 1024
}];
AcerUi._initListeners = [];
AcerUi.addInitListener = function (n) {
    AcerUi._initListeners.push(n)
};
AcerUi.init = function () {
    AcerUi.$midLandFixer = $j(AcerUi.midLandFixerSelector);
    AcerUi.addInitListener((new AcerUi.RichContentTop).init);
    AcerUi.addInitListener((new AcerUi.ProductList).init);
    AcerUi.addInitListener((new AcerUi.SocialShare).init);
    AcerUi.addInitListener((new AcerUi.GoTop).init);
    AcerUi.addInitListener((new AcerUi.RandomizeContent).init);
    AcerUi.addInitListener((new AcerUi.MultipleContentBox).init);
    AcerUi.addInitListener((new AcerUi.TutorialCloud).init);
    AcerUi.WhereToBuy && AcerUi.addInitListener((new AcerUi.WhereToBuy).init);
    AcerUi.WhereToBuyNew && AcerUi.addInitListener((new AcerUi.WhereToBuyNew).init);
    AcerUi.RightNow && AcerUi.RightNow.Interface && AcerUi.addInitListener((new AcerUi.RightNow.Interface).init);
    AcerUi.Gdp && AcerUi.Gdp.Interface && AcerUi.addInitListener((new AcerUi.Gdp.Interface).init);
    AcerUi.CompareTable && AcerUi.addInitListener((new AcerUi.CompareTable).init);
    AcerUi.CookiesMessage && AcerUi.addInitListener((new AcerUi.CookiesMessage).init);
    AcerUi._currentLayout = AcerUi.getCurrentLayout();
    AcerUi.resize();
    window.onresize = AcerUi.resize;
    for (var n = 0; n < AcerUi._initListeners.length; n++) AcerUi._initListeners[n](AcerUi._currentLayout)
};
AcerUi._resizeListeners = [];
AcerUi.addResizeListener = function (n) {
    AcerUi._resizeListeners.push(n)
};
AcerUi.resize = function () {
    for (var r = parseInt($j(window).width(), 10), u = parseInt($j(window).height(), 10), t, i, n = 0; n < AcerUi._resizeListeners.length; n++) AcerUi._resizeListeners[n](r, u);
    t = AcerUi.getCurrentLayout();
    t.Id != AcerUi._currentLayout.Id && (i = AcerUi._currentLayout, AcerUi._currentLayout = t, AcerUi.changeLayout(t, i))
};
AcerUi._changeLayoutListeners = [];
AcerUi.addChangeLayoutListener = function (n) {
    AcerUi._changeLayoutListeners.push(n)
};
AcerUi.changeLayout = function (n, t) {
    for (var i = 0; i < AcerUi._changeLayoutListeners.length; i++) AcerUi._changeLayoutListeners[i](n, t)
};
AcerUi._currentLayout = null;
AcerUi.getCurrentLayout = function () {
    for (var t = parseInt(AcerUi.$midLandFixer.width(), 10), n = 0; n < AcerUi._layouts.length; n++)
        if (t <= AcerUi._layouts[n].MaxWidth) return AcerUi._layouts[n];
    return AcerUi._layouts[AcerUi._layouts.length - 1]
};


AcerUi.RichContentTop = function () {
    function tt(r) {
        n.removeClass(u);
        s.removeClass(o);
        i.show();
        t.hide();
        h.hide();
        c.hide();
        l.hide();
        r.Id == AcerUi.SMARTPHONE ? (v.show(), y.hide(), f.hide()) : f.show();
        e.resetLayout();
        return
    }

    function vt() {
        var v = $j(this);
        if (v.hasClass(o) || v.hasClass(p)) return !1;
        var y = "." + v.attr("rel"),
            r = null,
            w = !1;
        switch (y) {
        case k:
            r = t;
            break;
        case d:
            r = h;
            break;
        case a:
            r = c;
            break;
        case g:
            r = l;
            break;
        default:
            r = i;
            w = !0
        }
        return f.hide(), i.hide(), b.hide(), s.removeClass(o), w ? n.removeClass(u) : (n.addClass(u), v.addClass(o)), r.show(), y == a ? e.activateVideo() : e.resetLayout(), f.show(), !1
    }

    function yt() {
        var r = $j(this);
        return r.hasClass(p) ? !1 : (t.is(":visible") ? (r.hide(), v.show(), t.hide(), n.removeClass(u), i.show()) : (r.hide(), y.show(), t.show(), n.addClass(u), i.hide()), !1)
    }
    var it = this,
        r = null,
        u = "open",
        o = "active",
        p = "unactive",
        rt = ".rich-content-top > .main-container",
        n = null,
        ut = ".rich-content-nav",
        f = null,
        w = ".rich-content-nav li a",
        s = null,
        ft = ".main-content",
        i = null,
        et = ".content",
        b = null,
        k = ".photo",
        t = null,
        d = ".view",
        h = null,
        a = ".video",
        c = null,
        g = ".zoom",
        l = null,
        ot = "div.photo-mobile",
        nt = null,
        st = "div.photo-mobile > a.photo-mobile",
        v = null,
        ht = "div.photo-mobile > a.empty-button",
        y = null,
        ct = null,
        lt = null,
        e = null,
        at = null;
    this.init = function (u) {
        (r = u, n = $j(rt), n.length != 0) && (n = $j(n[0]), f = $j(n.find(ut)), s = $j(n.find(w)), i = $j(n.find(ft)), b = $j(n.find(et)), t = $j(n.find(k)), h = $j(n.find(d)), c = $j(n.find(a)), l = $j(n.find(g)), nt = $j(n.find(ot)), v = $j(n.find(st)), y = $j(n.find(ht)), ct = new AcerUi.RichContentTop.PhotoViewer(t).init(), lt = new AcerUi.RichContentTop.d360Viewer(h).init(), e = new AcerUi.RichContentTop.VideoViewer(c), e.init(), at = new AcerUi.RichContentTop.ZoomViewer(l).init(), s.click(vt), $j(nt.find("a")).click(yt), AcerUi.addChangeLayoutListener(it.layoutChange), n.hasClass("hideUnactive") && $j(w + ".unactive").parent().remove(), tt(u))
    };
    this.resize = function () {
        return
    };
    this.layoutChange = function (n) {
        if (r != null && r.Id != n.Id) {
            r = n;
            tt(r);
            return
        }
    }
};
AcerUi.RichContentTop.PhotoViewer = function (n) {
    function s() {
        var n = $j(this),
            f;
        return n.hasClass(i) ? !1 : (f = $j($j(n.find("img"))[0]).attr("src"), $j.browser.msie && parseInt($j.browser.version, 10) < 9 ? t.attr("src", f) : t.fadeOut("fast", function () {
            t.unbind("load", u).bind("load", u);
            t.attr("src", f)
        }), r.removeClass(i), n.addClass(i), !1)
    }

    function u() {
        $j(this).hide().fadeIn("slow")
    }
    var f = this,
        i = "active",
        e = ".photo-content > ul > li > a",
        r = null,
        o = ".img-big > img",
        t = $j(n.find(".img-big > img"));
    this.init = function () {
        n != null && n.length != 0 && (r = $j(n.find(e)), t = $j(n.find(o)), r.click(s), f.resetLayout())
    };
    this.resetLayout = function () {
        r.removeClass(i);
        var n = $j(r.get(0)),
            u = $j(n.find("img")[0]);
        n.addClass(i);
        t.attr("src", u.attr("src")).show()
    }
};
AcerUi.RichContentTop.d360Viewer = function (n) {
    function a() {
        return
    }

    function v() {
        return i = !0, o("next"), !1
    }

    function y() {
        return i = !0, o("prev"), !1
    }

    function o(n) {
        if (i == !1) return !1;
        f != null && (window.clearTimeout(f), f = null);
        var u = $j(t.filter(":visible")[0]),
            e = t.index(u),
            r = 0;
        return n == "next" ? (r = e + 1, r > t.length - 1 && (r = 0)) : (r = e - 1, r < 0 && (r = t.length - 1)), u.hide(), $j(t.get(r)).show(), i == !0 && (f = window.setTimeout(function () {
            o(n)
        }, 100)), !1
    }
    var s = this,
        e = "active",
        h = ".prev > a",
        r = null,
        c = ".next > a",
        u = null,
        l = ".view-content > img",
        t = null,
        i = !1,
        f = null;
    this.init = function () {
        n != null && n.length != 0 && (r = $j(n.find(h)), u = $j(n.find(c)), t = $j(n.find(l)), r.click(function () {
            return !1
        }), r.mousedown(v), r.mouseup(function () {
            return i = !1, !1
        }), u.click(function () {
            return !1
        }), u.mousedown(y), u.mouseup(function () {
            return i = !1, !1
        }), a(), s.resetLayout())
    };
    this.resetLayout = function () {
        t.hide();
        $j(t.get(0)).show()
    }
};
AcerUi.RichContentTop.VideoViewer = function (n) {
    function e() {
        try {
            var n = $j(t.find("#topVideo"));
            n.remove()
        } catch (i) {}
    }

    function o() {
        return t.append($j(i)), !1
    }
    var u = this,
        f = ".video-container",
        t = null,
        i = '<iframe id="topVideo" width="100%" height="100%" src="{src}" frameborder="0" allowfullscreen><\/iframe>',
        r = null;
    this.init = function () {
        n != null && n.length != 0 && (t = $j(n.find(f)), r = t.attr("data-video"), i = i.split("{src}").join(r), u.resetLayout())
    };
    this.resetLayout = function () {
        e()
    };
    this.activateVideo = function () {
        o()
    }
};
AcerUi.RichContentTop.ZoomViewer = function (n) {
    function p() {}

    function w() {
        document.body.style.cursor = "default"
    }

    function b(n) {
        u(n.pageX, n.pageY)
    }

    function k() {
        var n = i.offset().left,
            r = i.offset().top,
            f = i.outerWidth(),
            e = i.outerHeight(),
            h = t.outerWidth(),
            c = t.outerHeight(),
            o = n + f / 2,
            s = r + e / 2;
        u(o, s)
    }

    function d() {
        var r = t.outerWidth(),
            f = t.outerHeight(),
            n = t.offset().left + r / 2,
            i = t.offset().top + f / 2,
            e = $j(this).attr("class");
        switch (e) {
        case "go-top":
            i -= 10;
            break;
        case "go-bottom":
            i += 10;
            break;
        case "go-left":
            n -= 10;
            break;
        case "go-right":
            n += 10
        }
        return t.show(), u(n, i), !1
    }

    function u(n, u) {
        var y = i.offset().left,
            p = i.offset().top,
            s = i.outerWidth(),
            h = i.outerHeight(),
            c = t.outerWidth(),
            l = t.outerHeight(),
            f, e, o, a, v;
        n = n - y - c / 2;
        u = u - p - l / 2;
        n + c > s && (n = s - c);
        u + l > h && (u = h - l);
        n < 0 && (n = 0);
        u < 0 && (u = 0);
        f = r.width();
        e = r.height();
        (f == 0 || e == 0) && (o = new Image, o.src = r.attr("src"), f = o.width, e = o.height);
        a = Math.round(f / s);
        v = Math.round(e / h);
        t.css({
            left: n,
            top: u
        });
        r.css({
            left: n * a * -1,
            top: u * v * -1
        })
    }
    var e = this,
        o = ".img-big > img",
        r = null,
        s = ".zoom-content img",
        h = null,
        c = ".zoom-content .pointer",
        t = null,
        l = ".zoom-content",
        a = null,
        v = ".zoom-content .mask",
        i = null,
        y = ".ctn-arrow-zoom a",
        f = null;
    this.init = function () {
        n != null && n.length != 0 && (r = $j(n.find(o)[0]), h = $j(n.find(s)[0]), t = $j(n.find(c)[0]), a = $j(n.find(l)[0]), i = $j(n.find(v)[0]), f = $j(n.find(y)), i.bind("mouseover", p), i.bind("mouseleave", w), i.bind("mousemove", b), f.click(d), t.show(), e.resetLayout())
    };
    this.resetLayout = function () {
        k();
        return
    }
};
AcerUi.ProductList = function () {
    function d() {
        switch (h.Id) {
        case AcerUi.SMARTPHONE:
            return ht;
        case AcerUi.TABLET:
            return st;
        case AcerUi.PC:
        default:
            return ot
        }
    }

    function gt() {
        var n = $j(window).scrollTop(),
            t = $j(window).height();
        n + t > r.outerHeight() + 300 && o.is(":visible") && o.click()
    }

    function ni() {
        for (var o, n = 0; n < u.length; n++) {
            var s = u[n],
                e = $j(u[n]).attr("rel"),
                h = e.split("#")[0],
                t = e.split("#")[1].split("|"),
                i = 0,
                r = 0,
                f = !1;
            t.length == 1 ? (i = t[0], r = t[0], f = !0) : (i = parseInt(t[0], 10), r = parseInt(t[1], 10), f = !1);
            o = {
                ndx: n,
                id: h,
                minValue: i,
                maxValue: r,
                isSingleValue: f
            };
            $j.data(s, b, o)
        }
    }

    function ti() {
        for (var n = [], e = u.filter("." + t), o = 0, r, f, i = 0; i < e.length; i++) r = $j.data(e[i], b), f = r.id, n["fId-" + f] ? n["fId-" + f].push(r) : (n["fId-" + f] = new Array(r), o++);
        return {
            count: o,
            groups: n
        }
    }

    function ii() {
        var n = $j(this);
        return n.hasClass(t) ? n.removeClass(t) : n.addClass(t), s(), !1
    }

    function ri() {
        return u.removeClass(t), s(), !1
    }

    function ui() {
        var n = $j(this);
        return n.toggleClass(ft).toggleClass(et), v.slideToggle(), !1
    }

    function fi() {
        for (var t = $j(f.find(".short-list a")), r, i, n = 0; n < t.length; n++) r = $j(t[n]).attr("data-sort"), $j.data(t[n], "sort", g(r));
        i = $j(f.find("a.open-short"));
        $j.data(i[0], "sort", g(i.attr("data-sort")));
        t.click(ei);
        i.click(nt);
        $j(f.find(".short-list")).hide()
    }

    function g(n) {
        var t = n.split("#");
        return {
            type: t[0],
            value: t[1],
            toward: t[2]
        }
    }

    function nt() {
        var n = $j(f.find(".short-list"));
        return n.slideToggle("fast"), !1
    }

    function ei() {
        var n = $j(this),
            i = $j.data(n[0], "sort"),
            t = $j(f.find("a.open-short"));
        return $j.data(t[0], "sort", i), t.text(n.text()), nt(), s(), !1
    }

    function oi() {
        var n = $j(f.find("a.open-short"));
        return $j.data(n[0], "sort")
    }

    function si() {
        var n = oi(),
            t, i;
        for (_products.sort(function (t, i) {
            var r = "",
                u = "";
            return (n.type == "filter" ? (r = tt(t, n.value), u = tt(i, n.value)) : (r = it(t, n.value), u = it(i, n.value)), r < u) ? n.toward == "asc" ? -1 : 1 : r == u ? 0 : r > u ? n.toward == "asc" ? 1 : -1 : void 0
        }), t = 0; t < _products.length; t++) i = $j($j(".product-list .product[id='" + _products[t].id + "']")), $j(".product-list").append(i)
    }

    function hi() {
        var f, i, n, h, t, o;
        for (_products = [], f = r.find(c), i = 0; i < f.length; i++) {
            var u = $j(f[i]),
                l = u.attr("id"),
                a = $j(u.find("h2")).text(),
                s = [],
                e = u.attr("rel").split("#");
            for (n = 0; n < e.length; n++) h = e[n].split(":")[0], t = e[n].split(":")[1], isNaN(t) || (t = parseInt(t, 10)), s.push({
                id: h,
                value: t
            });
            o = {
                id: l,
                name: a,
                data: s,
                isSelected: 0
            };
            $j.data(u[0], "appData", o);
            _products.push(o)
        }
    }

    function ci(n) {
        for (var t = 0; t < _products.length; t++)
            if (_products[t].id == n) return _products[t];
        return null
    }

    function li() {
        for (var t = [], n = 0; n < _products.length; n++) _products[n].isSelected != 0 && t.push(_products[n]);
        return t.sort(function (n, t) {
            return n.isSelected < t.isSelected ? -1 : n.isSelected == t.isSelected ? 0 : n.isSelected == t.isSelected ? 1 : void 0
        }), t
    }

    function ai() {
        var n = r.find(".product:visible"),
            t = n.length + d();
        return s(t), !1
    }

    function vi() {
        var r = $j(this),
            n = $j(r.parents(c)[0]),
            i = $j.data(n[0], "appData");
        if (n.hasClass(t)) n.removeClass(t), i.isSelected = 0;
        else {
            var u = $j($j(".product-list .product")),
                f = $j(u.filter(".selected")),
                e = f.length;
            e < 3 && (n.addClass(t), i.isSelected = (new Date).getTime())
        }
        return p(), !1
    }

    function yi(n, t) {
        var u = n,
            e = 0,
            o, f, r, i;
        for (o in t.groups) {
            for (f = t.groups[o], r = null, i = 0; i < u.length; i++)
                if (u[i].id == f[0].id) {
                    r = u[i];
                    break
                }
            if (r == null) return !1;
            pi(r, f) && e++
        }
        return e == t.count
    }

    function pi(n, t) {
        for (var i, r = 0; r < t.length; r++)
            if (i = t[r], i.isSingleValue && i.minValue == n.value || n.value >= i.minValue && n.value < i.maxValue) return !0;
        return !1
    }

    function tt(n, t) {
        for (var i = 0; i < n.data.length; i++)
            if (n.data[i].id == t) return n.data[i].value;
        return ""
    }

    function it(n, t) {
        return n.hasOwnProperty(t) ? n[t] : ""
    }

    function s(n) {
        var t, u;
        if (n == null || n + "" == "undefined") return r.fadeOut("fast", function () {
            s(d())
        }), !1;
        si();
        t = r.find(".product");
        t.hide();
        var f = ti(),
            i = 0,
            e = 0;
        for (u = 0; u < t.length; u++) {
            var h = t[u],
                c = $j(h),
                l = $j.data(h, "appData");
            yi(l.data, f) ? (i < n && (c.show(), i++), e++) : c.hide()
        }
        i < e ? o.show() : o.hide();
        i == 0 ? (y.show(), $j(r.parents(".container-sx")[0]).hide()) : (y.hide(), $j(r.parents(".container-sx")[0]).show());
        f.count > 0 ? a.slideDown("fast") : a.slideUp("fast");
        r.fadeIn("fast")
    }

    function p() {
        var i = $j(n.find(".compare-box")),
            r, u, f;
        for ($j(i.find(".selected-element")).removeClass("selected"), $j(i.find("a.close")).hide(), $j(i.find("a.open")).hide(), $j(i.find("span.selected-label")).hide(), $j(i.find("a.btnCompare")).hide(), i.hide(), r = $j(i.find(".list-product-to-compare")), r.empty(), u = $j(".product.selected"), u.sort(function (n, t) {
            var i = $j.data(n, "appData"),
                r = $j.data(t, "appData");
            return i.isSelected > r.isSelected ? 1 : i.isSelected == r.isSelected ? 0 : i.isSelected < r.isSelected ? -1 : void 0
        }), f = 0; f < u.length; f++) r.append($j(u[f]).clone().show());
        return u.length == 0 ? (i.hide(), r.hide(), $j(i.find("a.close")).hide()) : u.length == 1 ? ($j(i.find(".selected-element").get(0)).addClass(t), $j(i.find("span.selected-label")).show(), i.show(), r.show(), $j(i.find("a.close")).show()) : u.length == 2 ? ($j(i.find(".selected-element").get(0)).addClass(t), $j(i.find(".selected-element").get(1)).addClass(t), $j(i.find("a.btnCompare")).show(), i.show(), r.show(), $j(i.find("a.close")).show()) : u.length == 3 && ($j(i.find(".selected-element")).addClass(t), $j(i.find("a.btnCompare")).show(), i.show(), r.show(), $j(i.find("a.close")).show()), $j(r.find(".compare a")).click(wi), w(), !1
    }

    function wi() {
        var i = $j(this),
            u = $j(i.parents(c)[0]),
            n = ci(u.attr("id"));
        return n.isSelected = 0, $j(r.find(c + "[id='" + n.id + "']")).removeClass(t), p(), !1
    }

    function bi() {
        var n = $j(i.find(".list-product-to-compare"));
        return n.slideDown("slow", w), $j(i.find("a.open")).hide(), $j(i.find("a.close")).show(), !1
    }

    function ki() {
        var n = $j(i.find(".list-product-to-compare"));
        return n.slideUp("slow", w), $j(i.find("a.open")).show(), $j(i.find("a.close")).hide(), !1
    }

    function di() {
        var r = $j(this),
            u = r.attr("href"),
            t = li(),
            i, n;
        if (t.length < 2) return !1;
        for (i = [], n = 0; n < t.length; n++) i.push(encodeURI(t[n].id + ""));
        return r.attr("href", u.split("{0}").join(i.join("-"))), !0
    }

    function w() {
        var t = $j(".compare-box").outerHeight(),
            i = $j(".compare-box").is(":visible"),
            n = $j($j(".footer").parents(".row")[0]);
        i ? n.animate({
            "padding-bottom": t
        }) : n.animate({
            "padding-bottom": 0
        })
    }

    function gi() {
        var n = $j(this);
        return $j(e.find(".choose-selector")).slideToggle("slow"), e.toggleClass("open"), !1
    }

    function nr() {
        return e.removeClass("open"), $j(e.find(".choose-selector")).hide(), !1
    }

    function rt(n) {
        n.Id == AcerUi.SMARTPHONE ? (i.hide(), v.hide(), l.removeClass("close-filter").addClass("open-filter").show()) : (p(), v.show(), l.hide());
        nr();
        s();
        return
    }
    var ut = this,
        h = null,
        t = "selected",
        ft = "open-filter",
        et = "close-filter",
        c = ".product",
        ot = 9,
        st = 6,
        ht = 3,
        ct = ".product-list-container",
        n = null,
        b = "filter",
        lt = ".filter-box ul li a",
        u = null,
        at = ".product-list",
        r = null,
        k = ".compare-box",
        i = null,
        vt = ".help-choose",
        e = "null",
        yt = ".open-filter",
        l = null,
        pt = ".reset-filter",
        a = null,
        wt = ".no-element",
        y = null,
        bt = ".more-element",
        o = null,
        kt = ".filter-container",
        v = null,
        dt = ".sort",
        f = null;
    _products = null;
    this.init = function (t) {
        (h = t, n = $j(ct), n.length != 0) && (n = $j(n[0]), u = $j(n.find(lt)), r = $j(n.find(at)), i = $j(n.find(k)), e = $j(n.find(vt)), l = $j(n.find(yt)), a = $j(n.find(pt)), y = $j(n.find(wt)), o = $j(n.find(bt)), i = $j(n.find(k)), v = $j(n.find(kt)), f = $j(n.find(dt)), AcerUi.addChangeLayoutListener(ut.layoutChange), $j(i.find("a.open")).click(bi), $j(i.find("a.close")).click(ki), $j(i.find("a.btnCompare")).click(di), $j(e.find(">h2 > a")).click(gi), u.click(ii), a.click(ri), l.click(ui), o.click(ai), $j(document).scroll(gt), $j(n.find(".product .compare a")).click(vi), ni(), hi(), fi(), rt(t))
    };
    this.resize = function () {
        return
    };
    this.layoutChange = function (n) {
        if (h != null && h.Id != n.Id) {
            h = n;
            rt(n);
            return
        }
    }
};

AcerUi.GoTop = function () {
    function u() {
        var i = document.location.href + "",
            n = document.location.href.split(document.location.hash).join("") + "#top";
        return t.attr("href", n), !0
    }

    function f() {
        return
    }
    var i = this,
        n = null,
        r = "a.go-top",
        t = null;
    this.init = function (e) {
        n = e;
        t = $j(r);
        AcerUi.addChangeLayoutListener(i.layoutChange);
        t.click(u);
        f(e)
    };
    this.resize = function () {
        return
    };
    this.layoutChange = function (t) {
        if (n != null && n.Id != t.Id) {
            n = t;
            return
        }
    }
};
AcerUi.SocialShare = function () {
    function u() {
        var t = $j(this),
            i = encodeURI(document.location),
            r = encodeURI($j("head > title").text()),
            n = "";
        return t.hasClass("facebook") && (n = "http://www.facebook.com/sharer.php?u=" + i), t.hasClass("twitter") && (n = "http://twitter.com/home?status=" + r + " " + i), t.hasClass("googleplus") && (n = "https://plus.google.com/share?url=" + i), t.hasClass("weibo") && (n = "http://service.weibo.com/share/share.php?url=" + i + "&appkey=" + r), n != "" && window.open(n), !1
    }
    var i = this,
        n = null,
        r = "a.facebook, a.twitter, a.googleplus, a.weibo",
        t = null;
    this.init = function (f) {
        n = f;
        t = $j(r);
        t.click(u);
        AcerUi.addChangeLayoutListener(i.layoutChange)
    };
    this.resize = function () {
        return
    };
    this.layoutChange = function (t) {
        n != null && n.Id != t.Id && (n = t)
    }
};

AcerUi.RandomizeContent = function () {
    function e() {
        for (var n, o, e = 0; e < t.length; e++) {
            var s = $j(t[e]),
                i = $j(s.find(u)),
                r = parseInt(s.attr(f), 10);
            if (r = isNaN(r) ? 1 : r, i.hide(), i.length <= r) {
                i.show();
                return
            }
            for (n = Math.floor(Math.random() * i.length), o = [n]; o.length <= r;) $j(i.get(n)).show(), n++, n > i.length - 1 ? n = 0 : n, o.push(n)
        }
    }
    var i = this,
        n = null,
        r = ".randomizer",
        t = null,
        u = "> div",
        f = "data-items";
    this.init = function (u) {
        (n = u, t = $j(r), t.length != 0) && (AcerUi.addChangeLayoutListener(i.layoutChange), e())
    };
    this.resize = function () {
        return
    };
    this.layoutChange = function (t) {
        n != null && n.Id != t.Id && (n = t)
    }
};

AcerUi.MultipleContentBox = function () {
    function p(r) {
        var u;
        r && r.preventDefault();
        u = $j(this);
        s();
        t.removeClass(i);
        u.addClass(i);
        var e = $j(n.filter(":visible")),
            f = t.index(u),
            h = $j(n.get(f));
        o(f);
        e.hide();
        h.show()
    }

    function e() {
        n.hide();
        $j(n.get(0)).show();
        t.removeClass(i);
        $j(t.get(0)).addClass(i);
        f.width(0);
        o(0)
    }

    function w() {
        var r = $j(n.filter(":visible")),
            i = n.index(r) + 1;
        i = i >= n.length ? 0 : i;
        $j(t.get(i)).click()
    }

    function o(n) {
        s();
        var t = $j(f.get(n));
        t.animate({
            width: "100%"
        }, c, function () {
            w()
        })
    }

    function s() {
        f.stop(!1, !1).width(0)
    }
    var h = this,
        i = "active",
        c = 5e3,
        r = null,
        l = ".multipleContentBox",
        u = null,
        a = ".item",
        n = null,
        v = ".selector a",
        t = null,
        y = ".selector a span",
        f = null;
    this.init = function (i) {
        r = i;
        u = $j(l);
        n = $j(u.find(a));
        t = $j(u.find(v));
        f = $j(u.find(y));
        AcerUi.addChangeLayoutListener(h.layoutChange);
        t.click(p);
        e(i)
    };
    this.resize = function () {
        return
    };
    this.layoutChange = function (n) {
        if (r != null && r.Id != n.Id) {
            r = n;
            e(n);
            return
        }
    }
};
AcerUi.SimpleItemSlider = function (n, t) {
    function y(n) {
        l(n);
        i.removeClass(e);
        $j(i.get(0)).addClass(e)
    }

    function l() {
        o.hide();
        f.hide();
        var t = parseInt(s.width(), 10),
            n = parseInt($j(i[0]).outerWidth(), 10) * i.length;
        r.width(n);
        r.css("left", 0);
        t < n && f.show()
    }

    function p(n) {
        n && n.preventDefault();
        i.removeClass(e);
        $j($j(this).parents(".ctnSimpleSliderItem").get(0)).addClass(e)
    }

    function w() {
        return a("next"), !1
    }

    function b() {
        return a("prev"), !1
    }

    function a(n) {
        if (!c) {
            c = !0;
            var e = parseInt(s.outerWidth(), 10),
                u = $j(i[0]).outerWidth(),
                a = Math.round(e / u),
                h = u * a,
                l = r.position().left,
                v = r.outerWidth(),
                t = 0;
            return n == "next" && (t = l - h), n == "prev" && (t = l + h), r.animate({
                left: t
            }, "slow", function () {
                o.hide();
                t < 0 && o.show();
                f.hide();
                v - Math.abs(t) > e + u / 2 && f.show();
                c = !1
            }), !1
        }
    }
    var v = this,
        u = t,
        o = null,
        f = null,
        s = null,
        r = null,
        i = null,
        h = n,
        c = !1,
        e = "active";
    this.init = function () {
        u + "" == "undefined" && (u = $(".ctnSimpleSliderMainContainer"));
        o = $j(u.find(".btnSimpleSliderPrevButton"));
        f = $j(u.find(".btnSimpleSliderNextButton"));
        s = $j(u.find(".ctnSimpleSliderScrollMask"));
        r = $j(u.find(".ctnSimpleSliderItemsContainer"));
        i = $j(r.find(".ctnSimpleSliderItem"));
        AcerUi.addChangeLayoutListener(v.layoutChange);
        o.click(b);
        f.click(w);
        i.find(".btnSimpleSliderItem").click(p);
        y(n)
    };
    this.setActiveItem = function (n) {
        i.removeClass(e);
        $j(i.get(n)).addClass(e)
    };
    this.resize = function () {
        return
    };
    this.layoutChange = function (n) {
        if (h != null && h.Id != n.Id) {
            h = n;
            l(n);
            return
        }
    };
    this.init()
};
AcerUi.CookiesMessage = function () {
    function h() {
        var t = AcerUi.ReadCookie(o);
        t && t != null && t != "" ? n.hide() : (n.show(), r())
    }

    function r() {
        if (n.is(":visible")) {
            var i = n.outerHeight(!0),
                r = $j(window).height();
            i > r ? n.css({
                bottom: "auto",
                top: 0
            }) : n.css({
                bottom: 0,
                top: "auto"
            });
            t.css("padding-bottom", n.outerHeight(!0))
        } else t.css("padding-bottom", 0)
    }

    function c(i) {
        i && i.preventDefault();
        n.slideUp(500);
        t.animate({
            "padding-bottom": 0
        }, 500)
    }

    function l(i) {
        i && i.preventDefault();
        n.slideUp(500);
        t.animate({
            "padding-bottom": 0
        }, 500);
        AcerUi.WriteCookie(o, "true", s, "/")
    }
    var u = this,
        i = null,
        n = null,
        t = null,
        f = null,
        e = null,
        o = "acerACK",
        s = 365;
    this.init = function (r) {
        i = r;
        n = $j("#ctnCookiesMessage");
        f = $j(n.find(".btnClose"));
        e = $j(n.find(".btnAccept"));
        t = $j($j(".footer").parents(".row").get(0));
        AcerUi.addChangeLayoutListener(u.layoutChange);
        AcerUi.addResizeListener(u.resize);
        f.click(c);
        e.click(l);
        h()
    };
    this.resize = function () {
        r()
    };
    this.layoutChange = function (n) {
        if (i != null && i.Id != n.Id) {
            i = n;
            r();
            return
        }
    }
};
AcerUi.WriteCookie = function (n, t, i, r) {
    var f = new Date,
        u;
    f.setDate(f.getDate() + i);
    u = escape(t);
    u += i == null ? "" : "; expires=" + f.toUTCString();
    u += r == null ? "" : "; path=" + r;
    document.cookie = n + "=" + u
};
AcerUi.ReadCookie = function (n) {
    var t = document.cookie,
        i = t.indexOf(" " + n + "="),
        r;
    return i == -1 && (i = t.indexOf(n + "=")), i == -1 ? t = null : (i = t.indexOf("=", i) + 1, r = t.indexOf(";", i), r == -1 && (r = t.length), t = unescape(t.substring(i, r))), t
};
AcerUi.TutorialCloud = function () {
    function o(i) {
        i.preventDefault(i);
        var e = $j(this);
        t.removeClass("active");
        e.addClass("active");
        r = $j(e.parents("li")).find(".tutRes h2");
        u = $j(e.parents("li")).find(".tutRes p");
        f = $j(e.parents("li")).find(".tutRes a").attr("href");
        $j(n.find(".tutTitle")).html(r.text());
        $j(n.find(".tutDescription")).html(u.text());
        $j(n.find(".tutVideo iframe")).attr("src", f);
        $j("html, body").animate({
            scrollTop: $j(".maxTab3").offset().top
        })
    }
    var i = null,
        n = null,
        e = null,
        t = null,
        r = null,
        u = null,
        f = null;
    this.init = function () {
        i = $j(".contentTutorials");
        n = $j(i.find(".main-tutorial"));
        e = $j(i.find("ul li").get(0));
        t = $j(i.find("ul li .tutRes a"));
        r = e.find(".tutRes h2");
        u = e.find(".tutRes p");
        f = $j(t.get(0)).attr("href");
        $j(t.get(0)).addClass("active");
        $j(n.find(".tutTitle")).html(r.text());
        $j(n.find(".tutDescription")).html(u.text());
        $j(n.find(".tutVideo iframe")).attr("src", f);
        t.click(o)
    }
};
AcerUi.Storage = {};
AcerUi.Storage.storageMode = "SESSIONONLY";
AcerUi.Storage.maxStoreSize = 2.5 * 1048576;
AcerUi.Storage.expirationDelay = 6e4;
AcerUi.Storage.hasLocalStorage = window.Storage ? !0 : !1;
AcerUi.Storage.baseKey = "AcerUiStorage";
AcerUi.sessionStorage = [];
AcerUi.Storage.getStorage = function () {
    if (AcerUi.Storage.storageMode == "OFF") return [];
    var n = [];
    return n = AcerUi.Storage.hasLocalStorage && AcerUi.Storage.storageMode == "FULL" ? JSON.parse(localStorage.getItem("ALS")) : AcerUi.sessionStorage, n != null ? AcerUi.Storage.clean(n, 0) : []
};
AcerUi.Storage.setStorage = function (n, t) {
    AcerUi.Storage.storageMode != "OFF" && (AcerUi.Storage.hasLocalStorage && AcerUi.Storage.storageMode == "FULL" ? localStorage.setItem("ALS", JSON.stringify(t)) : AcerUi.sessionStorage = t)
};
AcerUi.Storage.addData = function (n, t, i) {
    var r = AcerUi.Storage.getStorage(n),
        u = AcerUi.Storage.buildEntry(n, t, i),
        f = AcerUi.Storage.hasLocalStorage ? JSON.stringify(u).length : 0;
    AcerUi.Storage.clean(r, f);
    r.push(u);
    AcerUi.Storage.setStorage(n, r)
};
AcerUi.Storage.getData = function (n, t) {
    for (var u = AcerUi.Storage.getStorage(n), r, i = 0; i < u.length; i++)
        if (r = u[i], r.storageName.toUpperCase() == n.toUpperCase() && r.key.toUpperCase() == t.toUpperCase()) return r.data;
    return null
};
AcerUi.Storage.buildEntry = function (n, t, i) {
    var r = new Date,
        u = r.getTime() + AcerUi.Storage.expirationDelay;
    return {
        storageName: n.toUpperCase(),
        key: t.toUpperCase(),
        insertDate: r.getTime(),
        expirationDate: u,
        data: i
    }
};
AcerUi.Storage.clean = function (n, t) {
    for (var f = t, e = (new Date).getTime(), i = [], u, r = 0; r < n.length; r++) n[r].expirationDate > e && i.push(n[r]);
    if (AcerUi.Storage.hasLocalStorage)
        for (u = AcerUi.Storage.maxStoreSize - JSON.stringify(i).length; u < f;) i.shift(), u = AcerUi.Storage.maxStoreSize - JSON.stringify(i).length;
    return i
};
AcerUi.Services = {};
AcerUi.Services.resultOkValue = "OK";
AcerUi.Services.noParamValue = "-";
AcerUi.Services.baseRightNowServiceUrl = "http://www.acer.com/wjws/ws/rightnowkf/";
AcerUi.Services.externalRightNowPageParamsFormat = "{searchTerm};{rnProductId};{group};{category};{start};{serialNumber}";
AcerUi.Services.paramsRightNowServiceUrl = "{language}/{country}/{limit}/{searchTerm}/{rnProductId}/{group}/{category}/{start}?_jsonp=";
AcerUi.Services.baseGDPServiceUrl = "http://www.acer.com/wjws/ws/gdp/";
AcerUi.Services.baseSerialNumberServiceUrlFormat = AcerUi.Services.baseGDPServiceUrl + "sn/{language}/{country}/{serialNumber}?_jsonp=";
AcerUi.Services.externalGdpPageParamsFormat = "{rnProductId};{serialNumber};{modelName}";
AcerUi.Services.baseCategoryServiceUrlFormat = AcerUi.Services.baseRightNowServiceUrl + "categories/{language}/{country}?_jsonp=";
AcerUi.Services.baseFamiliesServiceUrlFormat = AcerUi.Services.baseGDPServiceUrl + "families/{language}/{country}?_jsonp=";
AcerUi.Services.baseLinesServiceUrlFormat = AcerUi.Services.baseGDPServiceUrl + "lines/{language}/{country}/{familyId}?_jsonp=";
AcerUi.Services.baseModelsServiceUrlFormat = AcerUi.Services.baseGDPServiceUrl + "models/{language}/{country}/{lineId}?_jsonp=";
AcerUi.Services.baseInfoServiceUrlFormat = AcerUi.Services.baseGDPServiceUrl + "info/{language}/{country}/{modelId}?_jsonp=";
AcerUi.Services.basePlmModelUrlFormat = AcerUi.Services.baseGDPServiceUrl + "plmmodel/{language}/{country}/{modelId}?_jsonp=";
AcerUi.Services.baseFilesDataUrlFormat = AcerUi.Services.baseGDPServiceUrl + "files/{language}/{country}/{os}/{limit}/{type}/{modelId}/{filesLang}?_jsonp=";
AcerUi.Services.baseModelSuggestionsUrlFormat = AcerUi.Services.baseGDPServiceUrl + "modelname/{language}/{country}/{searchText}?_jsonp=";
AcerUi.Services.getParametrizedRightNowUri = function (n, t, i, r, u, f, e, o, s, h, c) {
    var l = n;
    return l = l.split("{language}").join(AcerUi.Services.normalizeUrlValue(t, c)), l = l.split("{country}").join(AcerUi.Services.normalizeUrlValue(i, c)), l = l.split("{limit}").join(AcerUi.Services.normalizeUrlValue(r, c)), l = l.split("{searchTerm}").join(AcerUi.Services.normalizeUrlValue(u, c)), l = l.split("{rnProductId}").join(AcerUi.Services.normalizeUrlValue(f, c)), l = l.split("{group}").join(AcerUi.Services.normalizeUrlValue(e, c)), l = l.split("{category}").join(AcerUi.Services.normalizeUrlValue(o, c)), l = l.split("{start}").join(AcerUi.Services.normalizeUrlValue(s, c)), l.split("{serialNumber}").join(AcerUi.Services.normalizeUrlValue(h, c))
};
AcerUi.Services.getParametrizedGdpUri = function (n, t, i, r, u, f, e) {
    var o = n;
    return o = o.split("{language}").join(AcerUi.Services.normalizeUrlValue(t, e)), o = o.split("{country}").join(AcerUi.Services.normalizeUrlValue(i, e)), o = o.split("{rnProductId}").join(AcerUi.Services.normalizeUrlValue(r, e)), o = o.split("{serialNumber}").join(AcerUi.Services.normalizeUrlValue(u, e)), o.split("{modelName}").join(AcerUi.Services.normalizeUrlValue(f, e))
};
AcerUi.Services.getRightNowRequestParams = function () {
    var u = AcerUi.Services.externalRightNowPageParamsFormat.split("{").join("").split("}").join("").split(";"),
        n = document.location + "",
        i, t, r, f;
    for (n.indexOf("#") != -1 && (n = n.substr(0, n.indexOf("#"))), n.indexOf(";") == -1 && (n += "/"), urlParams = n.substr(n.lastIndexOf("/") + 1).split(";"), i = [], t = 0; t < u.length; t++)(r = u[t], r != "") && (f = t < urlParams.length ? urlParams[t] == AcerUi.Services.noParamValue ? "" : urlParams[t] : "", i[r] = decodeURIComponent(f));
    return i
};
AcerUi.Services.getGdpRequestParams = function () {
    var u = AcerUi.Services.externalGdpPageParamsFormat.split("{").join("").split("}").join("").split(";"),
        n = document.location + "",
        i, t, r, f;
    for (n.indexOf("#") != -1 && (n = n.substr(0, n.indexOf("#"))), n.indexOf(";") == -1 && (n += "/"), urlParams = n.substr(n.lastIndexOf("/") + 1).split(";"), i = [], t = 0; t < u.length; t++)(r = u[t], r != "") && (f = t < urlParams.length ? urlParams[t] == AcerUi.Services.noParamValue ? "" : urlParams[t] : "", i[r] = decodeURIComponent(f));
    return i
};
AcerUi.Services.callAnswersServices = function (n, t, i, r, u, f, e, o, s, h, c) {
    var y = AcerUi.Services.getParametrizedRightNowUri(AcerUi.Services.paramsRightNowServiceUrl, t, i, r, u, f, e, o, s, ""),
        l = AcerUi.Services.baseRightNowServiceUrl + y,
        p = AcerUi.Services.getTempJsonPCallBack("Answers", n, h, "ST01", l),
        a = AcerUi.Storage.getData("ST01", l),
        v;
    a != null ? h(a) : (l += p, l += "&t=" + AcerUi.Services.getNoCacheValue(), v = "AcerRightNowScript_" + n, AcerUi.Services.createServiceScript(v, l, c, l))
};
AcerUi.Services.callSerialNumberServices = function (n, t, i, r, u, f) {
    var e = AcerUi.Services.baseSerialNumberServiceUrlFormat,
        s, o, h;
    e = e.split("{language}").join(AcerUi.Services.normalizeUrlValue(t));
    e = e.split("{country}").join(AcerUi.Services.normalizeUrlValue(i));
    e = e.split("{serialNumber}").join(AcerUi.Services.normalizeUrlValue(r));
    s = AcerUi.Services.getTempJsonPCallBack("SerialNumber", n, u, "ST02", e);
    o = AcerUi.Storage.getData("ST02", e);
    o != null ? u(o) : (e += s, e += "&t=" + AcerUi.Services.getNoCacheValue(), h = "AcerSerialNumberScript_" + n, AcerUi.Services.createServiceScript(h, e, f))
};
AcerUi.Services.callCategoriesServices = function (n, t, i, r, u) {
    var f = AcerUi.Services.baseCategoryServiceUrlFormat,
        o, e, s;
    f = f.split("{language}").join(AcerUi.Services.normalizeUrlValue(t));
    f = f.split("{country}").join(AcerUi.Services.normalizeUrlValue(i));
    o = AcerUi.Services.getTempJsonPCallBack("Categories", n, r, "ST03", f);
    e = AcerUi.Storage.getData("ST03", f);
    e != null ? r(e) : (f += o, f += "&t=" + AcerUi.Services.getNoCacheValue(), s = "AcerCategoriesScript_" + n, AcerUi.Services.createServiceScript(s, f, u))
};
AcerUi.Services.callFamiliesServices = function (n, t, i, r, u) {
    var f = AcerUi.Services.baseFamiliesServiceUrlFormat,
        o, e, s;
    f = f.split("{language}").join(AcerUi.Services.normalizeUrlValue(t));
    f = f.split("{country}").join(AcerUi.Services.normalizeUrlValue(i));
    o = AcerUi.Services.getTempJsonPCallBack("Families", n, r, "ST04", f);
    e = AcerUi.Storage.getData("ST04", f);
    e != null ? r(e) : (f += o, f += "&t=" + AcerUi.Services.getNoCacheValue(), s = "AcerFamiliesScript_" + n, AcerUi.Services.createServiceScript(s, f, u))
};
AcerUi.Services.callLinesServices = function (n, t, i, r, u, f) {
    var e = AcerUi.Services.baseLinesServiceUrlFormat,
        s, o, h;
    e = e.split("{language}").join(AcerUi.Services.normalizeUrlValue(t));
    e = e.split("{country}").join(AcerUi.Services.normalizeUrlValue(i));
    e = e.split("{familyId}").join(AcerUi.Services.normalizeUrlValue(r));
    s = AcerUi.Services.getTempJsonPCallBack("Lines", n, u, "ST05", e);
    o = AcerUi.Storage.getData("ST05", e);
    o != null ? u(o) : (e += s, e += "&t=" + AcerUi.Services.getNoCacheValue(), h = "AcerLinesScript_" + n, AcerUi.Services.createServiceScript(h, e, f))
};
AcerUi.Services.callModelsServices = function (n, t, i, r, u, f) {
    var e = AcerUi.Services.baseModelsServiceUrlFormat,
        s, o, h;
    e = e.split("{language}").join(AcerUi.Services.normalizeUrlValue(t));
    e = e.split("{country}").join(AcerUi.Services.normalizeUrlValue(i));
    e = e.split("{lineId}").join(AcerUi.Services.normalizeUrlValue(r));
    s = AcerUi.Services.getTempJsonPCallBack("Models", n, u, "ST06", e);
    o = AcerUi.Storage.getData("ST06", e);
    o != null ? u(o) : (e += s, e += "&t=" + AcerUi.Services.getNoCacheValue(), h = "AcerModelsScript_" + n, AcerUi.Services.createServiceScript(h, e, f))
};
AcerUi.Services.callInfoServices = function (n, t, i, r, u, f) {
    var e = AcerUi.Services.baseInfoServiceUrlFormat,
        s, o, h;
    e = e.split("{language}").join(AcerUi.Services.normalizeUrlValue(t));
    e = e.split("{country}").join(AcerUi.Services.normalizeUrlValue(i));
    e = e.split("{modelId}").join(AcerUi.Services.normalizeUrlValue(r));
    s = AcerUi.Services.getTempJsonPCallBack("Info", n, u, "ST07", e);
    o = AcerUi.Storage.getData("ST07", e);
    o != null ? u(o) : (e += s, e += "&t=" + AcerUi.Services.getNoCacheValue(), h = "AcerInfoScript_" + n, AcerUi.Services.createServiceScript(h, e, f))
};
AcerUi.Services.callPlmModelServices = function (n, t, i, r, u, f) {
    var e = AcerUi.Services.basePlmModelUrlFormat,
        s, o, h;
    e = e.split("{language}").join(AcerUi.Services.normalizeUrlValue(t));
    e = e.split("{country}").join(AcerUi.Services.normalizeUrlValue(i));
    e = e.split("{modelId}").join(AcerUi.Services.normalizeUrlValue(r));
    s = AcerUi.Services.getTempJsonPCallBack("PlmModel", n, u, "ST08", e);
    o = AcerUi.Storage.getData("ST08", e);
    o != null ? u(o) : (e += s, e += "&t=" + AcerUi.Services.getNoCacheValue(), h = "AcerPlmModelScript_" + n, AcerUi.Services.createServiceScript(h, e, f))
};
AcerUi.Services.callFilesDataServices = function (n, t, i, r, u, f, e, o, s, h) {
    var c = AcerUi.Services.baseFilesDataUrlFormat,
        a, l, v;
    c = c.split("{language}").join(AcerUi.Services.normalizeUrlValue(t));
    c = c.split("{country}").join(AcerUi.Services.normalizeUrlValue(i));
    c = c.split("{os}").join(AcerUi.Services.normalizeUrlValue(r));
    c = c.split("{limit}").join(AcerUi.Services.normalizeUrlValue(u));
    c = c.split("{type}").join(AcerUi.Services.normalizeUrlValue(f));
    c = c.split("{modelId}").join(AcerUi.Services.normalizeUrlValue(e));
    c = c.split("{filesLang}").join(AcerUi.Services.normalizeUrlValue(o));
    a = AcerUi.Services.getTempJsonPCallBack("FilesData", n, s, "ST09", c);
    l = AcerUi.Storage.getData("ST09", c);
    l != null ? s(l) : (c += a, c += "&t=" + AcerUi.Services.getNoCacheValue(), v = "AcerFilesDataScript_" + n, AcerUi.Services.createServiceScript(v, c, h))
};
AcerUi.Services.callModelNameSuggestionsServices = function (n, t, i, r, u, f) {
    var e = AcerUi.Services.baseModelSuggestionsUrlFormat,
        s, o, h;
    e = e.split("{language}").join(AcerUi.Services.normalizeUrlValue(t));
    e = e.split("{country}").join(AcerUi.Services.normalizeUrlValue(i));
    e = e.split("{searchText}").join(AcerUi.Services.normalizeUrlValue(r));
    s = AcerUi.Services.getTempJsonPCallBack("ModelNameSuggestions", n, u, "ST10", e);
    o = AcerUi.Storage.getData("ST10", e);
    o != null ? u(o) : (e += s, e += "&t=" + AcerUi.Services.getNoCacheValue(), h = "AcerModelNameSuggestionsScript_" + n, AcerUi.Services.createServiceScript(h, e, f))
};
AcerUi.Services.createServiceScript = function (n, t, i) {
    var f = document.getElementsByTagName("head")[0],
        u = document.getElementById(n),
        r;
    u != null && u + "" != "undefined" && f.removeChild(u);
    r = document.createElement("script");
    r.setAttribute("id", n);
    r.setAttribute("type", "text/javascript");
    i && (r.onerror = i);
    r.setAttribute("src", t);
    try {
        f.appendChild(r)
    } catch (e) {
        i && i()
    }
};
AcerUi.Services.normalizeUrlValue = function (n, t) {
    return n == "" ? AcerUi.Services.noParamValue : t === !0 ? encodeURIComponent(n) : unescape(encodeURIComponent(n))
};
AcerUi.Services.getTempJsonPCallBack = function (n, t, i, r, u) {
    var f = n + "ServiceCallBack_" + t;
    return window[f] = function (n) {
        r && r != "" && r + "" != "undefined" && AcerUi.Storage.addData(r, u, n);
        i(n)
    }, f
};
AcerUi.Services.isAnswerServiceData = function (n) {
    return (n && n.Answers && n.Answers.Result && n.Answers.Result == AcerUi.Services.resultOkValue) === !0
};
AcerUi.Services.isSerialNumberServiceData = function (n) {
    return (n && n.SN && n.SN.Result && n.SN.Result == AcerUi.Services.resultOkValue) === !0
};
AcerUi.Services.isCategoriesServiceData = function (n) {
    return (n && n.Categories && n.Categories.Result && n.Categories.Result == AcerUi.Services.resultOkValue) === !0
};
AcerUi.Services.isFamiliesServiceData = function (n) {
    return (n && n.Families && n.Families.Result && n.Families.Result == AcerUi.Services.resultOkValue) === !0
};
AcerUi.Services.isLinesServiceData = function (n) {
    return (n && n.Lines && n.Lines.Result && n.Lines.Result == AcerUi.Services.resultOkValue) === !0
};
AcerUi.Services.isModelsServiceData = function (n) {
    return (n && n.Models && n.Models.Result && n.Models.Result == AcerUi.Services.resultOkValue) === !0
};
AcerUi.Services.isInfoServiceData = function (n) {
    return (n && n.Info && n.Info.Result && n.Info.Result == AcerUi.Services.resultOkValue) === !0
};
AcerUi.Services.isPlmModelServiceData = function (n) {
    return (n && n.PLMModel && n.PLMModel.Result && n.PLMModel.Result == AcerUi.Services.resultOkValue) === !0
};
AcerUi.Services.isFilesDataServiceData = function (n) {
    return (n && n.Files && n.Files.Result && n.Files.Result == AcerUi.Services.resultOkValue) === !0
};
AcerUi.Services.isModelNameSuggestionsServiceData = function (n) {
    return (n && n.Models && n.Models.Result && n.Models.Result == AcerUi.Services.resultOkValue) === !0
};
AcerUi.Services.getNoCacheValue = function () {
    return "0"
};
AcerUi.Gdp = {};
AcerUi.Gdp.FamiliesData = null;
AcerUi.Gdp.setFamiliesData = function (n) {
    AcerUi.Gdp.FamiliesData = n
};
AcerUi.Gdp.Interface = function () {
    function br() {
        kr();
        bt.show();
        ii.hide();
        var n = AcerUi.Services.getGdpRequestParams(),
            t = n.rnProductId ? n.rnProductId : "",
            i = n.serialNumber ? n.serialNumber : "",
            r = n.modelName ? n.modelName : "";
        if (t != "") {
            wi(r, t);
            at(1);
            return
        }
        if (i != "") {
            ur(i);
            at(0);
            return
        }
        at(0, !0);
        at(1, !0);
        at(2, !0)
    }

    function kr() {
        var n = AcerUi.Gdp.FamiliesData,
            r, t;
        if (!AcerUi.Services.isFamiliesServiceData(n)) {
            c();
            return
        }
        for (a.addClass("disable").find("ul").empty(), u.addClass("disable").find("ul").empty(), i.addClass("disable").find("ul").empty(), r = n.Families.Family != "" ? n.Families.Family : [], n.Families.Family.Id && (lines = [n.Families.Family]), t = 0; t < r.length; t++) {
            var f = r[t],
                e = $j("<a><\/a>").data("familyid", f.Id).data("type", "family").html(f.Title).click(dr),
                o = $j("<li><\/li>").append(e);
            a.find("ul").append(o)
        }
        a.removeClass("disable");
        a.addClass("active")
    }

    function dr(n) {
        n && n.preventDefault();
        var t = $j(this),
            r = t.data("familyid");
        a.find("a").removeClass("active");
        t.addClass("active");
        u.addClass("disable").find("ul").empty();
        i.addClass("disable").find("ul").empty();
        hr();
        AcerUi.Services.callLinesServices(b, s, h, r, gr, nu);
        ni(2)
    }

    function gr(n) {
        var t, f;
        if (!AcerUi.Services.isLinesServiceData(n)) {
            c();
            return
        }
        for (u.addClass("disable").find("ul").empty(), i.addClass("disable").find("ul").empty(), t = n.Lines.Line != "" ? n.Lines.Line : [], n.Lines.Line.Id && (t = [n.Lines.Line]), f = 0; f < t.length; f++) {
            var e = t[f],
                o = $j("<a><\/a>").data("lineid", e.Id).data("type", "line").html(e.Title).click(tu),
                s = $j("<li><\/li>").append(o);
            u.find("ul").append(s)
        }
        u.removeClass("disable");
        r.Id != AcerUi.PC && ti(1)
    }

    function nu() {
        c()
    }

    function tu(n) {
        n && n.preventDefault();
        var t = $j(this),
            r = t.data("lineid");
        u.find("a").removeClass("active");
        t.addClass("active");
        hr();
        i.addClass("disable").find("ul").empty();
        AcerUi.Services.callModelsServices(b, s, h, r, iu, ru)
    }

    function iu(n) {
        var u, t;
        if (!AcerUi.Services.isModelsServiceData(n)) {
            c();
            return
        }
        for (i.addClass("disable").find("ul").empty(), u = n.Models.Model != "" ? n.Models.Model : [], n.Models.Model.Id && (lines = [n.Models.Model]), t = 0; t < u.length; t++) {
            var f = u[t],
                e = $j("<a><\/a>").data("modelid", f.Id).data("type", "model").html(f.Title).click(uu),
                o = $j("<li><\/li>").append(e);
            i.find("ul").append(o)
        }
        i.removeClass("disable");
        r.Id != AcerUi.PC && ti(2)
    }

    function ru() {
        c()
    }

    function uu(n) {
        n && n.preventDefault();
        var t = $j(this),
            r = t.data("modelid");
        ut();
        et.html(t.html());
        i.find("a").removeClass("active");
        t.addClass("active");
        AcerUi.Services.callInfoServices(b, s, h, r, fu, ou)
    }

    function fu(n) {
        if (!AcerUi.Services.isInfoServiceData(n)) {
            c();
            return
        }
        var t = n.Info.Title,
            i = n.Info.Img,
            r = n.Info.ID,
            u = n.Info.FamilyName;
        oi.attr("src", i);
        si.html(t);
        eu(u) ? li.show() : li.hide();
        bi();
        y = r;
        lt()
    }

    function eu(n) {
        for (var t = 0; t < rr.length; t++)
            if (rr[t] == n) return !0;
        return !1
    }

    function ou() {
        c()
    }

    function su(n) {
        var w = $j(this),
            v, r, y, u, i, a;
        if (n.keyCode == 13) return n && n.preventDefault(), ui.click(), !1;
        if (n.keyCode == 40 || n.keyCode == 38) {
            if (n && n.preventDefault(), v = n.keyCode == 40 ? 1 : -1, r = t.find("a"), r.length > 0) {
                y = r.index(t.find("a.selected"));
                u = y + v;
                u < 0 && (u = 0);
                u >= r.length && (u = r.length - 1);
                r.removeClass("selected");
                i = $j(r.get(u));
                i.addClass("selected");
                var k = t.scrollTop(),
                    p = t.outerHeight(),
                    d = i.position().top,
                    c = i.outerHeight() * u + i.outerHeight();
                c < p && t.scrollTop(0);
                c > p && t.scrollTop(c - i.outerHeight());
                l.val(i.html());
                ft.val(i.attr("rel"))
            }
            return !1
        }(a = l.val(), a != pi) && (pi = a, wt != null && (window.clearInterval(wt), wt = null), wt = window.setTimeout(function () {
            var n = l.val(),
                i;
            if (n.length == 0) {
                t.empty();
                t.hide();
                return
            }
            t.hide();
            f.show();
            e.hide();
            o.hide();
            ft.val("");
            i = n.charAt(0);
            AcerUi.Services.callModelNameSuggestionsServices(b, s, h, i, au, yu)
        }, 500))
    }

    function hu() {
        t.hide();
        f.hide();
        e.hide();
        o.hide()
    }

    function lu() {
        window.setTimeout(function () {
            if (t.find("a").length > 0) {
                t.show();
                f.hide();
                e.hide();
                o.hide();
                return
            }
        }, 250)
    }

    function au(n) {
        var i, h, u, r, s, c;
        if (t.empty(), t.hide(), !AcerUi.Services.isModelNameSuggestionsServiceData(n) || n.Models.Model.length == 0) {
            t.hide();
            f.hide();
            e.show();
            o.hide();
            return
        }
        if (i = n.Models.Model, i == "" || i.length == 0) t.hide(), f.hide(), e.show(), o.hide();
        else {
            for (i = i.sort(vu), h = l.val(), u = 0, r = 0; r < i.length; r++) s = i[r].Title, s.toUpperCase().indexOf(h.toUpperCase()) != -1 && (c = $j("<a><\/a>").attr("rel", i[r].Id).html(s), t.append(c), u++);
            u > 0 ? (t.show(), f.hide(), e.hide(), o.hide()) : (t.hide(), f.hide(), e.show(), o.hide())
        }
    }

    function vu(n, t) {
        return n.Title < t.Title ? -1 : n.Title > t.Title ? 1 : 0
    }

    function yu() {
        t.hide();
        f.hide();
        e.show();
        o.hide()
    }

    function pu(n) {
        n && n.preventDefault();
        var i = $j(this).html(),
            r = $j(this).attr("rel");
        l.val(i);
        ft.val(r);
        t.hide();
        wi(i, r);
        ni(1)
    }

    function wu(n) {
        n.keyCode == 13 && (n && n.preventDefault(), ri.click())
    }

    function bu(n) {
        var t = "";
        t = n.charCode ? String.fromCharCode(n.charCode) : String.fromCharCode(n.which);
        "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890".indexOf(t) == -1 && n.preventDefault();
        n.ctrlKey && t == "v" && n.preventDefault()
    }

    function ku() {
        var n = $j(this),
            t = n.val(),
            i = t.replace(/\W/g, "");
        n.val(i.toUpperCase())
    }

    function du(n) {
        n && n.preventDefault();
        var t = l.val(),
            i = ft.val();
        wi(t, i);
        ni(1)
    }

    function wi(n, i) {
        if (i && i != 0 && i != "" && i + "" != "undefined")
            if (t.hide(), f.hide(), e.hide(), o.hide(), bi(), y = i, dt) {
                var r = ai + vi + AcerUi.Services.externalGdpPageParamsFormat;
                r = AcerUi.Services.getParametrizedGdpUri(r, s, h, y, pt, n, !0);
                document.location = r
            } else ut(), l.val(n), et.html(n), ft.val(i), AcerUi.Services.callInfoServices(b, s, h, y, fr, er)
    }

    function gu(n) {
        n && n.preventDefault();
        var t = $j.trim(k.val());
        ur(t);
        ni(0)
    }

    function ur(n) {
        if (bi(), pt = n, k.val(n), dt) {
            var t = ai + vi + AcerUi.Services.externalGdpPageParamsFormat;
            t = AcerUi.Services.getParametrizedGdpUri(t, s, h, y, pt, "", !0);
            document.location = t
        } else ut(), et.html(n), AcerUi.Services.callSerialNumberServices(b, s, h, pt, nf, sr)
    }

    function nf(n) {
        if (!AcerUi.Services.isSerialNumberServiceData(n)) {
            ki(!0);
            return
        }
        var t = n.SN.ModelId;
        t == "" && ki(!0);
        y = t;
        AcerUi.Services.callInfoServices(b, s, h, y, fr, er)
    }

    function fr(n) {
        if (!AcerUi.Services.isInfoServiceData(n)) {
            c();
            return
        }
        var t = n.Info.Title,
            i = n.Info.Img,
            r = n.Info.ID;
        oi.attr("src", i);
        si.html(t);
        y = r;
        lt()
    }

    function er() {
        c()
    }

    function lt() {
        yt != "userguide" && (ct = "-");
        AcerUi.Services.callFilesDataServices(b, s, h, gt, yi, yt, y, ct, tf, sr)
    }

    function tf(n) {
        var b = w.index(w.filter(".active")[0]),
            o, l, i, k, d, a, u, t, y, f;
        if (_$resultItemsContainer.empty(), !AcerUi.Services.isFilesDataServiceData(n)) {
            c();
            r.Id != AcerUi.PC && ($j(rt.get(b)).html("<div style='padding:10px'>" + nt.html() + "<\/div>"), nt.hide());
            return
        }
        var s = n.Files.OS,
            h = n.Files.Language,
            e = n.Files.File;
        if (e == "" || e.length == 0) ki(), r.Id != AcerUi.PC && ($j(rt.get(b)).html("<div style='padding:10px'>" + g.html() + "<\/div>"), g.hide());
        else {
            for (e = e.sort(uf), t = 0; t < e.length; t++) {
                o = e[t];
                l = $j("<div><\/div>").html(ir);
                for (i in o) l.find(".txt-" + i.toLowerCase()).html(o[i]), l.find(".lnk-" + i.toLowerCase()).attr("href", o[i]), l.find(".lnk-alt-" + i.toLowerCase()).attr("alt", o[i]).attr("title", o[i]);
                k = $j(l.find("tr"));
                t % 2 == 0 && k.addClass("alternate");
                _$resultItemsContainer.append(k)
            }
            rt.empty();
            d = $j("<div><\/div>").html(gi.html());
            $j(rt.get(b)).append($j(d.find("table")));
            hf();
            or()
        } if (s == "" || s.length == 0) hi.hide(), v.hide(), v.empty();
        else {
            for (hi.show(), v.show(), v.empty(), u = "", t = 0; t < s.length; t++) a = s[t], f = $j("<option><\/option>").attr("value", a.Id).html(a.Title), (a.Id + "" == gt + "" || s.length == 1) && (f.attr("selected", !0), u = a.Id + ""), v.append(f.clone());
            v.val(u)
        } if (h == "" || h.length == 0 || yt != "userguide") ci.hide(), p.hide(), p.empty();
        else {
            for (ci.show(), p.show(), p.empty(), u = n.Files.SearchedLanguage, t = 0; t < h.length; t++) y = h[t], f = $j("<option><\/option>").attr("value", y.Id).html(y.Title), (y.Id + "" == ct + "" || h.length == 1) && (f.attr("selected", !0), u = y.Id + ""), p.append(f.clone());
            p.val(u)
        }
    }

    function or() {
        for (var e = _$resultContainer.find(".collapsible"), n, i, u, f, t, o, r = 0; r < e.length; r++)
            if (n = $j(e.get(r)), i = n.html(), n.attr("data-text") + "" == "undefined" ? n.attr("data-text", i) : i = n.attr("data-text"), u = n.height(), n.html("..."), f = n.height(), n.html(i), u != f) {
                for (t = i; u > f;) t = t.substr(0, t.length - 7) + " [...]", n.html(t), u = n.height();
                o = $j("<a><\/a>").attr("href", "#1").css({
                    display: "inline",
                    float: "none"
                }).html("[...]").bind("click", rf);
                t = t.split("[...]").join("");
                n.html(t);
                n.append(o)
            }
    }

    function rf(n) {
        n && n.preventDefault();
        var t = $j(this),
            i = $j(t.parents(".collapsible").get(0)),
            r = i.attr("data-text").split("\n").join("<br>");
        i.html(r);
        t.hide()
    }

    function uf(n, t) {
        return n.Category < t.Category ? -1 : n.Category > t.Category ? 1 : n.Vendor < t.Vendor ? -1 : n.Vendor > t.Vendor ? 1 : n.Date < t.Date ? 1 : n.Date > t.Date ? -1 : 0
    }

    function sr() {
        _$resultItemsContainer.empty();
        c()
    }

    function bi() {
        gt = "";
        ct = "-";
        yi = "latest";
        yt = "driver";
        y = "";
        pt = "";
        k.val("");
        v.val("");
        vt.removeClass("active");
        $j(vt.get(0)).addClass("active");
        w.removeClass("active");
        $j(w.get(0)).addClass("active")
    }

    function ff(n) {
        n && n.preventDefault();
        ut(!0);
        _$resultItemsContainer.empty();
        gt = v.val();
        lt()
    }

    function ef(n) {
        n && n.preventDefault();
        ut(!0);
        _$resultItemsContainer.empty();
        ct = p.val();
        lt()
    }

    function of(n) {
        n && n.preventDefault();
        ut(!0);
        _$resultItemsContainer.empty();
        var t = $j(this);
        vt.removeClass("active");
        t.addClass("active");
        yi = t.data("limit");
        lt()
    }

    function sf(n) {
        var t, i;
        n && n.preventDefault();
        _$resultItemsContainer.empty();
        rt.empty();
        t = $j(this);
        w.removeClass("active");
        t.addClass("active");
        yt = t.data("type");
        ut(!0);
        r.Id != AcerUi.PC && (i = w.index(w.filter(".active")[0]), $j(rt.get(i)).html(d.html()), d.hide());
        lt()
    }

    function ut(n) {
        nt.hide();
        d.show();
        g.hide();
        _$resultContainer.show();
        it.hide();
        tt.hide();
        n === !0 && (it.show(), tt.show())
    }

    function hf() {
        nt.hide();
        d.hide();
        g.hide();
        _$resultContainer.show();
        it.show();
        tt.show()
    }

    function ki(n) {
        nt.hide();
        d.hide();
        g.show();
        _$resultContainer.show();
        it.show();
        tt.show();
        n === !0 && (tt.hide(), it.hide())
    }

    function c() {
        nt.show();
        d.hide();
        g.hide();
        _$resultContainer.show();
        it.hide();
        tt.hide()
    }

    function hr() {
        _$resultContainer.hide()
    }

    function cf(n) {
        n && n.preventDefault();
        var t = $j(this),
            i = st.index(t[0]);
        at(i)
    }

    function at(n, t) {
        var r = $j(st.get(n)),
            i = $j(ot.get(n));
        if (i.is(":visible")) {
            r.removeClass("active");
            i.slideUp("slow");
            return
        }
        t !== !0 && (st.removeClass("active"), ot.slideUp());
        r.addClass("active");
        i.slideDown()
    }

    function ni(n) {
        for (var i, r, t = 0; t < ot.length; t++) n != t && (i = st[t], r = ot[t], $j(i).removeClass("active"), $j(r).slideUp())
    }

    function lf(n) {
        n && n.preventDefault();
        var t = $j(this),
            i = fi.index(t[0]);
        cr(i, "up")
    }

    function af(n) {
        n && n.preventDefault();
        var t = $j(this),
            i = ei.index(t[0]);
        cr(i, "down")
    }

    function cr(n, t) {
        var r = t == "up" ? $j(kt.get(n)) : $j(kt.get(n)),
            i = $j(tr.get(n)),
            u = $j(r.find("li")[0]).outerHeight(),
            s = r.height(),
            h = i.outerHeight(),
            f = t == "up" ? u * -1 : u,
            e = i.scrollTop(),
            o = e + f;
        i.scrollTop(o)
    }

    function vf(n) {
        n && n.preventDefault();
        var t = $j(this),
            i = ht.index(t[0]);
        ti(i)
    }

    function ti(n) {
        ht.removeClass("active");
        var t = $j(ht.get(n)).addClass("active");
        a.hide();
        u.hide();
        i.hide();
        n == 0 && a.show();
        n == 1 && u.show();
        n == 2 && i.show()
    }

    function yf() {
        bt.hide();
        ii.show();
        ot.hide();
        et.html(nr);
        _$resultContainer.hide();
        kt.css("top", 0);
        a.addClass("active");
        u.removeClass("active");
        i.removeClass("active");
        $j(ht.get(0)).addClass("active");
        t.empty().hide();
        f.hide();
        e.hide();
        o.hide()
    }

    function pf() {
        if (r.Id == AcerUi.PC) a.show(), u.show(), i.show();
        else {
            var n = 0;
            u.hasClass("disable") || (n = 1);
            i.hasClass("disable") || (n = 2);
            ti(n)
        }
        or()
    }
    var di = this,
        r = null,
        b = "GDP",
        n = null,
        bt = null,
        ii = null,
        lr = null,
        ar = null,
        ri = null,
        k = null,
        ui = null,
        l = null,
        ft = null,
        t = null,
        f = null,
        e = null,
        o = null,
        gi = null,
        d = null,
        g = null,
        nt = null,
        a = null,
        u = null,
        i = null,
        et = null,
        nr = null,
        ot = null,
        st = null,
        tr = null,
        kt = null,
        fi = null,
        ei = null,
        tt = null,
        oi = null,
        si = null,
        v = null,
        hi = null,
        p = null,
        ci = null,
        it = null,
        li = null,
        vr = null,
        vt = null,
        yr = null,
        w = null,
        pr = null,
        rt = null,
        wr = null,
        ht = null,
        ir = null,
        dt = !1,
        ai = "",
        vi = "",
        s = "",
        h = "",
        gt = "",
        ct = "",
        yi = "latest",
        yt = "driver",
        y = "",
        pt = "",
        rr = ["allinone", "desktopworkstation", "netbookchromebook", "notebook", "ultrathin"],
        wt, pi, cu;
    this.init = function (c) {
        if (r = c, n = $j($j(".ctnGdpMainContainer").get(0)), n.length != 0) {
            ai = $j($j("base")[0]).attr("href") + "" != "undefined" ? $j($j("base")[0]).attr("href") : "";
            dt = n.data("embedded") + "" == "true";
            vi = n.data("baseexternalurl");
            s = n.data("language");
            h = n.data("country");
            ct = "-";
            bt = $j(n.find(".ctnGdpSearchPanel"));
            ii = $j(n.find(".ctnGdpMainLoadingPanel"));
            _$resultContainer = $j(n.find(".ctnGdpResultContainer"));
            _$resultItemsContainer = $j(n.find(".ctnGdpResultItemsContainer"));
            lr = $j(n.find(".ctnGdpSerialNumberSearch"));
            ar = $j(n.find(".ctnGdpProductModelNameSearch"));
            ri = $j(n.find(".btnGdpSearchBySerialNumber"));
            k = $j(n.find("input[name='fldGdpSerialNumber']"));
            ui = $j(n.find(".btnGdpSearchByModelName"));
            l = $j(n.find("input[name='fldGdpModelName']"));
            ft = $j(n.find("input[name='fldGdpModelId']"));
            t = $j(n.find(".ctnGdpSearchByModelNameSuggestions"));
            f = $j(n.find(".ctnGdpSearchByModelNameSuggestionsLoading"));
            e = $j(n.find(".ctnGdpSearchByModelNameSuggestionsNoItems"));
            o = $j(n.find(".ctnGdpSearchByModelNameSuggestionsInvalidName"));
            gi = $j(n.find(".ctnGdpResultFoundContainer"));
            d = $j(n.find(".ctnGdpResultLoading"));
            g = $j(n.find(".ctnGdpNoResult"));
            nt = $j(n.find(".ctnGdpErrorMessage"));
            a = $j(n.find(".fldGdpProductFamily"));
            u = $j(n.find(".fldGdpProductLine"));
            i = $j(n.find(".fldGdpProductModel"));
            et = $j(n.find(".lblCurrentSearch"));
            nr = et.data("defaultvalue");
            bt = $j(n.find(".ctnGdpSearchPanel"));
            ot = $j(n.find(".ctnGdpSearchPanelForm"));
            st = $j(n.find(".btnGdpSearchPanelToggle"));
            tr = $j(n.find(".ctnGdpOptionPanelMask"));
            kt = $j(n.find(".ctnGdpOptionPanel"));
            fi = $j(n.find(".btnGdpOptionUp"));
            ei = $j(n.find(".btnGdpOptionDown"));
            tt = $j(n.find(".ctnGdpProductInfo"));
            oi = $j(n.find(".imgGdpProductInfo"));
            si = $j(n.find(".lblGdpProductInfo"));
            v = $j(n.find("select[name='fldGdpOss']"));
            hi = $j(n.find(".ctnGdpOss"));
            p = $j(n.find("select[name='fldGdpLangs']"));
            ci = $j(n.find(".ctnGdpLangs"));
            it = $j(n.find(".ctnTableDownloads"));
            li = $j(n.find(".btnGdpDownloadDetector"));
            vr = $j(n.find(".fldGdpLimit"));
            vt = $j(n.find(".btnGdpLimit"));
            yr = $j(n.find(".ctnTypeFilter"));
            w = $j(n.find(".btnTypeFilter"));
            pr = $j(n.find(".ctnResultTable"));
            rt = $j(n.find(".ctnFilterTable"));
            wr = $j(n.find(".ctnGdpMobileSerchPanelSelector"));
            ht = $j(n.find(".btnGdpMobileSerchPanelSelector"));
            var y = $j(n.find(".tplGdpTableRow"));
            ir = y.html() ? y.html() + "" : "";
            y.remove();
            ri.click(gu);
            ui.click(du);
            st.click(cf);
            fi.click(lf);
            ei.click(af);
            v.change(ff);
            p.change(ef);
            vt.click(of);
            w.click(sf);
            ht.click(vf);
            k.keydown(wu);
            k.keypress(bu);
            k.keyup(ku);
            l.keyup(su);
            l.focus(lu);
            $j("body").click(hu);
            t.find("a").live("click", pu);
            AcerUi.addResizeListener(di.resize);
            AcerUi.addChangeLayoutListener(di.layoutChange);
            yf(r);
            dt || br()
        }
    };
    wt = null;
    pi = "";
    cu = null;
    this.resize = function () {
        return
    };
    this.layoutChange = function (n) {
        r != null && r.Id != n.Id && (r = n, pf(r))
    }
};
AcerUi.RightNow = {};
AcerUi.RightNow.CategoriesData = null;
AcerUi.RightNow.setCategoriesData = function (n) {
    AcerUi.RightNow.CategoriesData = n
};
AcerUi.RightNow.FamiliesData = null;
AcerUi.RightNow.setFamiliesData = function (n) {
    AcerUi.RightNow.FamiliesData = n
};
AcerUi.RightNow.Interface = function () {
    function wr() {
        ct.show();
        kt.hide();
        br();
        uu();
        var n = AcerUi.Services.getRightNowRequestParams(),
            i = n.searchTerm ? n.searchTerm : "",
            f = n.rnProductId ? n.rnProductId : "",
            r = n.group ? n.group : "",
            t = n.category ? n.category : "",
            u = n.serialNumber ? n.serialNumber : "";
        if (u != "") {
            or(u);
            it(0);
            return
        }
        if (i != "" || t != "") {
            li(i, t);
            it(1);
            return
        }
        if (r != "") {
            li(r, t);
            it(1);
            return
        }
        it(0, !0);
        it(1, !0);
        it(2, !0);
        tt()
    }

    function br() {
        var t = AcerUi.RightNow.CategoriesData,
            n;
        if (!AcerUi.Services.isCategoriesServiceData(t)) {
            h();
            return
        }
        n = t.Categories.Category != "" ? t.Categories.Category : [];
        yr = n;
        rr(n, 0, 0);
        ur(n, 0, 0)
    }

    function rr(n, t, i) {
        var e, f, r;
        for (t && t != "" && t != "0" && t != "0" || (u.empty(), k.empty(), e = $j("<option><\/option>"), u.append(e.clone()), k.append(e.clone()), t = ""), f = [], r = 0; r < n.length; r++) n[r].ParentId == t && f.push(n[r]);
        for (r = 0; r < f.length; r++) {
            var h = Array(i + 1).join("-"),
                o = f[r],
                s = $j("<option><\/option>").attr("value", o.CategoryId).html(h + " " + o.Desc);
            u.append(s.clone());
            k.append(s.clone());
            rr(n, o.CategoryId, i + 1)
        }
    }

    function kr(n) {
        n && n.preventDefault();
        var t = u.val()
    }

    function ur(n, i, u) {
        var o, e, l, s, f;
        for (t.hide(), r.hide(), o = [], f = 0; f < n.length; f++) n[f].ParentId == i && o.push(n[f]);
        if (o.length == 0) return $j("");
        for (e = $j("<ul><\/ul>"), i == 0 && u == 0 && (l = $j("<a><\/a>").addClass("btnSelectCategory").addClass("category").attr("href", "#1").attr("data-id", "").html(""), s = $j("<li><\/li>"), s.append(l), e.append(s)), f = 0; f < o.length; f++) {
            var h = o[f],
                v = $j("<a><\/a>").addClass("btnSelectCategory").addClass("category").attr("href", "#1").attr("data-id", h.CategoryId).html(h.Desc),
                y = $j("<a><\/a>").addClass("btnSelectCategoryOpener").addClass("categoryOpener").attr("href", "#1").html("+"),
                c = $j("<li><\/li>"),
                a = ur(n, h.CategoryId, u + 1);
            a.html() != null && c.append(y);
            c.append(v).append(a);
            e.append(c)
        }
        if (i && i != "" && i != "0" && i != "0") return e;
        t.empty().append(e.clone());
        b.html(dt.data("defaultcategory"));
        t.find("a.btnSelectCategory").first().html(dt.data("defaultcategory"));
        r.empty().append(e.clone());
        ut.html(dt.data("defaultcategory"));
        r.find("a.btnSelectCategory").first().html(nr.data("defaultcategory"))
    }

    function dr(n) {
        n && n.preventDefault();
        n.stopPropagation ? n.stopPropagation() : n.cancelBubble = !0;
        var i = $j(this),
            f = i.data("id");
        i.parents("div.ctnRightNowCategory").length > 0 ? (u.val(f), t.hide(), t.find("a").removeClass("active"), i.addClass("active"), fr(i, b)) : (k.val(f), r.hide(), r.find("a").removeClass("active"), i.addClass("active"), fr(i, ut))
    }

    function fr(n, t) {
        for (var r = n.parents("li"), u = [], f, i = 0; i < r.length; i++) f = $j(r[i]).find("> a.btnSelectCategory").html(), u.push(f);
        t.html(u.reverse().join("<br />"))
    }

    function gr(n) {
        for (var u = t, c = b, l = u.find("a:[data-id='" + n + "']"), f = l.parents("li"), r = [], o = [], s, h, e, i = 0; i < f.length; i++) s = $j(f[i]).find("> a.btnSelectCategory").attr("data-id"), h = $j(f[i]).find("> a.btnSelectCategory").html(), r.push(s), o.push(h);
        for (c.html(o.reverse().join("<br />")), u.find(".btnSelectCategoryOpener").html("+").removeClass("active"), u.find("ul ul").hide(), r = r.reverse(), i = 0; i < r.length - 1; i++) e = $j(u.find("a:[data-id='" + r[i] + "']").parents("li")[0]), e.find("> a.btnSelectCategoryOpener").html("-"), e.find("> ul").show();
        $j(u.find("a:[data-id='" + r[r.length - 1] + "']")).addClass("active")
    }

    function nu(n) {
        n && n.preventDefault();
        n.stopPropagation ? n.stopPropagation() : n.cancelBubble = !0;
        var i = $j(this),
            r = i.position().top + i.outerHeight();
        t.css("top", r);
        t.show();
        er(n)
    }

    function tu() {
        t.hide()
    }

    function iu(n) {
        n && n.preventDefault();
        n.stopPropagation ? n.stopPropagation() : n.cancelBubble = !0;
        var t = $j(this),
            i = t.position().top + t.outerHeight();
        r.css("top", i);
        r.show()
    }

    function er() {
        r.hide()
    }

    function ru(n) {
        n && n.preventDefault();
        n.stopPropagation ? n.stopPropagation() : n.cancelBubble = !0;
        var i = $j(this),
            t = $j(i.parents("li")[0]);
        t.find("> ul").is(":visible") ? (t.find("ul").hide(), i.html("+")) : (t.siblings().find("ul").hide(), t.siblings().find(".btnSelectCategoryOpener").html("+"), t.find("> ul").show(), i.html("-"))
    }

    function uu() {
        var n = AcerUi.RightNow.FamiliesData,
            r, t;
        if (!AcerUi.Services.isFamiliesServiceData(n)) {
            h();
            return
        }
        for (v.addClass("disable").find("ul").empty(), f.addClass("disable").find("ul").empty(), i.addClass("disable").find("ul").empty(), r = n.Families.Family != "" ? n.Families.Family : [], n.Families.Family.Id && (lines = [n.Families.Family]), t = 0; t < r.length; t++) {
            var u = r[t],
                e = $j("<a><\/a>").data("familyid", u.Id).data("type", "family").html(u.Title).click(fu),
                o = $j("<li><\/li>").append(e);
            v.find("ul").append(o)
        }
        v.removeClass("disable")
    }

    function fu(n) {
        n && n.preventDefault();
        var t = $j(this),
            r = t.data("familyid");
        v.find("a").removeClass("active");
        t.addClass("active");
        l.hide();
        f.addClass("disable").find("ul").empty();
        i.addClass("disable").find("ul").empty();
        AcerUi.Services.callLinesServices(rt, o, s, r, eu, ou)
    }

    function eu(n) {
        var t, r;
        if (!AcerUi.Services.isLinesServiceData(n)) {
            h();
            return
        }
        for (f.addClass("disable").find("ul").empty(), i.addClass("disable").find("ul").empty(), t = n.Lines.Line != "" ? n.Lines.Line : [], n.Lines.Line.Id && (t = [n.Lines.Line]), r = 0; r < t.length; r++) {
            var u = t[r],
                o = $j("<a><\/a>").data("lineid", u.Id).data("type", "line").html(u.Title).click(su),
                s = $j("<li><\/li>").append(o);
            f.find("ul").append(s)
        }
        f.removeClass("disable");
        e.Id != AcerUi.PC && ui(1)
    }

    function ou() {
        h()
    }

    function su(n) {
        n && n.preventDefault();
        var t = $j(this),
            r = t.data("lineid");
        f.find("a").removeClass("active");
        t.addClass("active");
        l.hide();
        i.addClass("disable").find("ul").empty();
        AcerUi.Services.callModelsServices(rt, o, s, r, hu, cu)
    }

    function hu(n) {
        var r, t;
        if (!AcerUi.Services.isModelsServiceData(n)) {
            h();
            return
        }
        for (i.addClass("disable").find("ul").empty(), r = n.Models.Model != "" ? n.Models.Model : [], n.Models.Model.Id && (lines = [n.Models.Model]), t = 0; t < r.length; t++) {
            var u = r[t],
                f = $j("<a><\/a>").data("modelid", u.Id).data("type", "model").html(u.Title).click(lu),
                o = $j("<li><\/li>").append(f);
            i.find("ul").append(o)
        }
        i.removeClass("disable");
        e.Id != AcerUi.PC && ui(2)
    }

    function cu() {
        h()
    }

    function lu(n) {
        n && n.preventDefault();
        var t = $j(this),
            r = t.data("modelid");
        yi();
        d.html(t.html() == "" ? st : t.html());
        i.find("a").removeClass("active");
        t.addClass("active");
        l.hide();
        AcerUi.Services.callPlmModelServices(rt, o, s, r, au, vu)
    }

    function au(n) {
        if (!AcerUi.Services.isPlmModelServiceData(n)) {
            h();
            return
        }
        var t = n.PLMModel.PLMModel;
        vi();
        y = t;
        tt()
    }

    function vu() {
        h()
    }

    function yu(n) {
        var i, t;
        n && n.preventDefault();
        i = $j(this);
        nt = i.data("group");
        t = $j(i.parents("div")).find("a:not(:has(img))").html();
        t = t.split(",").join(" ");
        d.html(t == "" ? st : t);
        tt()
    }

    function pu(n) {
        n.keyCode == 13 && (n && n.preventDefault(), fi.click())
    }

    function wu(n) {
        var t = "";
        t = n.charCode ? String.fromCharCode(n.charCode) : String.fromCharCode(n.which);
        "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890".indexOf(t) == -1 && n.preventDefault();
        n.ctrlKey && t == "v" && n.preventDefault()
    }

    function bu() {
        var n = $j(this),
            t = n.val(),
            i = t.replace(/\W/g, "");
        n.val(i.toUpperCase())
    }

    function ku(n) {
        n && n.preventDefault();
        var t = $j.trim(w.val());
        or(t)
    }

    function or(n) {
        if (vi(), bt = n, w.val(n), c) {
            var t = ii + ri + AcerUi.Services.externalRightNowPageParamsFormat;
            t = AcerUi.Services.getParametrizedRightNowUri(t, o, s, wt, g, y, nt, p, 0, n, !0);
            document.location = t
        } else yi(), d.html(n != "" ? n : st), AcerUi.Services.callSerialNumberServices(rt, o, s, bt, du, ai)
    }

    function du(n) {
        if (!AcerUi.Services.isSerialNumberServiceData(n)) {
            pi();
            return
        }
        var t = n.SN.PLMModel;
        t == "" && pi();
        y = t;
        tt()
    }

    function gu(n) {
        var t = $j(this);
        return n.keyCode == 13 ? (ei.click(), !1) : !0
    }

    function nf(n) {
        n && n.preventDefault();
        var t = $j.trim(vt.val()),
            i = $j.trim(u.val());
        li(t, i)
    }

    function li(n, t) {
        var f, i, r;
        if (vi(), g = n, p = t, vt.val(n), u.val(t), gr(t), c) f = ii + ri + AcerUi.Services.externalRightNowPageParamsFormat, f = AcerUi.Services.getParametrizedRightNowUri(f, o, s, wt, n, y, nt, p, 0, bt, !0), document.location = f;
        else {
            for (i = u.find("option:selected").html(); i.indexOf("-") != -1;) i = i.split("-").join("");
            r = [];
            n != "" && r.push(n);
            i != "" && r.push(i);
            d.html(r.length == 0 ? st : r.join(" - "));
            tt(!0)
        }
    }

    function tf(n) {
        var t = $j(this);
        return n.keyCode == 13 ? (si.click(), !1) : !0
    }

    function rf(n) {
        n && n.preventDefault();
        g = $j.trim(gt.val());
        p = $j.trim(k.val());
        tt()
    }

    function tt(n) {
        yi();
        n === !0 ? oi.hide() : oi.show();
        AcerUi.Services.callAnswersServices(rt, o, s, wt, g, y, nt, p, 0, sr, ai)
    }

    function sr(n) {
        var r, s, l, o, i, u, t, f, e, c;
        if (!AcerUi.Services.isAnswerServiceData(n)) {
            h();
            return
        }
        if (r = n.Answers.Answer, r == "" || r.length == 0) pi();
        else {
            for (s = isNaN(n.Answers.TotalResults) ? 0 : parseInt(n.Answers.TotalResults), l = a.children().length > 0, o = 0; o < r.length; o++) {
                i = r[o];
                u = $j("<div><\/div>").html(ir);
                for (t in i) u.find(".txt-" + t.toLowerCase()).html(i[t]), u.find(".lnk-" + t.toLowerCase()).attr("href", i[t]), u.find(".lnk-alt-" + t.toLowerCase()).attr("alt", i[t]).attr("title", i[t]);
                for (f = u.children(), e = 0; e < f.length; e++) c = $j(f[e]), c.hide(), a.append(f[e]);
                f.fadeIn(500)
            }
            a.children().length < s ? (at.show(), yt.html(s).show()) : (at.hide(), yt.html("").hide());
            of()
        }
    }

    function ai() {
        h()
    }

    function uf(n) {
        n && n.preventDefault();
        var t = a.children().length,
            i = t - 1,
            r = parseInt(yt.html(), 10),
            u = Math.min(50, r - t);
        ef();
        AcerUi.Services.callAnswersServices(rt, o, s, u, g, y, nt, p, i, sr, ai)
    }

    function vi() {
        g = "";
        y = "";
        bt = "";
        nt = "";
        p = "";
        w.val("");
        vt.val("");
        u.val("");
        gt.val("");
        k.val("");
        b.html("");
        t.find("a.btnSelectCategory ").removeClass("active");
        b.find("a.btnSelectCategory ").removeClass("active");
        t.find("ul ul").hide();
        ut.html("");
        r.find("a.btnSelectCategoryOpener ").html("+");
        ut.find("a.btnSelectCategoryOpener ").html("+");
        r.find("ul ul").hide()
    }

    function ff(n) {
        if (n && n.preventDefault(), c) {
            var i = nt,
                t = ii + ri + AcerUi.Services.externalRightNowPageParamsFormat;
            t = AcerUi.Services.getParametrizedRightNowUri(t, o, s, wt, g, y, i, p, 0, bt, !0);
            document.location = t
        }
    }

    function yi() {
        ot.hide();
        ft.show();
        et.hide();
        l.hide();
        a.empty()
    }

    function ef() {
        ot.hide();
        ft.show();
        et.hide();
        at.hide()
    }

    function of() {
        ot.hide();
        ft.hide();
        et.hide();
        l.show();
        c && lt.show()
    }

    function pi() {
        ot.hide();
        ft.hide();
        et.show();
        c || l.show();
        a.empty();
        c && lt.hide()
    }

    function h() {
        ot.show();
        ft.hide();
        et.hide();
        l.show();
        a.empty();
        c && lt.hide()
    }

    function sf(n) {
        n && n.preventDefault();
        var t = $j(this),
            i = pt.index(t[0]);
        it(i)
    }

    function it(n, t) {
        var r = $j(pt.get(n)),
            i = $j(ni.get(n));
        if (i.is(":visible")) {
            r.removeClass("active");
            i.slideUp("slow");
            return
        }
        t !== !0 && (pt.removeClass("active"), ni.slideUp());
        r.addClass("active");
        i.slideDown()
    }

    function hf(n) {
        n && n.preventDefault();
        var t = $j(this),
            i = hi.index(t[0]);
        hr(i, "up")
    }

    function cf(n) {
        n && n.preventDefault();
        var t = $j(this),
            i = ci.index(t[0]);
        hr(i, "down")
    }

    function hr(n, t) {
        var r = t == "up" ? $j(ti.get(n)) : $j(ti.get(n)),
            i = $j(tr.get(n)),
            u = $j(r.find("li")[0]).outerHeight(),
            s = r.height(),
            h = i.outerHeight(),
            f = t == "up" ? u * -1 : u,
            e = i.scrollTop(),
            o = e + f;
        i.scrollTop(o)
    }

    function lf(n) {
        n && n.preventDefault();
        var t = $j(this),
            i = ht.index(t[0]);
        ui(i)
    }

    function ui(n) {
        ht.removeClass("active");
        var t = $j(ht.get(n)).addClass("active");
        v.hide();
        f.hide();
        i.hide();
        n == 0 && v.show();
        n == 1 && f.show();
        n == 2 && i.show()
    }

    function af() {
        ct.hide();
        kt.show();
        ni.hide();
        d.html(st);
        yt.hide();
        ti.css("top", 0);
        $j(ht.get(0)).addClass("active")
    }

    function vf() {
        if (t.hide(), r.hide(), e.Id == AcerUi.PC) v.show(), f.show(), i.show();
        else {
            var n = 0;
            f.hasClass("disable") || (n = 1);
            i.hasClass("disable") || (n = 2);
            ui(n)
        }
    }
    var wi = this,
        e = null,
        rt = "RN",
        n = null,
        ct = null,
        kt = null,
        bi = null,
        l = null,
        a = null,
        lt = null,
        at = null,
        ki = null,
        cr = null,
        fi = null,
        w = null,
        lr = null,
        dt = null,
        vt = null,
        u = null,
        t = null,
        b = null,
        di = null,
        gi = null,
        ei = null,
        ar = null,
        oi = null,
        nr = null,
        gt = null,
        k = null,
        r = null,
        ut = null,
        si = null,
        ft = null,
        et = null,
        ot = null,
        v = null,
        f = null,
        i = null,
        d = null,
        st = null,
        yt = null,
        ni = null,
        pt = null,
        tr = null,
        ti = null,
        hi = null,
        ci = null,
        vr = null,
        ht = null,
        ir = null,
        c = !1,
        ii = "",
        ri = "",
        o = "",
        s = "",
        wt = "",
        g = "",
        y = "",
        bt = "",
        nt = "",
        p = "",
        yr = [],
        pr = null;
    this.init = function (h) {
        if (e = h, n = $j($j(".ctnRightNowMainContainer").get(0)), n.length != 0) {
            ii = $j($j("base")[0]).attr("href") + "" != "undefined" ? $j($j("base")[0]).attr("href") : "";
            c = n.data("embedded") + "" == "true";
            ri = n.data("baseexternalurl");
            o = n.data("language");
            s = n.data("country");
            wt = n.data("limit");
            ct = $j(n.find(".ctnRightNowSearchPanel"));
            kt = $j(n.find(".ctnRightNowMainLoadingPanel"));
            bi = $j(n.find(".ctnRightNowProductGroups .btnRightNowSelectProductGroup"));
            l = $j(n.find(".ctnRightNowAnswersContainer"));
            a = $j(n.find(".ctnRightNowAnswersItemsContainer"));
            lt = $j(n.find(".btnRightNowMoreAnswers"));
            at = $j(n.find(".ctnRightNowMoreResults"));
            ki = $j(n.find(".btnRightNowLoadMoreResults"));
            cr = $j(n.find(".ctnRightNowSerialNumberSearch"));
            fi = $j(n.find(".btnRightNowSearchBySerialNumber"));
            w = $j(n.find("input[name='fldRightNowSerialNumber']"));
            lr = $j(n.find(".ctnRightNowSearchTermAndCategorySearch"));
            dt = $j(n.find(".ctnRightNowCategory"));
            vt = $j(n.find("input[name='fldRightNowSearchTerm']"));
            u = $j(n.find("select[name='fldRightNowCategory']"));
            t = $j(n.find(".fldRightNowCategoryTree"));
            b = $j(n.find(".fldRightNowCategoryTreeLabel"));
            di = $j(n.find(".btnSelectCategory"));
            gi = $j(n.find(".btnSelectCategoryOpener"));
            ei = $j(n.find(".btnRightNowSearchBySearchTermAndCategory"));
            ar = $j(n.find(".ctnRightNowProductTreeSearch"));
            oi = $j(n.find(".ctnRightNowResultFilters"));
            gt = $j(n.find("input[name='fldRightNowSearchTermFilter']"));
            k = $j(n.find("select[name='fldRightNowCategoryFilter']"));
            si = $j(n.find(".btnRightNowFilterResult"));
            nr = $j(n.find(".ctnRightNowCategoryFilter"));
            ut = $j(n.find(".fldRightNowCategoryFilterTreeLabel"));
            r = $j(n.find(".fldRightNowCategoryFilterTree"));
            ft = $j(n.find(".ctnRightNowAnswersLoading"));
            et = $j(n.find(".ctnRightNowNoAnswers"));
            ot = $j(n.find(".ctnRightNowErrorMessage"));
            v = $j(n.find(".fldRightNowProductFamily"));
            f = $j(n.find(".fldRightNowProductLine"));
            i = $j(n.find(".fldRightNowProductModel"));
            d = $j(n.find(".lblCurrentSearch"));
            st = d.data("defaultvalue");
            yt = $j(n.find(".lblCurrentSearchNumber"));
            ct = $j(n.find(".ctnRightNowSearchPanel"));
            ni = $j(n.find(".ctnRightNowSearchPanelForm"));
            pt = $j(n.find(".btnRightNowSearchPanelToggle"));
            tr = $j(n.find(".ctnRightNowOptionPanelMask"));
            ti = $j(n.find(".ctnRightNowOptionPanel"));
            hi = $j(n.find(".btnRightNowOptionUp"));
            ci = $j(n.find(".btnRightNowOptionDown"));
            vr = $j(n.find(".ctnRightNowMobileSerchPanelSelector"));
            ht = $j(n.find(".btnRightNowMobileSerchPanelSelector"));
            pr = new AcerUi.SimpleItemSlider(e, n);
            var y = $j(n.find(".tplRightNowAnswer"));
            ir = y.html() ? y.html() + "" : "";
            y.remove();
            bi.click(yu);
            lt.click(ff);
            ki.click(uf);
            fi.click(ku);
            ei.click(nf);
            si.click(rf);
            pt.click(sf);
            hi.click(hf);
            ci.click(cf);
            ht.click(lf);
            w.keydown(pu);
            w.keypress(wu);
            w.keyup(bu);
            vt.keydown(gu);
            gt.keydown(tf);
            u.bind("change", kr);
            b.click(nu);
            di.live("click", dr);
            gi.live("click", ru);
            ut.click(iu);
            $j("body").click(tu);
            $j("body").click(er);
            AcerUi.addResizeListener(wi.resize);
            AcerUi.addChangeLayoutListener(wi.layoutChange);
            af(e);
            at.hide();
            ct.show();
            kt.hide();
            c ? tt() : wr()
        }
    };
    this.resize = function () {
        return
    };
    this.layoutChange = function (n) {
        e != null && e.Id != n.Id && (e = n, vf(e))
    }
};
AcerUi.WhereToBuy = function () {
    function gt() {
        return
    }

    function ni() {
        var r = document.location + "",
            t = r.substr(r.lastIndexOf("/") + 1);
        t.indexOf(";") != -1 && (t = ti(t), coordsSplitter = t.split(";"), coordsSplitter.length != 2 || coordsSplitter[0] == "" || isNaN(coordsSplitter[0]) || coordsSplitter[1] == "" || isNaN(coordsSplitter[1]) || (o = new AcerUi.WhereToBuy.Coords(parseFloat(coordsSplitter[0]), parseFloat(coordsSplitter[1]))));
        i = r;
        o != null && (i = i.substr(0, i.lastIndexOf("/") + 1));
        i.charAt(i.length - 1) != "/" && (i += "/");
        d = n.attr("rel");
        o == null && navigator.geolocation && navigator.geolocation.getCurrentPosition(function (n) {
            rt(n.coords.latitude, n.coords.longitude)
        }, function () {
            return
        })
    }

    function ti(n) {
        var t = n;
        return t.indexOf("#") && (t = t.split("#")[0]), t.indexOf("?") && (t = t.split("?")[0]), t
    }

    function g() {
        e.hide();
        r.hide();
        u.hide();
        f.hide();
        w.hide();
        l.hide();
        k.hide();
        y.hide()
    }

    function ii() {
        n.val() == n.attr("data-default") && (n.val(""), n.removeClass(a), f.hide())
    }

    function ri() {
        n.val() == "" && (n.val(n.attr("data-default")), n.addClass(a))
    }

    function ui() {
        (g(), n.val() == "" && (n.val(n.attr("data-default")), n.addClass(a)), o != null) && (t.length == 0 && f.show(), t.length > 0 && (e.show(), r.show(), u.show(), nt(), y.show()))
    }

    function nt() {
        var i, n, r;
        try {
            for (i = {
                zoom: 10,
                center: new google.maps.LatLng(o.latitude, o.longitude),
                mapTypeId: google.maps.MapTypeId.ROADMAP
            }, p = new google.maps.Map(e[0], i), n = 0; n < t.length; n++) r = $j(t[n]), fi(r)
        } catch (u) {}
    }

    function fi(n) {
        var u = n.attr("rel"),
            t = u.split(";");
        if (t.length == 2 && t[0] != "" && !isNaN(t[0]) && t[1] != "" && !isNaN(t[1])) {
            var f = $j(n.find("ul.legenda li img:first")).attr("src"),
                i = new AcerUi.WhereToBuy.Coords(parseFloat(t[0]), parseFloat(t[1])),
                r = new google.maps.Marker({
                    position: new google.maps.LatLng(i.latitude, i.longitude),
                    map: p,
                    title: n.find("h2").text(),
                    icon: f
                }),
                e = $j(n.clone()).css("width", "auto"),
                o = e.show().wrap("<div><\/div>").parent().html(),
                s = new google.maps.InfoWindow({
                    content: o
                });
            google.maps.event.addListener(r, "click", function () {
                s.open(p, r)
            })
        }
    }

    function ei() {
        return r.addClass(h), u.removeClass(h), e.hide(), v.show(), l.show(), t.show(), tt(), !1
    }

    function tt() {
        var r = 0,
            u = 0,
            n = t,
            i;
        if (s.Id == AcerUi.SMARTPHONE) n.css({
            height: "auto"
        });
        else {
            for (i = 0; i < n.length; i++) {
                if (u = parseInt($j($j(n)[i]).height(), 10), u == 0) return;
                r = Math.max(r, u)
            }
            n.css({
                height: r
            })
        }
    }

    function oi() {
        return u.addClass(h), r.removeClass(h), e.show(), v.show(), l.hide(), t.hide(), !1
    }

    function it() {
        var t = $j.trim(n.val()),
            i;
        return t == "" ? (f.show(), !1) : (i = new google.maps.Geocoder, i.geocode({
            address: t,
            region: d
        }, si), !1)
    }

    function si(n, t) {
        if (t == google.maps.GeocoderStatus.OK) {
            var i = n[0].geometry.location;
            rt(i.lat(), i.lng())
        } else f.show()
    }

    function rt(n, t) {
        var r = i + (n + "").split(",").join(".") + ";" + (t + "").split(",").join(".");
        document.location = r
    }

    function hi(n) {
        var t = $j(this);
        n.charCode == 13 && it()
    }
    var ut = this,
        s = null,
        h = "active",
        a = "noData",
        ft = "#whereToBuyContainer",
        c = null,
        et = ".search-conteiner",
        ot = null,
        st = ".search-conteiner a.list",
        r = null,
        ht = ".search-conteiner a.map",
        u = null,
        ct = ".sellers-list",
        v = null,
        lt = ".sellers-list .no-store",
        f = null,
        at = ".sellers-list .no-adress",
        w = null,
        vt = ".sellers-list  .store-conteiner",
        l = null,
        yt = ".sellers-list  .store-conteiner  .seller",
        t = null,
        pt = ".sellers-list .container-map",
        e = null,
        wt = ".search-conteiner a",
        b = null,
        bt = ".search-conteiner input",
        n = "",
        kt = ".page-navigation",
        k = null,
        dt = ".legenda",
        y = null,
        o = null,
        i = "",
        p = null,
        d = "";
    this.init = function (i) {
        (s = i, c = $j(ft), c.length != 0) && (c = $j(c[0]), ot = $j($j.find(et)), r = $j($j.find(st)), u = $j($j.find(ht)), v = $j($j.find(ct)), f = $j($j.find(lt)), w = $j($j.find(at)), l = $j($j.find(vt)), t = $j($j.find(yt)), e = $j($j.find(pt)), b = $j($j.find(wt)), n = $j($j.find(bt)), k = $j($j.find(kt)), y = $j($j.find(dt)), g(), ni(), r.click(ei), u.click(oi), b.click(it), n.keypress(hi), n.focus(ii), n.blur(ri), AcerUi.addChangeLayoutListener(ut.layoutChange), gt(i), ui())
    };
    this.resize = function () {
        return
    };
    this.layoutChange = function (n) {
        s != null && s.Id != n.Id && (s = n, nt(), tt())
    }
};
AcerUi.WhereToBuy.Coords = function (n, t) {
    this.latitude = n;
    this.longitude = t
};
AcerUi.WhereToBuyNew = function () {
    function ar() {
        for (var n = [], e = ["id", "latitude", "longitude", "name", "address", "phone", "email", "fax", "website", "distance", "partnerProgramId", "partnerProgramLabel", "partnerSpecialProgramId", "partnerSpecialProgramLabel", "pinPointImageSrc"], o = $j(vt.find("div")), s, i, u, f, t = 0; t < o.length; t++) {
            for (s = $j(o[t]), i = {}, u = 0; u < e.length; u++) f = e[u], i[f] = s.find("." + f).html();
            i.distanceunit = y ? "mi" : "km";
            n.push(i)
        }
        vt.empty().remove();
        n = ur(n, "asc", "distance", "numerical");
        r = n
    }

    function yt(n) {
        for (var t = 0; t < r.length; t++)
            if (r[t].id == n) return r[t];
        return {}
    }

    function wi(n) {
        var f, t, e;
        for (l.empty().show(), v.empty().show(), lr = [], maxHeight = 0, f = 0; f < n.length; f++) {
            var i = n[f],
                u = $j("<div><\/div>").html(oi),
                r = $j("<div><\/div>").html(hi);
            u.find(".txt-number").html(f + 1);
            r.find(".txt-number").html(f + 1);
            for (t in i) u.find(".txt-" + t.toLowerCase()).html(i[t]), u.find(".flt-" + t.toLowerCase()).html(bi(i[t])), u.find(".lnk-" + t.toLowerCase()).attr("href", i[t]), u.find(".lnk-alt-" + t.toLowerCase()).attr("alt", i[t]).attr("title", i[t]), r.find(".txt-" + t.toLowerCase()).html(i[t]), r.find(".flt-" + t.toLowerCase()).html(bi(i[t])), r.find(".lnk-" + t.toLowerCase()).attr("href", i[t]), r.find(".lnk-alt-" + t.toLowerCase()).attr("alt", i[t]).attr("title", i[t]);
            u.find("a").attr("rel", i.id);
            u.find(".number").css("background-image", "url(" + i.pinPointImageSrc + ")");
            r.find("a.btnWtbPartnerListItemShowInMap").attr("rel", i.id);
            r.find("a.btnWtbPartnerListItemGetDirection").attr("rel", i.id);
            l.append(u);
            v.append(r);
            e = gu(i, r);
            i.marker = e.marker;
            i.infowindow = e.infowindow
        }
        n.length != 0 && l.find("a.btnWtbMapGotoPartner").removeClass("active");
        gi()
    }

    function bi(n) {
        if (isNaN(n) || n == null) return 0;
        var t = y ? n : parseFloat(n) * 1.609344;
        return t = Math.round(parseFloat(t * 10)) / 10, t < 1 ? "<1" : t
    }

    function vr(n) {
        var o, i, u, s, t, r, f;
        for (it.empty(), o = [], t = 0; t < n.length; t++) i = n[t], o["x" + i.partnerProgramId] !== !0 && (o["x" + i.partnerProgramId] = !0, u = $j("<li><\/li>").html(ii), u.find("a").attr("rel", i.partnerProgramId), u.find(".label").html(i.partnerProgramLabel), it.append(u));
        for (s = e.find("option"), t = 0; t < s.length; t++) r = $j(s[t]), r.html(r.html() + (y ? " mi" : " km")), y || (f = parseFloat(r.val()), f = parseInt(f * .621371, 10), r.val(f))
    }

    function yr() {
        var r, t, u, h;
        ai = n.data("region");
        y = n.data("usemiles") + "" == "true";
        f = e.val();
        y || (f = parseFloat(e.val()), f = parseInt(f * .621371, 10));
        r = document.location + "";
        t = r.substr(r.lastIndexOf("/") + 1);
        t.indexOf(";") != -1 && (t = bu(t), urlParamsSplitter = t.split(";"), u = parseFloat(urlParamsSplitter[0]), h = parseFloat(urlParamsSplitter[1]), et(u, h), vi = decodeURIComponent(urlParamsSplitter[2]), yi = urlParamsSplitter[3], pi = urlParamsSplitter[4], f = parseInt(urlParamsSplitter[5]), s = decodeURIComponent(urlParamsSplitter[6]), nt = urlParamsSplitter[7] ? urlParamsSplitter[7] : "map");
        o = r;
        i != null && (o = o.substr(0, o.lastIndexOf("/") + 1));
        o.charAt(o.length - 1) != "/" && (o += "/")
    }

    function pr() {
        var n, t;
        if (pt(), g.hide(), e.val(f), u.val(s), i != null) {
            if (n = s != "" ? s : u.data("currentpositiontext"), u.val(n), dt.html(n), r.length < 3) {
                if (t = $j(e.find("option:last")).attr("value"), f + "" != t) {
                    f = t;
                    w();
                    return
                }
                if (r.length == 0) {
                    ki();
                    return
                }
            }
            nt == "map" ? wt() : di();
            return
        }
        if (i == null) {
            if (!navigator.geolocation) {
                pt();
                return
            }
            navigator.geolocation.getCurrentPosition(function (n) {
                ft();
                et(n.coords.latitude, n.coords.longitude);
                w()
            }, function () {
                pt()
            })
        }
        ir(!0)
    }

    function p() {
        b.hide();
        tt.hide();
        rt.hide();
        d.hide();
        ht.hide();
        lt.hide();
        at.hide();
        ut.hide();
        k.hide()
    }

    function ft() {
        p();
        at.show()
    }

    function pt() {
        p();
        b.show();
        ut.show()
    }

    function ki() {
        p();
        b.show();
        lt.show()
    }

    function wt() {
        p();
        tt.show();
        rt.show();
        d.show();
        h.addClass("active");
        c.removeClass("active");
        google.maps.event.trigger(t, "resize")
    }

    function di() {
        p();
        tt.show();
        rt.show();
        ht.show();
        h.removeClass("active");
        c.addClass("active");
        gi()
    }

    function gi() {
        var n, t, i;
        if (v.is(":visible")) {
            for (n = v.find("> div"), t = 0, i = 0; i < n.length; i++) t = Math.max($j(n[i]).height(), t);
            n.height(t)
        }
    }

    function nr() {
        p();
        b.show();
        ut.show();
        u.val("")
    }

    function et(n, t) {
        i = {
            latitude: n,
            longitude: t
        }
    }

    function wr(n) {
        var t = $j(this);
        return n.keyCode == 13 ? (ot.click(), !1) : !0
    }

    function br(n) {
        n && n.preventDefault();
        $j.trim(u.val()) == $j.trim(u.data("currentpositiontext")) && u.val("")
    }

    function kr(n) {
        n && n.preventDefault();
        var t = u.val();
        dr(t)
    }

    function dr(n) {
        s = n;
        var t = new google.maps.Geocoder;
        t.geocode({
            address: n,
            region: ai
        }, tu)
    }

    function gr(n) {
        n && n.preventDefault();
        nu()
    }

    function nu() {
        navigator.geolocation.getCurrentPosition(function (n) {
            ft();
            et(n.coords.latitude, n.coords.longitude);
            s = "";
            w()
        }, function () {})
    }

    function tu(n, t) {
        if (t == google.maps.GeocoderStatus.OK) {
            var i = n[0].geometry.location;
            et(i.lat(), i.lng());
            f = $j(e.find("option:first")).attr("value");
            nt = "map";
            w()
        } else ki()
    }

    function tr(n) {
        n && n.preventDefault();
        var t = $j(this).attr("rel");
        iu(t)
    }

    function iu(n) {
        var u = yt(n),
            f = parseFloat(u.latitude),
            e = parseFloat(u.longitude),
            i, r;
        for (st.removeClass("active"), i = l.find("a.btnWtbMapGotoPartner"), i.removeClass("active"), r = 0; r < i.length; r++)
            if ($j(i[r]).attr("rel") == n) {
                $j(i[r]).addClass("active");
                break
            }
        wt();
        t.setCenter(new google.maps.LatLng(f, e));
        google.maps.event.trigger(u.marker, "click")
    }

    function ru(n) {
        n && n.preventDefault();
        var t = $j(this).attr("rel");
        uu(t)
    }

    function uu(n) {
        var r = yt(n),
            u = parseFloat(r.latitude),
            f = parseFloat(r.longitude),
            e = i.latitude,
            o = i.longitude,
            t = "http://maps.google.com/?saddr={sLat},{sLong}&daddr={dLat},{dLong}",
            r = yt(n),
            u = parseFloat(r.latitude),
            f = parseFloat(r.longitude),
            e = i.latitude,
            o = i.longitude;
        t = t.split("{sLat}").join(e);
        t = t.split("{sLong}").join(o);
        t = t.split("{dLat}").join(u);
        t = t.split("{dLong}").join(f);
        window.open(t)
    }

    function fu(n) {
        n && n.preventDefault();
        ir()
    }

    function ir(n) {
        var r = d.width(),
            u = t.getCenter(),
            i = ui.width();
        n === !0 ? a.css({
            width: r - i,
            left: i
        }) : a.animate({
            width: r - i,
            left: i
        }, function () {
            google.maps.event.trigger(t, "resize");
            t.setCenter(u);
            g.hide()
        })
    }

    function eu(n) {
        n && n.preventDefault();
        ou()
    }

    function ou() {
        var n = d.width(),
            i = t.getCenter();
        a.animate({
            width: n,
            left: 0
        }, function () {
            google.maps.event.trigger(t, "resize");
            t.setCenter(i);
            g.show()
        })
    }

    function su(n) {
        n && n.preventDefault();
        hu()
    }

    function hu() {
        k.is(":visible") ? k.slideUp("fast") : k.slideDown("slow")
    }

    function cu(n) {
        n && n.preventDefault();
        lu()
    }

    function lu() {
        h.removeClass("active");
        c.addClass("active");
        wt()
    }

    function au(n) {
        n && n.preventDefault();
        vu()
    }

    function vu() {
        h.addClass("active");
        c.removeClass("active");
        di()
    }

    function yu(n) {
        n && n.preventDefault();
        pu()
    }

    function pu() {
        nr()
    }

    function wu(n) {
        n && n.preventDefault();
        $j(this).hasClass("selected") ? $j(this).removeClass("selected") : $j(this).addClass("selected");
        rr()
    }

    function rr() {
        for (var e = it.find("a.selected"), u = ",", t, f, n = 0; n < e.length; n++) u += $j(e[n]).attr("rel") + ",";
        if (t = [], u == ",") t = r;
        else
            for (n = 0; n < r.length; n++) f = r[n], u.indexOf("," + f.partnerProgramId + ",") != -1 && t.push(f);
        du();
        var i = ct.val().split("#"),
            o = i[0],
            s = i.length > 1 ? i[1] : "name",
            h = i.length > 2 ? i[2] : "alphabetical";
        t = ur(t, o, s, h);
        wi(t)
    }

    function w() {
        i == null && nr();
        var n = (i.latitude + "").split(",").join("."),
            t = (i.longitude + "").split(",").join("."),
            r = vi,
            u = yi,
            e = pi,
            h = f,
            c = nt,
            l = s,
            a = o + n + ";" + t + ";" + r + ";" + u + ";" + e + ";" + h + ";" + encodeURI(l) + ";" + c;
        document.location = a
    }

    function bu(n) {
        var t = n;
        return t.indexOf("#") && (t = t.split("#")[0]), t.indexOf("?") && (t = t.split("?")[0]), t
    }

    function ku() {
        var n = i != null ? i.latitude : 0,
            r = i != null ? i.longitude : 0,
            u = {
                zoom: 12,
                center: new google.maps.LatLng(n, r),
                mapTypeId: google.maps.MapTypeId.ROADMAP
            };
        t = new google.maps.Map(a[0], u)
    }

    function du() {
        var n = t.getCenter().lat(),
            i = t.getCenter().lng(),
            r = t.getZoom(),
            u = {
                zoom: r,
                center: new google.maps.LatLng(n, i),
                mapTypeId: google.maps.MapTypeId.ROADMAP
            };
        t = new google.maps.Map(a[0], u)
    }

    function gu(n, i) {
        var s = n.title,
            h = n.latitude,
            c = n.longitude,
            a = n.pinPointImageSrc,
            u = new google.maps.Marker({
                position: new google.maps.LatLng(h, c),
                map: t,
                title: s,
                icon: a
            }),
            f = i.clone();
        f.find("a.btnWtbPartnerListItemShowInMap").parent().remove();
        var v = f.show().wrap("<div><\/div>").addClass("pin-seller").parent().html(),
            e = new google.maps.InfoWindow({
                content: v
            }),
            o = $j(l.find("a.btnWtbMapGotoPartner"));
        return google.maps.event.addListener(u, "click", function () {
            for (var i = 0; i < r.length; i++) r[i].infowindow.close();
            o.removeClass("active");
            $j(o.filter("[rel='" + n.id + "']")).addClass("active");
            e.open(t, u)
        }), {
            marker: u,
            infowindow: e
        }
    }

    function nf(n) {
        n && n.preventDefault();
        tf()
    }

    function tf() {
        rr()
    }

    function rf(n) {
        n && n.preventDefault();
        var t = $j(this).val();
        uf(t)
    }

    function uf(n) {
        f = n;
        nt = "list";
        w()
    }

    function ur(n, t, i, r) {
        return n.sort(function (n, u) {
            var f = r == "numerical" ? parseFloat(n[i]) : n[i],
                e = r == "numerical" ? parseFloat(u[i]) : u[i];
            return f < e ? t == "asc" ? -1 : 1 : f == e ? 0 : f > e ? t == "asc" ? 1 : -1 : void 0
        }), n
    }
    var bt = this,
        fr = null,
        n = null,
        b = null,
        u = null,
        ot = null,
        kt = null,
        tt = null,
        dt = null,
        gt = null,
        ni = null,
        k = null,
        it = null,
        ti = null,
        ii = "",
        ri = null,
        rt = null,
        h = null,
        c = null,
        d = null,
        g = null,
        ui = null,
        fi = null,
        l = null,
        ei = null,
        oi = "",
        st = null,
        er = null,
        a = null,
        ht = null,
        or = null,
        sr = null,
        e = null,
        hr = null,
        ct = null,
        v = null,
        si = null,
        hi = "",
        ci = null,
        li = null,
        lt = null,
        at = null,
        ut = null,
        vt = null,
        t = null,
        ai = null,
        y = null,
        o = null,
        i = null,
        f = 0,
        nt = "map",
        s = "",
        vi = "",
        yi = "",
        pi = "",
        cr = null,
        r = [],
        lr = [];
    this.init = function (t) {
        (fr = t, n = $j("#ctnWtbMainContainer"), n.length != 0) && (n = $j(n[0]), b = $j(n.find(".ctnWtbTextSearch")), u = $j(n.find(".fldWtbAddress")), ot = $j(n.find(".btnWtbTextSearch")), kt = $j(n.find(".btnWtbCurrentPosition")), tt = $j(n.find(".ctnWtbManageResult")), dt = $j(n.find(".lblWtbSearch")), gt = $j(n.find(".btnWtbNewSearch")), ni = $j(n.find(".btnWtbToggleRefineSearch")), k = $j(n.find(".ctnWtbRefineSearch")), it = $j(n.find(".ctnWtbPartnerPrograms")), ti = $j(n.find(".tplWtbPartnerProgramsItem")), ii = ti.html(), ri = $j(n.find(".btnWtbPartnerPrograms")), rt = $j(n.find(".ctnWtbSwitchView")), h = $j(n.find(".btnWtbMapView")), c = $j(n.find(".btnWtbListView")), d = $j(n.find(".ctnWtbMapContent")), g = $j(n.find(".btnShowPartnerList")), ui = $j(n.find(".ctnWtbMapContentPartnerList")), fi = $j(n.find(".btnHidePartnerList")), l = $j(n.find(".ctnWtbMapContentPartnerListItems")), ei = $j(n.find(".tplWtbMapContentPartnerListItem")), oi = ei.html(), st = $j(n.find(".btnWtbMapGotoPartner")), er = $j(n.find(".btnPartnerListMoreResult")), a = $j(n.find(".ctnWtbMapContentMap")), ht = $j(n.find(".ctnWtbPartnerListContent")), or = $j(n.find(".ctnWtbPartnerListFilter")), sr = $j(n.find(".ctnWtbPartnerListRange")), e = $j(n.find(".fldWtbPartnerRange")), hr = $j(n.find(".ctnWtbPartnerListSort")), ct = $j(n.find(".fldWtbPartnerListSort")), v = $j(n.find(".ctnWtbPartnerListItemsContainer")), si = $j(n.find(".tplWtbPartnerListItem")), hi = si.html(), ci = $j(n.find(".btnWtbPartnerListItemShowInMap")), li = $j(n.find(".btnWtbPartnerListItemGetDirection")), cr = $j(v.find("> div")), lt = $j(n.find(".ctnWtbNoResultFound")), at = $j(n.find(".ctnWtbLoading")), ut = $j(n.find(".ctnWtbInfo")), vt = $j(n.find(".ctnWtbDataBase")), ot.live("click", kr), kt.live("click", gr), st.live("click", tr), g.live("click", fu), fi.live("click", eu), ni.live("click", su), h.live("click", cu), c.live("click", au), gt.live("click", yu), ci.live("click", tr), li.live("click", ru), ri.live("click", wu), ct.live("change", nf), e.live("change", rf), u.keydown(wr), u.focus(br), AcerUi.addResizeListener(bt.resize), AcerUi.addChangeLayoutListener(bt.layoutChange), ft(), window.setTimeout(function () {
            yr();
            ar();
            ku();
            wi(r);
            vr(r);
            pr()
        }, 250))
    };
    this.resize = function () {
        return
    };
    this.layoutChange = function () {
        ft();
        w()
    }
}
$j(document).ready(function(){AcerUi.init();});