<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component  Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */
 
defined('_JEXEC') or die('Restricted Access');
// get the controller
if (!defined('DS')) {
	define('DS', DIRECTORY_SEPARATOR);
}

if (! class_exists('EjoshopLoader')) {

    require_once( JPATH_COMPONENT_ADMINISTRATOR.DS.'libraries'.DS.'loader.php');
}

JLoader::register('EjoshopView', JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'view.php');
JLoader::register('EjoshopHelper', JPATH_COMPONENT_ADMINISTRATOR.DS.'helpers'.DS.'ejoshop.php');
JLoader::register('EjoshopModel', JPATH_COMPONENT_ADMINISTRATOR.'/models/model.php');


require_once JPATH_COMPONENT.DS.'helpers/route.php';
require_once(JPATH_COMPONENT.DS.'controllers'.DS.'controller.php');
// Require specific controller if requested
if($controller = JRequest::getWord('view')) {
	$path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
	if (file_exists($path)) {
		require_once $path;
	} else {
		$controller = '';
	}
}

// Create the controller

$classname	= 'EjoshopController'.$controller;
$controller	= new $classname( );

// Perform the Request task
$controller->execute( JRequest::getVar( 'task' ) );

// Redirect if set by the controller
$controller->redirect();
