<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.modelitem');

class EjoshopModelPayd extends JModelItem
{

	function __construct() {
		parent::__construct();
		$id = JRequest::getInt('pid');
		$this->setId((int)$id);
		
	}
	
	function setId($id){
		$this->_id = $id;
		
	
	}
	/**
	 * Myextensions data array
	 *
	 * @var array
	 */
	var $_foobar;


	/**
	 * Returns the query
	 * @return string The query to be used to retrieve the rows from the database
	 */
	function _buildQuery()
	{

		$query = ' SELECT * '
			. ' FROM #__map_yandex WHERE id ="'.(int)$this->_id.'"';

		return $query;
	}


	function hit()
	{

		$db = JFactory::getDBO();
		$db->setQuery('UPDATE '.$db->quoteName('#__map_yandex')
		.'SET '.$db->quoteName('hits').' = '.$db->quoteName('hits').' + 1 '.'WHERE id = '.$this->_id);
		$db->query();
	}
	
	function getCategories($t = '')
	{
	
		// Create a new query object.
		$db		= JFactory::getDBO();
		$query	= $db->getQuery(true);
	
		$query->select(
			$this->getState(
				'list.select',
				'cats.*'
			)
		);
		$query->from('`#__ejoshop_categories` AS cats');
		
		// Add the list ordering clause.
		$orderCol	= $this->state->get('list.ordering','cats.id');
		$orderDirn	= $this->state->get('list.direction','DESC');
		$this->catid = JRequest::getVar('id');
		if(!empty($this->catid) && empty($t)) {
			$query->where(array("cats.id = '".$this->catid."'"));
		}
		$query->order($db->escape($orderCol.' '.$orderDirn));
		$query = $db->setQuery( $query, $limitstart, $limit );
		if(!empty($this->catid)) {
			$this->categories = $db->loadObject();
		} else {
			$this->categories = $db->loadObjectList();
			foreach($this->categories as $key => $cat) {
			//var_dump($this->categories[$key]);
			$this->categories[$key]->slug = $this->categories[$key]->catid . ':' . $this->categories[$key]->alias;
			}
		}
		

	
		return $this->categories;

	}
	
	
	/**
	 * 
	 * @view.html.php
	 */
	function getPostadress($pid = 0)
	{
		$db		= JFactory::getDBO();	
		$query	= $db->getQuery(true);
		
			$query->select(
				$this->getState(
					'list.select',
					'uca.*'
				)
			);
			$query->from('`#__ejoshop_userinfo_cart` AS uca');			
			
			$query->where(array("uca.id = '".$data['tid']."' AND uca.uniqid = '".base64_decode($data['postpay'])."'"));
			
			$query = $db->setQuery( $query );
			
			$adress = $db->loadObject();
			
			return $adress;
		
	}
	
	
	/**
	 * 
	 * @view.html.php
	 */
	function getPayments($type)
	{
		$db		= JFactory::getDBO();	
		$query	= $db->getQuery(true);
		
			$query->select(
				$this->getState(
					'list.select',
					'egp.*'
				)
			);
			$query->from('`#__ejoshop_payments` AS egp');			
			
			$query->where(array("egp.type = '".$type."'"));
			
			$query = $db->setQuery( $query );
			
			$payment = $db->loadObject();
			
			return $payment;
		
	}
	

	
	/**
	 * 
	 * обрабатываем запрос от webmoney при успешном
	 * платеже завершение оплаты товара
	 * отмечаем в таблицах как оплаченно
	 */
	 
	function updatorderitem($pid = 0)
	{
		
			$row = $this->getTable('Payd', 'Table');
			$user 		= JFactory::getUser();
		
			$payddata['payer'] = $user->get('id', 0);
			$payddata['created'] = gmdate('Y-m-d H:i:s');
			$payddata['pids'] = json_encode($pids);
			$payddata['moneysystem'] = 'webmoney';
			
			// Bind the form fields to the Cart User Info gallery table
			if (!$row->bind($data)) {
				$this->setError($this->_db->getErrorMsg());
				return false;
			}
			// Store the Phoca gallery table to the database
			if (!$row->store()) {
				$this->setError($this->_db->getErrorMsg());
				return false;
			}
		
		$app = JFactory::getApplication(); 
		// Create a new query object.
		$db		= JFactory::getDBO();
		$query	= $db->getQuery(true);
		$limit = JRequest::getVar('limit',$app->getCfg('list_limit'));
		
		$limitstart = JRequest::getVar('limitstart', 0);
		
				
		$query->select(
			$this->getState(
				'list.select',
				'payments.*'
			)
		);
	

		$query->from('`#__ejoshop_payments` AS payments');
		$query->where('payments.id = 3');
	
		$query = $db->setQuery( $query, $limitstart, $limit );
		$this->payments = $db->loadObject();
	
		//$secret_key=$this->payments->secretkey;
		$secret_key='A6368870-20B4-4DBC-974A-A49AD6A1A890';
		$common_string =
		$_POST['LMI_PAYEE_PURSE'].$_POST['LMI_PAYMENT_AMOUNT'].$_POST['LMI_PAYMENT_NO'].
		$_POST['LMI_MODE'].$_POST['LMI_SYS_INVS_NO'].$_POST['LMI_SYS_TRANS_NO'].
		$_POST['LMI_SYS_TRANS_DATE'].$secret_key.$_POST['LMI_PAYER_PURSE'].$_POST['LMI_PAYER_WM'];
		// Шифруем полученную строку в MD5 и переводим ее в верхний регистр 
		//http://wiki.webmoney.ru/projects/webmoney/wiki/Web_Merchant_Interface
		$hash = strtoupper(md5($common_string));
		
		$pids = array();
		for($i = 1; $i <= $_POST['ITEMS_COUNT']; $i++) {
	
				$pids[] = $_POST['PID_'.$i];
			
		}
		
		$payerphone = '';
		if(!empty($_POST['LMI_TELEPAT_PHONENUMBER'])) $payerphone = $_POST['LMI_TELEPAT_PHONENUMBER'];
		if($hash!=$_POST['LMI_HASH']) $noequal = 'не соответсвуют!';
		
		//iconv('CP1251','UTF-8', urldecode(LMI_PAYMENT_DESC ));
		$desc = '';
		if(!empty($_POST['LMI_PAYMENT_DESC'])) $desc = urldecode($_POST['LMI_PAYMENT_DESC']);
		
		$fp = fopen('data.txt', 'w');
		fwrite($fp, $noequal."\n");
		fwrite($fp, $hash."\n");
		fwrite($fp, $pids."\n");
		fwrite($fp, $_POST['LMI_HASH']);
		fclose($fp);
		// Прерываем работу скрипта, если контрольные суммы не совпадают
		if($hash == $_POST['LMI_HASH']) {
			$waspayed = gmdate('Y-m-d H:i:s');
		
			$query = "UPDATE ".$db->quoteName('#__ejoshop_shop_order') 
			." set ".$db->quoteName('status')." = 'pay',
			 ".$db->quoteName('paystatus')." = '1',
			 ".$db->quoteName('paydate')." = '".$waspayed."',
			 ".$db->quoteName('moneysystem')." = 'webmoney',
			 ".$db->quoteName('payerbill')." = '".$_POST['LMI_PAYER_PURSE']."',
		     ".$db->quoteName('payerwmid')." = '".$_POST['LMI_PAYER_WM']."',
			  ".$db->quoteName('payerdesc')." = '".$desc."',
		     ".$db->quoteName('payerphone')." = '".$payerphone."'
			 WHERE ".$db->quoteName('pid')." IN (".  implode(',', $pids).");";

	
				$db->setQuery($query);
				if (!$db->query()) {
					$this->setError($this->_db->getErrorMsg());
					return false;
				}
			


		}
	}	
	
	/**
	 * 
	 * no description?
	 */
	function confirmcart($pid = 0)
	{
		/* ADD USER INFO AFTER CONFIRM ORDER */

		$db		= JFactory::getDBO();
		$data = JRequest::get( 'post' );
		
	
		
		$user 		= JFactory::getUser();
		$row = new stdClass();
		$row->uid = $user->get('id', 0);
		$row = $this->getTable('cart', 'Table');
		/* update post data */
		if(empty($data['postpay'])) {
			$data['id'] = $data['tid'];
			$data['uniqid']	= crypt($data['postpay']);
		}
		if(!empty($data['postpay'])) {

				
			$query	= $db->getQuery(true);
		
			$query->select(
				$this->getState(
					'list.select',
					'uca.*'
				)
			);
			$query->from('`#__ejoshop_userinfo_cart` AS uca');			
			
			$query->where(array("uca.id = '".$data['tid']."' AND uca.uniqid = '".base64_decode($data['postpay'])."'"));
			
			$query = $db->setQuery( $query );

			$check = $db->loadObject();
			

		
			
		}
		
		
			// Create the timestamp for the date
		$row->created = gmdate('Y-m-d H:i:s');
	
		// Bind the form fields to the Cart User Info gallery table
		if (!$row->bind($data)) {
	
			$this->setError($this->_db->getErrorMsg());
	
			return false;
		}
		// Store the Phoca gallery table to the database
		if (!$row->store()) {
			$this->setError($this->_db->getErrorMsg());
		
			return false;
		}

	
		/* UPDATE CART ITEMS STATUS CHANGE */	
		$userproduct = json_decode($_SESSION['cart']);
		if(!empty($userproduct)) {
			foreach($userproduct as $key => $val) {
				if(empty($userproduct[$key])) { unset($userproduct[$key]);}
			}

				$query = "UPDATE " . $db->quoteName('#__ejoshop_shop_order') 
					. " set status = 'confirm', created_by = '".$row->id."' WHERE " . $db->quoteName('#__ejoshop_shop_order') 
					. ".`pid` IN (".  implode(',', $userproduct).");";
				$db->setQuery($query);
				if (!$db->query()) {
					$this->setError($this->_db->getErrorMsg());
					return false;
				}
				//unset($_SESSION['cart']);
		}
			if(!empty($row->id)) {
				if(!empty($data['postpay'])) {
					$row->redirect = 'paypostconfirm';	
				}
				if(empty($data['postpay'])) {
					$row->uniqid = base64_encode($row->uniqid);
					
				} else {
					$row->uniqid = base64_encode($data['postpay']);
				}
	
				return $row;
			} else {
				return true;		
			}
		
	}

	/**
	 * 
	 * @возвращает список строк в файл view.html.php
	 */
	function PayFromYandexMoney($pid = 0)
	{
		/* ADD USER INFO AFTER CONFIRM ORDER */
		$db		= JFactory::getDBO();
		$data = JRequest::get( 'post' );
		$user 		= JFactory::getUser();

		$paydate = gmdate('Y-m-d H:i:s');
		/* UPDATE CART ITEMS STATUS CHANGE */	
		$userproduct = json_decode($_SESSION['cart']);
		if(!empty($userproduct)) {
			foreach($userproduct as $key => $val) {
				if(empty($userproduct[$key])) { unset($userproduct[$key]);}
			}

				$query = "UPDATE " . $db->quoteName('#__ejoshop_shop_order') 
					. " set paystatus = '1', moneysystem = 'yandex',paydate = '".$paydate."' WHERE " . $db->quoteName('#__ejoshop_shop_order') 
					. ".`pid`IN (".  implode(',', $userproduct).");";
				$db->setQuery($query);
				if (!$db->query()) {
					$this->setError($this->_db->getErrorMsg());
					return false;
				}
				//unset($_SESSION['cart']);
		}
		return true;
	}
	
	/**
	 * 
	 * @возвращает список строк в файл view.html.php
	 */
	function getCartItem($pid = 0)
	{
		if(empty($pid)) {
			$pid = JRequest::getVar( 'id' );
		}

		$app = JFactory::getApplication(); 
		// Create a new query object.
		$db		= JFactory::getDBO();
		$query	= $db->getQuery(true);
		$limit = JRequest::getVar('limit',$app->getCfg('list_limit'));

				
		$query->select(
			$this->getState(
				'list.select',
				'catritem.*'
			)
		);
		
				

		$query->from('`#__ejoshop_shop_order` AS catritem');
		$query->select('catritem.*,cat.name as category_name,photos.*');
		$query->join('LEFT', '#__ejoshop_photos AS photos ON (photos.id = catritem.photo_id)');
		$query->join('LEFT', '#__ejoshop_categories AS cat ON (photos.catid = cat.catid)');
		

		$userproduct = json_decode($_SESSION['cart']);
		$userproduct = empty($userproduct) ? array() : $userproduct;
		foreach($userproduct as $key => $val) {
			if(empty($userproduct[$key])) { unset($userproduct[$key]);}
		}
		$query->where(array('catritem.pid IN ('.  implode(',', $userproduct).')'));
		
		
		$query->order($db->escape('catritem.pid'.' DESC'));
		$query = $db->setQuery( $query );
		$this->cartitems = $db->loadObjectList();
		$this->cartitems = empty($this->cartitems) ? array() : $this->cartitems;
		return $this->cartitems;
		

	}
	
	/**
	 * Возвращаем метки
	 * @return array Возврату подлежит массив объектов
	 */
	function getMetka()
	{
	
			$db = $this->getDBO();
			$query = "SELECT * FROM ".$db->quoteName('#__map_yandex_metki') 
			." WHERE ".$db->quoteName('id_map')." = ".$this->_id;
			$db->setQuery($query);
			$this->_metka = $db->loadObjectList();
		
		// return the foobar data
		return $this->_metka;
	
	}

}
