<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */
 defined('_JEXEC') or die('Restricted access'); 
?>
<div id="cart">
<?php 
if($this->switchanet) {
	
?>
<a href="<?php print 'index.php?option=com_ejoshop&view=cart&task=selectpayments';?>"><?php print JText::_( 'COM_EJOSHOP_BACK_TO_SELECT_PAYENTS' );?></a>
    <?php
   
    
    if ($this->METHOD_TO_USE == "AIM") {
        ?>
        <form method="post" accept-charset="UTF-8" action="<?php echo JRoute::_( 'index.php?option=com_ejoshop&view=cart&task=processanet');?>" id="checkout_form">
		<?php if($this->istaxes) :?>
			<input type="hidden" name="price" value="<?php print $this->sumpricetowithtax;?>">
		<?php else : ?>
			<input type="hidden" name="price" value="<?php print $this->sumprice;?>">
		<?php endif; ?>		
        
		<?php
    } else {
        ?>
        <form method="post" action="<?php echo (AUTHORIZENET_SANDBOX ? AuthorizeNetDPM::SANDBOX_URL : AuthorizeNetDPM::LIVE_URL)?>" id="checkout_form">
        <?php
        $time = time();
        $fp_sequence = $time;
        $fp = AuthorizeNetDPM::getFingerprint(AUTHORIZENET_API_LOGIN_ID, AUTHORIZENET_TRANSACTION_KEY, $amount, $fp_sequence, $time);
        $sim = new AuthorizeNetSIM_Form(
            array(
            'x_amount'        => $amount,
            'x_fp_sequence'   => $fp_sequence,
            'x_fp_hash'       => $fp,
            'x_fp_timestamp'  => $time,
            'x_relay_response'=> "TRUE",
            'x_relay_url'     => $coffee_store_relay_url,
            'x_login'         => AUTHORIZENET_API_LOGIN_ID,
            'x_test_request'  => TEST_REQUEST,
            'x_currency_code'  => 'EUR',
            )
        );
        echo $sim->getHiddenFieldString();
    }
    ?>
	
<div class="cartuserinfo" id="content">
<h2><?php print JText::_( 'COM_EJOSHOP_YOU_CART' );?></h2>

    <table cellspacing="0">
		<tr><th><?php print JText::_( 'COM_EJOSHOP_PRODUCT_PHOTO' );?></th><th><?php print JText::_( 'COM_EJOSHOP_PRICE' );?></th><th><?php print JText::_( 'COM_EJOSHOP_QTY' );?></th><th></th></tr>
		<?php 
		$i = 0;
		$itemsc = count($this->cartitems);
		
		foreach($this->cartitems as $item) {
			++$i;
			?>

			 <tr><td><div class="photo"><?php print $item->photoproduct;?></div></td><td><?php print $item->price .' '. $item->currencyl;?></td><td><?php print $item->qty;?></td><td><a href="delete/" rel="<?php print $item->pid;?>" class="deleteitem"><?php  print JText::_( 'COM_EJOSHOP_DELETE' );?></a></td></tr>
             
        <?php print '<input type="hidden" name="PID['.$i.']" value="'.$item->pid.'">';?>
      
		<? }	?>
        <?php print '<input type="hidden" name="SID" value="'.session_id().'">';?>
		<?php if($this->istaxes) :?>
		<tr><td><?php echo JText::_( 'COM_EJ_TOTAL_WITH_TAX' );?></td><td colspan="3"><? print $this->sumpricetowithtaxtoshow.' '. $item->currencyl;?></td></tr>
		<?php else : ?>
		<tr><td><?php echo JText::_( 'COM_EJ_TOTAL' );?> </td><td colspan="3"><? print $this->sumpricetoshow.' '. $item->currencyl;?></td></tr>
		<?php endif; ?>
    </table>

<h2><?php print JText::_( 'COM_EJOSHOP_YOU_DATA_AN' );?></h2>
      <fieldset>
        <div>
		  <label><?php echo JTEXT::_('COM_EJOSHOP_CREDIT_CARD_NUMBER'); ?></label>
          <input type="text" class="text required creditcard" size="20" name="x_card_num" value=""></input>
        </div>
        <div>
          <label><?php echo JTEXT::_('COM_EJOSHOP_EXP'); ?></label>
          <input type="text" class="text required" size="4" name="x_exp_date" value=""></input>
        </div>
        <div>
          <label><?php echo JTEXT::_('COM_EJOSHOP_CCV'); ?></label>
          <input type="text" class="text required" size="4" name="x_card_code" value=""></input>
        </div>
      </fieldset>
      <fieldset>
        <div>
          <label><?php echo JTEXT::_('COM_EJOSHOP_NAME'); ?></label>
          <?php echo $this->form->getInput('name'); ?>
		 
        </div>
        <div>
           <label><?php echo JTEXT::_('COM_EJOSHOP_LASTNAME'); ?></label>
		   <?php echo $this->form->getInput('lastname'); ?>
          
        </div>
      </fieldset>
      <fieldset>
        <div>
          <label><?php echo JTEXT::_('COM_EJOSHOP_ADDRESS_USER'); ?></label>
		  <?php echo $this->form->getInput('address'); ?>
        
        </div>
        <div>
          <label><?php echo JTEXT::_('COM_EJOSHOP_CITY'); ?></label>
		  <?php echo $this->form->getInput('city'); ?>
          
        </div>
      </fieldset>
      <fieldset>
        <div>
          <label><?php echo JTEXT::_('COM_EJOSHOP_REGION'); ?></label>
		   <?php echo $this->form->getInput('region'); ?>
          
        </div>
        <div>
          <label><?php echo JTEXT::_('COM_EJOSHOP_ZIPCODE'); ?></label>
           <?php echo $this->form->getInput('zipcode'); ?>
        </div>
        <div>
          <label><?php echo JTEXT::_('COM_EJOSHOP_COUNTRY'); ?></label>
		   <?php echo $this->form->getInput('country'); ?>
        </div>
      </fieldset>

   
<p>
 <input type="submit" class="egnext" value="<?php  print JText::_( 'COM_EJOSHOP_PAY_WITH_AN' );?>">
 </p> 

</div>

</form> 
</div>
<?php } ?>