<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */
 defined('_JEXEC') or die('Restricted access'); 

$document = JFactory::getDocument();
jimport ('joomla.html.html.bootstrap');

?>
<div id="cart">
<div class="cartitems" id="content">

<h2><?php print JText::_( 'COM_EJOSHOP_YOU_CART' );?></h2>

    <table cellspacing="0">
		<tr><th><?php print JText::_( 'COM_EJOSHOP_PRODUCT_PHOTO' );?></th><th><?php print JText::_( 'COM_EJOSHOP_PRICE' );?></th><th><?php print JText::_( 'COM_EJOSHOP_QTY' );?></th><th></th></tr>
		<?php foreach($this->cartitems as $item) {?>
               
			 <tr><td><div class="photo"><?php print $item->photoproduct;?></div></td><td><?php print $item->price .' '. $item->currencyl;?></td><td><?php print $item->qty;?></td><td><a href="delete/" rel="<?php print $item->pid;?>" class="deleteitem"><?php  print JText::_( 'COM_EJOSHOP_DELETE' );?></a></td></tr>
		<? }	?>
		<tr><td><?php echo JText::_( 'COM_EJ_TOTAL' );?> </td><td colspan="3">
			<?php
			echo $this->sumpricetoshow.' '. $item->currencyl;
			?>
		</td></tr>
		<?php if($this->istaxes) :?>
			<tr><td><?php echo JText::_( 'COM_EJ_TOTAL_WITH_TAX' );?></td><td colspan="3"><? print $this->sumpricetowithtaxtoshow.' '. $item->currencyl;?></td></tr>
		<?php endif; ?>
    </table>

</div>
<?php
if(!$this->params->get('switchpayments') 
	&& !$this->switchpaypal
	&& !$this->switchyandexmoney
	&& !$this->switchanet
	&& !$this->switchwebmoney
	&& !$this->switchpost
	&& !$this->switchwritebill
) {
	return '';
}
?>
<div class="cartuserinfo" id="content">
	
	<h2><?php print JText::_( 'COM_EJOSHOP_SELECTPAYMENTS' );?></h2>
	
	<div class="" style="width:100%;">
		<div id="money">

<?php
// Note JDispatcher is deprecated in favour of JEventDispatcher in Joomla 3.x however still works.
$dispatcher = JDispatcher::getInstance();

JPluginHelper::importPlugin('system'); 
$result = $dispatcher->trigger('onGetEjoshopPayment', array (&$item->params , &$item, &$item->params,$this->task));


if($this->switchpaypal) {
echo JHtml::_('sliders.start', 'my-slider' , array('useCookie'=>false,'startTransition'=>FALSE, 'startOffset'=>TRUE));
echo JHtml::_('sliders.panel', JText::_('COM_EJOSHOP_PAYPAL'), 'panel1');

		 

echo '
			<div id="maincat" class="group">
					<div class="payment-items">
					<div class="pp"></div>
						<ul style="list-style:none;margin:0;height:auto;">
							<li><a class="gotodetail" href="'.$this->paypal.'" title="">'.JText::_( 'COM_EJOSHOP_NEXT' ).'</a></li>
						</ul>
					</div>
				</div>';
	



echo JHtml::_('sliders.end');
}
if($this->switchanet) {

echo JHtml::_('sliders.start', 'my-slider' , array('useCookie'=>false,'startTransition'=>FALSE, 'startOffset'=>TRUE));
echo JHtml::_('sliders.panel', JText::_('COM_EJOSHOP_ANET'), 'panel3');
		 

echo '
			<div id="maincat" class="group">
					<div class="payment-items">
					<div class="an"></div>
						<ul style="list-style:none;margin:0;height:auto;">
							<li><a class="gotodetail" href="'.$this->anet.'" title="">'.JText::_( 'COM_EJOSHOP_NEXT' ).'</a></li>
						</ul>
					</div>
				</div>';
	


echo JHtml::_('sliders.end');
}
if($this->switchyandexmoney) {
echo JHtml::_('sliders.start', 'my-slider' , array('useCookie'=>false,'startTransition'=>FALSE, 'startOffset'=>TRUE));
echo JHtml::_('sliders.panel', JText::_('COM_EJOSHOP_YANDEXM'), 'panel2');

echo '
			<div id="maincat" class="group">
					<div class="payment-items">
					<div class="ym"></div>
						<ul style="list-style:none;margin:0;height:auto;">
							<li><a class="gotodetail" href="'.$this->yandexmoney.'" title="">'.JText::_( 'COM_EJOSHOP_NEXT' ).'</a></li>
						</ul>
					</div>
				</div>';
	


echo JHtml::_('sliders.end');
}


?>


<?php

if($this->switchwebmoney) {

echo JHtml::_('sliders.start', 'my-slider' , array('useCookie'=>false,'startTransition'=>FALSE, 'startOffset'=>TRUE));
echo JHtml::_('sliders.panel', JText::_('COM_EJOSHOP_WM'), 'panel4');

echo '


			<div id="maincat" class="group">
					<div class="payment-items">
					<div class="wm"></div>
						<ul style="list-style:none;margin:0;height:auto;">
								<li><a class="gotodetail" href="'.$this->webmoney.'" title="">'.JText::_( 'COM_EJOSHOP_NEXT' ).'</a></li>
						</ul>
					</div>
				</div>
';
	
echo JHtml::_('sliders.end');


}


if($this->switchwritebill) {

echo JHtml::_('sliders.start', 'my-slider' , array('useCookie'=>false,'startTransition'=>FALSE, 'startOffset'=>TRUE));
echo JHtml::_('sliders.panel', JText::_('COM_EJOSHOP_WRITE_BILL'), 'panel6'); 
echo '


			<div id="maincat" class="group">
					<div class="payment-items">
					<div class="writebill"></div>
						<ul style="list-style:none;margin:0;height:auto;">
								<li><a class="gotodetail" href="'.$this->writebill.'" title="">'.JText::_( 'COM_EJOSHOP_NEXT' ).'</a></li>
						</ul>
					</div>
				</div>
';
	


echo JHtml::_('sliders.end');

}

// почтовый перевод
if($this->switchpost) {
echo JHtml::_('sliders.start', 'my-slider' , array('useCookie'=>false,'startTransition'=>FALSE, 'startOffset'=>TRUE));
echo JHtml::_('sliders.panel', JText::_('COM_EJOSHOP_POST_PAY'), 'panel5'); 

echo '


			<div id="maincat" class="group">
					<div class="payment-items">
					<div class="post"></div>
						<ul style="list-style:none;margin:0;height:auto;">
								<li><a class="gotodetail" href="'.$this->paypost.'" title="">'.JText::_( 'COM_EJOSHOP_NEXT' ).'</a></li>
						</ul>
					</div>
				</div>
';
	


echo JHtml::_('sliders.end');

}






?>
				</div>
			</div>


	</div>
</div>