<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */
 defined('_JEXEC') or die('Restricted access'); 
?>
<?php $document = JFactory::getDocument();?>


<div class="phototplphoto1">
<?
$options = array(
    'onActive' => 'function(title, description){
        description.setStyle("display", "block");
        title.addClass("open").removeClass("closed");
    }',
    'onBackground' => 'function(title, description){
        description.setStyle("display", "none");
        title.addClass("closed").removeClass("open");
    }',
    'startOffset' => 0,  // 0 starts on the first tab, 1 starts the second, etc...
    'useCookie' => true, // this must not be a string. Don't use quotes.
);
 
echo JHtml::_('tabs.start', 'tab_group_id', $options);
 
echo JHtml::_('tabs.panel', $this->photo->name, 'panel_1_id');
?>


	<div class="photo">
        <?php echo $this->photo->photooutput; ?>
	</div>
	<div class="photoinfo">
		<ul id="producti">
			<?php if($this->photo->showprice) {?>
				<li><span><?php print JText::_( 'COM_EJOSHOP_PRICE' );?></span><span>&nbsp;&nbsp;<?php print $this->photo->price_with_currency;?></span></li>
			<?php }?>
			<?php if($this->photo->showquanity) {?>
				<li><span><?php print JText::_( 'COM_EJOSHOP_QUANTITY' );?></span><span>&nbsp;&nbsp;<?php print $this->photo->quanity;?></span></li>
			<?php }?>
			<?php if($this->photo->showcolor) {?>
				<li><span><?php print JText::_( 'COM_EJOSHOP_COLOR' );?></span>&nbsp;&nbsp;<?php print $this->photo->allimg;?></li>
			<?php }?>
			<?php if($this->photo->addtocartshow) {?>
				<li><div class="addtocart-bar">
				<span class="quantity-box">
						<input type="text" value="1" data-id="<?php echo 'item-'.$this->photo->id;?>" name="quantity[]" class="quantity-input js-recalculate">
				</span>
				<span class="quantity-controls js-recalculate">
					<input type="button" class="quantity-controls quantity-plus">
					<input type="button" class="quantity-controls quantity-minus">
				</span>
			
				<div class="clr"></div>
				</div>
				</li>
				<li><a class="addtocart" data-qty="1" id="<?php echo 'item-'.$this->photo->id;?>" rel="<?php print $this->photo->id;?>" href=""><?php print JText::_( 'COM_EJOSHOP_ADDTOCART' );?></a></li>
			<?php }?>
		</ul>
	</div>
	
	<div class="photointro">
    <?php if($this->photo->show_phototext) {?>
		<?php print $this->photo->phototext;?>
    <?php }?>
	</div>
  	<p class="more-photo">	
		<?php if($this->photo->moreimg_show) : ?>	
			<?php echo $this->photo->morephoto; ?>
		<?php endif; ?>	
	</p> 
<?php 

echo JHtml::_('tabs.panel', JText::_('COM_EJOSHOP_COLOR_PANEL_SETTING'), 'panel_2_id');
$fields = unserialize($this->photo->fields);
if(!empty($fields)) {
	print '<table id="ejo-settings">';

	foreach($fields as $filed) {
		
		
		
		print '<tr>';
		print '<td>'.$filed[0].'</td><td>'.$filed[1].'</td>';
		print '</tr>';

	}

	print '</table>';
}
	
?>


<?php 
if($this->photo->showmap) {
$this->photo->maptype = (empty($this->photo->maptype)) ? 'NO' : $this->photo->maptype;

echo JHtml::_('tabs.panel', JText::_('COM_EJOSHOP_'.$this->photo->maptype.'MAP'), 'panel_3_id');

echo '<div class="photointro">';
print $this->htmlmap;
echo '</div>';


}	

echo JHtml::_('tabs.end');	
?>
  	<div id="ejo-comments">	
	
	<?php
		echo $this->loadTemplate('comments');
	?>	

	</div> 
</div>
