<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop Component
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');
ejoshopimport('ejoshop.yandexmoney.yandexmoney');
/**
* Foobar View
*/
class EjoshopViewPayments extends EjoshopView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		$app = JFactory::getApplication(); 
		$tmpl = array();
		JHtml::stylesheet( 'components/com_ejoshop/assets/ejoshop.css' );
		$this->params = $app->getParams();
	
		$this->yandexmoneyAction();
		parent::display($tpl);
	}
	
	
    public function yandexmoneyAction()
    {


		//require_once(dirname(__FILE__) . '/consts.php');
		define ('CLIENT_ID', 'D920C79EAA8D0976B9C79CF1F3798F2D5AACDE58152448A2E08ECF7359EFB619');
		define ('REDIRECT_URI', 'http://37.230.112.175/money/back/');
		define ('CLIENT_SECRET', 'E1E48EB8E804E2EEAC73F068447C54237BB57F3F1B5F9DF5B16AE5C723F20D296462DA5B893A4E0EE47DF3707CB61C0175BB68E4745D9E0B2EA098ACD1407E45');
		$code = $_GET['code'];
		if (!isset($code)) { // If we are just begginig OAuth

			$scope = "account-info " .
				"payment.to-account(\"410011665579490\",\"account\").limit(,10) " .
				"money-source(\"wallet\") ";
			$authUri = \YandexMoneyNew::authorizeUri(CLIENT_ID, REDIRECT_URI, $scope);
	
			return $this->redirect()->toUrl($authUri);
	

		} else { // when we recieved a temporary code on redirect
				
		}
		
    
	
	

		return new ViewModel(array(
            'money' => $money,


        ));		


    }
	
	/*
	* После авторизации с Яндекс денег
	* выводим сообщение об успешности транзакции
	*
	*/
    
	public function backAction()
    {
	
	
		require_once(dirname(__FILE__) . '/Plugin/lib/YandexMoney.php');
		//require_once(dirname(__FILE__) . '/consts.php');
		define ('CLIENT_ID', 'D920C79EAA8D0976B9C79CF1F3798F2D5AACDE58152448A2E08ECF7359EFB619');
		define ('REDIRECT_URI', 'http://37.230.112.175/money/back/');
		define ('CLIENT_SECRET', 'E1E48EB8E804E2EEAC73F068447C54237BB57F3F1B5F9DF5B16AE5C723F20D296462DA5B893A4E0EE47DF3707CB61C0175BB68E4745D9E0B2EA098ACD1407E45');
		$code = $_GET['code'];
		
		$ym = new \YandexMoneyNew(CLIENT_ID);
        $receiveTokenResp = $ym->receiveOAuthToken($code, REDIRECT_URI, CLIENT_SECRET);


        if ($receiveTokenResp->isSuccess()) {
            $token = $receiveTokenResp->getAccessToken();
           // print "Received token: " . $token;
        } else {
	
            print "Error: " . $receiveTokenResp->getError();
            die();
        }
       // print "</p>";
       // print "<p>Notice: after you received access_token you should store it to your app's storage</p>";
		
		
		/*$resp = $ym->requestPaymentP2P($token, "410011665579490", "1.00");
        print "<p class=\"output\">";
        if ($resp->isSuccess()) {
            var_dump($resp);
        } else {
            print "Error: " . $resp->getError();
            die();
        }
        print "</p>";*/

        $resp = $ym->requestPaymentP2P($token, "410011665579490", "0.50");
  
        if ($resp->isSuccess()) {
          //  var_dump($resp);
        } else {
            print "Error: " . $resp->getError();
            die();
        }
     


		

/*
        $resp = $ym->accountInfo($token);
        print "<p class=\"output\">";
        if ($resp->isSuccess()) {
            var_dump($resp);
        } else {
            print "Error: " . $resp->getError();
            die();
        }
        print "</p>";


        $resp = $ym->operationHistory($token, 0, 3);
        print "<p class=\"output\">";
        if ($resp->isSuccess()) {
            var_dump($resp);
        } else {
            print "Error: " . $resp->getError();
            die();
        }
        print "</p>";

        $operations = $resp->getOperations();
        $requestId = $operations[0]->getOperationId();
        $resp = $ym->operationDetail($token, $requestId);
        print "<p class=\"output\">";
        if ($resp->isSuccess()) {
            var_dump($resp);
        } else {
            print "Error: " . $resp->getError();
            die();
        }
        print "</p>";
*/


/*
        $params["pattern_id"] = "337";
        $params["PROPERTY1"] = "921";
        $params["PROPERTY2"] = "3020052";
        $params["sum"] = "1.00";
        $resp = $ym->requestPaymentShop($token, $params);
        print "<p class=\"output\">";
        if ($resp->isSuccess()) {
            var_dump($resp);
        } else {
            print "Error: " . $resp->getError();
            die();
        }
        print "</p>";

        $requestId = $resp->getRequestId();
        $resp = $ym->processPaymentByCard($token, $requestId, "375");
        print "<p class=\"output\">";
        if ($resp->isSuccess()) {
            var_dump($resp);
        } else {
            print "Error: " . $resp->getError();
            die();
        }
        print "</p>";
*//*

		*/
		
		$user = $this->zfcUserAuthentication()->getIdentity();
		$uid = $user->getId();
		$table = $this->getMoneyTable();
		
		$requestId = $resp->getRequestId();
        $resp = $ym->processPaymentByWallet($token, $requestId);
        
        if ($resp->isSuccess()) {
           // var_dump($resp);
			if($table->payMoney('yandex',$uid,0.50)) {
				$money = array('yandex',$uid,0.50);
			}
        } else {
            print "Error: " . $resp->getError();
            die();
        }
		
       
/*
	    if ($ym->revokeOAuthToken($token)) {
            print "<p>Token was successfully revoked</p>";
        }*/
		return new ViewModel(array(
            'money' => $money,
			'uid'=>$uid
        ));		
	
	}
	
	
}

?>
