<?php
/*
 * @package Joomla 3.2
 * @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @component Ejoshop
 * @copyright Copyright (C) Aleksandr Ermakov ejoshop.com, www.slyweb.ru
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
// import the JView class
jimport('joomla.application.component.view');
jimport('joomla.user.user');
ejoshopimport('ejoshop.render.rendercart');
ejoshopimport('ejoshop.render.rendercurrency');
ejoshopimport('ejoshop.render.renderjquery');
ejoshopimport('ejoshop.access.access');
		
/**
* Foobar View
*/
class EjoshopViewUserAccount extends EjoshopView
{
	/**
	 * Hellos view display method
	 * @return void
	 **/
	function display($tpl = null)
	{
		$user	= JFactory::getUser();
		JHtml::_('jquery.framework');
		JHtml::stylesheet( 'components/com_ejoshop/assets/ejoshop.css' );
		if(!$user->get('id')) {
			
			$this->setLayout('onlylogin');
			parent::display($tpl);
			
		} else {
		$app = JFactory::getApplication(); 
		$jquery = new EjoshopRenderJquery();
		$jquery->addJsColorbox();
		$jquery->EjoshopUiInit(TRUE,FALSE,TRUE);
		$tmpl = array();
		$pathway = $app->getPathway();
		$pathWayItems 	= $pathway->getPathWay();
		//EjoshopDeveloper::debugPrint($pathWayItems);
		$link = $pathWayItems[0]->link;
		$this->link = JRoute::_($link);
		
		$document = JFactory::getDocument();
		$tmpl = array();
		
		$this->params = $app->getParams();
		$this->catid = JRequest::getVar('catid', 0, '', 'int');
		$this->items = $this->get('Items');
		$this->userinfo = $this->get('UserInfo');
		$this->items = $this->processItems($this->items,false,$this->params);
		
		$this->pager = $this->get('Pager');
		if(empty($this->tmpl)) $this->tmpl['action'] = '';
		parent::display($tpl);
		}
	}
	
function processItems($items,$sub = false,$params){
	
		$CurencyClass = new EjoshopRenderCurrency();
		$cart = new EjoshopRenderCart();
		$auto_convert_currency = $params->get('convert_currency');
		$exloadIntl = $CurencyClass->is_extension_loaded('intl');
	
		
		if(!empty($items->cur)) {
			$sitecurrency = $items->cur;
			$auto_convert_currency = true;
		} else { //          
			$sitecurrency = '';
		}
		
		/*        */
			
		for($i = 0; $i < count($items); $i++) {
	
			if($items[$i]->currency < 0) $items[$i]->currency = $params->get('currency');
		
				if($auto_convert_currency && !$exloadIntl)  {
					$items[$i]->currencyl = $CurencyClass->getCurrencyName($sitecurrency);
				} else if(!$auto_convert_currency && !$exloadIntl) {
					$items[$i]->currencyl = $CurencyClass->getCurrencyName($items[$i]->currency);
				} else {
					$items[$i]->currencyl = '';
				}

				
				$items[$i]->pricetopaypal = $CurencyClass->currency(strtoupper($items[$i]->currency),strtoupper($sitecurrency),$items[$i]->price,false);
				
				/*           */
				if($items[$i]->currency != $sitecurrency && $auto_convert_currency) {

	
					
					$items[$i]->price = $CurencyClass->currency(strtoupper($items[$i]->currency),strtoupper($sitecurrency),$items[$i]->price);
					
				} else if(!$auto_convert_currency){ /*      */

					$items[$i]->price = $CurencyClass->getValue($items[$i]->price,$items[$i]->currency);
				} else if($items[$i]->currency == $sitecurrency && $auto_convert_currency){
					$items[$i]->price = $CurencyClass->currency(strtoupper($items[$i]->currency),strtoupper($sitecurrency),$items[$i]->price);
				}

			
			$catalias = '';
			if(!empty($items[$i]->catalias))	{
				$catalias = $items[$i]->catalias;
			}
			if($sub) {
				$items[$i]->detail = JRoute::_('index.php?option=com_ejoshop&view=category&id='.$items[$i]->catid.':'.$catalias);
			} else {
				(!empty($items[$i]->alias)) ? $a = ':'.$items[$i]->alias : $a = '';
				$items[$i]->detail = JRoute::_('index.php?option=com_ejoshop&view=detail&catid='.$items[$i]->catid.':'.$catalias.'&id='.$items[$i]->id.$a);
			}

			$items[$i]->photoproduct = $cart->getImageForCartItems($items[$i]);
		}	
		return $items; 
	}
}

?>
